Total Commander Help Index
1. Introduction
a. What is Total Commander?
b. What's new in this version?
2. General Information
a. Ordering / Registering
b. Updates and Support
c. Licence/Copyright
d. We are an ASP member
3. Operation
a. User interface
b. Keyboard layout
c. Menus
Files Mark Commands Net Show Configuration Start Help
d. File operations
e. Archive handling (ZIP etc)
f. Local menus and Drag & Drop
g. Built-in FTP client
h. Direct cable connection via USB, or through the parallel port (PORT connection to other PC)
i. The internal file lister (Start with F3)
j. Multi-rename tool...
k. Frequently asked questions (FAQ)
l. Plugins and languages
m. Folder tabs
n. Regular expressions
4. Configuration and switches
a. Command line parameters
b. INI-File settings: wincmd.ini (1: Configuration, 2: the rest), wcx_ftp.ini (for FTP)
c. Change main menu
5. Credits
a. Translation etc.
b. What is Info-ZIP? - free source-code to unzip files!
Total Commander is Copyright © 1993-2020 by Christian Ghisler, Ghisler Software GmbH
All mentioned Trademarks and Copyrights belong to their respective owners.


What is Total Commander?
Total Commander (former Wincmd) is a file manager for Windows (TM) similar to the Windows Explorer. But Total Commander uses a different approach: it has two fixed windows side by side like a well-known file manager for DOS.
Here are some key features of Total Commander:
- Keyboard functions similar to the DOS original.
- Supports Drag & Drop with the mouse, including to the print manager.
- Extended copying, moving, renaming and deleting of entire trees (Enables deleting "full" directories).
- Archives are handled like subdirectories. You can easily copy files to and from archives. The appropriate archiving program is automatically called. pkzip, arj, lha, rar, uc2 and ace are all supported.
- Start-menu (User-defined commands) to place your frequently used DOS or Windows programs into a drop-down menu. The actual directory and/or the file under the cursor can be delivered to the application.
- Command line for the simple starting of programs with parameters, simply by typing the program name or by pressing CTRL+ENTER or CTRL+SHIFT+ENTER.
- Enhanced search function with full text search in any files across multiple drives.
- Built in file viewer (F3) to view files of ANY SIZE in hex, binary or text format, using either the ASCII- (DOS) or the ANSI- (Windows) character set. The line width and font size can now be changed.
- Internal Unzip by Info-Zip, which allows unzipping without calling an external program! The source code in Turbo-Pascal is free and can be obtained directly from the author.
- Configurable button bar to start external programs or internal menu commands.
- Configurable main menu.
- Internal unpackers for ZIP, ARJ, LZH, GZ, TAR, RAR, ACE, and 7Z formats.
- Internal ZIP packer, based on ZLib by Jean-loup Gailly.


What's new in this version?
See the file history.txt for a detailed list of additions and corrections.
New functions and fixes in Total Commander 9.50 release candidate 1:
- New Menu item "Dark<->Normal" in menu "Configure"
- Mouse cursor now jumps to default button if this is enabled in Control Panel under "Mouse"
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 8-13:
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 7:
- Show up to 3 connected USB devices without drive letter (e.g. phones, tablets) also in drive buttonbar
- Always show borders around file lists in dark mode
- Support substrings from environment variables, e.g. %variable:~2,3%
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 6:
- Hint colors are now configurable both in normal and dark mode
- Default dark mode background color is now a bit brighter
- Configuration - Options - Color: Show preview (example output) also for Lister, Compare by contents, title bars, hint windows, and dark mode
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 5:
- Dark mode: Show border around file panels when not using the option "Flat user interface"
- Upload from archive directly to FTP: Option to preserve timestamps
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 4:
- Find files: "F2 search in found files" now also searches in previously found folders
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 3:
- Dark mode is now available by default on Windows XP and newer
- Dark mode: Scrollbars in the main file lists are now drawn dark when not scrolling with the mouse
- Three new internal commands to switch dark mode on and off: cm_SwitchDarkmode: on/off, cm_EnableDarkmode: on, cm_DisableDarkmode: off
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 2:
- Bugfixes
New functions and fixes in Total Commander 9.50 beta 1:
User interface:
- Dark mode, starting with Windows 10 Fall 2018, inofficially also with older Windows versions (ForceDarkModeOptions=1)
- Increased directory history length to 200 (configurable via HistoryLenStored)
- History: Only show directories in which the user performed some operation (configurable). Alt+Shift+Down arrow shows full history
- Drive dropdown list, drive buttonbar: Show "eject" overlay over drive icon for removable drives
- When scrolling through file lists with the keyboard, keep a margin of 4 lines above/below the current position (configurable)
- Directory panels: Show <LINK> for hard links/soft links to files instead of 0 size
- Ctrl+Q quick view: Show contents of link target instead of lnk file content
- Configuration - Options - Display: New option "Append \" to show folders as Folder\ instead of [Folder]
- Internal associations: Optional: Add extra verbs from ALL matching filters, default "open" only from the first match
- Show "New" submenu also in context menu for [..] entry, to create new file in current directory
- Windows 10, context menu: Menu item "Share" didn't do anything -> handle it internally
- Quick search dialog: Clear search with Ctrl+Y
- Right click on directory tab -> "Recently closed tabs"
- Show location of Total Commander EXE file in about box
File operations:
- Archives: Choose codepage when unpacking files, e.g. to unpack names with cyrillic characters. Show [Auto] or chosen encoding in tab header.
- OneDrive folder: Handle folders appearing as file system links
- F5 copy dialog: Support directory hotlist (Ctrl+D)
- Create CRC checksums: New options to use Unix format, and to always use UTF-8
FTP / File system plugins:
- Transfer from FTP server to FTP server with F5: Option to copy via local PC
- Transfer from/to FTP/FS plugins: Support copy filters like the local file copy function, e.g. *.txt | excludeddir\
- FTP, upload/download with F5 - F2 in background: Support client certificate
- RestrictInterface=6144: Disallow all plugins, or 4096: Only allow plugins with a valid digital signature
Multi-rename tool:
- New placeholder [c] = number of files in list
- New placeholder [S] = file size
Alt+F10 tree:
- Option to use 'Everything' to load the tree
- Combobox to change drive, open with Alt+F1 or Alt+F2
Search:
- Search with 'Everything': Show percent of the search results transferred to Total Commander
- Improved search in Office xml files (e.g. .docx, .ods etc): find accented characters
- Automatically check 'Everything' option when using prefix ev: or ed: in search field
- Option to search in search results only
- View previous search results
Lister (F3):
- Define which view method and plugin should be used when opened, separately by file type, e.g. all jpg files with internal image viewer
- Press '8' to show preview as the Explorer (uses IPreviewHandler or IThumbnailProvider if the former isn't available)
- Support printing of JPG/PNG/GIF in Lister with internal image viewer
Compare by content:
- Set color for underlined search results
Synchronize dirs:
- Use Ctrl+PageUp/PageDown to jump to next/previous directory
Internal commands:
- New internal commands with parameters: LOADSELECTION, SAVESELECTION, SAVEDETAILS plus ANSI/Unicode versions
- cm_ModernShare allows to use the new Windows 10 "Share" context menu item directly
- cm_ChangeArchiveEncoding to open the archive encoding popup menu
- cm_MoveTabLeft and cm_MoveTabRight to manually move current tab
New functions and fixes in Total Commander 9.22a final:
- Bugfixes
New functions and fixes in Total Commander 9.22 final:
- Bugfixes
New functions and fixes in Total Commander 9.22 release candidate 2:
- Bugfixes
New functions and fixes in Total Commander 9.22 release candidate 1:
- Security hole in unacev2.dll patched
- Bugfixes
New functions and fixes in Total Commander 9.21a final:
- Bugfixes
New functions and fixes in Total Commander 9.21 final:
- Bugfixes
New functions and fixes in Total Commander 9.21 release candidate 2-3:
- Bugfixes
New functions and fixes in Total Commander 9.21 release candidate 1:
- Lister: Allow to set maximum line length for text when not using word wrap, e.g.: wincmd.ini [Lister] unwrapwidth=2000
- Bugfixes
New functions and fixes in Total Commander 9.20 final:
- Bugfixes
New functions and fixes in Total Commander 9.20 release candidate 2-3:
- Bugfixes
New functions and fixes in Total Commander 9.20 release candidate 1:
- Multi-monitor: allow users to save position separately on each screen. Position and size are restored when moving the window between monitors with Win+Shift+Cursor left/right. Only the size is restored when moving the window with the mouse to another screen.
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 6:
- F7/Shift+F7: Option in wincmd.ini to disable dialog position over active panel (NewFolderOverPanel=0)
- Option in wincmd.ini to show/hide speed info in background dialog (BackgroundSpeed=0/1/2)
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 5:
- F7/Shift+F7: Show input dialog over the panel where the directory will be created
- When going to the root of a drive or share, e.g. via Ctrl+< or "\" button, place cursor on the directory which was part of the path. Example: Go from c:\Windows\System32 to the root -> put cursor on "Windows"
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 4:
- New hotkey Shift+F7 to create directory in target panel, using the name under the cursor from the source panel as the default
- Secure FTP connection: With the provided prefix it's now possible to choose between explicit SSL (ftpes://server) and implicit SSL (ftpis://server). With the former method, an unecrypted connection is established first, which is then changed to encrypted with AUTH TLS. The latter is encrypted from the start.
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 3:
- Compare by content: Select all with Ctrl+A
- Multi-rename tool: Option to convert to uppercase like in English titles (certain words like a, the, of... lowercase)
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 2:
- Bugfixes
New functions and fixes in Total Commander 9.20 beta 1:
- Button bar, command line: support shell GUIDs, e.g. to go to Explorer's recent dirs, use cd ::{22877a6d-37a1-461a-91b0-dbda5aaebc99}
- Files - change attributes: Button to load attributes from file under cursor in target panel
- Icon from internal association takes precedence over internal packer icon (e.g. for *.rar)
- wincmd.ini [Configuration] IgnoreDirErrors=1 allows to switch to inaccessible or non-existent directories, shows <Read error!> in file list instead
- Button bar: Button size and small icon size can now be set separately for each screen scale (dpi)
- FTP client: Support for client certificates for ftps (ftp over ssl/tls) from Windows certificate store. Only works with schannel library on Vista or newer, not openssl
- Bugfixes
New functions and fixes in Total Commander 9.12 final:
- Bugfixes
New functions and fixes in Total Commander 9.12 release candidate 3-4:
- Bugfixes
New functions and fixes in Total Commander 9.12 release candidate 2:
- Renamed to 9.12 for obvious reasons
- Bugfixes
New functions and fixes in Total Commander 9.11 release candidate 1:
- Windows 10 Fall Creators Update, OneDrive: Show cloud overlay icon for files not available offline
- Bugfixes
New functions and fixes in Total Commander 9.10 final:
- Bugfixes
New functions and fixes in Total Commander 9.10 release candidate 1-3:
- Bugfixes
New functions and fixes in Total Commander 9.10 beta 3:
- Bugfixes
New functions and fixes in Total Commander 9.10 beta 2:
- Multi-rename tool / Create directory / New text file: Support for placeholder [%x%], will insert content of environment variable 'x'
- Bugfixes
New functions and fixes in Total Commander 9.10 beta 1:
- Support for multiple screens with different DPI per screen on Windows 10 (requires latest release version, "Creators Update", or newer).
- "New folder" (F7) can now use the same placeholders as the multi-rename tool (e.g. date+time), and create multiple directories in one step using a counter
- "New text file" (Shift+F4) now supports the same placeholders as the multi-rename tool
- "New text file" (Shift+F4) now also works in archives, on FTP servers, and with file system plugins
- Option to use latest "Everything" tool in Alt+Shift+Enter/Spacebar free space calculations
- Support for Windows 10 fall Creators Update, mainly OneDrive online only file support
- Internal 7zip unpacker: Support background unpacking
- Support new pseudo environment variables from values described here
- Set font quality (e.g. force antialiasing on/off)
- Lister: Support touch screen scrolling+text selection
- Lister: Support Unicode names when loading images via Irfanview (needs new Unicode version of Irfanview)
- Compare by content: Set width in binary mode to 8, 16, 24 or 32 bytes
- Multi-rename tool: New placeholders for inserting current date+time
- Bugfixes
New functions and fixes in Total Commander 9.0a final:
- Bugfixes
New functions and fixes in Total Commander 9.0a release candidate 3:
- Bugfixes
New functions and fixes in Total Commander 9.0a release candidate 2:
- Content plugins: Support for Tbytes and two digits after the decimal point.
- The replacement of the Photos app with Windows Image Viewer can now be disabled in Files - Associate With...
- Bugfixes
New functions and fixes in Total Commander 9.0a release candidate 1:
- Search function: "Search for", prefix "ed:" searches with "Everything" with its syntax in all the locations given by "Search in" field.
- Bugfixes
New functions and fixes in Total Commander 9.0 final:
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 6:
- New tcmdlzma.dll and tclzma64.dll version 16.4.0.0, compiled from official 7zip sources, used for lzma compressed ZIP files
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 5:
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 4:
- Search with "Everything": Receive file details (size, date, time, attributes) directly from Everything 1.4 or newer
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 3:
- Main icon: Made text "64" on the 16x16 pixel icon larger, better readable
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 2:
- New icons for main menu and button bar(s): Now also with 48x48 resolution
- Synchronize dirs: Compare two files on different lines, each line must have just one file (one on the left, one on the right)
- Bugfixes
New functions and fixes in Total Commander 9.0 release candidate 1:
- New icons for main menu and button bar(s), can be chosen during the first start, or via right click on a button bar
- Lister: Store position separately for separate quick view (Ctrl+Shift+Q)
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 17:
- Updated 7zip unpacker dlls
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 16:
- cm_100percent now accepts a parameter: If >0, it sets the panel width (in percent) of the active panel. If <0, it sets the panel width (in percent) of the left window (1..100%). Example: cm_100percent 70
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 15:
- New placeholder [u] in multi-rename tool: Converts all composite characters (e.g. separate a and ^) to precomposed characters (â).
- New SSL/TLS implementation: support TLSv1.1 and TLSv1.2, and report the protocol in the connection log.
- Define view mode commands when switching away from a view mode to a different mode. Separate by | (vertical line), e.g. cm_100percent|cm_50percent
- The following internal commands now accept parameters 0 (toggle, default), 1 (true), and 2 (false), except in main menu (* stands for LEFT, RIGHT, and SRC): CM_VERTICALPANELS, CM_*THUMBS, CM_*BYNAME, CM_*BYEXT, CM_*BYSIZE, CM_*BYDATETIME, CM_*UNSORTED, CM_*NEGORDER.
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 14:
- Secure Internet connection via FTPS and HTTPS now work without openssl dlls! They use the sChannel functions built into Windows (crypto API).
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 13:
- Instead of the Windows Photo App (tile app), open the Windows Photo Viewer (desktop program) when double clicking an image file. Can be disabled (ReplacePhotoApp=0).
- Do not disable main window while reading long dirs, instead handle Windows messages, but ignore all user input except for ESC key.
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 12:
- Allow to disable second progress bar in background transfer manager: CountMarkedBackground=0
- Also show old archive icon when unchecking "Show default folder/file icons from Explorer"
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 11:
- When user changes the view mode manually while automatic view mode switching is enabled, keep that view mode until the directory changes to a location with a different view mode rule>0
- Show view mode tab colors and icons in main menu and current tab context menu
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 10:
- Cofigure drive icons, default file/folder icons, '!' overlay and dimmed hidden icons via main configuration dialog
- Detect when a drive is locked by bitlocker, and offer to unlock it
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 9:
- Multi-rename tool: Up to 20 rename operations can be undone now (configurable)
- Auto mode change: Option "L" now allows to specify one or more drive types, e.g. 2=removable drive
- View modes: Option to give the icon priority over all other icons, e.g. loaded from desktop.ini
- Show hidden and system files with exclamation mark overlay (configurable)
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 8:
- Installer now accepts the following parameters /AHLMGDUK A=Auto, H=Hidden, L=Language number, M=Multilanguage, G=Create group, D=Create desktop icon, U=Update if target exists, K=copy wincmd.key from same directory as the installer. All options accept parameters 1 or 0, e.g. G0 or G1. L accepts language Nr. from install.inf, e.g. L18=Romanian
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 7:
- Windows 10: re-added separator between tab headers and file list because it's missing from the theme
- Don't reset view mode when loading locked tabs (also with directory changes allowed)
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 6:
- Configuration dialog: When clicking OK or Apply while on "View modes" page, and automatic view mode changes are off, apply the current view mode to the file lists
- Set color of active tab header manually via [Colors] ActiveTabColor
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 5:
- Allow to define a tab icon for the default view mode
- Search function: prefix "ev:" passes search string unchanged to Everything
- When deleting to recycle bin and a file can only be deleted directly, warn the user and let him choose to delete it directly or not
- FTPS: Always verify certificates now, even when wincmd.pem is missing, since we use the root certs from Internet Explorer now
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 4:
- Changed how VistaDelete delete method handles recycle bin: Assume that the values about recycle bin in the registry are correct, the show an error when the function wants to delete directly although we requested to delete to recycle bin.
- FTPS: Use SHA256 hash to verify certificates with self-signed certificate authority instead of SHA1.
- 24x24 icons for Ctrl+F FTP connection dialog
- Change view modes via right click on folder tabs, only affects current tab so far
- Vertical button bar: Make space around buttons symmetrical
- Vertical button bar: If the bar is too high, display overflow button, and show rest of the buttons as a popup menu
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 3:
- Run "Everything" when the user checks the checkbox and it's not running but located in the Total Commander directory, e.g. for portable use
- Network Neighborhood: Open context menu for virtual folders which cannot be entered, like DLNA servers
- Update checker: Allow to disable automatic update checks via "Check for updates now" dialog when there are no updates
- Update checker: Use DNS TXT record if available for checks
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 2:
- Commands with numerical parameters like CM_SELECT now support ? or ?number as parameter -> input dialog
- Multi-rename tool, "#" button submenu: New entry [?#-#] to open plugins dialog and let user choose range for the selected plugin field
- Support environment variables like %commander_path% in paths for auto-switch view modes
- Use icon from zipfldr.dll for archives if available
- Bugfixes
New functions and fixes in Total Commander 9.0 beta 1:
User interface:
- View modes, can be switched manually via menu "Show", or automatically by rules
- Show icons on folder tabs depending on the displayed folder
- Vertical button bar (can be disabled via Configuration - Options - Layout)
- Rubber band selection mode when using left mouse button selection, disable via settings
- Show up to 3 external devices without drive letter (e.g. Android or Windows Phone) in Alt+F1/F2 drive dropdown list
- Background transfer manager (F5-F2): Show second progress bar with overall progress if available
- Themed text cursor, enable/disable in Configuration - Options - Colors
- Use system drive and folder icons (dynamically loaded) instead of internal
- Dimmed icons for hidden files/folders
- Show small green arrow as overlay icon when a folder is open, e.g. in tree or when opening very large folder
- Click on tab header with "locked but directory changed allowed" returns to base directory of that tab
- Better support for high resolution screens
- Set scaling of dialog boxes (OverrideDPI) via main settings - fonts
- Option to show sizes with 1k=1000bytes instead of 1k=1024bytes
- Option to show numbers in TBytes, with 1 or 2 decimal digits
File operations:
- Unicode support for descript.ion files
- Inplace rename: Use up/down arrow to jump to previous/next file (configurable)
- F5 Copy/F6 Move: Show combobox with all open tabs and all subdirectories in the target panel (Shift: Source panel)
- F5 copy: Skip empty dirs by appending |**\ to line "only files of this type"
- Create and verify additional checksum types: SHA224, SHA384, SHA3_224, SHA3_256, SHA3_384, SHA3_512
- Delete files directly (not to recycle bin): In case of errors, ask at the end of the entire operation
- Delete files directly: Also offer "Skip all" when a file is missing
- Re-use threads for delete, loading hints and ID-lists
- Disable overwrite confirmation in sync: wincmd.ini [Confirmation] SyncConfirmOverwrite=0
FTPS, HTTPS:
- Support TLS 1.1 and 1.2 with new openssl dlls
- Use Windows certificate stores "ROOT" and "CA" to verify purchased server certificates
Packer:
- ZIP unpacker: Support new compression method XZ (method 95) with updated tcmdlzma.dll and tclzma64.dll
- Support invalid ZIP archives with no CRC in the local header and behind the zip file, e.g. created by owncloud
- Support invalid ZIP archives with UTF-8-encoded names but missing UTF-8 flag (created by Dropbox)
Search function:
- Use "Everything" tool for much faster search on NTFS drives, also on network shares if possible
- Search with content plugins for text on main search page
- Regular expressions supported in more types: Unicode UTF-8+UTF-16, Office XML
- New option "Older than" working just like "Not older than"
- Standalone search: Allow to search in search results (after feed to listbox) and selected files
Compare by content:
- Show only differences, with additional lines above/below the differences, including editing
- Edit mode: triple click now selects entire line
Multi-rename tool:
- New buttons to insert other fields
- Improved range selection dialog
- If there are duplicate names, or names that already exist, offer to auto-rename to "name (2).ext", "name (3).ext" etc.
Lister:
- Ctrl+Shift+Q: Opens Quick View in separate Lister window, updates contents when going to other file
- View files of type RTF, BMP, JPG, PNG, GIF, ICO, HTML with internal viewers also in read-protected folders (via DuplicateHandle)
- Use larger buffer sizes to handle longer blocks of text without line breaks
Other operations:
- Double click/ENTER: Follow .url files pointing to directrories within Total Commander. Disable via wincmd.ini
- Manual update check via menu Help - Check for updates now, using DNS lookup
- Automatic update check (experimental): wincmd.ini [Configuration] AutoUpdateCheck= (1: all updates, or 2: no beta versions)
- Ctrl+B in search result = Go to directory of file under cursor
- Read virtual folders like the Network Neighborhood asynchronously (faster initial response) and in a background thread
- Directory history: Remember name under cursor and position in list when entering a subdir via double click/Enter
- Content plugins: new content field chooser dialog instead of menu. Also show field preview for file/dir under cursor
- Synchronize dirs: Compare with multi-part ZIP, supports compare by content and view
- Buttonbar, Startmenü: New Parameter %C1..%C9, %c1..%c9
Internal commands:
- to focus specific panels, including tree: cm_FocusSrc, cm_FocusTrg, cm_FocusLeftTree etc.
- to select/unselect one or more files: cm_Select, cm_Unselect, cm_Reverse
- to open lister: cm_ListOnly, cm_ListMulti, cm_ListInternalMulti, cm_SeparateQuickView, cm_SeparateQuickInternalOnly
- to save tabs to a specified file: SAVETABS, SAVETABSL, SAVETABSR, SAVETABS2, SAVETABS2L, SAVETABS2R
- cm_wait, accepting wait time in milliseconds, e.g. cm_wait 1000. Can be combined, e.g. em_cmd1,cm_wait 1000,em_cmd2
New functions and fixes in older Total Commander versions


How to register
Thank you very much for your interest! This program is Shareware, essentially a demo version. A personal licence costs 40 Swiss Francs (about US$ 42). There are additional licences (registered to the same name) at reduced prices for companies and institutions.
The licence is valid for both the 64-bit and 32-bit version at the same time.
Please do not call us by phone! Use e-mail for getting help, or use our forum at www.ghisler.ch!
Update information for registered users
Information for resellers
1. Online over the Internet
We offer online registration directly on our homepage www.ghisler.com/order.htm . Our registration service uses a secure connection over the Internet for credit card or Paypal orders.
2. Invoice (only for companies and institutions)
Please see our homepage www.ghisler.com/order.htm for details.
3. From one of our local resellers
We currently have local resellers in China, the Czech Republic, Denmark (also for Norway and Sweden), Hungary, Latvia (also for Lithuania and Estonia), the Netherlands (also for Belgium), Poland, Romania, Russia, Serbia (also for Montenegro), Slovakia, South Africa, South Korea, Taiwan (R.O.C), and Ukraine.
See www.ghisler.com/resellers.htm for the full list with contact addresses.
Note: Switzerland isn't part of the EU. Therefore you may be charged local taxes or fees (e.g. the VAT) if you order from us directly! Especially the Czech Republic has extremely high customs fees, so you should better order through our Czech reseller!


Updates&Support

Updates to Total Commander 9.x from a previous version
If you have Commander 3.0 or later, you can simply install the new version over your old registered version, and the registration will be preserved. If you have version 2.11 or older, your key is no longer valid. The old key wincmd.key had a size of 128 bytes, the new key 1024 bytes. If you are a registered user of Commander 2.11 or earlier, you can get a new key file for free by e-mailing your name, address and registration number (written on your distribution disk or on the licence) to the e-mail address found on the following page:
www.ghisler.com/update.htm
You can find detailed update instructions on that page.
If you don't have access to the Internet, you can obtain the update by sending your name and address together with US$ 15.-/CHF 15.- cash, or credit card online (please ask) in the amount of CHF 15.- to the address below (please don't send any checks).
Updates from Commander 3.x/4.x/5.x/6.x/7.x/8.x to later versions
As soon as you are registered, (until further notice) all updates are free, provided that you get the latest version yourself, by downloading it. Just install the new (Shareware) version over the old one. The only important thing is to keep the file wincmd.key. You can find the latest Shareware version on our Internet homepage:
www.ghisler.com
If you don't have access to the Internet, you can get the program directly from us by sending US$ 15.-/CHF 15.- cash, or credit card online (please ask) in the amount of CHF 15.- (please don't send any checks).
Bug reports
If you find a bug in Total Commander you can report it at one of the addresses mentioned below. Please provide the following information:
- an exact description of the bug (how can it be reproduced?)
- version number and release date of Total Commander (see Help-about Total Commander)
- Windows version
- The file wincmd.ini
- For access violations: You can press Ctrl+C in the error box to copy the text to the clipboard, and then paste it to your mail program or to our forum.
Support
Please first read the FAQ and visit our WWW page on the Internet:
www.ghisler.com
If you still have questions or bug reports, you can reach me at the following addresses:
- If you're on the Internet, write to us by e-mail to the e-mail on www.ghisler.com/support.htm for technical questions, or the address on www.ghisler.com/sales.htm for questions on ordering and registration.
- Unfortunately we cannot offer any support for non-functioning parallel port connections.
- Please do NOT call me at home!


Licence

Software Licence / Copyright
Software Licence
Please read the following lines carefully before using this software. If you disagree with any of the following, you are not allowed to use this program. You MUST then delete it immediately.
Shareware-version
You have the right to test this program for a period of one month. You are allowed to copy this Shareware-version (and ONLY the Shareware version) and give it to any other person, as long as it is not modified in any way. Under modifications is understood the changing, adding or removing of any files of this package without the author's written permission. You are NOT allowed to pack this program together with a commercial program or a book. Shareware dealers are allowed to sell the Shareware version for a small fee (around CHF/US$ 10.-). It must be clear to the buyer that he isn't receiving the full version! You are encouraged to put this program on as many BBS systems as possible. The distribution on CD-ROM is also permitted, as long as the original files are not changed in any way. Please contact me if you want to distribute the program with a different installation program, changed files etc. Programs marked as "Beta" or "Release candidate" may not be distributed under any conditions.
Use of this software after the trial period of one month is in violation of international Copyright law! It is also unfair to the author, who has spent hundreds of hours developing this program.
Registration
This program is neither freeware nor public domain. Use after the 30 day trial period requires registration. The registration fee is only CHF 40.- incl. S&H ($ 38.- US personal cheque or cash including handling fees) for a personal licence, or CHF 30.- for a student licence (with photocopy of student identity card). The student licence can only be registered to the full name of the student. See How to register for details on registration and support.
Registered version (personal licence)
The registered version may be installed on as many computers as desired, as long as it is used by only one person at any one time (I.e. one installation at home and one at the office used by the same person). Therefore you need only one licence for a port connection between two computers. The usage by multiple people at the same time (on multiple computers) requires additional licences.
Additional licences (multi-user licences)
Additional licences allow an institution, company or school to install the program on multiple computers and/or servers. Each licence allows one person at the same time to use the program on an unlimited number of computers. For example, if 10 people run Total Commander at the same time on 20 computers (desktop/notebook), a 10 user licence would be needed. All licences are issued to the same (company) name, which appears in the program's title bar. Additional licences cost CHF 20.- for the 2nd to 10th licence, etc. (see additional licences for details). For larger amounts than 1000 please contact the author. Each additional licence also allows a single user to use the program at home. The usage of a company licence by third parties is allowed as long as the maximum number of users at the same time doesn't exceed the number of users of the licence (e.g. 10 user licence -> max 10 users at the same time).
Liability
We try to keep our software as bug-free as possible. But it's a general rule (Murphy's), that no software ever is error free, and the number of errors increases with the complexity of the program. That's why we cannot guarantee that this software will run in every environment, on any Windows compatible machine, together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In any case, the liability is limited to the registration fee.
Please test this program with non-critical data. We cannot guarantee the safety of your data. Especially new operating systems released after a specific version of Total Commander can cause trouble, so make sure to upgrade often. Should you detect errors before registration, you accept them if you register. Any description of bugs will be accepted, but we cannot guarantee that we will be able to correct them (but we will try our best).
Development of Total Commander
Total Commander was written utilizing Borland Delphi 1.0 (16 bit) and 2.0 (32 bit) (© 1993-96 by Borland International), and Lazarus/Free Pascal (64 bit). The Drag&Drop-algorithms, especially the undocumented parts, were found in the very good book "Undocumented Windows", Andrew Schulman, Addison Wesley 1991. The DPMI-handling for setting the volume label was taken from the book "Turbo Pascal für Windows - Object Windows", A. Ertl/R. Machholz, Sybex 1992. Only the algorithms were taken and rewritten in Pascal. The idea for the screen layout was taken from DCC, a Norton Commander (© Symantec) clone. All code from the German issue WinDOS was removed and rewritten for Copyright reasons. The ARJ and LHA code was translated by Mart Heubels (WinCAT PRO) and myself from public C sources to Pascal. A free unpacking DLL is available upon request. The internal ZIP packer is based on Zlib by Jean-loup Gailly. The C sources are available on the Internet, on the same server as ZIP-NT. MD5 Implementation provided by Greg Carter, CRYPTOCard Corporation. The AES encryption code used in the ZIP packer was developed by Dr Brian Gladman. The LZMA SDK (ZIP method 14) is written and placed in the public domain by Igor Pavlov. The AES256 and AES512-hash functions are Copyright 2002-2007 Wolfgang Ehrhardt. Optimized MD5, SHA1 and SHA256 parts from DCPcrypt Cryptographic Component Library v2, Copyright (c) 1999-2003 David Barton.
All mentioned Trademarks and Copyrights belong to their respective owners.
Legal domicile is Bern, Switzerland.
Christian Ghisler, Ghisler Software GmbH, CH-3065 Bolligen, Switzerland, 2020


ASP Association of Software Professionals

What is shareware?
Shareware lets you try a program for a period of time before you buy it. Since you've tried a shareware program, you know whether it will meet your needs before you pay for it. If you use this program for a longer time than the specified trial period (30 days), you are expected to register it. A licensed version of this product includes the permanent right to use the product for an unlimited time. The licensed version also disables the registration screen when starting the program.
The Ombudsman Statement
This program is produced by a member of the Association of Software Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or technical problem with an ASP member, but does not provide technical support for members' products. Please contact the ASP Ombudsman online at http://www.asp-software.org/omb .


User interface
Click on the section on which you want to have information!
(Button bar)
(Drive bar)
(Drive selection list)
(free space on drive)
(Change to root/parent directory)
(Folder tabs)
(Current directory)
(Directory Hotlist and History)
(Tabstop header)
(File window)
(Number of selected files)
(Command line)
(Function key bar)


Keyboard layout
Key Action
F1 Help
F2 Reread source window
F3 List files
F4 Edit files
F5 Copy files
F6 Rename or move files
F7 Create directory
F8 or DEL Delete files to recycle bin /delete directly - according to configuration
F9 Activate menu above source window (left or right)
F10 Activate left menu or deactivate menu
ALT+F1 change left drive
ALT+F2 change right drive
ALT+F3 Use alternate (external or internal) viewer
ALT+SHIFT+F3 Start Lister and load file with internal viewer (no plugins or multimedia)
ALT+F4 Exit | Minimize (with option MinimizeOnClose in wincmd.ini)
ALT+F5 Pack files
ALT+SHIFT+F5 Move to archive
ALT+F6 Unpack specified files from archive under cursor, or selected archives (use Alt+F9 on Windows 95)
ALT+F7 Find
ALT+SHIFT+F7 Find in separate process
ALT+F8 Opens the history list of the command line
ALT+F9 Same as ALT+F6 (because ALT+F6 is broken on Windows 95)
ALT+SHIFT+F9 Test archives
ALT+F10 Opens a dialog box with the current directory tree
ALT+F11 Opens left current directory bar (breadcrumb bar)
ALT+F12 Opens right current directory bar (breadcrumb bar)
ALT+SHIFT+F11 Focus the button bar to use it with the keyboard
SHIFT+F1 Custom columns view menu
SHIFT+F2 Compare file lists
SHIFT+F3 List only file under cursor, when multiple files selected
SHIFT+F4 Create new text file and load into editor
SHIFT+F5 Copy files (with rename) in the same directory
SHIFT+CTRL+F5 Create shortcuts of the selected files
SHIFT+F6 Rename files in the same directory
SHIFT+F7 Create directory in target folder, using name under cursor as default
SHIFT+F8/DEL Delete directly / delete to recycle bin - according to configuration
SHIFT+F10 Show context menu
SHIFT+ESC Minimizes Total Commander to an icon
ALT+left/right Go to previous/next dir of already visited dirs
ALT+down Open history list of already visited dirs (like the history list in a WWW browser)
NUM + expand selection (configurable: just files or files and folders)
NUM - shrink selection
NUM * invert selection (also with shift, see link)
NUM / restore selection
SHIFT+NUM + Like NUM +, but files and folders if NUM + selects just files (and vice versa)
SHIFT+NUM - Always removes the selection just from files (NUM - from files and folders)
SHIFT+NUM * Like NUM *, but files and folders if NUM * inverts selection of just files (and vice versa)
CTRL+NUM + select all (configurable: just files or files and folders)
CTRL+SHIFT+NUM +
select all (files and folders if CTRL+NUM + selects only files)
CTRL+NUM - deselect all (always files and folders)
CTRL+SHIFT+NUM -
deselect all (always files, no folders)
ALT+NUM + select all files with the same extension
ALT+NUM - remove selection from files with the same extension
CTRL+PgUp
or Backspace Change to parent directory (cd ..)
CTRL+< Jump to the root directory (most European keyboards)
CTRL+\ Jump to the root directory (US keyboard)
CTRL+PgDn Open directory/archive (also self extracting .EXE archives)
CTRL+left/right Open directory/archive and display it in the target window. If the cursor is not on a directory name, or the other panel is active, then the current directory is displayed instead.
CTRL+F1 File display 'brief' (only file names)
CTRL+SHIFT+F1 Thumbnails view (preview pictures)
CTRL+F2 File display 'full' (all file details)
CTRL+SHIFT+F2 Comments view (new comments are created with Ctrl+Z)
CTRL+F3 Sort by name
CTRL+F4 Sort by extension
CTRL+F5 Sort by date/time
CTRL+F6 Sort by size
CTRL+F7 Unsorted
CTRL+F8 Display directory tree
CTRL+SHIFT+F8 Cycle through separate directory tree states: one tree, two trees, off
CTRL+F9 Print file under cursor using the associated program
CTRL+F10 Show all files
CTRL+F11 Show only programs
CTRL+F12 Show user defined files
TAB Switch between left and right file list
SHIFT+TAB Switch between current file list and separate tree (if enabled)
Letter Redirect to command line, cursor jumps to command line
INSERT Select file or directory.
SPACE Select file or directory (as INSERT). If SPACE is used on an unselected directory under the cursor, the contents in this directory are counted and the size is shown in the "full" view instead of the string <DIR>. This can be disabled through 'Configuration' - 'Options' - 'Operation' - 'Selection with Space'.
ENTER Change directory / run program / run associated program / execute command line if not empty. If the source directory shows the contents of an archive, further information on the packed file is given.
SHIFT+ENTER 1. Runs command line / program under cursor via Windows shell and leave the program's window open. Only works if NOCLOSE.EXE is in the Total Commander directory!
2. With ZIP files: use alternative choice of these (as chosen in Packer config): (Treat archives like directories <-> call associated program, i.e. winzip or quinzip)
3. In the list of last used dirs (History, Ctrl+D), open the directory on a new Tab.
ALT+SHIFT+ENTER
The contents of all directories in the current directory are counted. The sizes of the directories are then shown in the "full" view instead of the string <DIR>. Abort by holding down ESC key.
ALT+ENTER Show property sheet.
CTRL+A select all
CTRL+B Directory branch: Show contents of current dir and all subdirs in one list
CTRL+SHIFT+B Selected directory branch: Show selected files, and all in selected subdirs
CTRL+C Copy files to clipboard
CTRL+D Open directory hotlist ('bookmarks')
CTRL+F Connect to FTP server
CTRL+SHIFT+F Disconnect from FTP server, port connection, and some file system plugins
CTRL+I Switch to target directory
CTRL+L Calculate occupied space (of the selected files)
CTRL+M Multi-Rename-Tool
CTRL+SHIFT+M Change FTP transfer mode
CTRL+N New FTP connection (enter URL or host address)
CTRL+P Copy current path to command line
CTRL+Q Quick view panel instead of file window
CTRL+SHIFT+Q Separate quick view window (like Lister, but updates with cursor movement)
CTRL+R Reread source directory
CTRL+S Open Quick Filter dialog and activate filter (deactivate with ESC or CTRL+F10)
CTRL+SHIFT+S Open Quick Filter dialog and reactivate last-used filter
CTRL+T Open new folder tab and activate it
CTRL+SHIFT+T Open new folder tab, but do not activate it
CTRL+U Exchange directories
CTRL+SHIFT+U Exchange directories and tabs
CTRL+V Paste from clipboard to current dir.
CTRL+W Close currently active tab
CTRL+SHIFT+W Close all open tabs
CTRL+X Cut files to clipboard
CTRL+Z Edit file comment
CTRL+UP Open dir under cursor in new tab
CTRL+SHIFT+UP Open dir under cursor in other window (new tab)
CTRL+TAB Jump to next tab
CTRL+SHIFT+TAB
Jump to previous tab
ALTGR+Letter(s) or
CTRL+ALT+Letter(s)
Quick search for a file name (starting with specified letters) in the current directory
(Support hotkeys Ctrl+X, Ctrl+C, Ctrl+V and Ctrl+A; use Ctrl+S for search filter on/off)
Other keys: See command line


Menu: Files
Change attributes
Pack
Unpack specific files
Test archives
Compare by content
Associate with...
Internal Associations (Total Commander Only)...
Properties
Calculate occupied space...
Multi-rename tool...
Edit comment...
Print (submenu)
Split file
Combine files
Encode file (MIME,UUE,XXE)
Decode file (MIME,UUE,XXE,BinHex)
Create Checksum File(s) (CRC32, MD5, SHA1)...
Verify CRC checksums (from SFV files)
Quit


Menu: Mark
Menu entries to mark files
Compare directories
Mark newer, hide same


Menu: Commands
CD-tree
Search
Search in separate process
Volume label...
System information
Synchronize dirs
Directory hotlist
Go back
Open Command Prompt Window
Branch view (with subdirs)
Open desktop folder
Background transfer manager...
Source<->Target
Target=Source


Menu: Net
Network connections
Disconnect network drives
Share directory
Unshare directory
Show admin shares
FTP commands
PORT connection to other PC


Menu Show
Brief
Full
Comments
Custom columns
Custom view modes
Tree
Separate tree
Thumbnail view
Quick view
Vertical alignment
New Folder Tab
All files
Programs
*.*
Custom ...
Only selected files
Name
Extension
Time
Size
Unsorted
Reversed order
Reread source


Menu: Configuration
Options
Change Button Bar
Button Bar 2 (vertical)...
Change Settings Files Directly
Save Position
Save Settings


Menu: Start
You can place your favorite
applications in this menu . Start
them automatically with the file
under the cursor. See also
Dialog box "Change start menu"
You can also change the main
menu. See
Menu file layout (wcmd_*.mnu)


File operations
Selecting files
F2 reread source directory F3 list file contents
F4 Edit F5 Copy
SHIFT+F4 new text file


Working with archives (ZIP, ARJ, LZH, RAR, UC2)

Working with archives (ZIP, ARJ, LZH, RAR, UC2, CAB, ACE, 7Z)
Important note:
Most older packers do NOT support Win95/98 and WinNT long filenames! Exceptions are the internal ZIP packer built into Total Commander, Zip-NT (http://infozip.sourceforge.net/) and current versions of UC2, RAR, LHA and ACE. If possible always use the internal ZIP packer! Total Commander checks the created archive directly after packing to ensure that it isn't defective. This can be disabled by adding the line VerifyZip=0 to the section [Packer] in wincmd.ini.
What are archives?
Archives (packed files) are normal files with the extensions .ZIP, .ARJ, .LZH, .RAR, .UC2, .CAB, .ACE. Such files contain other files in a compressed form, which takes up less disk space than uncompressed files. To access these files, they have first to be uncompressed. Files with extension .TAR come from the UNIX world - they are usually packed into a GZIP file (ending with .GZ). They can now also be modified with Total Commander. The CAB archive format is used by Microsoft for installation programs. CAB archives can only be unpacked (not packed) by Total Commander. 7Z archives can only be unpacked unless a 7zip packer plugin is installed.
Self extracting archives
Total Commander also supports self extracting archives with EXE or COM extension. To open such an archive, place the cursor on the file and press CTRL+PgDn. To create a self extracting ZIP archive, rename a ZIP file to an EXE file. Total Commander will then ask if you want to create a self extracting ZIP archive.
New in TC 6.55 and later: The self-extracting module is now 32-bit. It still runs under Windows 3.1. However, Win32s has to be installed. The old self-extracting module (16 bit sfxhead.sfx) can be downloaded from our homepage.
How to produce archives?
To pack and unpack files, you need special pack programs like pkzip.exe, pkunzip.exe, arj.exe, lha.exe, rar.exe, uc.exe and ace.exe. Total Commander can act as a shell for these programs. Additionally Total Commander contains a PKzip-compatible internal packer, which supports nearly all functions of PKzip, even the creation of multi-volume ZIP files! The packer is based on Zlib by Jean-loup Gailly. The C source is freely available at the following ftp address on the Internet: ftp://ftp.uu.net/pub/archiving/zip
.CAB archives can only be unpacked, NOT created by Total Commander.
Additional packer plugins are available on our addons page on www.ghisler.com.
New in version 5.0: Internal .TAR, .GZ and .TGZ packer! .TGZ directly creates a .TAR file inside a .GZ file in one operation.
Using Total Commander as an archiver shell
Total Commander can work with packed files as if they were directories. This means that you can double click (or press ENTER) on such an archive, and Total Commander will show the contents of this file. All files packed into the archive are shown in a normal file window.
If a file was packed into the archive together with its path, the relevant directories are shown as normal directories. You can navigate in these directories as normal and unpack any files and even complete directories. If you want to know more about a packed file, just press ENTER to show details like full path, compression method and ratio.
Total Commander can now also open archives in archives! To unpack an archive to a temporary directory, just press ENTER on that archive. If the archive has an unusual extension, or is a self extracting archive, you must press CTRL+PgDn instead. When you leave the archive by switching to its parent directory, or by switching to a different drive, the archive will be automatically deleted from the temporary directory.
Packing / unpacking with Total Commander
Unpacking
Open the file to be unpacked in one of the file Windows (by double clicking on its filename). Change the path of the other file window to the destination where you want to put the files. In the source directory, choose the files you want to unpack. Press F5 (copy). This opens the dialog for unpacking files. To unpack all files, just press ALT+F9. Total Commander has built-in unpackers for ZIP, ARJ, LZH, .RAR, .TAR, .GZ, .CAB, .ACE and .7Z files.
Packing
Choose the files you want to pack. Then choose pack from the menu Files or press ALT+F5. A dialog will appear, where you can select options for packing the files. ENTER the desired file name for the archive you want to create. After you press ENTER, the files are packed to this file.
Important: In the dialog box you must specify the name of the packer (zip, arj, lha, rar, uc2 or ace) and a colon in front of the file name, e.g. zip:c:\test.zip, otherwise the files will be copied/moved normally!!!
If you have configured Total Commander to use the internal ZIP packer you can still use the external packer (PKzip or zip-nt): Instead of ZIP: place the string EXT: (for external) in front of the ZIP filename! You can also force the internal ZIP packer by specifying INT:.
Adding files to an existing archive
If you want to add files to an existing archive, proceed as follows: open the archive file in one file window. Select the files and directories you want to add in the other window. Press F5 to pack the selected files. This will again show the dialog for packing, pressing ENTER starts the appropriate packer. TGZ, GZ and CAB archives cannot be modified.
Pressing F6 will move (pack & delete) the selected files.
Restriction: You cannot add files to any subdirectory of an archive, except with the internal ZIP, TAR and TGZ packer, and with external RAR, UC2 and some packer plugins. However, you can add whole directories with all their files. You can choose whether you want to save the packed files including their paths, or simply the files alone. To add files to a subdirectory with the internal packer or with Uc2 you must separate the subdirectory with a forward slash / , not a backslash!
Example: zip:c:\test.zip/this\is\a\subdir
Deleting files from an archive
Open the archive you want to delete files from by double clicking on it. Select the files and/or directories you want to delete and press F8 to delete them.
List files from an archive
To show files with the built-in or external lister, just press F3. After a warning dialog box, the file is unpacked and then shown. After you close the lister, the temporary file is deleted though the original archive is not affected.
Edit files from an archive
To edit a file with the editor of your choice, just press F4. The file is then automatically unpacked and will be repacked into the archive if it was changed with the editor. Repacking will NOT work to TGZ, GZ and CAB archives! Instead, the modified file will not be deleted and remain in the temporary directory.
To edit a file with its associated program, press ENTER, then select Unpack and Execute. The file is then automatically unpacked. It can also be repacked if it was changed.


Local menus
Total Commander offers local menus (context menus) for several interface elements. All these menus can be opened through a right mouse click:
- In the file windows you can reach the local menus also by pressing SHIFT+F10. If the right mouse button is used to select files, you can reach the right click menu by holding down the button a bit longer (about 1 second).
With the commands Copy and Cut the selected files can be copied/moved through the clipboard. You can simply choose Paste in the context menu of the target path.
- On 64-bit Windows, an additional submenu "X64" is shown for files and directories. This menu allows to use 64-bit shell extensions from 32-bit Total Commander! In the 64-bit version, a submenu "X32" allows to use 32-bit shell extensions. You can configure which shell extensions should be shown there in case of problems with some extensions, or to speed up the loading of the X64/X32 submenu.
The FTP client also has a local menu, which allows to add specific files to a list for later download.
- The button bar also contains a local menu to edit or delete single buttons.
- You can get a local menu for the current path and directory by right clicking on the path name and the drive list/drive button, respectively. The F8 button has a local menu for Recycle bin.


Drag & Drop
Select some files, click on them with your left mouse button and hold it down. Move the mouse pointer to the other file window or to any other application which supports drag & drop. The mouse pointer will change its shape during this process:
A slashed circle means that the application under the pointer will not accept a Drop, or that the dragged files have the wrong extension.
An arrow with three little squares attached to it means that the application is ready to accept the files. If you now release the left mouse button the files are accepted by the application.
If the mouse points to a subdirectory or an archive (in Total Commander), a frame will appear around it. This means that the selected files will be moved/copied there if you release the left mouse button. If the whole target directory is full of directory entries, you can make a Drop to the target directory itself by releasing the files a little above or below the target directory.
The buttons View (F3), Edit (F4) and Delete (F8) can also be a target for Drag&Drop actions. The initiated actions are the same as if you just press the button(s) directly.
You can also drop files on the button bar. If you drag a file onto an icon, the corresponding program is started with this file (or the first marked file). If you drag a file on a blank space in the bar, or if you hold down the SHIFT key during the drop, the file will be inserted into the bar at this position.
If you have set Total Commander to left mouse button selection mode, you can use the right mouse to Drag&Drop too. In this case, you will get a menu when dropping the files which allows to choose between copy, move, and create shortcut. To use drag&drop when using the right button selection mode, you need to hold down Shift before starting the drag.
Examples for Drag&Drop:
- Drag the selected files from the root to the target directory. This will copy the files after confirmation by the user.
- Drag the files to a subdirectory to copy them there. You can also drop them on the drive combobox, drive buttons, or even the current directory bar (on the individual name parts, or on subdirs opening when hovering over them).
- Keep the ALT or SHIFT key depressed to move the files instead of copying them. This will be shown by a minus (-) sign in the drag cursor. New: hold down the right mouse button before releasing the left button, then release the left button first to move the files!
- Keep the CTRL and SHIFT key depressed to create shortcuts of the files instead of copying them. This will be shown by an arrow sign in the drag cursor..
- Drag the files to an archive to add them to this archive.
- When dragging files to a separate tree panel, you can press the space bar to expand/collapse a tree branch during the drag. Total Commander will automatically expand a branch if you remain over a not expaned directory for a moment. The mouse cursor will flash to signal this.
- You can drag a single file to a printer in the printers folder to print it. If the file is associated for printing with a program, this program will be loaded and the file is printed. The printers folder can be opened via the Windows Start menu (Settings - Printers).
- Some other programs like Paint, Write, Cardfile and a few Shareware programs also support Drag&Drop. Just try it out. (Caution with trashcans, they will delete your files!)
- You can drag a file to the task bar in Windows, but you cannot drop it there. Instead dragging files to the taskbar will bring the associated program to the front, so you can drop the files there.
- You can drop files on the Desktop, and even on Explorer folders. To create a link, hold down Ctrl+Shift.
- Drag a file to the command line to add its short (DOS) name to it. To add the long name, press Ctrl+Enter instead. Holding down Shift adds the name with full path.


FTP
Total Commander contains a built-in FTP client. With this client you can access up to 10 FTP servers at the same time over the Internet or a company Intranet. The FTP client not only allows uploading and downloading files, but also supports the direct transfer of files from one remote server to another. You operate the FTP client exactly the same as the file functions of Total Commander, i.e. with the functions copy (F5), rename (SHIFT+F6), delete (F8), Make directory (F7), and copy in the same directory (Shift+F5). F5 - F2 copies the file in background without affecting the "background" option. In this case, the files will be added to the last openend background transfer manager.
Hint: Total Commander only supports the most important server types, like Unix, Windows NT, VMS and PC/TCP, and partially OS9 and AS-400. If there is no directory listing shown after connecting, the server type is probably not supported. In this case you should use an external FTP client, e.g. WS_FTP or CuteFTP. You can also try to define a custom server type in FTP Connect - New connection (choosing 'Server type' - 'Define new type').
New: IPv6 internet addresses are now also supported, e.g. in the form [1234:56:789A:BC::DE]:21 (with 21 the port), and via name resolution. This has to be enabled in wcx_ftp.ini (PreferIPv6= option).
FTP Connect Opens a dialog box with a list of all saved connections. You can open a connection simply by double clicking on it. Shortcut key: CTRL+F
FTP New Connection In this dialog box you can enter either a server name, like ftp.microsoft.com, or a URL (ftp, ftps, ftpes, ftpis, http, https), e.g. ftp://ftp.microsoft.com/windows/
Shortcut key: CTRL+N
When you disconnect, you will have the option to save the current connection, so you can access it through 'FTP Connect' the next time you want to logon to that site.
If you enter a Web address, like http://www.someserver.com/somefile.htm, Total Commander will try to download the file with the http protocol used for the WEB.
New: To use FTP over SSL/TLS, enter the URL as follows: ftps://ftp.servername.com
Notes: You may install the openssl dlls from www.openssl.org, but it's no longer required. Certificates are now read automatically from the Windows certificate stores "ROOT", "CA", "MY" and "AuthRoot". Additional certificates for certificate vendors or directly for servers may be stored in wincmd.pem in the same directory as the file wincmd.ini.
FTP Disconnect Disconnects the current connection. Shortcut key: CTRL+SHIFT+F
FTP Show hidden files Total Commander will use the command "LIST -la" to request the file listing. This will list hidden files on Unix systems, which start with a period.
FTP Download from list
Downloads all files from a user-created list file to the given directory. The list file must contain a list of URLs to files or subdirs (like ftp://ftp.server.com/subdir/file.zip). It may also contain a relative or absolute destination name, separated by an arrow (ftp://ftp.server.com/subdir/file.zip -> c:\local\file.zip). You can add a file to the download list by right clicking on it during an ftp connection, and choosing 'add to download list'. This function also allows to download from WEB servers (http://www.server.com). The list must be saved either as ANSI (plain text) or UTF-8 (with byte order mark BOM at the beginning). If you enter only a list name with no path, it will be searched in the current directory.
Supported commands in the list:
ftp://ftp.server.com/subdir/file.zip download file to base path
ftp://ftp.server.com/subdir/file.zip -> c:\target\file.zip download file to custom destination
put:c:\source\file.zip -> ftp://ftp.server.com/subdir/file.zip upload file
copy:c:\source\file.zip -> c:\destination\file.zip copy file
c:\source\file.zip -> c:\destination\file.zip copy file
move:c:\source\file.zip -> c:\destination\file.zip move file
sleep: 1000 sleep the specified number of milliseconds
header: Referer: http://www.source.com send additional headers like a referer
copyflags: x set overwrite flags (see overwrite options in F5 dialog)
How do I
- Resume an aborted download?
To resume the download of a partially downloaded file, you must select the file on the server, then press F5 (with the partially downloaded file shown in the other window). After the normal download dialog box, you will be shown a dialog box which offers you to resume the download (or overwrite the partial file). Total Commander will first download the last few bytes of the partial file to check that the file hasn't changed in the meantime, then download the rest of the file. Unfortunately not all FTP servers support this function.
- Resume an aborted upload?
This is only supported for the 'binary' transfer mode (or automatic mode when uploading a binary file). Select the file on your harddisk, then press F5 (with the partially uploaded file shown in the other window). As with resuming downloads, not all servers support this function. Warning: There is no guarantee that the uploaded file will be correct, so double-check it on the server after the upload. With some versions of the server WarFTPd, the resume seems to work, but the uploaded file is unusable!
- Copy files from one FTP server to another server?
Simply connect to the two servers, so you see their file listings in the two file windows. Then select the file(s) to be copied, and press F5. Please note that remote copy is NOT supported by all servers, and it may also fail through a firewall. The left server will receive PORT commands, the right one PASV commands. Therefore if one server is in a private network or behind a firewall, and the other is public, put the private server in the LEFT window.
- Send commands directly to the FTP server?
Just type the command in the command line of Total Commander, and press ENTER. Make sure the active file window shows a current FTP connection! The following commands are intercepted by Total Commander, and executed directly: GET, PUT, RETR, STOR. You can use the command HELP to get a list of supported commands.
- Refresh a directory listing?
Since Total Commander keeps all directory listings downloaded in one session in a cache, you must force a reread of a directory by pressing F2 or CTRL+R to see the true contents of the server. This may be necessary if another user or a background thread uploaded a file to the server while you were online.
- Transfer files and still continue to work with Total Commander?
You can check the option in background in the dialog box 'download' or 'upload', respectively. Then a new window is opened for every file transfer.
Important: A new connection must be established to the FTP server for every background transfer. This connection may not be established in some cases, e.g. if the maximum number of users is reached. In this case you may download the file in foreground, and, start Total Commander a second time.
- Define the transfer mode for transferred files?
You can define the transfer mode in the FTP toolbar, which appears after a connection is made. The mode can be set to binary, text, and automatic. The shortcut is CTRL+SHIFT+M. In automatic mode, the actual transfer mode is determined by the file association. Please note: You cannot set the transfer mode when connecting via a HTTP proxy - the proxy itself defines the mode via MIME types.
- Connect to a server using OTP secure FTP authentication (MD4, MD5 or SHA1)?
Simply enter the plain text password, Total Commander will automatically send the correct response.


Direct cable connection through USB port

USB connection to other PC
The USB connection allows to transfer files between two computers over a special USB cable. This cable can be found in online shops under the name "Windows Easy Transfer Cable". It supports a transfer rate of up to 20 Megabytes/sec, depending on the speed of the PCs and virus scanners. The function cannot be used to create a network (you need network cards and network cabling for that) but instead it is a fast and simple way to copy, move, synchronize etc. data between two computers.
Important safety instructions - please read:
You need a special cable for the USB cable connection! This cable has a small device in the middle which forwards the data from one computer to the other! Normal USB cables will NOT work, and could damage the USB port(s) if you connect them to your computers!
Starting the USB connection
1. Start Total Commander on both machines. You only need 1 licence if you are the only user.
2. On both machines, select 'Net' - 'PORT connection to other PC'.
3. One machine will act as a server, and one as a client. You will be working on the client, while Total Commander cannot be used on the server during the connection. Therefore select 'Server' on one machine, and 'Client' on the other.
4. If your computer also has one or more parallel ports, Total Commander will ask for the port which you want to use. Choose the USB port.
5. The connection is now established. It works similar to an FTP connection, i.e. you can now upload, download, delete, rename, view, and edit files, but not execute programs. Furthermore, you can use 'Synchronize Dirs'.
6. Close the connection on the client (Disconnect, Ctrl+Shift+F) and server (Abort).
You can also start a port connection using a command in the button bar, start menu, or Ctrl+D menu (client only):
The command would be
cd port://usb/c:/subdir1/subdir2
Important: Subdirectories must be separated by forward slashes "/"! The reason is that Total Commander internally uses the FTP functions for the connection.
To start Total Commander automatically when the cable is plugged in, you can run the program TcUsbRun.exe (as administrator on Windows Vista/7). The small tool then registers itself for USB cable insert notifications, and allows to run Total Commander either as Client or as Server.
Only special cables will work!
This function will only work with cables sold as "Windows Easy Transfer Cable". It will not work with cables which promise an easy transfer without the need to install a driver! Such cables use proprietary, undocumented drivers which Total Commander cannot use. The Windows Easy Transfer Mode, for which the 'good' cables were originally created, is meant to migrate from Windows XP to Windows Vista or Windows 7. It uses a cable where Microsoft supports a fully documented and user-accessible driver (WinUSB).
See www.ghisler.com/cables for a list of supported USB transfer cables and a download link for the driver.
Supported Windows versions
The USB connection works with any combination Windows XP, Windows Vista, Windows 7, 8 and 8.1, both 32 bit and 64 bit (Note: The 32-bit winusb.dll file needed for 32-bit Total Commander isn't installed by default on XP64, see the above link for more information). You need to install a driver on XP, but Vista and later already include the driver and work directly. Unfortunately it's impossible to support older Windows versions because the Easy Transfer driver doesn't work on them.


Direct cable connection through parallel port

PORT connection to other PC through the parallel port
The PORT connection through the parallel port allows to transfer data between two computers in the same room over a special parallel cable. This cable can be found in most computer shops under the name "Interlink/Laplink parallel cable" or "parallel cable for direct cable connection". It allows a transfer rate of about 50-80kB/sec. The function therefore cannot be used as a network, but is meant to synchronize data between two machines (e.g. a desktop and a notebook). If both PCs use Windows XP or newer, you can use the much faster USB cable connection. Alternatively, you can use a pair of network cards for a permanent connection.
Important safety instructions - please read:
1. You need a special cable for the parallel port cable connection! This cable has crossed data lines! Normal parallel extension cables may damage the parallel port(s) if you connect them to your computers! You need a 4 bit (not 8 bit cable). See below for the connections.
2. Only connect the computers when they are turned off! Contrary to USB, the parallel port is not suited for hot-plugging!
3. There is always a danger of the destruction of the port by static electricity. Therefore please touch the PC case before connecting the cable. Avoid rubber soles on a carpet floor.
4. Only connect two parallel ports, not a parallel with a serial! The parallel port on the PC has 25 holes (not pins). The cable must have two plugs with 25 pins each.
5. You should not use the parallel port connection with other devices on the same line, like a dongle, ZIP drive (TM) or an external harddisk. Total Commander blocks all port access for the whole duration of the connection!
Starting the parallel port connection
1. Turn off both machines, connect them by parallel cable, and turn them back on.
2. Start Total Commander on both machines. You only need 1 licence if you are the only user.
3. On both machines, select 'Net' - 'PORT connection to other PC'.
4. One machine will act as a server, and one as a client. You will be working on the client, while Total Commander cannot be used on the server during the connection. Therefore select 'Server' on one machine, and 'Client' on the other.
5. If your computer has multiple parallel ports, Total Commander will ask for the port which you want to use. Choose the port to which the parallel cable is connected.
6. The connection is now established. It works similar to an FTP connection, i.e. you can now upload, download, delete, rename, view, and edit files, but not execute programs. Furthermore, you can use 'synchronize dirs'.
7. Close the connection on the client (Disconnect) and server (Abort).
You can also start a port connection using a command in the button bar, start menu, or Ctrl+D menu (client only):
The command would be
cd port://lpt1/c:/subdir1/subdir2
Important: Subdirectories must be separated by forward slashes "/"! The reason is that Total Commander internally uses the FTP functions for the connection.
If you want to transfer data from a Windows machine to a machine without Windows (only plain DOS), e.g. to copy a system, you can use the standalone server for DOS. You can find it on our homepage, www.ghisler.com, on the 'addons' page. Although this server runs on Windows 95/98 and Windows 3.1 in a DOS box, you shouldn't use it there because it accesses the port without any protection from other programs. Furthermore, it's slower and doesn't support long file names.
Usage of the drivers for the parallel port
Total Commander uses the driver cglpt9x.vxd for the parallel port connection under Windows 95/98/ME. It is loaded automatically when the connection is started, and removed at the end. Under Windows NT/2000/XP/Vista/7, the driver cglptnt.sys is used. On 64-bit Windows, cglpt64.sys is used. To load this driver dynamically, you need administrator privileges on that machine! If you don't have these, or want to work under a user account for security reasons (recommended), you can have the driver loaded automatically at system start. To achieve this, you or your administrator have to call Total Commander from an administrator account like this:
Totalcmd.exe /installdriver
To remove the driver, use the command
Totalcmd.exe /removedriver
This will only work on Windows NT based systems! The driver implements a so-called 'Parallel port class driver'. It was developed by us, and contains functions to block/unblock access to the parallel port, and functions to send individual characters and even whole blocks. It allows user mode programs to gain exclusive access to the parallel ports, but not to other ports.
Under Windows 3.1, Total Commander accesses the port without a driver. This means that other applications are not blocked from accessing the same port! Therefore don't try to print to that port during the connection, or to access devices on that port.
Troubleshooting
If the port connection fails, try the 'test' mode. To use it, select 'test' (instead of 'client' or 'server') on both sides! Total Commander will then send a test pattern over the parallel port, which can be used by the receiving end to detect if the cable is OK or not. Both ends need to report that the cable is good, because each end can only test its side!
You may get one of the following results:
1. Both sides say 'the cable is good', but the connection still fails. Solution: Your cable is probably too long or the shielding isn't good enough. You probably need a shorter or better cable. Cables up to 5-10 m/yards should be OK.
2. Error 'could not load driver'. Solution: Make sure you have the cglpt9x.vxd in the Total Commander directory (Win95/98/ME), or you have the cglptnt.sys/cglpt64.sys installed (Windows NT, 2000, XP, Vista or 7). Another possible reason: You have tried to create a shortcut to Totalcmd.exe on the desktop, but have copied the program instead! To fix this, delete the false shortcut and create a new one by right clicking on the desktop (new->link).
3. No reply at all. This can have several reasons: The wrong cable (not with crossed lines, but 1:1 connection), connected to wrong port, or non-standard ports. Solution: Make sure you have connected the cable to the correct ports (parallel, not serial), and you have chosen the right port number (LPTx). If this doesn't help, try a different cable!
4. Total Commander detects that data is received, but shows a receive error. Reason: Wrong cable (wrong lines are connected), or a pin may be broken. Total Commander will show which connections do not work.
Unfortunately we cannot offer any support for non-functioning parallel port connections.
The cable needs to have at least the following pins connected:
2 <----> 15
3 <----> 13
4 <----> 12
5 <----> 10
6 <----> 11
15 <----> 2
13 <----> 3
12 <----> 4
10 <----> 5
11 <----> 6
25 <----> 25 (Ground)


The internal file lister (F3)
The integrated file lister allows to view files of almost any size (now up to 2^63 bytes) in text, Unicode, HTML, binary or hex format, bitmap graphics (bmp, jpg, gif, png), multimedia files, and now also RTF files. It keeps only a small part of the file in memory (except for bitmaps), the rest is automatically loaded when scrolling through the text.
Note: WMF images have been disabled in Lister+Thumbnails for security reasons (security hole in Windows). They can be re-enabled via wincmd.ini [Configuration] WmfAllowed=3
If you open the viewer with multiple files, (see Configuration - Edit / View), you can switch from one file to the next/previous using the keys n (next) and p (previous file). Alternatively you can use Alt+Arrow Left and Alt+Arrow Right to switch through the files, or click on the << and >> menu bar items..
With Ctrl+A you can select the whole text. You can use the cursor keys and Home, End, PgUp and PgDn or SPACE (or the mouse) to scroll through the text. The text cursor can be turned on/off with F6. With the text cursor you can select text with Shift+Arrow keys, and copy with Ctrl+C to the clipboard. Ctrl+Arrow Left/Right jumps to the previous/next word. When the cursor is hidden, these keys will scroll the text sideways.
New: Touch screen support:
1. If no text is selected, you can scroll through the text by moving a finger across the screen.
2. The automatic scrolling function is activated by a fast vertical 'fling' movement. This can be stopped by touching the screen again.
3. When text is selected (e.g., by double-tapping a word), text can be marked with a finger. Remove the selection by tapping behind the text.
When showing Unicode (UTF-16 or UTF-8) Text, or plain text with Arabic or Hebrew encoding, you can switch to right-aligned text with Ctrl+Right Shift. Switch back to left-aligned text with Ctrl+Left Shift.
When you are viewing multimedia files or listening to sound, Lister will switch at the end of a file automatically to the next file (playlist function). You can open as many file viewers as you want (and your memory can hold). All file viewers are closed when Total Commander terminates. Press F2 to refresh the content of a file.
Description of lister's menu:


Multi-rename tool
Allows to rename all marked files with powerful rename options:
- Create a numbered file list
- Convert to upper-/lowercase
- Replace a string in the name with a different string
- Add current date/time to file name
- Keep only certain characters of the file name
The results are shown immediately in the result box below the rename options, before the files are renamed.
See Dialog Box - Multi-rename tool for details!


Frequently asked questions

Frequently asked questions (FAQ)
Hint: A more detailed version of the FAQ can be found on our homepage www.ghisler.com
Q: Where can I find the latest version of Total Commander?
A: You can find Total Commander on the Internet at www.ghisler.com .
Q: Why does it sometimes take very long to launch Total Commander?
A: This can happen when it tries to connect to an unavailable drive on the network, or to load icons from files that are on the network. With the free tool "process monitor" from www.sysinternals.com (now a part of Microsoft) you can find out what is going on while Total Commander is busy.
Q: From time to time we have a "General protection fault" in Total Commander. The screen looks funny, the mouse cursor freezes, etc. What can we do?
A: Often the bug isn't in Total Commander, but the display driver. This is a component of Windows supplied by the manufacturer of the display adapter card. First you should check if the same problems occur with the standard VGA driver. If not, you should ask your vendor for a new driver, or look on the Internet for an updated driver. Today, most manufacturers have their own homepage with the latest drivers available for download.
If you experience the same problems with the VGA card and no other programs are running when the error occurs, you should send me a bug report with the version of Total Commander and Windows you use, the exact error address and the name of the module where the error occurs.
Q: Total Commander cannot access files containing certain characters like ALT+255. What can I do?
A: DOS and Windows use different character sets, ASCII and ANSI. Certain characters contained in ASCII such as DOS line drawing characters do not exist in Windows! You must start a DOS box and rename the file by hand with RENAME. The same applies to UNICODE names on Windows NT.
Q: How do I keep Total Commander from re-reading the directories in the file windows each time I switch to Total Commander? With network drives this can take quite some time!
A: Go to menu Configuration - Options - Refresh, and enter the following behind "No refresh for these drives":
HIJ
Where HIJ are the slow network drives. The directory can always be re-read by pressing F2.
Q: How can I view the contents of self-extracting archives?
A: Put the cursor on the file, and press CTRL+PgDn. This works with normal and self-extracting archives as well as with directories.
Q: How can I quickly switch to an often used directory?
A: A button can be created in the button bar to take you directly to a specific directory, regardless of which drive or directory is currently selected. To do so, select the directory, press and hold down the SHIFT key, and drag the directory to the button bar. A new icon will appear. Clicking on this icon will change the drive (if required) and open the directory. Alternatively, you can create a menu entry in the directory menu, which can be reached with Ctrl+D, or by double clicking on the file window title.
Q: Is there a way to make Total Commander display the disk space used by all directories in the current directory individually?
A: Yes! Simply press ALT+SHIFT+ENTER on a directory. Instead of <DIR> the size of this directory and all its subdirectories will be shown! This will only work in full view (i.e. all file details are shown).
Q: How can I add a program to the button bar?
A: Simply press and hold down the SHIFT key, then drag the program to the desired position in the button bar.
Q: How can I delete or change a button in the button bar?
A: Click with the right mouse button on the bar and select 'Change' or 'Delete' from the popup menu.
Q: How can I view more file types in the internal viewer (F3)?
A: For that purpose, you can download Lister plugins from our homepage (under Addons - Plugins). The installation is very easy: Launch Total Commander, go to the directory with the downloaded plugin (ZIP or RAR file), and double click on the plugin archive. You will then be asked whether you want to install that plugin.
Q: Total Commander saves the last 20 command lines, but since I often enter passwords and other confidential information, I would like to disable this function.
A: This can be changed in the main Configuration dialog, page Operation. Existing old command lines can be removed from the dropdown list with Shift+Delete.
Q: Why does the selection around the current file disappear if I enter something in the command line?
A: Windows doesn't allow an active marker in two windows at the same time! You can get back into the file list by pressing the up or down arrow.
Q: How can I easily rename a file? The current name of the file should be given as the default!
A: Select the file and press SHIFT+F6. This opens the in place rename box. Press SHIFT+F6 again to select just the name part (without extension). To rename the file, enter the new name and press ENTER.
Q: After the execution of a DOS command such as DIR the window is closed so quickly that the output of the program is unreadable!
A: You can start the program with SHIFT+ENTER instead of ENTER. This leaves the window open after the program terminates. The command will be started via noclose.exe in the Totalcmd directory.
Q: How can I start Total Commander with a predefined directory, or even a ZIP file?
A: Total Commander now supports command line parameters to achieve this.
Q: Is there a way to have different settings for multiple users on the same machine?
A: You can use a command line parameter to use a different ini file for each user. Just create multiple Total Commander icons in the Windows start menu, with a different .ini file for each user!
Q: How can I suppress the splashscreen when starting Total Commander?
A: Put the following line in the file wincmd.ini below [Configuration]:
StartupScreen=0
Of course, this will only work in the registered version.
Q: How about a Linux version?
A: Unfortunately we had to cancel our plans to port Total Commander to Linux. There are already at least two good Commander-style tools for Linux:
mc (Midnight Commander) - a console mode Commander, very powerful
Krusader - currently the best X-Window based Commander
Q: When I connect to my company FTP server, I get an error that the server isn't supported. Why?
A: Unfortunately the file listing produced by FTP servers is not standardized. Therefore Total Commander can only support the most used servers. Currently it supports many styles Unix, DOS, Windows, OS/2, AS/400 and VMS servers. If your server isn't supported, you can still see the remote listing with Alt+Enter. You can also define your own server type, there is an option in the connection settings.
Q: How do I save or print a list of files?
A: You have two options:
1. Create a button with the command cm_copyfullnamestoclip . When you press it, all selected file names will be copied to the clipboard, from which you can paste them to any program.
2. Download the diskdir plugin from the Addons page on www.ghisler.com. It works like a packer, but creates a human-readable list of all selected files (with size and date/time), including subdirs.
Q: How do I remove (uninstall) the program?
A: Since version 4.50 the 32 bit version contains a program to remove Total Commander. You can reach it through Control Panel - Add/Remove software, or by going to the Total Commander directory and starting WCUNINST.EXE . If you have used the parallel port connection on Windows NT or 2000, you should run uninstall as an administrator, otherwise the parallel port driver cannot be removed.
Older versions can be removed by deleting the Total Commander directory completely (usually c:\totalcmd).
Q: Why doesn't Drag&Drop to the Windows Desktop work?
A: This happens when you start Total Commander with higher privileges ("As Administrator"). Windows then prevents communication with the desktop, which runs with normal rights, for security reasons. Go into the properties of the link that opens Total Commander (right click - properties). There you have to check in 2 places whether "as administrator" is enabled, and deactivate it if necessary:
1. Button "Advanced ..." - "Run as administrator"
2. "Compatibility" tab - "Run program as administrator"
None of the two options must be active!
Q: The symbols in the button bar look fuzzy and unclean.
A: Total Commander uses normal 32x32 or 16x16 icons in its button bar. To fit more icons on one line, Total Commander shrinks these icons. The size can be defined in the dialog Configuration - Button bar. If you don't like the fuzzy look, you can set the size to 32 or 16 to avoid shrinking the icons, use the 'small icons' option.
Q: Where can I find Zip-NT by Info-Zip to pack files with long filenames?
A: You can find Zip-NT at the following WWW address: http://infozip.sourceforge.net/. Unfortunately this version does NOT support high ASCII characters like German "Umlauts" and French or Scandinavian accents! You should use the internal ZIP packer which supports all this! You should only use ZIP-NT if you need special command line switches like zip file comments, freshen, or update.
Q: How can I sort directories by date/time?
A: By default, directories are sorted by name. However, it can be changed in Configuration - Options - Display - Like files (also by time). If you need to change this multiple times, you may create a button in the button bar with the command cm_SwitchDirSort .
Q: How can I sort files numerically, e.g. File9 before File10?
A: Go to menu Configuration - Options - Display. There is an option to set the sort method. Choose the last option:
Natural sorting: Alphabetical and numbers
Q: Suddently many hotkeys no longer work. What could be the cause?
A: This happens when another program has registered hotkeys system-wide. Often the culprit is the program "Geforce Experience" from NVIDIA. It registers dozens of hotkeys for itself, among which are very important hotkeys like Alt+F1 (left drive) or Alt+F5 (pack files)! But you can easily change or remove these hotkeys: Press Alt+Z, and then click on the cog wheel and on Keyboard shortcuts. Then click on a shortcut and press Delete to remove it, or a new hotkey to change it.
Q: Total Commander crashes when opening the right click context menu, or on Alt+Enter. What could be the problem?
A: The problem you have is most probably a faulty shell extension. Explanation: The context menu is provided by the Explorer, and many programs can add menu items to it. If just one of these programs has problems, it could hang or crash the entire menu. To correct it, please try the following:
1. Get the free tool ShellExView:
http://www.nirsoft.net/utils/shexview.html
2. Start it. If using Total Commander 32-bit, you need to get the 32-bit version, otherwise the 64-bit version of ShellExView. The 32-bit version needs to be called like this: shexview.exe /wow64
3. Sort the shell extensions by type
4. Disable all context menu shell extensions one by one (you can hide/keep those belonging to Windows, they are usually OK).
5. Continue until Total Commander stops crashing
6. Now you can re-enable the extensions which don't cause any problems


Plugins

Plugins and languages
Plugins are Total Commander extensions written by ourselves or by third parties. Plugins enhance the functionality of Total Commander. There are 4 fundamental types of plugins:
1. Packer plugins
These are used to unpack specific file types, usually archive formats. Some packer plugins also support the creation of new archives of the supported type, and to modify existing archives. Examples are:
A plugin to
- pack/unpack bzip2 archives, a format similar to the built-in gzip.
- create a list of files in the selected directories. Useful to create catalogs of whole disks
- create a batch file for all selected files, e.g. for repeated batch-copying
2. File system plugins
File system plugins are used via the Network Neighborhood. They usually access a certain part of your PC which cannot be accessed via drive letters, or some remote system. Examples are:
A plugin to access
- a Windows CE or PocketPC device attached to your PC
- remote Web servers via HTTP, to download a whole list of files
- a mail server
3. Lister plugins
Lister plugins display special file types in the built-in lister as well as in the quick view panel (Ctrl+Q). Examples are:
A plugin to display
- DBF databases
- PDF files (Adobe's portable document format)
- source code for C, Pascal, Java etc. with syntax highlighting
4. Content plugins
Content plugins have several purposes: Searching for specific file properties and contents, displaying of these properties in file lists, and using them in the multi-rename tool to add them to the file name. Examples are:
- mp3 id-tags (Artist, Title, Album etc)
- digital photo information from JPEG files in EXIF format (aperture, exposure time, was the flash used etc)
- file attributes like creation time, program version number etc.
5. Additional languages
Additional languages like Arabic, Traditional Chinese etc. are also available on our homepage. They can be installed like plugins via double click on the language ZIP file.
Where to find plugins?
Plugins approved by us can be found on our site www.ghisler.com under Addons - Plugins. New plugins are usually tested in our plugins forum, reachable via our homepage.
How to install a plugin?
Newer plugins can be installed automatically just by double clicking the plugin ZIP file. You will be asked where to put the plugin, and Total Commander does the rest.
In addition, each plugin contains a readme file with instructions. Usually plugins are installed like this: First, unpack the plugin to a directory, e.g. to c:\Totalcmd\Plugins . Then add the plugin to Total Commander:
- Go to Configuration - Options - Plugins and click on the button of the plugin type you want to install.
How to write your own plugin?
The plugins section on www.ghisler.com also contains a plugin writer's guide for each plugin type. There are also sample plugins with full source code, most written in C, some in Delphi.


Folder Tabs
Tabs allow to switch quickly between multiple directories, separately for the left and right panel. Settings like the sort order, brief/full details, and the selections are preserved.
Opening a new tab
There are many ways to open a new tab:
- Ctrl+T opens a new tab, keeping the current directory.
- Ctrl+Up arrow opens the folder or archive under the cursor in a new tab.
- Shift +Drive selection opens the drive in a new tab.
- Shift pressed when using the function "Directory Hotlist" (Ctrl+D) also opens the directory in a new tab.
- In the right click menu of a tab, you can duplicate the tab, or copy it to the opposite file panel.
- Doubleclick or Middle Click on the free space in the tab header opens a new tab.
- Drag multiple folders with the mouse to an empty space in the tab header. When you see a mouse cursor with a little arrow in the file symbol, the folders will be added as additional tabs! This way you can also copy or move to these tabs.
Switching between tabs
To switch between tabs, you can either click them with the mouse, or press Ctrl+Tab. Ctrl+Shift+Tab switches to the previous tab.
Icons on tabs
Total Commander can now show directory-specific icons on folder tabs. This can be configured via Configuration - Options - Folder tabs. By default, it will show icons for local drives, configured via folder properties (desktop.ini), virtual folders like the Desktop, file system plugins, ftp connections and from custom view modes.
Tabs context menu
Right clicking on the tabs will open a context menu with the following commands:
- Duplicate this tab Creates a new tab with the same directory as the current tab.
- Rename/lock tab Allows to rename the current tab, and lock it if necessary.
- Lock this tab Locks a tab. You cannot change dirs on locked tabs.
- Locked, but directory changes allowed Locks a tab. Reverts to the saved dir when switching to a different tab and back, or when clicking the root button, or when clicking on the tab header when the tab is already active. Useful e.g. to save the root of a project.
- Copy tab to other panel Create new tab in other panel with current dir.
- Save tabs to file Save tab locations, names etc. of current panel to a file.
- Save tabs on both sides to file Same command, but for both panels.
- Load tabs from file, keep current Load tabs (saved earlier) and append the tabs to the existing.
- Load tabs from file, replace tabs Load tabs, but replace all current tabs with the saved tabs.
- Close this tab Closes tab on which you right-clicked.
- Close all tabs Closes all tabs except for locked tabs. The current dir will be kept.
- Close duplicate tabs Closes all tabs pointing to identical dirs. Only one tab for each dir is kept.
- Recently closed tabs Only displayed if tabs have been closed since Total Commander was started. Allows reopening of these tabs via a submenu.
Other operations
The following operations are also supported:
- Close a tab: Ctrl+W, Click with the middle mouse button (or the wheel) on the tab, double click, ctrl+click, right click menu
- Rearrange tabs: Simply by drag&drop to the desired position, even on the other panel.
- Save tabs to file or load from file: via the right click menu. Useful e.g. for project-oriented working.
appendtabs tabfile.tab in the button bar appends the tabs saved in tabfile.tab.
opentabs tabfile.tab in the button bar replaces the current tabs with the tabs saved in tabfile.tab.
Note: To change the tabs in both windows, you need to combine two tab files by hand, and then rename one of the sections from [activetabs] to [inactivetabs] .
- Rename and/or lock tabs (via right click menu): Allows to create fixed tabs, which cannot be deleted so easily, e.g. for often used directories. When you try to change the directory in such a tab, a new tab will be created automatically!
- The behaviour of folder tabs can be configured via the main configuration dialog


Regular expressions
Regular expressions are a very powerful search tool. They allow to search for complex classes of words. Regular expressions are mainly meant for professionals, but can also be useful in the office for finding certain documents (see examples below).
Total Commander supports regular expressions in the following functions:
- Commands - Search (in file name and file contents)
- In Lister
- In the Multi-Rename tool
- In the selection dialog
Regular expressions consist of normal characters and special characters, so-called meta-characters. The following characters are meta-characters or initial parts of meta-characters:
. \ ( ) [ ] { } ^ $ + * ? (only in character classes: - )
Normal characters:
test finds the string "test" in the searched text. Note: This finds "test" ANYWHERE in a file name or on a line in text.
Escape sequences:
A backslash \ starts an Escape sequence. Examples for escape sequences:
\t Tabstop
\xnn Character with hexadecimal code nn. Example: \x20 is the space character. The character table charmap.exe (if installed) shows the character code of most special characters. You can use the Windows calculator in scientific mode to convert from decimal to hex.
\x{nnnn}
Unicode character with hexadecimal code nn. Note that Total Commander now uses Unicode for file names, so you need to use this notation for characters other than basic English.
\[ Left square bracket. Since the square brackets are meta-characters, they need to be written as \[ to search for them in the target string.
\\ Finds a backslash.
\. Finds a dot ("." alone finds any character, see below).
Character classes
Characters in square brackets build a character class. It will find exacly one character from this class. A dash allows to define groups, e.g. [a-z]. A ^ at the beginning finds all characters except for those listed.
Examples:
[aeiou] Finds exactly one of the listed vowels.
[^aeiou] Finds everything except for a vowel.
M[ae][iy]er Finds a Mr. Meier in all possible ways of writing: Mayer, Meyer, Maier, Meier. Very useful if you cannot remember the exact writing of a name.
Meta-characters
Here is a list of the most important meta-characters:
^ Line start
$ Line end
. Any character
\w a letter, digit or underscore _
\W the opposite of \w
\d a digit
\D no digit
\s a word separator (space, tab etc)
\S no word separator
\b finds a word boundary (combination of \s and \S)
\B the opposite of \b
Iterators
Iterators are used for a repetition of the character or expression to the left of the iterator.
* zero or more occurrences
+ one or more occurrences
{n} exactly n occurrences
{n,} at least n occurrences
{n,m} at least n and max. m occurrences
All these operators are "greedy", which means that they take as many characters as they can get. Putting a question mark ? after an operator makes it "non-greedy", i.e. it takes only as many characters as needed.
Example: "b+" applied to the target string "abbbbc" finds "bbbb", "b+?" finds just "b".
Alternatives
Alternatives are put in round brackets, and are separated by a vertical dash.
Example: (John|James|Peter) finds one of the names John, James or Peter.
Subexpressions for search+replace
Text parts in round brackets are taken as subexpressions. Up to 32 subexpressions are supported now.
Example: To swap the title and interpret in the file name of an mp3 file, when they are separated by a dash (Title - Interpret.mp3), use the following options:
Search for: (.*) - (.*)\.mp3
Replace by: $2 - $1.mp3
Here $1 means the text in the first round bracket, and $2 the text in the second round bracket.
New: In "Replace by", use parameters \U, \L, \F, \n to convert from this point on to uppercase, lowercase, first char in word uppercase, and back to unchanged, e.g.
Search for: (.*) - (.*)\.mp3
Replace by: \U$2 - \L$1.mp3
Backreferences
\n Finds subexpression n another time in the search result.
Example: (.+)\1+ finds e.g. abab (where the first ab is found by .+ and the second by \1+ )
Modifiers
Modifiers are used for changing behaviour of regular expressions.
(?i) Ignore Upper-/lowercase. In Total Commander, this is the default for file names.
(?-i) Case-sensitive matching.
(?g) Switches on "greedy" mode (active by default)
(?-g) Turns off "greedy" mode, so "+" means the same as "+?"
The other modificators are not relevant for Total Commander, because the program only supports searching within one line.
Total Commander uses the free Delphi library TRegExpr by Andrey V. Sorokin, which is now available at https://regex.sorokin.engineer.
Some of the above explanations are from the help file for this library.


Command line parameters
Total Commander can be called with one or two directories as command line parameters. This will set these directories in one or both of the file windows. This allows you to create multiple icons for Total Commander in progman or the start menu, which start Total Commander in different directories or even with packed files. Furthermore a different ini file than the default wincmd.ini can be specified to allow multiple users on the same machine to have different settings in Total Commander.
Syntax:
totalcmd.exe [/o] [/n] [Drive1:\Directory1 [Drive2:\Directory2]] [/i=name.ini] [/f=ftpname.ini]
or:
totalcmd.exe [/o] [/n] [/L=Drive1:\Directory1] [/R=Drive2:\Directory2] [/i=name.ini] [/f=ftpname.ini]
Parameters:
Drive:\Directory Loads the first directory passed to Total Commander into the left window, and the second into the right window. Directory names containing spaces must be put in double quotes! Always specify the full path name including the drive! To open a stored FTP connection, use FTPOPEN:stored_ftp_name as path. Also accepts shares in the form \\server\share\subdir or smb://server/share/subdir
Instead of a directory, you can also pass a .tab file to load the saved tabs (replacing the current tabs).
/O If Total Commander is already running, activate it and pass the path(s) in the command line to that instance (overrides the settings in the configuration dialog to have multiple windows)
/N Opens in any case a new Total Commander window (overrides the settings in the configuration dialog to allow only one copy of Total Commander at a time)
/L= Set path in left window
/R= Set path right window
/A When an archive file is passed as path, do not open it, but instead open the directory containing the archive and set the archive as the active file (place the text cursor on it)
/S Interprets the passed dirs as source/target instead of left/right (for usage with /O). For example, a dir passed with /R= will be interpreted as the target dir.
/S=C Start "Compare by content" without TC main window, e.g. totalcmd.exe /S=C c:\file1 d:\file2
/S=F Open "Find Files" dialog without TC main window, e.g. totalcmd.exe /S=F "c:\start path"
Accepts additional parameters separated by a colon, e.g. /S=F:S1Lname
S Sort results by: 1=name, 2=extension, 3=size, 4=date/time. Negative value for descending order
L<x> As LAST parameter: Load search with name <x>, e.g. "/S=F:Lmax 1 day old"
/S=L Start Lister directly, pass file name to it for viewing (requires full name including path). May include bookmark in html files, e.g. c:\test\test.html#bookmark
Accepts additional parameters separated by a colon, e.g. /S=L:AT1C1250
A ANSI/Windows text
S ASCII/DOS text
V Variable width text
T1..T8 View mode 1-8 (1: Text, 2: Binary, 3: Hex, 4: Multimedia, 5: HTML, 6: Unicode, 7: UTF-8, 8: Explorer Preview)
C<nr> Codepage, e.g. C1251 for Cyrillic
N Auto-detect, but no multimedia or plugins allowed
P<x> As LAST parameter: Choose plugin, e.g. /S=L:Piclview for iclview plugin (As shown in Lister title)
/S=P:PORT Start a parallel or USB port server for direct cable connection (Use LPT1 or USB as port names)
/S=S Start "Synchronize dirs" directly, accepts two paths as parameters, or alternatively a settings name in the form /S=S:SettingsName
If the parameter begins with an equal sign "=", e.g. /S=S:=SettingsName, the comparison will start immediately. If the equal sign is the only parameter, e.g. /S=S:= , the comparison will start with the passed directories and last used options.
/O=list_name Only combined with /S=S: Passes list file for function "Only selected (in main window)", e.g. /O=%F
/T Opens the passed dir(s) in new tab(s). Now also works when Total Commander hasn't been open yet.
/P= Sets the active panel at program start: /P=L left, /P=R right. Overrides wincmd.ini option ActiveRight=.
/i=name.ini Use a different INI file name.ini instead of wincmd.ini to save settings (see also: INI file description).
/F=ftpname.ini Use a different INI file name.ini instead of wcx_ftp.ini to save settings for built-in FTP client.
/d=<x> Delays the start of Total Commander by <x> seconds (meant for the startup folder, if there are problems with other programs, which start at the same time)
/INSTALLDRIVER (Windows NT-based systems) Install parallel port driver - only needed if you want to use the parallel port connection as a normal user and not as an administrator. Needs to be run as an administrator.
/INSTALLDRIVERQ Like /INSTALLDRIVER, but silent installation
/REMOVEDRIVER (Windows NT-based systems) Removes the driver installed with the switch /INSTALLDRIVER
/REMOVEDRIVERQ Like /REMOVEDRIVER, but silent removal
The switches are NOT case sensitive.
Examples:
totalcmd.exe c:\windows left window is loaded with c:\windows
totalcmd.exe d:\data c:\programs left: d:\data, right: c:\programs
totalcmd.exe /R=d:\data right window: d:\data
totalcmd.exe "d:\Letters to Mr. Smith" left: long name -> in double quotes!
totalcmd.exe /R="d:\Letters from Miller" right window loaded with long name
totalcmd.exe c:\data\backup.zip opens backup.zip in the left window
totalcmd.exe /I=Miller.ini /F=MFtp.ini use Miller.ini instead of wincmd.ini for all settings, and MFtp.ini for FTP
totalcmd.exe /O /L=c:\ /R="d:\doc" Activate already running Total Commander and set the left path to c:\, and the right path to d:\doc
totalcmd.exe /O /S /R=c:\somepath Open c:\somepath in the current TARGET panel of the running program. Explanation: /S causes Total Commander to read /L as source and /R as target directory instead of left and right.
totalcmd.exe /O /T /L=c:\somepath Open a new directory tab on the left side of the already running Total commander with c:\somepath in it.


Ini file Settings

Settings in the file wincmd.ini: Overview
Total Commander saves most of its settings in the file wincmd.ini. Many settings can also be changed from dialog boxes. Some settings can only be changed directly, either because they are not meant for most end users, or they are only a workaround to a specific problem. Settings for the FTP client are stored in the file wcx_ftp.ini.
Note: The location of the ini files can be seen in menu Help - About Total Commander. It can be changed during installation (stored in the registry), or using command line parameters. A standalone program (inireloc.exe) to change the ini location is available on www.ghisler.com, Addons section. Finally, if the file wincmd.ini is located in the Total Commander program directory, you can use the key UseIniInProgramDir (see part 1).
Part 1: Section [Configuration]
Part 2: All other sections
Using multiple ini files
There are two options which allow to redirect one or more section from wincmd.ini to other files, e.g. to make the main wincmd.ini read only. It's also possible to quickly delete volatile data like directory and command line history by putting them in a separate file, which can then be deleted regularly.
1. Global option in section [Configuration]:
AlternateUserIni=<somename.ini>
If present in section [Configuration], it will redirect storing of all user-changeable sections to an alternate ini file (in this example, somename.ini), except for the following sections: [Configuration], [Layout], [Packer], [Confirmation], [Extensions], [Associations], [Shortcuts], [ShortcutsWin], [PackerPlugins], [FileSystemPlugins], [ListerPlugins], [ContentPlugins].
2. All sections can be redirected individually:
In each section, an entry
RedirectSection=
can be added to change the default behaviour. It will allow to redirect (or not) this section to another ini file: Possible values: 0: no redirect even if the section would be redirected by AlternateUserIni
1: redirect to ini file defined via AlternateUserIni=<alternate ini file.ini>
<ininame.ini>: redirect to that specific ini
Note:
When RedirectSection is placed in the [Configuration] section, all variables of that section will be redirected, except for AlternateUserIni and UseIniInProgramDir, which will always be read from the main ini file.


wcx_ftp INI settings

Settings in the file wcx_ftp.ini
Please note: This file is used for the settings of the FTP client. Most settings can also be changed from dialog boxes. All other settings for Total Commander are stored in the file wincmd.ini.
[General] General settings
AESVerify Used to verify that the user has entered the correct AES master password for the password manager.
Allowhook=2 This option controls the keyboard input in the master password dialog:
0: Don't allow a keyboard hook to be set, show warning icon
1: Allow a keyboard hook to be set, show icon to indicate it
2: Allow a keyboard hook to be set, don't show icon to indicate it (default)
Explanation: Total Commander reads key presses via a system-wide keyboard hook and then clears the key, so simple keyloggers cannot read the keys with the same method. This can be disabled because some antivirus programs may complain about the hook.
Ascii=*.txt *.htm* File extensions of files which should be recognized as text files
AutoDisconnect=0 Defines what happens when the user tries to connect to another server in the same window, while another connection is active:
0: ask user (default)
1: disconnect previous
2: keep previous
AutoResume=30 Timeout in seconds until Total Commander tries to restore a hanging connection, and resume the file transfer. Set to -1 to disable.
ConnectRetries=10 Number of connection retries for anonymous connections
DecodePercent=0 1: Decode %hex values in username/password in URLs to characters, e.g. %73 -> s
DataConnectTimeout=10 Connection timeout for data connections (uploads/downloads): Time in seconds until server must react when requesting a transfer, in seconds. Maximum value: 300 seconds
E-Mail=xyz@server.com E-Mail address, which is used as the password for anonymous connections
ForceHTTP11=0 0: Use HTTP 1.0 for all transfers except for resumed downloads
1: Use HTTP 1.1 for all transfers
Downside of HTTP 1.1: Many servers then send dynamic pages (e.g. PHP) in "chunked" mode without reporting a total size. Therefore no progress bar is possible.
Advantage: The server can already start sending the dynamic page while still creating it.
FtpInBackground=0 If =1, FTP transfers will always be started in the background (separate connection)
FtpOpenIn=0 Open ftp connections by default in the:
0: Active panel
1: Left panel
2: Right panel
3: Inactive (target) panel
FtpShowHidden=0 1: Check the option "FTP show hidden files" at startup (1/0)
GetModeFromLocalFile=0 1: The extension of the local file determines whether the file is transferred in automatic mode as binary or text (default: extension of remote file name).
Httptimeout=30 Wait xx seconds for the response from the WEB server for HTTP downloads
KeepAliveTransfer=0 1: Send keepalive also during a transfer. This will send just newline characters to the control connection to avoid that a firewall/gateway drops the connection. Set also individually per server (the latter not working in BTM). Note that this will confuse some FTP servers, but it may be the last resort in case of frequent connection losses.
KeepMasterPassword=0 Allow to keep master password in memory when:
1: program is minimized
2: screen saver starts
3: both
LogFile=c:\Path\Log.txt Write a log file with the specified name
LogFile2=c:\Path\Log2.txt Write a log file with only the most important data (transferred files)
MDTM=3 Use MDTM command to set time stamp of uploaded files (currently only supported in SYNC function). It's a sum of:
1: Enable/disable function
2: Send timestamp in Universal time (GMT). Most servers expect that instead of local time.
MLSD=-1 -1: Use MLSD if the server reports to support it, otherwise LIST
0: Use LIST command for directory listings
1: Use MLSD command for directory listings
Note: This option can also be set separately for each server.
ModeZ= Enable/disable compressed transfers:
0 disabled
1 enabled for the Internet (not local network)
2 enabled also for local network (LAN)
PortFrom= Start port for port mode (active mode)
PortTo= End port for port mode
PortIP= External IPv4-address of this computer. Here you can put either a fixed IP address, a DNS name (e.g. DynDNS) or a URL with http:// at the beginning. In the last case, the web page has to return the IP address in text form.
PortIPEnabled=0 Turns the above IP address on/off.
PreferIPv6=-1 -1 prefer IPv4, use wsock32.dll (default, all other use wsock2_32.dll)
0 prefer IPv4 (normal Internet addresses)
1 prefer IPv6 for servers which support both IPv4 and IPv6
2 try IPv4 and IPv6 in the order the name server returns them
-2 IPv6 turned off completely, only try first IPv4 address
PreferOpenSSL=1 1: use OpenSSL DLLs if installed for HTTPS and FTPS connections, otherwise sChannel functions
0: use sChannel functions (Windows Crypto API) for secure connections, if possible
-1: use OpenSSL if installed, do not use sChannel otherwise
PreventFEAT=0 1: Do not send the FEAT (supported features) command to servers. Some proxies seem to hang when this command is being sent.
ReturnToReUploadDir=0 When editing a file with F4 and then saving it, the file is automatically uploaded back to the server. With this option, the current directory returns to the location of the file
SaveNewConnection=1 Ask whether a new connection created via Ctrl+N should be saved when disconnecting
SpecialFlags=0 Sum of the following options:
1: force implicit ssl (no clear text connection)
2: force explicit ssl
4: force TLS authentication
8: force SSL23 authentication
16: detailed log for ftp connections in background
32: Do not test whether files have been uploaded completely (with SIZE command)
64: Do not verify the downloaded file size (with SIZE command) if the downloaded size differs from the size reported in the file listing
128: Do not re-use sessions for SSL data connections (via SSL_copy_session_id)
256: Do not send commands from "Send commands" field in background thread
512: Send MLSD -la to request hidden files (not supported by most servers)
1024: Do not convert local address returned by PASV command to server address
2048: Duplicate all characters with code #255 for servers expecting Telnet-style escape characters
4096: Use MDTM command to set remote timestamp
8192: Use MFMT command
12288: Use SITE UTIME (sum of 4096 and 8192)
sslwarn=1 0: Turn off warning about invalid ssl certificates. TC will still show a red open locker icon
TcpKeepAlive=0 1: Use TCP keep alive for all connections: Useful for certain firewalls/router if the connection breaks very often.
TransferMode=I Transfer mode when starting Total Commander:
A=Text
I=Binary
X=Automatic
UploadBlockSize=1 Size of upload buffer. On fast networks, you may try larger sizes like 1492 or even 8192.
New: If set to 1, the block size is chosen automatically after uploading the first 128 kByte of a file
UserAgent= Set the user agent for HTTP connections.
Default: "Mozilla/4.0 (compatible; Totalcmd; Windows x)" with x the current Windows version
VerifyCerts=1 Control verification of certificates:
1: always enabled
0 always disabled,
-1 only when wincmd.pem exists
-2 like -1, but do not use Windows cert store (like TC 8.5x or older)
ViaLocalPC=0 1: When copying files from server to server, the data will be copied via local PC
WaitDelay=5 Wait delay between two connection retries (in seconds)
WarnWrongMode=1 1: Warns when binary files are uploaded/downloaded in text mode
0: No warning (as with Total Commander 3.5x)
ZlibRatioBin=3 0..9: zip library compression ratio for uploads. 0=none, 1=fastest, 9=strongest
ZlibRatioTxt=3 0..9: same as zlibratiobin, but for text files. You may want to set a higher value here, because text files usually compress better. Attention: The Cisco PIX firewall dislikes strength 1, and aborts the upload!
[CertAlias] Stores server aliases when the user chooses to trust an ftps (ftp over ssl) server by clicking on the open locker icon
server.com=hostcompany.com Example: User connects to server.com, but the server certificate belongs to hostcompany.com
[default]
pasvmode=0 1: Always use passive mode for new connections
0: Always use active mode
PreserveDates=0 Preserve file date/time on downloads
PreserveDatesUpload=0 Preserve file date/time on uploads (if the server supports it)
LowercaseUpload=0 1: Convert filenames to lowercase during upload
0: Upload filenames as they are on disk
[firewall] Settings for firewall or proxy server
host=localhost:80 Name and port number of the firewall
password= Password (not necessary for all firewalls)
username= User name (not necessary for all firewalls)
Method=1 Firewall method (order as in the firewall dialog box)
default=1 1: Always use Firewall for new connections
0: Do not use firewall for new connections
This option is changed automatically every time a connection is saved.
httphost= These 3 options are for http transfers
Name and port number of the firewall
httpuser= User name (http)
httppass= Password (http)
[connections] List of the configured connections shown in the Connect dialog
1=Site1
2=Site2
default= Name (not number!) of the last used connection
[OldConnections] List of connections made earlier in the dialog New Connection
0=ftp://ftp.anysite.com/pub/subdir/
1=user@ftp.anyprovider.com
[Site1] Connection details of one of the connections under [connections]
anonymous=1 1: Anonymous connection, 0: Connection with password
directory=/pub/subdir Directory on the server, which is set after connecting
localdir=c:\local Directory on the local machine, which is set after connecting
Encoding=-1 Encoding of file names: -1=auto-detect, otherwise codepage as used in MultiByteToWideChar
0=default ANSI, 1=default ASCII, 65001=UTF-8 etc.
firewall=1 1: Use the server configured under section [Firewall] as a firewall/proxy
host=ftp.site1.com:2121 Name of the server, if necessary the port (separated by a colon)
password=00000000000000 Password, disguised (scrambled, NOT encrypted, it's impossible by principle!)
acct=00000000000000 Account password, must be set manually by copying from a password line
pasvmode=0 0: Uses active mode (PORT command)
1: Uses passive mode (PASV command) - useful for certain firewalls
username=test Username for the server
hosttype= User-defined host type (name)
InitCommands= Commands sent to server just after logging in
keepalive= Keep alive repeat time in seconds, followed by keepalive command, e.g. 90,NOOP
MLSD=-1 -1: Use MLSD if the server reports to support it, otherwise LIST
0: Use LIST command for directory listings
1: Use MLSD command for directory listings
CacheDirs=1 0: Re-read directory every time it is visited
1: Keep content of visited dirs in cache
ClientCert= Serial number of the certificate from the Windows certificate store, followed by a colon and the SHA1 checksum of the certificate (first half)
SpecialFlags=0 See section [General]. The options per site take precedence
[ServerType1] User-defined server type
Template1= Server definitions, see Define server type
Template2=
[TimeZone]
Site1= Saves the time zone difference separately per site (for synchronize dirs)
[|empty_folders|] Saves the names of all empty folders in the FTP connection dialog
[|FSPlugin|PluginName] Saves encrypted passwords from file system plugin "PluginName". Allows to change the master password.


Main menu file layout

Menu file layout:
A menu file is a normal text file which describes the main menu. If you want to change the main menu by hand, you should save it with a different name, otherwise it will be overwritten with your next update!!!
- Every submenu starts with the command POPUP, followed by the title of the submenu in double quotation marks ("). Popup Menus can have submenus themselves. In the title, a letter with a & in front of it will be underlined and can be jumped at with ALT+Letter. Example for a popup menu:
POPUP "&Files"
- A menu item is defined as follows: After the command MENUITEM follows the text of the item in double quotation marks, then a comma, and finally the identifier for the menu command. A list with all identifiers can be found in totalcmd.inc. Total Commander uses this file to translate identifiers to numbers. You should open this file with notepad and print if you plan to change the main menu. In the menu item text, the characters \t will be converted to a tabstop. Example for a menu item:
MENUITEM "&Pack...\tALT+F5", cm_PackFiles
- With the command MENUITEM SEPARATOR you can add a horizontal line.
- Every POPUP menu ends with the command END_POPUP. Example:
POPUP "&Files"
MENUITEM "&Change attributes...", cm_SetAttrib
MENUITEM "&Pack...\tALT+F5", cm_PackFiles
MENUITEM SEPARATOR
POPUP "&More commands"
MENUITEM "&Associate...", cm_associate
MENUITEM "&Calculate occupied space...", cm_GetFileSpace
END_POPUP
END_POPUP
Special commands:
- With the command STARTMENU you insert the menu Starter at the actual position in the main menu bar.
- With the command HELP_BREAK you insert a break in the main menu. After that break, all menus will be right adjusted. Note: STARTMENU cannot follow directly after HELP_BREAK!
Identifiers:
All identifiers start with the letters cm_ (abbr. for command). Identifiers which start with cm_src act upon the source directory. Identifiers with cm_left act on the left, with cm_right on the right directory window.
Only identifiers which are in totalcmd.inc can be used! You can also directly specify the numbers given in totalcmd.inc. However, the file totalcmd.inc must be present at runtime if you want to use an external menu.


Credits
Many thanks go to the translators of the foreign language versions (those translations not included in the ZIP file can be found on our homepage www.ghisler.com):
Afrikaans: Henko TerBlanche, Dawie Snyman, Johann Tonsing
Albanian: Arben Çokaj
Arabic: Maged Abbas Mohamed
Belarussian: Igor Gerasimovich
Bosnian: Ivan Stambolic
Bulgarian: Stoyan Terziiski, Andrew Damianov, Mitko Bakalov
Catalan: Ramon Martí, Nica Mlg
Chinese TW: Lo Yih-huang
Chinese GB: Ge Yongjia, previously Gao Dahua
Chinese help: Lu Dajun
Croatian: Krunoslav Gernhard, Tomislav Kulis, Vlatko Kiefer
Czech: Dan Rozkol, David Hanousek, Radek Vondracek, Czech help team
Czech help: Ivan Mikulcak & Martin Ruzicka
Danish: Rikard Warnsdorf, Peter H. S. Madsen
Dutch: Johan Camps with help from the Dutch help team, Ronald Vogelaar
Dutch help: Rein de Jong, Johan Camps, Folkert Vos, Kees Weijsenfeld
Esperanto: Klaus Schlüter
Estonian: Tõnu Virma
Finnish: Tomi Kuusisto, Harri Vuorinen
French Claude Charries and myself
Galician: Andrés León Prieto
Greek: Papazoglou Panagiotis, John Polygiannakis
Hebrew: Yaniv_IL, dgi_il
Hungarian: Ambrits Tamas
Icelandic: Sigurður Marísson
Indonesian: Juandi Rauwiyanto
Italian: Roberto Boriotti, Stefano Bagnara, Sergio Gregorio, originally by Giovanni Zanetti
Japanese: Takeo Noguchi
Koelsch: Michael Thiergart
Korean: sheppaul, Kim Kyung Deok, Seo Jeong Young, David Lee
Latvian: --- DPL ---
Lithuanian: Viktoras.Dagys, Gintautas Grigas
Luxembourgish: Jean-Claude Berens
Macedonian Vasil F. Bacovski
Malayan: Nurlaili Legimin
Norwegian: Rune Flaten, Steinar Hagen, Lars Storaas Tylden
Plattdüütsch: Gunnar Kempke
Polish: Jacek Duda
Polish Help: Lukasz Jakubowski
Portuguese BR: P.buarque, Carlos Seabra
Portuguese PT: Antonio Jose Soares de Oliveira Rodrigues
Romanian: Fehér Attila
Russian: Mikhail Zhilin, Andrew Manjov
Russian: (full package with help) Konstantin Vlasov, Vadim Kazakov
Serbian: Zoran Pjevic, Srdjan Obucina
Slovak: Juraj Matel, Jozef Stefanka, Peter Absolon
Slovene: Milan Korbar
Spanish: Nica Mlg, Federico Colás, Carlos V. Gutierrez F., Pedro M. Prestel
Spanish: (South America) Alejandro Muñoz Uribe
Spanish Help: D. Schubert
Swedish: Ivar Edlund, Leif Larsson
Thai Gampol Thitinilnithi, Samarn Sumrith, Pat Boens
Turkish: Sadi Yumusak, Atif Unaldi, Emre Ozpinar
Ukrainian: Andrii Zimich, Igor Bondar
Uzbek: Sherzod Mamatkulov
Valencia: David Peiro
Vietnamese Luong Minh Duc, Nguyen Van Binh
English, German Myself :-)
Many thanks also to Austin Basso and James Morris for correcting the English help file and to Claude Charries, Thierry Charles and Thomas Zehnder for helping to create/correct the French version.
I also would like to thank the more than 180 beta testers, who spent a lot of time to find bugs in new versions of Total Commander before it is released.


What is Info-ZIP?
Info-ZIP is a group of C programmers, with the goal of offering a free ZIP packer and unpacker on as many platforms as possible. With their permission, we translated parts of their code to Turbo Pascal and integrated it into Total Commander. The condition was that we did not charge additional fees for their code and that the source code is free (see below).
The Chief contributor to the unzipping code was Mark Adler. Special thanks go to him for making it available for free!
If you can access the Internet, you can get the original c code in
http://infozip.sourceforge.net/
or on some simtel.net mirrors. Our code will be available in the future on some Internet hosts (look for info-unz.dll).
The ZIP packer uses the ZLIB library by Jean-loup Gailly of info-zip. I didn't convert it to pascal, but put it in the DLL wcmzip16.dll / wcmzip32.dll. ZLIB is available at the same site on the Internet.
Free unzip source code in Turbo Pascal
If you are a Turbo Pascal programmer, you can get the source code to my unzipping unit free by proceeding as follows:
Send us a request by E-mail to the address on www.ghisler.com (support section), and we will send you the unzip sources as an attachment.
This offer is completely independent of Total Commander. There is absolutely no obligation to buy!


About Total Commander
Total Commander, Copyright © 1993-2020 by Christian Ghisler
All rights reserved, especially copying of the registered version,
translation to foreign languages and the decompilation.
This program is Shareware, please register it to allow
further development of the program.


Button bar

The Button bar
With the button bar you can call menu commands, external programs and even other button bars. If you leave the mouse cursor on a button for a moment, a small window with a description will appear.
You can easily add buttons to the button bar using Drag&Drop (with pressed SHIFT key). By pressing the right mouse button, you can open a local menu, which allows to change or delete buttons. For further changes in the button bar you should use the Dialog box to change the whole button bar.
You can also access the button bar with the keyboard now: Press Alt+Shift+F11 (or define a hotkey for cm_FocusButtonBar) and then use the cursor keys and Enter or Escape to navigate.
New in TC9: There is now also a vertical button bar. It can be configured in the same way as the horizontal bar. To remove it, you can right click between or below the icons and choose "Hide button bar". You can get it back by right clicking on the panel separator and choose "Change vertical button bar".
If no location is set for the default button bar file default.bar, it will be taken from the program directory. If the file isn't writable in the program directory, it will be copied to the location of the wincmd.ini file and used from there. This can be prevented with the following lines within the default.bar file:
[options]
redirect=0


Function key bar
By pressing one of these buttons or by pressing one of the Function keys F1 to F8 you can activate the corresponding function. For the functions Help (F1) and Reread directory (F2) there are no buttons to avoid overcrowding the window. The F3, F4 and F8 buttons also work as targets for Drag&Drop.
You can right click on the F8 button to open the Recycle Bin.


Command line
All letters you type are redirected to the command line. By pressing ENTER you can execute the command line. Supports environment variables. Old command lines are saved in a history list. By pressing CTRL+Cursor down you can open this history list. Choose an entry using the cursor keys up or down, then press the left or right cursor key to close the history list. You can press Shift+Del to remove a no longer wanted item from the history list.
In Configuration - Options - Misc., you can define alias commands to start often used programs and internal commands, e.g. np to open notepad.exe.
The "cd" command is handled internally to change the current directory in the active panel. If you give the name of a file, TC will place the cursor on that file. Paths in the following formats are supported:
c:\Windows
\\server\share\directory
file:///c|/Windows
file:///c:/Windows
file://localhost/c|/Windows
file://localhost/c:/Windows
file://server/share/directory
file://c:/Program%20Files
If the command line is turned off, it will be enabled automatically when typing in some characters.
The maximum length of the command line is limited to 2047 characters on Windows 2000, and 8191 characters on Windows XP (the maximum supported by these operating systems).
For a list of all function keys see Command line: keys


Current directory
The current directory is shown directly above the file window. If you move inside a packed file, this file and all subdirectories in this file are also shown here.
Hovering with the mouse over the path will underline the directory under the cursor, and show a button with a triangle below it (except when holding down the CTRL key). Clicking on the underlined directory will directly jump to that directory. Clicking on the button below the underlined directory will open a list of subdirectories of that directory. This allows to jump quickly to a certain subdir. In that list you can move the mouse cursor to the right to open the subdirectories of the directory under the cursor. A small triangle will show you whether there is a subdir or not:
- no triangle: The directory has no subdirectory, or none is currently accessible
- filled triangle: There are directories which can be listed
- hollow triangle: Total Commander didn't determine whether there are subdirs or not, e.g. for virtual folders
The directory bar can also be used with the keyboard:
- Alt+F11 / Alt+F12 brings the cursor to the list
- The arrow left/right keys or Tab can be used to jump through the path elements
- Enter or arrow down allows to open a directory or drop down the list of directories
- Escape closes a subdirectory list, or allows to leave the directory bar
A single click outside of the path area makes this field editable, so you can copy the current path to the clipboard, or paste a different path. ENTER will switch to the new path. The edit box will stay open if the new path cannot be accessed. The edit box now also supports auto-complete - it suggests directory names matching the already typed path. Choosing an entry from auto-complete will not close the edit box immediately, you will have to press ENTER again.
A double click on this line opens the directory hotlist, which allows to quickly change to often used directories. A right click opens the context menu for the current directory, and a slow right click (one second) opens the history of already visited directories.
When displaying the content of an archive, you can now change the encoding of the file names if necessary, e.g. when receiving a ZIP from someone with different language encoding like Cyrillic. Right click on [auto] and choose an encoding.


Drive selection box

The drive selection box
By pressing the down arrow with the mouse (or pressing ALT+F1/ALT+F2), a list box opens with the available drives. The volume labels or the server/net directory names for network drives are shown to the right of the drive letters. If the network drive isn't connected yet, an (X) is shown in front of the network path. For speed reasons, the names of the floppy disks aren't shown. You can change the delay after which this list is shown by setting 'DriveTipDelay' in wincmd.ini (default is 0=immediagely).
This list now also shows "My Computer" and and a link to the "My documents" directory. The former is needed to access devices without a drive letter, like newer Android phones and tablets.
New in TC9: Show up to 3 external devices without a drive letter (e.g. smartphones).
In terminal server environments or Windows XP-mode on Windows 7, the drive letters of the host computer are shown followed by a backslash (e.g. c\).
Just click on the desired drive or press the drive letter to open the drive. If a drive letter is listed twice (one local and one from the host), you need to hold down the Ctrl key and press the drive letter to choose the host drive with the keyboard.
You can right click on the drive to get a context menu, which allows you to format or copy disks, share the whole disk over a network, show the context menu, etc. New: The right click also works directly in the dropdown part, without the need to switch to the drive first.
If you have multiple removable disk drives or CD-ROM drives, you can give them individual names, by modifying the file wincmd.ini. Create a new section with the title [DriveHints], and add one line per drive, like this:
[DriveHints]
E=ZIP drive
F=MO drive
G=CD Burner
H=CD-ROM


Drive buttons
Drive buttons allow a quick drive change simply by clicking with the mouse on a button. This drive button bar isn't on by default. If you want to use it, you can activate it in Configuration - Options. You can also right click on a drive button to get a context menu. With this menu you can then copy or format disks, or show the properties dialog.
There are three types of drive buttons:
- normal drives, displayed as drive letters with icons for the drive type
- the Network Neigborhood, displayed as a backslash near a network icon
- FTP connections, shown as numbers 0..9 near a network icon.
New: you can now show a separate drive button bar for each file window.
If you have multiple removable disk drives or CD-ROM drives, you can give them individual names, by modifying the file wincmd.ini. Create a new section with the title [DriveHints], and add one line per drive, like this:
[DriveHints]
E=ZIP drive
F=MO drive
G=CD Burner
H=CD-ROM


File window
In the file windows there are shown (if full is selected in the Show menu) the file names, size, date and time of last change and the file attributes (r=read only, a=archive, h=hidden, s=system, c=NTFS compressed, e=NTFS encrypted) in the current directory. Alternatively (Option brief) you can also show only the file names (in multiple columns). Folders are shown as <DIR>, while symbolic links on NTFS drives are shown as <LNK>. Marked files are shown in red (can be changed in Configuration-Colors). The current file is surrounded by a fine rectangle. If the corresponding option is selected, there are icons shown to the left of the file names. The icons show the file type (directory, archive) and all associations.


File mask
This determines how files are renamed while being copied. For example, you can specify *.new, to change the extension of all copied files to new. If no mask it given, *.* is taken, which means that the file keeps its original name.


Free memory

Free and total disk space
In brackets, the volume label is shown. Behind it, the free and total disk space on the current volume are shown in kilobytes (1024 bytes).


Directory Hotlist and History
The * button opens the directory hotlist, to which you can add often used directories. The arrow down button opens a list of recently visited directories.


Number of selected files
Below the file window the amount of disk space of the selected files is shown. Behind this, the disk space occupied by ALL files in the file window is shown. The number of marked and the total number of files are also shown.


Menu bar

The menu bar
The menu bar can now be changed by the user! Just select Change main menu from the start menu.
With the menus Show (or Left and Right in old style menu) you can set some options for the current file window, such as the sort order or the type of the displayed files. In the menu Files you find some additional file commands. In the menu Commands you can start further actions which cannot reached with the function keys, such as starting DOS or finding files. The menu Net contains commands for the local area network and the Internet (FTP). The menu Configuration allows to configure Total Commander to your needs.
You can place any commands in the menu Start. It is possible to pass the file under the cursor as the actual parameter.
Finally, the menu Help allows starting the on-line help and an about box.


Change to root/parent directory
Pressing the left button switches to the root directory of the current volume. The right button changes to the parent directory.


Source directory
The two list boxes in Total Commander each show the contents of a directory. The one surrounded by a frame holds the source directory. This list box reacts to keyboard input like the cursor keys or the ENTER key.


Tabstop header
The tabstop header allows sorting of the file list by name, extension, size, and date by clicking on the appropriate header. Clicking a second time on the same header reverses the order. A small arrow to the left of the header text shows the sort direction. New: When you Ctrl+Click or Shift+Click on a header, it is defined as an additional sort order. If the first column results in equal items, the second column will be used, then the third etc. When you click on a header which is already used for sorting, the result depends on the modifier key: With Shift, the sort order of that header is removed. With Ctrl, the sort direction is reversed.
Example: Click on Size, then Shift+Click on Date. Files will be sorted by size, and those with equal size will be sorted by date.
The tabstop header also allows to move the tabstop positions of the file list. You must select Configuration - Save position to save the tabstop positions after changing them.
Right clicking on the header allows to choose a different view (e.g. brief, full), including user-defined custom columns views. If a file system plugin supports its own custom column views, you can choose them here too.


Target directory
This is the directory to which files are copied/moved. The directory will be created automatically if it doesn't exist yet. .. or \ are also accepted as the target directory, and relate to the source directory. If no target is specified, the source directory is assumed.


Additional licences
Additional licences allow an institution, company or school to install the program on multiple computers or on a server. All licences are issued to the same (company) name, which appears in the program's title bar. It must be guaranteed that the program does not run on more machines at the same time than there are licences purchased.
All licences are issued to the same (company) name, which appears in the program's title bar. You will receive one CD and one quick reference card.
Examples for calculating additional licences:
Licence for 5 users: 40.-+4x20.- = CHF 120.-
Licence for 10 users: 40.-+9x20.- = CHF 220.-
Licence for 15 users: 40.-+9x20.-+5x15.- = CHF 295.-
Licence for 25 users: 40.-+9x20.-+15x15.- = CHF 445.-
Licence for 50 users: 40.-+9x20.-+15x15.-+25x12.- = CHF 745.-
Licence for 100 users: 40.-+9x20.-+15x15.-+75x12.- = CHF 1345.-
Licence for 250 users: 40.-+9x20.-+15x15.-+75x12.-+150x8.- = CHF 2545.-
For larger amounts than 1000 please contact us by E-Mail via www.ghisler.com/sales.htm
Order of additional licences to an already existing licence:
An existing licence can always be extended by additional licences. Such additional licences cost the difference between old and new licence, plus 5 Swiss Francs for shipping and handling. Minimum amount for additional licences (repeat order): CHF 40.
Important: Please provide your original registration number - you can find it on the original disk, the registration letter, or in the about box of Total Commander.
Example: Licence extension from a 5 user licence to a 30 user licence:
5x20.- + 15x15.- + 5x12.- + 5.- (s&h) = CHF 390.-
For questions, please ask by E-Mail via www.ghisler.com/sales.htm . At your request, we can send you a special order form for additional licences by e-mail.


Registration address (Author)

Our internet address is:
www.ghisler.com


Dutch registration address

Distribution site for Belgium and the Netherlands:
CopyCats Software & Services
Mahatma Gandhihof 27 Phone: +31 (0)72 5745993
1703 WX Heerhugowaard e-mail: info@copycats.nl
Nederland Handelsreg.KvK: 37064222
Dutch order form available here: http://www.ghisler.com/resellers.htm


Address South Africa

SP IT Solutions cc
P.O. Box 40813
Garsfontein East
0060


AES encryption information
The code used for encryption/decryption of ZIP files with the AES standard was created by Dr Brian Gladman. It can be downloaded from the internet at the following address:
http://www.gladman.me.uk/cryptography_technology/fileencrypt/
It's the same code used by WinZIP, which has received FIPS-197 certification from the U.S. government. Please note that Total Commander does NOT have such certification.
Copyright
Copyright (c) 2002, Dr Brian Gladman < >, Worcester, UK. All rights reserved.
LICENSE TERMS
The free distribution and use of this software in both source and binary form is allowed (with or without changes) provided that:
1. distributions of this source code include the above copyright notice, this list of conditions and the following disclaimer;
2. distributions in binary form include the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other associated materials;
3. the copyright holder's name is not used to endorse products built using this software without specific written permission.
ALTERNATIVELY, provided that this notice is retained in full, this product may be distributed under the terms of the GNU General Public License (GPL), in which case the provisions of the GPL apply INSTEAD OF those given above.
DISCLAIMER
This software is provided 'as is' with no explicit or implied warranties
in respect of its properties, including, but not limited to, correctness
and/or fitness for purpose.
---------------------------------------------------------------------------
Issue Date: 24/01/2003


Centrum Rejestracji Oprogramowania

Distribution site for Poland:
AnySoft.pl Rejestracja Oprogramowania
Piotr Malecki
ul. Wojska Polskiego 24/9
05-822 Milanówek
tel. +48 22 280 9444
fax: +48 22 398 7761
web: http://www.totalcmd.anysoft.pl


Configuration - Change Settings Files Directly
Opens the files wincmd.ini and wcx_ftp.ini for editing directly. This allows to change special settings not available in the configuration dialogs. In most cases, it's necessary to close and re-open Total Commander to make the settings active.


New Folder Tab
Shows a new folder tab in the active panel.


Command line: keys
If Total Commander is active, nearly all keyboard input is directed to the command line.
Here is the layout for some keys:
ENTER The command line is executed, if it contains at least one character (otherwise, the program under the cursor in the source window is started). If the command is cd, md or rd, it is executed internally. If it is an internal DOS command, DOS will be executed with this command. Otherwise, a program with the given name is executed.
SHIFT-ENTER Similar to ENTER, but via Windows shell. After the called DOS program is terminated, its window is not automatically closed. This will only work if the file noclose.exe is in the Total Commander directory.
CTRL-ENTER The file under the cursor in the source directory is added to the end of the command line.
CTRL-SHIFT-ENTER The file under the cursor including its path is added to the end of the command line.
CTRL-CURSORDOWN
or ALT+F8 A list with the latest command lines (history-list) is opened. Hold down the CTRL key and use the up and down cursor keys to select an entry. By pressing the left or right key, you can edit the command line. This automatically closes the list.
TAB Puts the cursor back to the source directory.
Cursor keys Cursor left and cursor right move the cursor through the command line, even if the cursor was in the source directory before. If brief was selected, these keys move the cursor through the source directory. You then have to hold down SHIFT to move it inside the command line.
Cursor up and cursor down move the cursor bar inside the source window, even if it was inside the command line.
ESC Clears the command line, put cursor back in file window.
CTRL+A Select entire command line
CTRL+Y Clears the command line, cursor stays in command line.
CTRL+C Copy selected text to clipboard
CTRL+X Cut selected text to clipboard
CTRL+V Paste text from clipboard to command line.
CTRL+E Copy previous command to command line
CTRL+K Delete to end of line
CTRL+W Delete the word to the left of the cursor
CTRL+T Delete the word to the right of the cursor


Compare by content
Compares two files by their content. The differences are displayed in color in a dual list.
The two files are chosen as follows:
- If more than one file is selected, the two first will be compared
- If only one file is selected, it will be compared with the first selected file in the target window
- If only one file is selected, and no file is selected in the target window, it will be compared with a file in the other window, having the same name (if it exists)
- If no file is selected, the file under the cursor is compared with a file in the other window, having the same name
See also: Dialog box - Compare by content


Context Sensitive Topics
[MAP]
#define dlg_search 100
#define dlg_usermenu 110
#define dlg_config 120
#define dlg_assotiate 130
#define dlg_attrib 140
#define dlg_pack 150
#define dlg_unpack 160
#define dlg_configpack 170
#define dlg_configfont 180
#define dlg_configcolor 190
#define registration 200
#define dlg_changetree 210
#define dlg_configconfirmation 220
#define dlg_sysinfo 230
#define dlg_network 240
#define dlg_configedit 250
#define dlg_configtabs 260
#define dlg_configbuttonbar 270
#define dlg_mainmenu 280
#define dlg_InternalZipconfig 290
#define dlg_config2 300
#define KEYBOARD 420


Danish reseller

Danish distribution site:
c/o DKC DATA
Alhambravej 1
1826 Frederiksberg C.
Internet: www.totalcmd.dk
Tlf: 70 20 20 80 (orders only!!!)
Fax: 70 20 20 85
email: totalcmd@totalcmd.dk


Dialog box: Define colors by file type

Define colors by file type
With this dialog box you can define different colors for different file types, e.g. one color for ZIP files, one for folders, etc. You have the same possibilities as for the file selection using the "+" key on the numeric keypad. This dialog box can be reached through Configuration - Options - Colors - Define colors by file type.
Field Description
File types This list shows the already defined file types in their associated color. The sort order defines the priority of the filters. Example: If you have defined one color for ZIP files, and another for files with 'read only' attribute, then Total Commander will use the filter which comes first in the list for ZIP files with 'read only' attribute.
By double clicking on a file type or pressing the space bar, you can modify an already defined file type and its associated color.
File types starting with a * (e.g. *.txt) can be quickly enabled/disabled by clicking on the * symbol (it will change to -.ext, so a file named -.ext will still be matched).
Add... Creates a new entry in the list. You will first be asked for the file type, and then for the associated color.
Edit... Edit the selected filter.
Delete Removes an entry from the list.
Dark<>Normal Switches between dark and normal mode. The colors defined in normal mode will be converted automatically to suitable colors in dark mode, but can be changed separately by the user.
OK Saves the changes and closes the dialog box.
Cancel Closes the dialog box without saving the changes.


Define server type
This dialog box allows you to configure servers which aren't recognized by Total Commander's autodetect function. This can happen because the file list returned by FTP servers isn't standardized. Most servers on the Internet use Unix-style (ls -l) listings, but many mainframes and Intranet servers use their own proprietary format.
Note: When the MLSD command is used instead of LIST, this dialog box will NOT be shown, because the format of MLSD (machine list directory) is strictly defined in the standard.
Definition string: The string which you can define here will be used for parsing the raw server listing shown in the field below. The string uses special characters for each field type, e.g. 'n' for the file name. See below for a definition of all field types.
Raw directory data from the server:
This is the listing returned by the FTP server for the current remote directory. If this directory doesn't contain any useful files, you should disconnect, and use Net - FTP Connect to define a different remote directory.
When you connect through a HTTP proxy, the listing is preprocessed to remove HTML tags and other data which makes parsing of the listing difficult.
Additional definition strings (optional, for very complex servers):
If the server returns very different strings, e.g. one for files and a different one for directories, you can define more than one definition string. Total Commander will use the string which returns the least errors.
Interpreted data for selected line of raw data:
This section allows you to verify that your definition string works as it should. After defining a string, you should place the cursor on all lines in the raw listing to make sure that all data lines return valid data.
Load existing type...
If you already have defined a special server type, you can load its definition string(s) here. You can also import server types defined by others. This allows system administrators to offer a predefined template file for the company server(s). To create such a file, define a server with this dialog box, and then copy the server definition from wcx_ftp.ini to a separate ini file. You can then make it available to all other users.
OK Associates the current connection with the defined server type. If you have modified the definition string, you will be asked to save the new server definition.
Cancel Closes the dialog box without saving. Total Commander will then use 'automatic' mode.
List of definition characters (upper/lowercase is important!):
Name-specific characters:
n File name (nnnnnnnn means 8 letter file name, n* see definition of * below)
v VMS style file name: name.ext;1 or dirname.dir;1
. (a dot) Remove trailing spaces from file name and append further characters separated by a dot (e.g. nnnnnnnn.nnn), see PC-NFSD sample below.
Characters for date and time:
D Day
M Month
TTT Three letter month name (Jan, Feb, Mar, ...), supports English, German and French.
TTT=12 month names with 3 letters each
Allows the definition of foreign language month names. Example (polish):
TTT=stylutmarkwimajczelipsiewrzpa¥lisgru
UUUUU Unix-style year/time mix, e.g. either "2000 " or "20:30" in the same place
Y Year
h Hours
H Hours modifier letter (a - a.m. time, p - p.m. time)
m Minutes
s Seconds
Characters for other file attributes:
S Size
S=1024 Size multiplied with given value (here: 1024). Useful for servers which return the size in blocks.
p Unix style permissions (e.g. -rwxrwxrwx, defines user rights)
d dir flag, defines a directory if this char is D or d, e.g. part of text <DIR> or [DIR]
d=x dir flag, the char defining a directory is given behind the = (see VOS sample below)
Misc. characters:
* 1. After any numeric field: use all digits up to first non-digit character
2. For name field not at line end: use all chars up to next space
3. For name field at line end: use all chars until the end of the line
! Skip all characters until first space or end of line
$ Skip all spaces/tabstops until next character or end of line
\ Data continues on next line (max. 2 lines supported)
<space> Ignore character. Must not be at the beginning of a line, because Windows would delete all leading spaces!
- (dash) Ignore character. Use this at the beginning of a line instead of a space.
x Exactly 1 space. If there is a different character at this position, ignore the whole line (e.g. to ignore lines above or below the file listing, which show the free disk space etc).
x=c Exactly 1 character (in this example a 'c'). If there is a different character at this position, ignore the whole line (e.g. to use multiple detect strings for complex listings, forces TC to use one of the other detect strings).
X Exactly 1 character except for a space. If there is a space at this position, ignore the whole line.
X=c Exactly 1 character except for the indicated (in this example a 'c'). If there is the indicated character at this position, ignore the whole line.
Sample definition strings:
1. AIX Unix server:
Sample listing:
-rw-rw-r-- 1 dso posgroup 2913 Mar 25 1999 .Xdefaults
drw-rw-r-- 1 dso posgroup 2913 Mar 25 13:30 subdir1
Definition string:
pppppppppp SSSSSSS TTT DD UUUUU n*
Or better:
pppppppppp !S* TTT DD UUUUU n*
Notes: The second definition is better because the owner and group names may be longer, moving the size string to the right.
2. PC-NFSD:
Sample listing:
prog1 exe 2,563,136 06-10-99 10:00a
temp <dir> 01-27-97 3:41p
Definition string:
nnnnnnnn.nnn dSSSSSSSSSSS MM DD YY hh mmH
Notes: The commas in numeric fields are detected automatically. This string gives an error of 1 for all directories because there is no size field, but errors up to 2 are ignored by Total Commander if there is no second definition string - otherwise the string giving the smaller error is used. The dot in the definition string removes the spaces in the name between prog1 and exe, and inserts a dot.
3. VOS (Stratus):
Sample listing:
w 10 seq 99-04-20 11:15:42 abbreviations
m 4 99-07-02 10:11:25 arsffs32
Definition strings:
- SSSSS YY MM DD hh mm ss n*
- d= SSSSS YY MM DD hh mm ss n*
Notes: This server has different lines for files and folders, so it needs 2 definition strings.
4. Unisys Clearpath:
Sample listing:
UCF/CONFIG/SAMPLE/TSA SEQDATA 1428 09/22/1998 18:37
FF990628/BD/0009942/0009943/000PRINT
BACKUPPRINTER 7200 01/01/2000 04:22
Definition strings:
nnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnn SSSSSSSSS MM DD YYYY hh mm
n*\x SSSSSSSSS MM DD YYYY hh mm
Notes: This is an example of a server wrapping to 2 lines if file name becomes too long, so it needs 2 definition strings.


Dialog box - Multi-rename tool
With this dialog box, you can rename a list of files selected in Total Commander. Instead of * and ? wildcards, this function uses placeholders in brackets []. The new names are immediately shown in the result list, but the files are not renamed until the Start! button is pressed.
New in TC9: When there are name collisions, e.g. because the rename mask leads to multiple files with the same name, or a file with that name already existed, then you get the option to auto-rename the files to "name (2).ext", "name (3).ext" etc. This will not be shown in the preview.
Field Description
Rename mask: file name
With this field, you can create a definition for a new file name. The buttons below allow to insert place holders for the previous name, parts of the name, a counter, file date/time, or a plugin field. The + and # buttons allow to insert less used fields like the parent directory name. Place holders are always in brackets [ ], while all other letters (without brackets) will be placed in the new name without a change.
See below for a description of all available placeholders! Use Shift+Del to remove no longer wanted entries from the list.
Files can now also be moved to other directories by specifying directory separators "\" (backslashes) in the name. Directories which do not exist yet will be created automatically.
Extension Definition string for extension. In principle, all placeholders can be added to either of the two definition boxes. The rename tool will create a rename string like this: Fields in name mask + "." + Fields in extension mask. The reason why the two fields are separated is to prevent the accidental removal of file extensions, which would remove the association of files with a certain program.
Search & Replace The string entered in the field 'Search for' is replaced by the string in 'Replace with'. The text in 'search for' is NOT case sensitive! Both fields support the placeholders (wildcards) * and ?. A * stands for any number of characters, a ? for exactly one character.
This function is applied AFTER the rename mask!
You can search+replace multiple strings in one step! The strings need to be separated by the vertical line (Alt+124).
Example: Replace Umlauts+Accents:
Search for: ä|ö|ü|é|è|ê|à Replace with: ae|oe|ue|e|e|e|a
^ Respect upper-/lowercase. Can be used to replace uppercase characters with other characters than lowercase.
Example: Replace Umlauts+Accents considering upper/lowercase:
Search for: ä|ö|ü|é|è|ê|à|Ä|Ö|Ü|É|È|Ê|À Replace with: ae|oe|ue|e|e|e|a|AE|OE|UE|E|E|E|A
1x Only replace the first occurrence of the search string if it appears multiple times in the file name
[E] Also replace the search text within the extension.
Rules for the case that this option is not checked:
1. When using the rename mask, only the part in "File name" will be modified by search+replace.
2. When loading the names from an external text file, the part starting with the last dot will not be modified.
Example: To replace all dots in the file name except for the one separating name and extension, uncheck this box.
RegEx Now supports regular expressions.
Subst. Substitution: The entire file name will be replaced by the characters entered in the "Replace" field. If this option isn't checked, only the found expression will be replaced. You can work with subexpressions, see the sample in regular expressions.
Upper/lowercase Converts the whole string to uppercase/lowercase/first letter uppercase,rest lowercase. This function is applied AFTER the rename mask and after search&replace. Use the [U], [L] and [n] placeholders to convert only certain parts of the name to upper/lowercase!
New: First of each word uppercase (English in Titles) excludes the following words from uppercase conversion, except at the start or end:
a,an,the,at,by,for,in,of,on,to,from,up,and,as,but,or,nor,yet,so,vs
Opens a context menu with the following options:
Load names from file: Specify a text file from which the new names should be loaded
Edit names: Save current target names to a text file, edit them, and paste back.
Configure editor: Choose a different editor to edit the files. Make sure that the editor saves as plain text!
The menu can be opened with F10.
Define counter [C] Allows to define the counter for the [C] field(s).
Start at: Number of the first file. The files are always numbered the same way as they are shown in the result list. You can sort the result list just like in the main Total Commander window. Additionally you can reorder individual items using drag&drop, or Shift+Cursor keys.
Step by: The counter is increased/decreased by this value.
Digits: Width of the counter field. If digits is >1, the rename tool will insert leading zeros to get a fixed width number field. The option "a" automatically determines the number of digits from the number of files/folders.
F2 Load/save settings
Allows to load or save the settings of the multi-rename tool.
<Default> Sets the default settings (no changes to the names)
Save settings
Allows to save the current settings
Delete entry Deletes the last selected entry from the list
Entry names Loads settings saved earlier
<File list header> Allows to sort by old names, extensions, sizes or time stamps
<File list> Shows a list of all files being renamed. The modified names are shown in the New name column. All changes to the above fields are immediately shown in this column, but the files are not actually renamed until the Start! button is pressed. If the rename mask contains an error, the string <Error!> is shown.
Individual items can be moved up/down with drag&drop or Shift+Cursor keys. This is useful for changing the file order for the counter function.
(next step) Loads the rename results for the next rename step. Useful if you want to apply multiple rename rules to the same set of files. Shortcut: F5.
Start! Starts to rename files. There will be a warning message if there are name conflicts.
Undo Tries to undo the rename operation in reverse order (last renamed file first). This also works AFTER closing the Multi-Rename-Tool! Just re-open it with any file(s).
Result list Creates a protocol of the renamed files.
Close Closes the dialog box without any further actions.
Here is a description of all available placeholders. IMPORTANT: Upper/lowercase is relevant!
[N] old file name, WITHOUT extension
[N1] The first character of the original name
[N2-5] Characters 2 to 5 from the old name (totals to 4 characters). Double byte characters (e.g. Chinese, Japanese) are counted as 1 character! The first letter is accessed with '1'.
[N2,5] 5 characters starting at character 2
[N2-] All characters starting at character 2
[N02-9] Characters 2-9, fill from left with zeroes if name shorter than requested (8 in this example): "abc" -> "000000bc"
[N 2-9] Characters 2-9, fill from left with spaces if name shorter than requested (8 in this example): "abc" -> " bc"
[N-8,5] 5 characters starting at the 8-last character (counted from the end of the name)
[N-8-5] Characters from the 8th-last to the 5th-last character
[N2--5] Characters from the 2nd to the 5th-last character
[N-5-] Characters from the 5th-last character to the end of the name
[A] Old file name, WITH extension (All characters of the name), without the path
[2-5] Characters 2-5 from the name INCLUDING path and extension (other numbers as in [N] definition)
[P] Paste name of the parent directory, e.g. when renaming c:\directory\file.txt -> pastes "directory".
Also working: [P2-5], [P2,5], [P-8,5], [P-8-5] and [P2-], see description of [N] above.
[G] Grandparent directory (usage: see [P]).
[E] Extension
[E1-2] Characters 1-2 from the extension (same ranges as in [N] definition)
[C] Paste counter, as defined in Define counter field
[C10+5:3] Paste counter, define counter settings directly. In this example, start at 10, step by 5, use 3 digits width.
Partial definitions like [C10] or [C+5] or [C:3] are also accepted.
Hint: The fields in Define counter will be ignored if you specify options directly in the [C] field.
[C+1/100] New: Fractional number: Paste counter, but increase it only every n files (in this example: every 100 files).
Can be used to move a specific number of files to a subdirectory,e.g. [C+1/100]\[N]
[Caa+1] Paste counter, define counter settings directly. In this example, start at aa, step 1 letter, use 2 digits (defined by 'aa' width)
[C:a] Paste counter, determine digits width automatically, depending on the number of files. Combinations like [C10+10:a] are also allowed.
[c1] or [c] Number of files/folders in the file list
[c2] Like [c] but with the number of digits defined in the Define counter field
[c3] The last value of the counter defined in the Define counter field
[S] Paste file size in bytes
[T1] After this position, use last modification date/time from renamed file for all date/time fields (default).
Note: These are just switches! Use them with the other time placeholders, e.g. [T1][YMD] [hms]
[T2] After this position, use current date/time (when rename dialog was opened)
[T3] After this position, use current date/time (when rename options were last changed)
[d] Paste date as defined in current country settings. / is replaced by a dash
[Y] Paste year in 4 digit form
[y] Paste year in 2 digit form
[M] Paste month, always 2 digit
[D] Paste day, always 2 digit
[t] Paste time, as defined in current country settings. : is replaced by a dot.
[h] Paste hours, always in 24 hour 2 digit format (0-23)
[H] Paste hours, always in 12 hour 2 digit format (1-12)
[i] am/pm indicator in English, e.g. for time format 10.30pm. Use [i1] for just a or p, e.g. 10.30p.
[m] Paste minutes, always in 2 digit format
[s] Paste seconds, always in 2 digit format
[u] Convert all composite characters (e.g. separate a and ^) to precomposed characters (â). Must be the first placeholder in the command.
[U] All characters after this position in uppercase
[L] All characters after this position in lowercase
[F] First letter of each word uppercase after this position, all others lowercase
[f] Like [F], but using rules for English in titles (certain words like a, in, the, ... lowercase)
[n] All characters after this position again as in original name (upper/lowercase unchanged)
[%x%] Insert value of environment variable "x". Also supports ranges like [%x%1-5]
[%x%\] Same as [%x%], but only the last part of a path (e.g. c:\temp -> temp)
[%x%_] Same as [%x%], but replace all backslashes in paths by the provided character (here: "_") and remove the ":"
[[] Insert square bracket: open
[]] Insert square bracket: close (cannot be combined with other commands inside the square bracket!)
[=pluginname.fieldname.unit]
Insert field named "fieldname" from content plugin named "pluginname". "unit" may be an optional unit (if supported by that field), or a field formatter like YMD for date fields. You can use the [=?] Plugin button to insert plugin fields.
[=pluginname.fieldname.unit:4-7]
Same as above, but for partial strings (here: letters 4-7).
Supports the same ranges as the [N] field (see above), including leading spaces or zeroes.


Dialog box: connect

Dialog box: Connect to FTP server
With this dialog box you can open a connection to an FTP server. Choose a saved connection from the list, or create a new connection. The cursor is placed on the last used connection.
Connect to: Contains a list of all connections saved earlier. Total Commander shows a different icon for normal ftp connections (a sheet of paper with a globe), and secure ftp connections (a sheet with a small lock in the middle). Connections where the password is protected with a master password are shown with a small additional lock in the upper left corner.
Connect Opens the connection.
New connection Opens a dialog box which allows you to define a new connection. The connections will be saved in alphabetical order.
New URL In this dialog box you can enter either a server name, like ftp.microsoft.com, or a URL, e.g. ftp://user@ftp.microsoft.com/windows/
Duplicate entry Creates a new connection entry, which contains the same settings as the entry under the cursor.
New folder Creates a new folder into which you can move connections via drag&drop.
Edit Opens a dialog box with the data of the connection under the cursor.
Delete Deletes the connection under the cursor. The change will be saved immediately.
Encrypt Allows to protect the passwords of all or just the selected connections with a master password, or change an existing master password. Connections where the password is encrypted are shown with a special icon (lock in the lower right corner). An entered master password is remembered until the user minimizes Total Commander, or the screen saver starts.
We recommend that you use a master password to protect your connections. If you don't use it, a virus or worm may read out your password and modify your Web site!
Cancel Closes the dialog box without opening a connection.


Dialog box: Edit file type (internal)

Dialog box: Edit file type (internal associations)
With this dialog box, you can define or modify an existing file type, e.g. add new actions (verbs), modify or delete existing actions. Internal associations only work within Total Commander. Use Files - Associate with to change system associations.
Change icon Define the icon shown in Total Commander to the left of he associated file.
Type name The association type, e.g. *.txt for text files, or a saved search for more complex definitions. You can use the >> button to change it.
Description of type not used for internal associations
Actions Here you can define new file actions, or modify existing actions. The default action is the one started when you press ENTER on an associated file. 'Open' is always the default action for internal associations.
Open Program used for the 'open' action. This is always the default verb (used when pressing ENTER) for internal associations. You need to put %1 or "%1" (or %2) behind the program name so the file is passed as a parameter. The difference between %1 and %2 only appears when right clicking on multiple files. Choosing an internal command with %1 will open all selected files in separate editors, while %2 will pass them all to the same program. This will of course only work when that editor can accept multiple files as parameters.
There are some special commands defined for internal associations:
* A single asterisk causes a context menu with all other verbs to be shown when you press Enter
** A double asterisk opens the file with the default system association
*verb An asterisk followed by a verb opens the file with the specified system verb (e.g. open)
**ext Use packer plugin defined for extension "ext" or internal packer like zip to view contents of file
**internal_ext Use packer plugin defined for extension "ext" to view contents of file
**internal_sha Use "Verify checksums" for this file type, e.g. for unusual extensions like *.sha256sum
<Listbox> The listbox shows all other actions (verbs) defined for this file type. You can modify them with the buttons below the list.
New... Creates a new action for the given file type. The settings can be defined in a dialog box.
Edit... Allows to modify the settings for the action (verb) in a dialog box.
Remove Deletes the selected action.
OK Saves the current settings and closes the dialog. Modified actions are saved already when you close the dialog box for that action.
Cancel Closes the dialog without saving the changes you made in that dialog.
Help Starts Help with this page.


Dialog box: Firewall settings
With this dialog box you can configure the firewall (connection between company network and the Internet). These settings are the same for all connections. To use the firewall with a new connection, you must at least configure one connection in the connection details dialog. You will usually get these from the administrator of your company network.
Connect method Choose the method supported by your firewall.
Send command USER user@hostname
Sends the command USER user@hostname to the firewall/proxy. This method is used by many programs like Wingate. The fields 'user name' and 'password' must be left empty.
Send command SITE (with logon)
First send the user name and password to the proxy (if given), then the command 'SITE machine name'. The fields 'user name' and 'password' are usually needed for this type of proxy.
Send command OPEN
First send the user name and password to the proxy (if given), then the command 'OPEN machine name'. The fields 'user name' and 'password' are sometimes not needed for this type of proxy.
USER user@firewalluser@hostname / PASS pass@firewallpass
Use these two commands to logon.
Transparent First use the USER and PASS command with the firewall username and password, and then with the target host username and password.
HTTP Proxy with FTP support
Use the same method as Netscape and Internet Explorer. This will not work with all proxies, because the returned html page follows no standard. The most important proxies are supported, though. Please note: You cannot set the transfer mode when connecting via a HTTP proxy - the proxy itself defines the mode via MIME types.
SOCKS4 Use a SOCKS4 proxy. This proxy usually requires a user name or user id, but no password. You may need to run an identd server on your machine. A free one can be found on www.tucows.com. If you want to enter domain names, your network needs to have DNS, i.e. a name server.
SOCKS5 (basic authentication)
Use a SOCKS5 proxy. Usually requires a user name and password. The GSSAPI authentication isn't supported because of the Swiss crypto export laws.
USER user@hostname firewalluser PASS pass ACCT firewallpass
Use these three commands to logon.
HTTP CONNECT This option opens an FTP tunnel on an HTTP proxy which supports the CONNECT command (HTTP 1.1 needed). Not all HTTP proxies support this command. Please note: This mode should be preferred to the mode HTTP Proxy with FTP support, because it supports all FTP commands including delete and create directory. Only passive mode is possible with this proxy type.
Firewall logon Here you must enter the details of your firewall server.
Host name: Here you can give the Internet IP address or the server name of the firewall. A different port number can be specified separated by a colon, e.g. firewall.mycompany.com:1021
User name: This field allows to enter the your user name on the firewall server. Many firewalls don't need a user name and password.
Password: Here you can enter your firewall password (if needed). Only enter the password here if your PC is completely secure! Total Commander will ask you for the password when connecting (if the password isn't given here).


Dialog box: Choose encoding
With this dialog box you can choose the encoding of the left and right file, respectively, e.g. when they were not detected automatically. This only works as long as the file hasn't been modified yet.
ANSI (plain text) The files contain plain text. The chosen font determines the encoding of the text.
Unicode (UTF-16) This option is for a unicode file in UTF-16 format. This format uses 2 bytes per character, rarely 4 bytes. Normally UTF-16 files start with a so-called byte order mark (BOM), which allows for automatic detection of UTF-16. The BOM is FF FE (hexadecimal).
Unicode (MacOS) MacOS uses a different encoding of UTF-16-Unicode, where the odd and even bytes are swapped. You can switch to this encoding here if the BOM is missing. The BOM is FE FF (hexadecimal).
UTF-8 Also a Unicode encoding, but which uses between 1 and 4 bytes per character. The digits 0-9 and the upper- and lowercase Latin characters (no accents) use just one byte. UTF-8 can also usually be detected by the BOM at the beginning. The BOM for UTF-8 is EF BB BF (hexadecimal). HTML, XML and CSS files encoded with UTF-8 are detected automatically by the right header.
OK Closes the dialog box and switches to the chosen encoding.
Cancel Closes the dialog box without any changes.
Help Opens this help dialog


Dialog Box: Change UNIX Attributes

Dialog box: Change UNIX attributes (Permissions)
With this dialog box you can change the file attributes on UNIX(TM) FTP-Servers. Although this dialog box is shown for all FTP servers, the command (SITE chmod xyz file.ext) doesn't work with all servers (only with some UNIX servers).
Owner Here you can change the attributes concerning the owner of the file.
Group These attributes concern all users who are in the same group as the owner of the file.
World (other) These attributes concern all other users. If a file should be world-readable on the WEB, you need to set the Read attribute here. CGI scripts need the Execute attribute.
Read Gives read permission to the respective user class.
Write Allows the modification of the specific file. Usually only the owner class has this attribute.
Execute Allows to start programs (e.g. CGI scripts), and the opening of subdirectories.
Set UID/GID at startup
Allows to run a program with the rights of the program owner (UID) or group (GID). This is used for example when the program requires root rights, but has to be run also by normal users. The program is then owned by root and has the SetUID bit set.
Sticky bit Is often set for directories like /tmp: Files in such directories can only be renamed or deleted by the owner of the file, the owner of the directory, or the administrator. The idea is to prevent users from renaming or deleting other user's tmp files.
Hint: The attribute is set if a black checkmark is shown, left unchanged with a gray checkmark, and removed if no checkmark is there.
OK Sets / removes the chosen attributes, and closes the dialog box.
Cancel Returns to Total Commander without changing the attributes.
Help Starts Windows Help with this page.
Hint: The UNIX attributes are shown as a 3 digit number in the file lists:
- The first number represents the owner rights.
- The second number shows the group rights.
- The third number stands for all other user's rights (world rights).
- The numbers are calculated by adding the individual rights: 4=Read, 2=Write, 1=Execute
- Example: 754 means: Owner has all rights, Group may read and execute, World may only read the file


Dialog box: Custom columns
Here you can define the contents of the columns in custom columns view.
Configure view Nr: There are 29 possible custom column views. This field shows the currently modified view.
Name The name of the selected view, as shown in the menu. If you leave it empty, the configuration will not be shown in the menu, but can still be reached via a button or hotkey with one of the the internal commands cm_SrcCustomView1, cm_SrcCustomView2 etc.
Caption The name of the column shown in the sorting header above the file window.
Width Width of the column, in dialog units (depending on big or small fonts mode).
Align Either left-aligned, e.g. for text fields, or right-aligned, e.g. for numeric fields like size.
Field Contents The contents of the field. A field can contain multiple values, as well as plain text. To add a field value, click the [+] button and choose a value. You can install additional content plugins from our homepage for more file details, e.g. mp3 ID tags, EXIF digital photo information etc.
The syntax is the following (similar to the multi-rename tool):
[=pluginname.fieldname.unit]
Insert field named "fieldname" from content plugin named "pluginname". "unit" may be an optional unit (if supported by that field), or a field formatter like YMD for date fields, see notes below. You can use the [+] button to insert plugin fields.
[=pluginname.fieldname.unit:4-7]
Same as above, but for partial strings (here: letters 4-7).
[="prefix"pluginname.fieldname.unit"suffix"]
The strings prefix and/or suffix will only be shown when the field "fieldname" exists and has a valid value in plugin pluginname. For example, you can use this to show a measurement unit when the field is present, and nothing when the field is not present.
[+] Allows the simple addition of plugin fields.
Up/Down arrow Allows to sort the columns manually. Place the cursor in the column which you want to move, and two small arrow buttons will appear. Now click the Up or Down arrow button multiple times to move the column.
Add column This button will add a new column at the end.
Delete selected column
Deletes the column in which the cursor is located.
Adjust Tabs to window width
Changes the width of the name column when you change the size of the main window, the same as in configuration - tabstops for full view.
Horizontal scrollbar Enable/disable a horizontal scrollbar for the case when the displayed fields need more than the available panel width.
Switch to this view when using this plugin
(Only shown when editing plugin custom columns.) Allows to auto-switch to a certain custom columns view when entering a file system plugin.
Notes:
Date, time and date/time fields can use the following field formatters instead of units:
Y 4 digit year
y 2 digit year
M 2 digit month
D 2 digit day
h 2 digit hour (24 hour format)
m 2 digit minute
s 2 digit second
a 2 digit hour (12 hour format for am/pm)
P 2 letter "am" or "pm", depending on daytime
p 1 letter "a" or "p", depending on daytime


Directory hotlist
The directory hotlist allows to quickly switch between multiple directories. The directory hotlist can be opened in three different ways:
1. Through the Commands menu.
2. By double clicking on the title bar of the file windows (display of the current path).
3. By pressing CTRL+D.
The displayed directory hotlist menu contains a list of previously added directories, plus two additional commands:
- Add/remove current dir: This option allows to add the currently displayed directory to the list, or to remove it, respectively.
- Configure: Opens a configuration dialog, which allows to sort the menu entries, and which allows to modify, add or remove entries. The dialog box is built like the dialog box to change the start menu.


Dialog box: Search: Advanced

Find files: Advanced
(click on a page)
Advanced
These advanced search options are only used in some special cases, for example if the date of a letter is known, but not its file name.
Field Meaning
Date between: These two fields allow to specify the period of time when the file was last modified. Only one or also both fields can be given.
Not older than: Allows to specify how old the file can be.
Older than: Also find files older than a certain date. Note that this is combined with AND with "Not older than" to find a range of files between two ages, e.g. older than 7 days but not older than 14 days.
File size: Here you can search for files equal to, smaller or larger than a specific size. Supports the Units "Bytes", kBytes, MBytes and GBytes (each a factor of 1024 larger than the previous one) and fractional numbers, e.g. 0.1 GBytes.
Attributes: Search for files with special attributes, like hidden, system, or for directories. New: Find NTFS-encrypted files.
Find duplicate files Search for files which have the same name, same size, same contents, or same content plugin property, or any combination of these. In the results the duplicates are grouped together and the groups are separated by dashed lines. The groups are sorted by the first enabled search criteria (if 'same name' is enabled: sort by name, otherwise if 'same size' or 'same contents' is enabled: sort by size, otherwise if 'same plugin fields' is enabled: sort by first plugin field).
same name If enabled, check if files have the same name.
same size If enabled, check if files have the same size.
same contents If enabled, check if files have the same contents. Although this takes long, it ensures that the files are 100% identical.
same plugin fields If specified, check if files have the same specified content plugin properties (e.g. extension, time stamp etc). If multiple plugin properties are specified, all of them must be identical (ANDing). Also supports value ranges, e.g. [=tc.name:1-3] will match just the first 3 characters of the name.
Note: The option "Any identical" (ORing) would not be possible, because then from three files, files 1 and 2 could have the same property A, file 2 and 3 could have the same property B, and files 1 and 3 could be different.


Dialog box: Associate
Allows the association of certain file extensions (for example .txt) with programs.
All files with extension (ending with):
Enter the file extension without a leading asterisk (*). It does not matter if you type a period in front of the extension. If there is already an association, it is shown in the box below.
Associate with: Here you ENTER the program name you want to associate with the file extension given above. Under Windows 3.1 you can choose from a list of predefined files, which are presented in the list below. If the program does not show up in the list, you can ENTER the program name by hand (including the search path), or browse for the program with the browse button.
New Starts another dialog box to browse for programs (*.exe) to create a new association. If the desired program has any other extension (for example .com), you can type *.com ENTER in the dialog box, which shows the .com-files in the current directory.
Edit type Allows to edit the selected program type in a separate dialog box. Here you can define additional verbs to the default 'open' verb, to extend the context menu of the file type.
Replace with: ImageViewer.dll
This checkbox is only shown for affected file types like jpg: If checked, double clicking a jpg file opens the Image Viewer desktop program instead of the Photo app. Reason: the photo app does not allow to switch to the next/previous image when loaded by programs other than the Explorer. Unfortunately, our bug report to Microsoft was ignored.
OK Saves all changes in the Windows Registry and the file win.ini, or in wincmd.ini for the viewer associations.
Cancel Ignores all changes and returns to Total Commander.
Help Starts Windows Help with this page.


Dialog box: Change attributes
Use this dialog box to change the attributes of the selected files, as well as the file's date and time. Warning: Hidden and System files are shown only if the corresponding option is chosen in Configuration - Options.
Recurse subdirectories
If directories are selected and you selected this option, the attributes of the files in these subdirectories will also be changed. Otherwise, only the attributes of the directories themselves are changed.
Archive (a) Here you can change the state of the archive bit. The archive bit is automatically set each time a file is changed.
Read only (r) By setting the read only bit, you prevent the accidental erasure of important files. Total Commander can delete files with this bit, but you are asked before.
Hidden (h) Marks a file as hidden. Hidden files are not shown in a dir listing. Total Commander can be configured to show hidden files. (See Configuration)
System (s) Marks a file as a system file. The files IO.SYS and MSDOS.SYS in the root directory of the boot drive are system files. System files cannot be moved by disk optimizers like defrag.
Gray Leaves the attribute unchanged.
Checked Sets the attribute on all selected files.
Unchecked Removes the attribute from the selected files.
Change date/time Choose this option to change the file's date and time.
Date You can enter the desired date here. It must be in the format shown by the letters!
Time Here you can enter the desired time. You can leave out the seconds (they will be set to 0)
Current Inserts the current date and time.
Change plugin attributes:
Plugin Choose the plugin whose attributes you want to change.
Property Choose the property to change. Only properties which can be changed will be listed.
Value Enter the new value for this property
+ Property values can be read from another plugin, e.g. to set the comment to the short name.
F2 Load/save settings
Allows to load or save the settings of the "change plugin attributes" section.
Load from file under cursor
Loads the attributes from the file under the cursor in the last active file panel. The standard attributes (Archive, Read only, Hidden, System) are only loaded if no plugin options are chosen.
LEFT (2) or RIGHT (2)
Loads the attributes from the file under the cursor in the target panel. Only active when the cursor wasn't standing on [..].
OK Sets/Clears the selected attributes
Cancel Returns to Total Commander without making any change.
Help Starts Windows Help with this page.


Dialog box: Directory Tree
With this dialog box you can choose the target path where you want to copy, move, pack or unpack the selected files.
Combobox with current drive
Choose the drive for which the tree should be shown. Press Alt+F1 or Alt+F2 to open.
'Everything' Use the external indexing tool 'Everything' to load the tree. Much faster than scanning the tree manually.
List box with directory tree
Contains the directory tree of the chosen drive. You can select a target directory with the cursor keys. By pressing ENTER, a double click on the desired directory or by pressing the OK Button you can transfer the path to the calling dialog box. Press F2 to re-scan the tree.
Quick search If the dialog box with the directory tree is active, you can type the first letters of the desired directory. They are then shown in this field. The cursor is automatically positioned on the next directory starting with these letters. Supports wildcards * and ? just like in normal quick search. Press CTRL+ENTER or CTRL+Down to move the cursor to the next match, or CTRL+Up to go to the previous match.
Print... Opens a dialog box to print the directory tree.
OK Closes the dialog and copies the selected path to the edit field.
Cancel Closes the dialog without changing the original path.


Dialog box: Choose command
This dialog box allows to choose an internal command from the file totalcmd.inc, and to define new commands stored either in usercmd.ini or a language-specific wcmd_lng.ini.
Field Description
Category: Category of the command. All commands are listed in the first category "All"
Command: Name of the command
Nr: Numeric value of the command
Description: Translated description of the command
Filter: Allows to show only commands containing the specified word
Only on the pages usercmd.ini and wcmd_lng.ini:
New... Define a new extended command em_xyz. An extended command can be used to call a program with parameters also from the main menu and with a hotkey.
Edit... Change an existing user-defined command.
Delete Delete a user-defined command
Rename/Copy... Allows to rename a command, and to create a copy of a command under a different name


Dialog box: Choose plugin property
This dialog box allows to choose a property from an installed content plugin. The left column lists the installed content plugins, and the right shows the available properties of the chosen plugin.
Field Description
Plugins: List of all installed content plugins.
Properties: Names of the plugin properties. Optionally, some plugins allow to choose a display type.
The symbols show the field type:
Ab Text
# Numeric
1.1.2000 Date
12:35 Time
1/0 Boolean: True/False
1 2 3 Multiple choice
Filter: Allows to show only properties containing the specified word.
<Preview> Behind the filter, a preview of the field applied to the current file is shown.


Dialog box: Compare by content
With this dialog box you can compare two text or binary files with each other. To do this, please proceed as follows:
1. Select the two files you want to compare in Total Commander
2. Select Files - Compare by content
3. With "Next difference", you can jump to the next difference found between the two files
When you open the dialog box, Total Commander will execute step 3 automatically with the first two files selected in the active file panel. You can also always choose two other files for a new comparison and press the compare button.
Compare Starts the comparison between the two chosen files. If the two files are identical, this will be shown with a dialog box only. Otherwise the differences will be shown in the two text windows. Binary files will be shown in hexadecimal mode, and text files in text mode. Files up to 2 MB will be loaded completely into memory, so the originals will remain editable. Larger files will only be mapped to memory, i.e. they remain locked during the comparison.
Next difference Jumps to the next difference found. A continuous block of different lines will be regarded as ONE difference.
Previous difference Jumps to the previous difference (backwards). This function is the reverse of the previous function.
Font Chooses the font for the two list windows.
Start search for text in BOTH files simultaneously
Continue search
Show the two windows above each other
Opens the save dialog to save the changed file(s).
Edit mode Allows to directly edit the two files. Supports both text and unicode files. The two files are kept synchronous automatically. Newly added and changed lines get the line number 0, existing lines keep their line number from the original file. When closing or re-comparing, you will be asked whether you want to save the modified file(s). When saving, the type of line end (Windows, Unix, Mac) is determined by the majority of line ends of the original file, e.g. if the original contained Windows line ends with a few Unix line ends, the saved file will contain only Windows line ends. You can use F6 to enter edit mode.
Show only differences, with extra lines:
Only show lines which either differ between the two files, or which were changed by the internal editor. The function allows to show additional lines above and below the difference, to understand the context. This checkbox is hidden while in edit mode. It's possible to temporarily leave edit mode to toggle this option.
Copy -> Copies the selected text from the left to the right (or the upper to the lower) window, replacing the corresponding lines in the other window. Useful in conjunction with the buttons "Next difference" and "Previous difference". If no text is selected, the entire line will be copied. This button is hidden while not in edit mode.
Copy <- As above, but in the opposite direction.
Undo Undo of the last change. All changes up to the original state of the two files can be undone. The cursor is always placed to its position after the last change before actually undoing the change. Hotkeys: CTRL+Z or ALT+BACK.
Case sensitive If checked, two texts which only differ in case (uppercase/lowercase) will be considered as different. This is useful when comparing C source code.
If unchecked, texts which only differ in case are considered equal. This should be used e.g. for Pascal and Basic source code.
This function has no effect on the comparison of binary files.
Binary Compares in binary mode, i.e. fixed line width, hexadecimal display.
ANSI<->ANSI Allows to choose the text encoding type, e.g. one side UTF-8 and the other ANSI if the text type was not detected automatically.
Ignore repeated spaces
If this option is checked, multiple spaces are counted like one, and spaces at the end of a line are ignored completely. Example: "test1 test2 " and "test1 test2" are recognized as identical lines.
Ignore frequent lines
When finding new matching lines after encountering a difference, ignore lines which occur very often in the compared files, e.g. begin/end statements in source code. This gives a much better result when entire paragraphs have been added or removed.
8/16/24/32 Bytes Only shown in binary mode: Set the number of bytes per line.
Right click menu The right click context menu contains the following entries:
Copy selection to clipboard
Copies the selected text to the clipboard
Paste here Pastes text from the clipboard. Only available in edit mode.
Resync comparison from here
If the compare function gets out of sync, e.g. because large paragraphs have changed place, you can re-align two lines manually. You need to select the two lines in the left and right panel before choosing this function. When chosen once a file has been modified, Undo will be possible only up to this point.
Swap Panels Swaps the contents of the left and right panel
The dialog can be closed with ESC, ALT+F4 or the close button in the title bar. As with lister, multiple compare dialogs can stay open, and Total Commander can still be used!
Important note: In text compare mode, multiple consecutive white space characters or tabulators are treated as if they were one white space, e.g. "a b" is the same as "a b". If you don't want this, please deactivate the above option "Ignore repeated spaces".
The following shortcuts work in this window:
Ctrl+C, Ctrl+Insert Copy selected text
Ctrl+F Search
Ctrl+U Swap panels
Shift+F10, Menu key Show context menu
Alt+Up/Down arrow Jump to previous/next difference
ESC Close dialog
F7 Search
F3 Continue search
Ctrl+F3 Reverse search direction
Shift+F3 Search backwards (next F3 searches forwards)
F6 Enable/Disable edit mode
Only in edit mode:
Ctrl+V, Shift+Insert Paste text from clipboard
Ctrl+S Show save dialog
Ctrl+Z Undo
Ctrl+Left/Right arrow Move cursor by words
Alt+Backspace Undo
Alt+Left/Right arrow Copy selected text to left/right panel
Delete Delete selection/text to the right of the cursor
Backspace Delete selection/text to the left of the cursor
Double click Select word under cursor
Triple click Select entire line
Only in read only mode:
Insert/Spacebar Select line
Left/Right arrow Scroll by 1 character
Alt+Left/Right arrow Scroll by 30 characters


Dialog box: Configuration: Layout

Configuration: Layout Back
This page allows to turn on and off selected parts of the main Total Commander window.
Field Description
Screen layout
Show button bar Shows the button bar, which can be configured in Configuration - Change button bar
Show button bar 2 (vertical)
Shows the second, vertical button bar, which can be configured in dialog box Change button bar
Show drive buttons Shows a bar with buttons for all drives
Show two drive button bars (fixed width, above file windows)
For each file list, a separate drive button bar is shown. Both have the same width and aren't adapted to the file list width.
Flat icons Use flat style for drive button bar.
Show drive combobox Shows a dropdown box for drive selection
Show folder tabs Shows tabstop headers for directories. By default, the headers will be hidden if there is only one tab (configurable).
Show current directory Window header containing the current path. This header also indicates the active window
Show clickable path parts ('breadcrumb bar')
Shows a little triangle to the left of the path, and underlines path parts when hovering with the mouse over the current directory. Allows to jump directly to a clicked path when clicked on the underlined directory, or opens a submenu when clicking on the arrow button below the directory (configurable, see next option).
Auto-open when moving mouse over it
If set, the submenu opens directly (with a standard delay of 250 ms) instead of displaying an arrow button when the mouse hovers over the path.
Show buttons for history list and hotlist
Behind the current directory, two buttons can be shown, an asterisk and a triangle. The asterisk opens a list of often used directories (hotlist=bookmarks). The triangle opens a list of the last visited directories.
Show tabstop header The tabstop header allows to move the tabstops in full view, and resort the file list
Show status bar Shows the total number of files, and the number of selected files, and calculates the space they occupy.
Show command line Shows a command line to start DOS and Windows programs. If the command line is hidden it will be shown as soon as you type a letter on the keyboard.
Show function key buttons
The function key buttons allow to view, edit, copy, rename, move and delete files, create a directory and exit the program.
Flat user interface Show all user interface elements (except for the button bar and drive bar, configured separately) in flat style. If unchecked, Total Commander is displayed as in previous versions (3d look). Now also supported on Windows XP!
Windows XP theme background (menu+all bars)
Show themed background under the main menu, button bar, drive bar and ftp toolbar on Windows XP. Can be turned off in case of problems with alternate themes.


Dialog box: Configuration: Operation

Configuration - Operation Back
Field Description
Main program
Allow only 1 copy of Total Commander at a time
With this option Total Commander can only be started once. If you try to start a second copy of Total Commander (e.g. by Program Manager/Start menu), the first copy is activated instead.
Move icon to system tray when minimized
When Total Commander is minimized, the icon is removed from the normal task bar. Instead, an icon is inserted in the small system area in the task bar, near the clock. A click on this icon brings Total Commander back into the foreground.
Important: You can switch to Total Commander with ALT+TAB even if it's shown in the system tray (which is normally NOT possible). However, under WinNT you need to press ENTER after releasing the ALT key in order to restore Total Commander.
Always go to the root of a drive when changing drives
When this option isn't checked, Total Commander will go to the last used directory of a drive when changing drives. If it's checked, Total Commander will always go to to the root.
Open files and directories with a single click
Allows to open files and directories with a single click instead of a double click. Only experienced users should use this option, because otherwise files could be opened by mistake.
Select only the file name when renaming (not the extension)
This option determines which part of the file name is selected when pressing Shift+F6. If checked, only the name part without the extension is selected, otherwise the entire file name is selected. Press Shift+F6 repeatedly to switch between these two selections.
Auto-complete paths When a full path (with drive letter or server name) is entered, look for paths starting with the typed letters, and offer them in a dropdown listbox
Auto-append suggested name
When a full path (with drive letter or server name) is entered, look for paths starting with the typed letters, and offer the first match within the edit box. You can then switch through the available paths with the up/down arrows, and select one with right arrow. If enabled, you can also switch through them with TAB and select one with Ctrl+Space.
Directory history thinning
Only add directory to the directory history (Alt+Cursor down) if the user stayed there for a certain amount of seconds (default 5), or started any file operation in that location. The unfiltered list can still be shown with Alt+Shift+Cursor down.
Extra lines below cursor:
When scrolling with the keyboard (cursor keys, page up/down), show extra lines below (and also above) the current location, so the next files can already be seen before getting there. Defaults to 4 lines. Can be configured separately for above and below via wincmd.ini:
[Configuration]
ScrollingTopMargin=4
ScrollingBottomMargin=4
Mouse selection mode: Choose between right and left mouse button to select files:
Use right mouse button To select files, just hold down the right mouse button and drag your mouse cursor over the files you want to select.
Left mouse button The mouse works as in file manager. Look in your Windows manual for an explanation of how it works.
Rubberband selection If checked, clicking BEHIND a file name and dragging will select files: A rectangle is created from the clicked point to the dragged point, as if a rubberband was stretched over the files. To drag&drop files, you will need to click on their names, similar to the Explorer. This option is only available in left mouse button selection mode.
Select by clicking on icon
A single click on the icon selects the file, a second click removes the selection.
Only on Touchscreen Only select files by clicking on their icons when the selection is made via a touch screen, not with a mouse
Selection (with Num +)
Select files only When pressing Num +, CTRL+Num +, or Num *, only files and no directories are selected.
Also select directories Directories can also be selected with the Num keys (numeric keypad)
NTFS daylight saving correction
Ignore 1 hour time delay
This option lets Total Commander ignore this 1 hour difference in the time stamp in 'Synchronize dirs' and other compare functions.
Reason: When using Windows NT, 2000 or XP, it's possible to use two file systems, FAT32 or NTFS. While FAT32 stores the local time of files, NTFS stores the GMT (English standard time) of the files. When going from Summer (daylight saving) time to Winter (normal) time, the local timestamps on FAT32 will remain the same, while files on NTFS drives will have the time changed by 1 hour because the time zone difference to GMT changes by one hour. Therefore files on FAT32 and NTFS drives which had identical times before the time change will suddenly be different. Thanks to this function, the files can still be detected as identical.
Save on exit
Directories When Total Commander is closed, the directories shown in the left and right panel will be saved. This option will also save folder tabs when they are enabled.
Panels (brief/full/tree, etc.)
When Total Commander is closed, the display type for the left and right panel will be saved. This includes Brief / Full / Tree, All files / Programs /Custom, and the sort order. If this feature is not chosen, the settings which were last saved are taken when Total Commander starts (or the default settings if nothing was saved before).
Old command lines When Total Commander is closed, the command lines in the command line combobox will be saved in wincmd.ini.
Directory history Remember the history of visited directories also between sessions. Virtual folders can only be saved if there exists a unique string in the form ::{number} to represent them.
Win95/NT specific
Use long filenames (recommended)
This option has been moved to the page Display.
Calculate space occupied by subdirectories
When selecting with the space bar
This option causes Total Commander to sum up the sizes of all files contained in a subdirectory when this directory is selected with SPACEBAR. This size is then shown (in mode "full") instead of <DIR> after the directory name.
'Everything' Uses the tool 'Everything' to get the directory sizes. For this to work, you need to enable the option to index the folder size in the 'Everything' settings. This option only exists in newer 'Everything' versions >=1.4.1.
Before copying/deleting
This option causes Total Commander to count the size of all files/directories selected before copying these files. This allows Total Commander to show a second percentage bar (overall complete).
File comments
Preferred type: Allows to choose the preferred comment file type, descript.ion or files.bbs. The former file format has the advantage to work flawlessly also with long file names and now Unicode, but supports linke breaks only with a Total Commander-specific extension (but approved by the makers of 4dos). The latter only works with the short DOS file names, but supports multi-line comments. It is recommended to use the descript.ion format, except if you are managing a BBS (bulletin board system) which uses files.bbs.
descript.ion:
Plain text Compatibility mode, do not create Unicode comments
Unicode ??? Always create Unicode comments of specified type: UTF16 Windows, Mac, UTF8.
Plain text+??? Create plain text comments, Unicode only if the name/comment contains such characters.
files.bbs Create plain text comments using the files.bbs format.
DOS charset This setting only affects descript.ion files. If checked, Total Commander will use the DOS character set when saving accented characters, otherwise the Windows charset. Reason: The descript.ion format was originally developed for the program 4dos, which uses the dos charset. Unfortunately newer programs like Acdsee ignore this standard and use the Windows charset. Therefore it's recommended to also use the Windows charset, except if you use 4dos or 4nt yourself.
files.bbs files will always use the dos character set to store descriptions.
Copy comments with files
Also copies any comments when copying the corresponding files. This also works with subdirectories. If this option is checked, comment files themselves will NOT be copied if they already exist in the target directory.
Read from both If this option is checked and no comment file of the preferred type exists, Total Commander will also look for a file of the other type. This is useful if e.g. descript.ion is set as the preferred type, but the user receives files in files.bbs format. When a file commented like this is copied, the comment will be converted automatically to the preferred format and stored in the comment file of the preferred type.


Dialog box: Configuration: Auto Switch Mode

Configuration - Auto Switch Mode Back
View modes can either be changed manually via menu, or automatically via rules. On this page you can define rules for automatic mode changes, e.g. to show a different background color for FTP connections.
Automatically switch view mode on directory change
Turns the automatic view mode change on/off.
Rules User-defined rules for changing the view mode. Each rule can consist of several sub-rules, which can be combined with & (AND) or | (OR). & means that all the rules must match. | means that just one of the rules must match.
Add... Adds a new rule.
Delete... Deletes the rule selected in the list.
Arrows Change the order of the rules. After a directory change, the rules are checked in the given order until a rule matches.
Sub-rules of the selected rule:
Rule: The chosen rule. Multiple rules can be combined with & (AND) or | (OR).
Available rules:
+ The directory and/or the specified file types must all match
- The directory and/or the specified file types must not match
% At least half of the file names must match the given file types, e.g. 50% pictures
? At least one of the file names must match the given file types
The folder type is:
D a directory in the form c:\directory or \\server\share
L a directory with drive letter in the form c:\directory . One or more drive types can be set in the edit box:
1=removable harddisk, 2=USB stick, 3=fixed, 4=remote, 5=CD-ROM, 6=RAM disk.
U a UNC path in the form \\server\share
V a virtual folder like the desktop
F an FTP connection (Ctrl+F or Ctrl+N)
A an archive file like c:\directory\file.zip
P a file system plugin, e.g. \\Secure FTP\connection
S a search result (Commands - Search - Feed to listbox)
Directory: Name of the directory to match the current directory. By appending a * to the end, all subdirectories will be matched too. The path may contain wildcards elsewhere too.
Examples:
c:\photos\ Just the folder "photos"
c:\photos\* The folder "photos" and all subfolders
c:\photos\*2016*\* Folders below "photos", which contain the substring "2016", and all subfolders
File types: The file names in the current directory are compared with the given file types. Depending on the rule (+, - %, ?), all files have to match the given types, or none, or at least half, or at least one. The rules allow to specify multiple types, separated by spaces, or the exclusion of types (behind |).
Examples:
*.doc *.docx *.xlsx Find the specified office files
a*.* | *.bak *.org * .~* Find all files starting with "a", but do not find the specified backup types
More sub-rules Adds another rule
Fewer sub-rules Removes the rule at the bottom
Set this mode: The specified mode will be set if the rule matches the directory.


Dialog box: Configuration: Change button bar

Dialog box: Configuration - Change button bar
Hint: By dragging a file on the button bar with pressed SHIFT key you can easily add buttons to the button bar. By pressing the right mouse button on the button bar, you can open a local menu which allows to change or delete the button under the mouse cursor. The Change button dialog box has exactly the same structure as the lower part of the Change button bar dialog box.
Field Description
Button bar: Behind this identifier the file name of the actual button bar is shown. Behind the file name, you can choose another button bar using the >> button. You cannot change the bar name if you are in a subbar. You can only change the name of the default bar (loaded at startup).
Below this identifier you can see the actual button bar in a raw form (only the icons).
Hint: You can use SHIFT+arrow keys to move buttons or drag them around with your mouse!
Size: Here you can choose a size for the buttons in the button bar. A size of 32 corresponds to the normal icon size. New with TC 9.20, the size will be stored separately for each screen scale factor (dpi).
XP-Style Uses the current theme to draw the buttons (Windows XP or newer)
Flat icons If checked the icons are shown without 3d effect. Now supports XP style toolbar buttons.
Small icons If checked, the icons are resized to the given size (default: 16x16), otherwise they are resized to the button size.
Add... Adds a new entry in the button bar directly BEHIND the current position.
Delete Deletes the currently selected icon.
Command: There are many possible commands which can be placed in this field:
1. You may specify the program to be run, including its search path. You can also specify fixed parameters here. Important: You must give the extensions .com and .bat, because by default Windows only finds .exe! With "Change >>" and "Insert file name" you can search for the desired program. Put an asterisk '*' in front of the name to start it with administrative rights, or two '**' to start is as a different user (Windows 7 or newer). Supports environment variables.
Warning: Programs run as administrator will always start with the program directory as the start path, and environment variables (like %COMMANDER_PATH%) are NOT inherited from Total Commander, only those from the system. It also does not work directly with .bat and .cmd files. Please put cmd.exe /c in front of it.
2. You can also place one or more of Total Commander's internal menu commands here comma-separated. Just click on the button with the magnifying glass and choose a command from the dialog box "Choose command".
Example for multiple commands: cm_SelectAll,cm_Copy
cm_wait x adds a delay of x milliseconds, e.g. cm_SelectAll,cm_wait 1000,cm_Copy
You can open a virtual folder with one of the following commands:
cm_OpenDesktop, cm_OpenDrives, cm_OpenControls, cm_OpenFonts, cm_OpenNetwork, cm_OpenPrinters, cm_OpenRecycled
3. You can make a button to change directories, by specifying cd directory name as the command. You can even choose which files to show, e.g. using the command cd directory\*.txt
With parameter "/user:" (all lowercase!) you can specify the user to use for the connection to the remote share. If no user name is given, you will be asked to enter a user name and password.
Example: cd \\server\share /user:username
4. You can also open an ftp connection, using either cd ftp://ftp.servername.com
or: FTPOPEN session_name, where session_name is the name configured in the FTP connect dialog box.
or: FTPOPEN session_name|/subdir, connects to session (in preferred file panel) if not yet connected, and goes to specified subdirectory
or FTPOPEN session_name|*/subdir, same but always in active panel, e.g. for Ctrl+D.
5. With the command zipfromlist, you can create a zip file from a list of files. The command field must contain the zip file name, and the parameters field the name of the list file. The list file must contain a list of files to be packed, one file per line. Now supports the following parameters, put in front of the zip file name: -m move, -o overwrite without asking, -0 .. -9 compression rate, -c0 encrypt (zip20), -c1 AES128, -c2 AES192, -c3 AES256, -c0pass .. -c3pass encrypt with given password
6. As a further possibility, you can insert a button to switch to another button bar. To do this, click on the button Add subbar >>. In the appearing dialog box you can choose an existing bar as a subbar or enter a name for a new bar. After this, another bar appears, which allows to change the subbar. You can make circular references (bar 1 calls bar 2 calls bar 3), but avoid to edit a bar for which you have already a window opened!
Note: If you want to have another bar at this position, you must delete the file name of the old bar before pressing the Add subbar >> button.
7. APPENDTABS tabfile.tab appends the folder tabs stored in the file tabfile.tab to the current tab header. Now uses "file open" dialog box when no parameter is given.
To append tabs on the left/right side, append the character L or R to the command, respectively.
8. OPENTABS tabfile.tab same, but replaces the current tabs with these new tabs.
To open tabs on the left/right side, append the character L or R to the command, respectively.
9. SYNCOPEN saved_sync_name opens synchronize dirs with saved options. If the parameter begins with an equal sign "=", the comparison will start immediately. If the equal sign is the only parameter, the comparison will start with the current directories and last used options.
10. LOADSEARCH saved_search_name opens search function with saved search.
11. OPENBAR saved_bar loads an existing button bar, for example default.bar.
12. MULTIRENAME saved_rename_settings opens the multi-rename tool with the specified settings
13. OPENCUSTOMVIEW custom_columns_view_title switches to the first custom columns view with the specified name. The name is case-sensitive. To set the view on a specific side, append one of the suffixes L, R, S, T or B to the command (left/right/source/target/both), e.g. OPENCUSTOMVIEWL my_view to switch the view in the left panel.
14. SELECTFILES file types marks files of the given type, e.g. SELECTFILES *.txt *.doc
Supported modifiers: D=only folders, B=both, U=unselect, L=left side, R=right side, T=target panel, S=Reverts whether just files or files+folders are selected when Shift is pressed during execution. Add directly to the end of the command name, like selectfilesD or selectfilesDUT or any meaningful combination.
15. A value of -2 and no icon causes a manual line break in the button bar
16. SAVETABS, SAVETABSL, SAVETABSR, SAVETABS2, SAVETABS2L, SAVETABS2R: save tabs to a specified file. The first 3 save just one side (active, left, right), the second 3 save both sides (active first, left first, right first).
17. SAVESELECTION, SAVESELECTIONA, SAVESELECTIONW: save names of selected files to the specified file. With character A at the end, the list is saved as ANSI, with W as Unicode UTF-16. Without suffix, it depends on the characters in the file names.
18. SAVEDETAILS, SAVEDETAILSA, SAVEDETAILSW: save names and details of selected files to the specified file. With character A at the end, the list is saved as ANSI, with W as Unicode UTF-16. Without suffix, it depends on the characters in the file names.
19. LOADSELECTION: load selection of files from a specified file. Supports ANSI and Unicode UTF-16.
Start path: Determines the path to be set before the program is started. If no path is given, then the path of the source window is set.
Important: If the command (given in the command box) is cd drive:\directory, then the path given in this edit box is set in the other window! This allows to set both paths (source and target) at the same time.
Parameters: Here you can specify command line parameters. Fixed parameters must be specified directly after the file name, because otherwise, in a Drag&Drop, only the file name would be given to the program.
Special parameters:
? as the first parameter causes a Dialog box to be displayed before starting the program, containing the following parameters. You can change the parameters before starting the program. You can even prevent the program's execution.
%P causes the source path to be inserted into the command line, including a backslash (\) at the end.
%N places the filename under the cursor into the command line.
%T inserts the current target path. Especially useful for packers.
%M places the current filename in the target directory into the command line.
%O places the current filename without extension into the command line.
%E places the current extension (without leading period) into the command line.
%S insert the names of all selected files into the command line. Names containing spaces will be surrounded by double quotes. Please note the maximum command line length of 32767 characters.
%S10
insert the names of the first 10 selected files (max.) into the command line. Allows to limit the number of file names passed to the program. You can use any other number.
%P%S
insert the names of all selected files into the command line, with full path. Names containing spaces will be surrounded by double quotes. Do NOT put quotes around %P%S yourself!
%R like %S, but with selected names from the target panel
%C1 Like the first parameter of "Compare by content": First selected file, or file under cursor
%C2 Like the second parameter of "Compare by content": Second selected file, or first selected in target panel, or file with same name in target panel. Note: If the right panel is active and less than 2 files are selected, %C1 and %C2 will be reversed.
%C3..%C9
Selected files Nr. 3 .. 9 in source panel, empty if not enough selected
%c1..%c9
Like %C1..%C9, but with 8.3 names and paths
Notes: %N and %M insert the long name, while %n and %m insert the DOS alias name (8.3). %P and %T insert the long path name, and %p and %t the short path name (Same for %o, %e and %s). %p/%t inserts the ftp URL of the directory for ftp connections.
By putting %P, %p, %T or %t directly in front of %S or %s, the path name is inserted with the file name for each file. Example: %P%S inserts the long path and file name for all selected files.
%% inserts the percent-sign.
%L, %l, %F, %f, %D, %d, %WL, %WF, %UL, %UF
create a list file in the TEMP directory with the names of the selected files and directories, and appends the name of the list file to the command line. The list is deleted automatically when the called program quits. Only one list per command is supported. 10 types of list files can be created:
%L Long file names including the complete path, e.g. c:\Program Files\Long name.exe
%l (lowercase L) Short file names including the complete path, e.g. C:\PROGRA~1\LONGNA~1.EXE
%F Long file names without path, e.g. Long name.exe
%f Short file names without path, e.g. LONGNA~1.EXE
%D Short file names including the complete path, but using the DOS character set for accents.
%d Short file names without path, but using the DOS character set for accents.
%UL,%UF
like %L and %F, but with UTF-8 Unicode list file (with byte order mark)
%WL,%WF
like %L and %F, but with a UTF-16 Unicode list file (with byte order mark)
%v Insert virtual file name in case of file system plugins like "virtual panel", where %N pastes the name of the real file (in the file system) to which the entry points to
%V Like %v, but including the full path (including the plugin name)
%X Interprets the following parameters after this parameter as left/right instead of source/target:
%P, %p (left path), %T, %t (right path), %N, %n (left name), %M, %m (right name),
%S, %s (left selected), %R, %r (right selected)
Example: %X%P %T sends left and right path to e.g. an external sync tool
%x Interprets the following parameters after this parameter again as source/target
Example: %X%P %x%P sends left and source path to the called program
%Y anywhere in the parameters: Pass empty list to program when using one of the List parameters like %L. Otherwise, the file under the cursor would be passed.
%Z anywhere in the parameters: Allow to pass archives as path to programs for %P or %T when inside an archive
Example: %Z%P passes name of archive to external tool when TC shows contents of an archive
Only when defining alias commands:
%A Inserts the rest of the entered command line
%A1..%A9
Inserts the first until the ninth parameter.
Example: Alias op points to Command: totalcmd.exe Parameter: /L=%A1 /R=%A2
-> Command line: op c:\dir1 d:\dir2 will create command: totalcmd.exe /L=c:\dir1 /R=d:\dir2
Run minimized: Program will be started as an icon
Show as menu: Only for .bar files: Show linked button bar file as a popup menu instead of switching to the new bar. Use Shift to use the other option, e.g. show bar as menu if this option isn't checked.
Run maximized: Program will be started full screen
Icon file: File which contains the icon for the button bar. For Windows programs, you can specify the name of the exe file itself. (e.g. notepad.exe). For internal commands, there are some icons available in wcmicons.dll.
The default icon for an extension .ext (e.g. for Windows store apps) can be specified in the form @anyname.ext
(By the way: Because of an internal Windows bug, you loose some bytes at every change of icon file. But after leaving Total Commander, these bytes are released. The same problem appears e.g. in program manager!)
Icon: In this list, all icons contained in the specified icon file are shown. The number of the selected icon is shown in front of the list. Just click on an icon to select it for the button bar.
Tooltip: Content of the small window which is shown when the mouse cursor is pointed on a button for more than one second. A vertical line | will be shown as a manual line break. Two vertical lines || will be shown as one.
OK Saves the changes made to the specified bar file.
Cancel Closes the dialog box without saving.
Help Opens Windows Help with this page.


Dialog box: Configuration: Colors

Configuration - Color Back
With this page, you can control text color, background color, marked and cursor color of the file windows. You can also choose if you want to display the cursor as a small rectangle or as a filled box. However, you cannot change the color of buttons and lines (only global with control panel), because they use the standard given by Windows. Starting with Total Commander 9.50, you can switch between a normal and a dark mode.
Field Description
Dark mode: Switch between normal and dark mode. The change is applied immediately. The third option reacts to the Windows 10 option "Choose your default app mode", which can be reached via right click on the desktop - Personalize - Colors - Choose your color.
Note: Some colors can only be changed by closing and re-opening Total Commander, e.g. most context menus and standard Windows dialogs. Some elements like context menus can only be shown in dark form in Windows 10 Fall 2018 (1809) and newer.
Font color: Use this option to select the text color for the main window.
Background: Select the background color of your choice. Only the file panels are drawn in that color. The color of the surrounding window background is determined by the default button color.
Background 2: New: Define a different color for all even lines. It's recommended to define a color which differs only slighly from the normal background color.
Mark color: You can select the color for marked files here. Avoid selecting the same color as for text.
Cursor color: Use this to chose a color for the selection frame around the current file. The default is a dashed inverted frame (Windows default).
Cursor font: Allows to change the color of the text inside the cursor bar. This option is only available if the inverted cursor is used.
Others Define colors for various other locations.
For Lister you can set:
- Foregound and background color for normal text,
- Foregound and background color for selected text,
- Color for HTML links. (only for the mode "HTML - Text")
For compare by content, you can set:
- Text color for differences in text mode,
- Text color for differences in selected text in text mode,
- Text color for differences in binary mode,
- Text color for differences in selected text in binary mode.
- Text color for text with no differences
- Background color for text with no differences
- Background color for text with differences
- Text color for selected text with no differences
- Background color for selected text with no differences
- Search results (underline)
For the Title bar of the file panels, you can set:
- Text color of the active side
- Background color of the active side
- Text color of the inactive side
- Background color of the inactive side
For "Synchronize directories", you can set:
- Background color of selected lines
For "Hint windows", you can set:
- Text color
- Background color
- Border color
For the dark mode, you can set:
- Text color
- Background color
- Highlight color: Active tab, buttons permanently down. Highlight (2): Currently pressed button, borders
Use Windows theme for cursor
The cursor is drawn with the current Windows theme instead of the user-defined color.
Use inverted cursor: If this option is checked the cursor is shown as a solid bar with the color selected under "cursor color". Otherwise the cursor is shown as a rectangle around the active file.
Use inverted selection
The selected files are shown as a solid bar with the color selected under "mark color". Cannot be selected at the same time as the previous option.
Define colors by file type
Opens a dialog box which allows to define different colors for different file types, e.g. one color for ZIP archives and another color for system files.
Example This shows a sample text with text color and the background you selected.


Dialog box: Configuration: Misc.

Configuration - Misc. Back
Field Description
Get Confirmation before
Use these options to select the file actions for which Total Commander will show confirmation dialogs. More confirmations mean more security, but also slower working speed. You must decide how much security you need. Unless specified, maximum security is selected.
Deleting non-empty directories
If you selected this option you will be asked if you really want to delete the directory with all files in it, for each non-empty directory.
Overwriting files: If this option is chosen, you will be asked if you want to overwrite existing files while copying/renaming files.
Overwriting/deleting read-only files:
When you try to rename or overwrite files marked as read-only, you will be asked a second time if you really want to delete / overwrite the file. This is an additional security feature to preserve your valuable data. Normally, this option should not be disabled.
Overwriting/deleting hidden/system files:
When you try to rename or overwrite files marked as hidden or system, you will be asked a second time if you really want to delete / overwrite the file. This prevents you from accidentally deleting important DOS files which the system needs to start, like io.sys and msdos.sys.
Drag&Drop (copying files with the mouse)
If this option is disabled, the files will be copied immediately without a dialog box asking for the target directory when copying / moving files with the mouse.
Redefine hotkeys (keyboard remapping)
Assign an internal function to unused or already used shortcut keys, or define an alias for the command line.
Hotkey: Define a hotkey here. Now also supports the Windows key if it hasn't been assigned to a system-wide function (like Win+E for the Explorer). Click on the list twice (to set the focus but close the list) and then press the key which you want to assign to choose the right key.
Key codes starting with OEM_ are depending on the current keyboard layout (OEM=original equipment manufacturer). For example, the key code OEM_US[{ is created by the key labeled "[{" on a U.S. keyboard.
Please note that some hotkeys like Ctrl+Letter will not be remapped while the cursor is in the command line.
Shows a list of currently defined hotkeys. Choose one to edit it. To remove a hotkey, choose it, then click on the magnifying glass and chose the very first option (Predefined command).
Alias Enter an alias here, e.g. "np" to start Notepad via the command line.
Command: Assign an internal command to the hotkey/alias. Click on the magnifying glass button to open the dialog box "Choose command". To undefine a hotkey/alias, choose 'Default command (no remapping)'. Warning: It will not be shown whether a hotkey is used internally by Total Commander or not. Reason: Total Commander uses a more efficient system internally for hotkeys.
Click to (re)define the hotkey/alias. If you choose a previously defined hotkey from the list, this button will show a red "X" to remove it.
Custom sounds Allows the playing of WAV files at the end of certain operations, e.g. packing, copying etc.
Configure Opens the part of the control panel which allows to define custom sounds. There is a separate section for Total Commander, usually at the end of the list.
Only play for long operations
If you choose this option, Total Commander will play the selected sounds only if the corresponding operation has taken a certain minimum amount of time. This way you will not be disturbed by a sound for every small copied file, but only when an operation took longer, e.g. a long download.
> xx s Here you can enter the desired minimum operation time, in seconds.


Dialog box: Configuration: Copy/Delete

Configuration - Copy/Delete Back
Allows fine tuning of the copy+delete operations.
Copy method (for experts only!)
This section allows to change the copy method:
Use standard copy method (recommended)
Let Total Commander choose the copy method. Currently it will use the built in default copy method via ReadFile/WriteFile on Windows 9x/ME, and the Windows function CopyFileEx on Windows NT, 2000, XP, Vista, and 7.
Use default method only
The default built in copy method (via ReadFile/WriteFile) is relatively slow, but also reliable. A larger block size may speed up the copying. When copying within the same drive, a larger buffer size should be chosen than when copying between two drives, so the read/write head doesn't have to jump between source and target all the time.
Also use big file copy mode
The copy method for large files is meant to copy very large files like films or CD-ROM images. It bypasses the Windows disk cache. This works very well with harddisks, but can slow down copying to special drives a lot (e.g. to USB sticks). Recommended are at least 10240 k within the same disk, and 32 k between two disks. Warning: Some disk drivers written by drive manufacturers may have bugs which prevent them from working in this mode!
The following drive letters are on the same physical harddisk (example: CDE,FGH ):
If your harddisk is separated into multiple partitions, e.g. drive C, D and E, copying between these partitions is the same as within drive C. Therefore Total Commander needs to use the same copying strategy as when copying within drive C. With this option, you can tell Total Commander which drive letters are on the same physical disk (separated by Commas).
Example: If you have two disks, one with letters C, D and E and one with F, G and H, you need to specify CDE,FGH in this box.
Use compatibility mode for the following drives:
The compatibility mode is useful for special drives, which cause problems with the default or big file mode, e.g. USB memory sticks. Simply enter the desired drive letters here, and/or \ for the network neighborhood, or * for all. This mode isn't available under Windows 9x/ME. It uses the Windows function CopyFileEx.
USB Sticks If checked, USB-Sticks (which are formatted as a Super-Floppy) are auto-detected, and copying to and from them is performed in compatibility mode. Reason: Copying from/to USB sticks is otherwise extremely slow on Windows XP, because there is no disk cache!
Use copy+paste via Explorer (only in case of copy problems)
This copy method should only be used in case of problems. It copies files via the clipboard, which means that they are copied via the Explorer. Certain virus scanners may slow down the normal file operations in such a bad way that only this copy method can help, because these scanners contain special handling for Explorer only.
Warning: With this function you can neither copy file comments, nor can you use the extended overwrite and rename options available in Total Commander.
General Copy+Delete options
Copy date/time of directories
Allows to copy the 'last modified' timestamp of a directory. This option also concerns the unpacking of directories from archives, if the directory has been explicitly packed (not only the files with relative paths).
Warning: On drives formatted with NTFS, the time stamp of a directory may change when files are changed in that directory!
Verify after copying (MD5 checksum)
Reads the copied file again after copying finishes, and compares its MD5 checksum with the original. The disk cache will be bypassed. Since this function is slow, it should only be used if there are any known problems with disks. This checkbox determines the state of the option when Total Commander starts. It can also be changed directly in the F5 Copy dialog.
Use Explorer delete method
Deletes files via the Explorer. This is faster, but cannot handle file comments.
F8/DEL deletes to recycle bin (SHIFT=directly)
If this option is activated, Total Commander will delete to recycle bin when you press F8/DEL or drop a file on the F8 button. By using shift+F8 you can still delete files directly. Disabling this option will delete directly. Caution: Currently there is no undelete program included in Windows other than the recycle bin!
Note: This option isn't available if Use Explorer delete method is checked.


Dialog box: Configuration: Custom columns

Configuration - Custom columns Back
Here you can define the columns in custom columns view.
Configure columns for file system:
File system plugins can now support custom columns. An update of the plugin is needed to use this feature. This feature is useful e.g. for a registry plugin to show the registry values, or a Linux file system plugin to show permissions. Choose <General> for columns from the normal file system.
Custom column configurations:
Lists all configured custom columns views. A maximum of 29 views can be configured. You can simply sort them with drag&drop.
New Creates a new custom columns view, and opens the dialog box to edit it.
Edit Opens the dialog box to edit the currently selected custom columns view.
Delete Deletes the currently selected custom columns view. The change will only be saved after clicking on "Apply" or "OK".
Copy Creates a copy of the currently selected custom columns view, and opens the dialog box to edit it.


Dialog box: Configuration: Edit/View

Configuration - Edit/View Back
Allows to set a viewer for F3 and an editor for F4.
For F3 you can use either the built-in Lister, or choose an external file viewer. There are two possibilities to call the internal Lister: For F3, you can choose to show the file under the cursor - choose Internal viewer with file under cursor for this option. Alternatively, you can choose to open the internal viewer with all selected files, and then go through these files with the n and p keys. When you have chosen one of these two methods for F3, you can still use the other one with Shift+F3.
As a third possibility, you can use one or more external viewers (e.g. Irfanview). You can assign a separate viewer to each fle extension plus one for all unassociated files. Alt+F3 normally calls the external viewer. When there is no association defined, TC will call the Windows quick view. If no quick view handler is defined, TC will call the default viewer.
Field Description
Viewer for F3 Allows selection of the file viewer for the function key F3 and button 3 below the command line:
Internal viewer with file under cursor
F3 will start the lister with the file under the cursor, not the selected files.
Internal viewer with selected files
F3 will start the lister with the files selected in the source directory. With n and p you can browse through these files.
Hint: Pressing the SHIFT-key while pressing F3 will select the other method of the two methods described above!
External Viewer You can choose any other viewer(s) if you do not want to use the built in viewer.
Associations Here you can choose a different viewer for every file extension. The selection works the same as in the dialog box associate. However, the associations are saved in Wincmd.ini.
Default Here you can choose the file viewer which will be called if there is no association for the specific file. If you do not specify a viewer, the internal viewer will be used.
Configure internal Viewer
Opens the dialog box to configure the internal file viewer (Lister).
Editor for F4 ENTER the name of an editor to use with F4. Default is notepad.exe.
>> Opens a dialog to browse for the desired file.
Plugins/FTP: Automatically re-upload changed files
This determines how temporary files are handled which are viewed with F3 or edited with F4:
If checked, the file will be re-uploaded automatically when they are saved in the editor, also multiple times.
If unchecked, the file will be re-uploaded only after closing the editor, and only if the user confirms the re-upload. This is the method used by Total Commander 8.0x and older.


Dialog box: Configuration: Folder-Tabs

Configuration - Folder-Tabs Back
Settings for the folder tabs above the file panels:
Show tab header also when there is only one tab
Without this option, Total Commander will only show the tab header when there are at least two tabs. If there is only one tab, new tabs need to be opened with Ctrl+T or Ctrl+Cursor up on a file.
Tabs on multiple lines
If active, tabs will be split to multiple lines when they don't fit on a single line. Otherwise two little buttons will be shown which allow to scroll through the tabs.
All tabs have same width
Shows tabs with fixed width, similar to Mozilla.
Limit tab length to: Limits the maximum length of the text shown on a tab to the given number of characters.
Confirm close all tabs Asks before closing all tabs via the right click menu.
Close tab on double click
Allows to close a tab by double clicking on it (in addition to the middle mouse button click).
Ctrl+Up opens tab in foreground
Normally Ctrl+Up opens a new tab with the dir under the cursor, but remains on the current tab. This way you can quickly open multiple subdirectories in separate tabs. When this option is selected, the tab will be activated immediately.
Open new tabs near current tab
When active, new tabs will be created immediately to the right of the currently active tab. If not, new tabs will be appended to the end of the tabs.
Show locked tabs with an asterisk *
Locked tabs (these are tabs which cannot be deleted) are shown with a * in front of them. You can lock/unlock tabs via the right click menu, and also change their names. This can be used to access very often used directories.
Activate target panel when clicking on one of its Tabs
Determines what happens when clicking on a tab above the currently inactive file panel: If checked, the panel will be activated, otherwise the other panel will remain active.
Always show drive letter in tab title
Show drive letter separated by a colon in front of the current folder name, e.g. c:windows. For FTP connections, the connection number is shown, e.g. 0:tmp. For a disconnected connection (after Total Commander was restarted), # is shown instead of a number.
Show icons on tabs Allows to show icons on tabs for specific folders. The button >> allows to choose for which folder types: By default, it will show icons for local drives, configured via folder properties (desktop.ini), virtual folders like the Desktop, file system plugins, ftp connections and from custom view modes.


Dialog box: Configuration: Font

Configuration - Font Back
With this page you select the font and icon size for Total Commander. The selected font can be either normal or bold (default). The selected font and its size is saved for each screen resolution separately, which is very practical when working with different resolutions. When changing the font, Total Commander is automatically resized, but can only reach the size of the screen (as a maximum). You can change the tabstops in the file Windows to fit the files better into the selected size.
Field Description
Dialog box scaling (does not scale the main window)
Enlarges/Reduces the size of the dialog boxes in Total Commander to the specified value in dots per inch (dpi). The default is the scaling set in Windows control panel. This also scales the font in the dialog boxes. The file list font and main window font will NOT be scaled.
File list font Choose a font for the file lists in Total Commander. Some fonts will not be displayed correctly, like script. The font can be bold or normal, italic is NOT supported.
Main window font This sets Total Commander's main window font (file listbox not included).
Dialog box font Sets the font for the dialog boxes. Warning: The size of the dialog boxes is NOT adjusted to the font size! You should only choose an 8-10 point font. This option is implemented for languages where the default font (MS Sans Serif, 8) doesn't contain the correct code page, e.g. Japanese.
Change font Opens a standard Windows dialog box to choose a font. Its "Character Set" setting is not used on NT based Windows versions. However, if you choose a font which does not contain some of the characters you use, Windows will use a replacement font for these characters.


Dialog box: Configuration: FTP

Configuration - FTP Back
Settings for the built-in FTP client
Number of times to retry if FTP server busy
Lets Total Commander retry to connect to an ftp server if the server is busy. Useful for overcrowded ftp servers (anonymous and now also with user name/password). Set to 0 if you do not want this function.
Delay between retries (seconds)
Total Commander will wait the given amount of time before starting a connection retry.
Default transfer mode
Determines the upload and download mode for files. On Unix, text (txt, html etc.) files are stored differently than on DOS and Windows. Therefore they need to be copied in a different mode. The "automatic" mode uses the extension to determine which files are considered as text and which as binary.
Open new connections
By default, new connections are always opened in the currently active file panel. This option allows to change this to either the left or the right window, or to the inactive (target) panel.
Create a log file
Appends the messages shown in the small FTP log window to the given file.
All uploads/downloads in the background
Starts all new transfers in the background by default.
Use passive mode by default
Uses the passive mode for new connections. This is mainly meant to pass firewalls, when no connections from the outside are allowed. When a new connection is configured, its passive mode settings will automatically become the default.
PORT mode: Only use ports from limited range:
This option is useful if you have opened your firewall for a limited number of incoming PORT connections for FTP transfers, e.g. when the server does not support the passive mode. You should use at least 100 ports for each computer, better 1000. Note that you need to use ports between 1024 and 65535.
This option is also used together with the following (external address).
PORT mode: external address (IP/DNS/http):
This option is only necessary for routers which do not contain automatic ftp support. For many routers, this option is not necessary or even counterproductive, because the router itself makes the conversion from the local to the external IP address.
If your router doesn't support the ftp port mode directly, you need to define a port forward on the router for a port range, e.g. ports 10000 to 11000. Then you need to inform Total Commander about these forwarded ports with the above option "Only use ports from limited range".
You can specify one of the following options as the external address:
1. If you have received a static IP address from your access provider, you can enter it directly
2. If you are using the DynDNS.org service, you can enter your DynDNS name here
3. If you have access to a Web server, e.g. at your Internet access provider, you can create a script file on the server which reports your own IP address. Then enter the address of the script file here, e.g. http://www.myservername.com/directory/scriptfile.php
Example script in php: <?php print $_SERVER["REMOTE_ADDR"]; ?>
Compress during transfer (MODE Z)
Compress files "on the fly" during their transfer if the server supports it. This uses a ZIP-compatible compression method.
Not on LAN Disable MODE Z for servers on the same subnet, or using a private address like 192.168.*.*. Recommended within a company network, where zipping the data would be much slower than sending it uncompressed. You should disable this if you are a teleworker and access your company network over a slow dialup connection.
Auto-resume transfer if no data received for:
If no data is received for more than the specified number of seconds, Total Commander drops the connection, reconnects and resumes the transfer.


Dialog box: Configuration: Icons

Configuration - Icons Back
With this page you select the icon size for Total Commander. The selected icon size is saved for each screen resolution separately, which is very practical when working with different resolutions.
Field Description
Show icons to the left of the filename
All associated+EXE/LNK (slow)
This option extracts an icon for each EXE and LNK file. If this is too slow on your machine, try the next option, where only icons for associated files are shown.
All For all files which are associated with a program, the icon of that program is shown to the left of the file. Archives have a parcel as a symbol. Directories appear as a folder. Programs look like a window. Non-associated files have a white sheet, hidden and system files have in addition an exclamation-mark as their symbol.
Only standard icons All files have a white symbol, associations are not shown. This option is especially useful for slow computers (and hard disks).
No icons No symbols are shown (for icon-haters and NC-purists)
EXE/LNK not on floppy If this option is checked, icons from EXE and LNK files will not be extracted from files on a floppy disk (drive a: or b:). The reason: The extraction slows down floppy disk access quite a lot.
EXE/LNK not on net As above, but for files on network drives and in Network Neighborhood. Useful for slow networks, e.g. when connecting via a modem or mobile phone to the company network.
Show icons for special folders: Normal file system
Show icons for local virtual folders, like the icon of the recycle bin
Show icons for special folders: Virtual folders (e.g. Network)
Show icons for virtual folders, like servers in Network Neighborhood
Show default folder/file icons from Explorer
Show the same icons as the Explorer for files with no association and folders with no special icon.
Show overlay icons, e.g. for links
If checked, Total Commander will show overlay icons like the small arrow for LNK files. There are also some Explorer extensions which use overlay icons, like some file version systems.
Show '!' on hidden/system
Hidden and System files will be marked with an exclamation mark on the icon
Dimmed hidden files
Hidden files will be shown with a brighter icon than normal files, as in the Explorer
Icon size Choose a size for the symbols to the left of the file name. If symbols are not shown, this size determines the height of one file entry. Only 16x16 and 32x32 is offered, but other sizes can be typed by hand. However it's not recommended because the new folder icons do not scale well.
Extra space: Horizontal:
Sum of the extra space (in pixels) to the left and right of the icon. Example: Set this to 2 to add one pixel to the left and one to the right.
Vertical: Sum of the extra space (in pixels) above and below the icon. Note: If the file name font is higher than the icon, this will be added to the font height.
Icons in main menu
Show icons for commands in the main menu
Show icons from wcmicons.dll for internal commands in the main menu. The size can be chosen between 16x16 and 48x48 pixels in fixed steps.
Show 3d frame around icon
Symbols are shown like buttons (without XP theming)
Show checked items as pressed buttons instead of checkmarks
If this option is chosen, active menu items like the sort order are symbolized by a pressed button. If not, then a checkmark or bullet is shown to the left of the icon.
Show drive icons from Explorer
Shows drive icons from the Explorer in the drive panel, drive dropdown combobox, and folder tabs.
Set default icon library
If multiple icon libraries for main menu and button bar are installed, the default library can be chosen here. All buttons defined with the library wcmicons.dll (no path!) will use the library chosen here instead.


Dialog box: Configuration: Ignore list

Configuration - Ignore list Back
Ignore specific files/folders: They will be neither displayed nor copied. Only files in the file system can be ignored. Files on ftp servers, within archives, plugins or virtual folders like the desktop cannot be ignored.
Ignore (don't show) the following files and folders:
Master switch to turn option on and off.
<Listbox> List files and folders which you want to ignore. The following entry types are supported:
1. Full path to file. Example: c:\config.sys
2. Path relative to the root of ALL drives. Example: \RECYCLER
3. Name which will be hidden in all paths. Example: descript.ion
Notes:
- All 3 options above also support the wildcards * and ?, e.g. *.br1
- Multiple names with wildcards can be put on 1 line, separated by space or ";", e.g. *.bak *.old
- Relative or absolute path items must be put on a separate line each.
- When a name is ended with a backslash, it will match only directories
- Attention: If a name contains both spaces and wildcards, it must be written in double quotes the following way: \"System Volume*" or c:\path\"long name*"
Save in: Location and name where the ignore list will be stored. Default is tcignore.txt
Add selected names with full path
Enabled only when some files are selected in the last active panel of Total Commander. Allows to add these files/dirs with full path to the above list.
Add selected names Enabled only when some files are selected in the last active panel of Total Commander. Allows to add these files/dirs without path, which means that they will be hidden in ALL directories.
Note: Use the internal command cm_SwitchIgnoreList to turn this option on and off via a button, menu item, or hotkey.


Dialog box: Configuration: Language

Configuration - Language Back
Use this option to choose another language for the buttons, dialogs and (error) messages. The language information for English is stored in the file totalcmd.exe itself, for all other languages in external .LNG and .MNU files. The name of these language files starts with WCMD_ (e.g. WCMD_FRA.LNG and WCMD_FRA.MNU for the French language). Unused language files may be deleted to save space.
Field Description
Change the language You can choose a language from the list. The corresponding menu file is selected automatically. More languages (not included in the normal distribution package) are available on the Addons page on www.ghisler.com .
Main menu file This file contains the current main menu for Total Commander. If no file is specified, Total Commander uses its internal default menu. See below for a description of the menu file.
>> Opens a dialog box to browse for another menu file.
Edit Loads the specified menu file into notepad for editing. Please read the description of the menu file layout if you want to write your own menu.
Download Opens the default Web browser of the system with the additional language page


Dialog box: Configuration: Packer

Configuration - Packer Back
With this page you can prepare Total Commander for the use with archivers (ZIP, ARJ, LHA, RAR, UC2 and ACE). Archivers allow packing of files to a much smaller size. Programs cannot be executed in packed form and must be unpacked first. Total Commander can do this automatically. The ZIP packer is configured on a separate page.
See also: Handling of archives (ZIP, ARJ, LZH, RAR, UC2, ACE)
Field Description
Treat archives like directories
If you choose this option, you can double click on archives to show their contents. You can then copy, delete and view files from the archive and add files to it with the normal Total Commander functions. If you do NOT select it, Total Commander will launch the program associated with the archive. If no program is associated, the file will be opened by Total Commander itself.
ARJ-packer ENTER the name and path of your ARJ-packer (recommended: ARJ32.EXE)
Use internal un-ARJ if possible
Total Commander contains an internal unarj. To use it, select this check box. The internal unpacker doesn't handle encrypted files.
LHA-packer ENTER the name and path of your LHA-packer (recommended: lha32.exe). It will create files with the extension '.lzh'.
Use internal un-LZH if possible
Use built-in un-LZH.
RAR-packer ENTER the name and path of the RAR-packer (recommended: winrar.exe). It will create files with the extension '.rar'.
Use internal un-RAR if possible
Use UnRAR.DLL (UnRAR64.DLL on 64-bit Windows) which comes with Total Commander.
UC2-packer ENTER the name and path of your UC2-packer (uc.exe). It will create files with the extension '.uc2'. Does not work on 64-bit Windows.
ACE (>= 1.2b) ENTER the name and path of the ACE-packer (recommended: winace.exe). It will create files with the extension '.ace'. You need ACE version 1.2b or later.
Use internal un-ACE if possible
Use UnACEv2.DLL which comes with Total Commander (currently there is no 64-bit version).
>> Opens a dialog to browse for the desired file.
Create TAR archives for Linux (unchecked: for SunOS)
The difference between the two formats only shows for very long file names (>99 characters). These are stored differently on Linux (GNU-TAR) and SunOS.
Packer plugins Here you can add further packers/unpackers. Additional packers can be found on www.ghisler.com, e.g. a packer for the bzip2 format. This packer can only handle single files, but it is very efficient.


Dialog box: Configuration: Plugins

Configuration - Plugins Back
Change settings for all supported plugin types.
Download new plugins from ghisler.com
Connects to the page where you can download plugins which were tested by us.
Packer plugins Allows to configure packer plugins. Usage: Files - Pack.
File system plugins Allows to configure file system plugins. They allow to access file systems or similar devices or systems, e.g. a PocketPC, a Linux partition, or a remote server. File system plugins are used via the Network Neighborhood.
Lister plugins Allows to configure Lister plugins. Usage: F3 on a supported file.
Content plugins Allows to configure content plugins. Usage: Show - custom columns, multi-rename tool, search function.
FS-Plugins Allows the installation of file system plugins. You can find them on www.ghisler.com in the addons section.


Dialog box: Configuration: Quick Search

Configuration - Quick Search Back
Field Description
Quick search in current directory
CTRL+ALT+Letters The quick search window is opened with CTRL+ALT+Letter. Once the window is open, the CTRL and ALT keys can be released. The ALT key together with a letter activates the menu item which is underlined.
ALT+Letters With this setting, ALT+Letter activates the quick search window. The menu can be activated with F9, F10 or ALT - release ALT - Letter.
Letter only Like in file manager/Explorer, typing a letter jumps to the next file starting with that letter. To use the command line, you must press the right cursor key, or shift+right key if brief file display is on. You can type the first few characters of a file, not only the first lettter. Total Commander will 'forget' the typed letters after about 1 second delay.
Letters - with search dialog
Like "Letter only", but with the quick search window. Typing a * (not on numeric keypad!) as the first character will search for the string anywhere in the file name.
Disabled Turns off all above methods to invoke the quick search function. Useful in combination with the internal command cm_ShowQuickSearch, which may be put on a hotkey to invoke quick search.
Note: When using one of the quick search options with search dialog, a button will be shown which causes Total Commander to filter out all files which do NOT match the filter. This filter will remain active also after closing the quick search dialog, and can be removed by changing to a different directory, with the ESC key, or by refreshing the current directory with F2 or Ctrl+R. An active filter is signalled by a filter icon in the panel's status bar. You can open this search filter dialog and toggle the filter also with Ctrl+S. The last used filter can be reactivated with Ctrl+Shift+S. Ctrl+Y in the search filter dialog clears the current filter.
Note 2: Quick search with search dialog may crash when using an older version of the plugin "Quick search extended". Please update the plugin if this happens.
Exact name match:
Beginning (name must start with first typed character)
If checked, the name must begin with the typed letters, otherwise they can appear anywhere in the name (a * is put in front of the typed letters).
Example: Search string "est"
- If checked: "est" finds only names which start with "est" but not "Test.txt"
- If not checked: "est" also finds "Test.txt"
Ending (last character before a typed dot . must match)
If checked and a dot is typed in, then the name typed so far must be an exact match. If this option isn't checked, the dot is automatically replaced by *. (any characters allowed before the dot).
Example: Search string "Te.tx"
- If checked: "Te.tx" finds "Te.txt", but not "Test.txt"
- If not checked: "Te.tx" finds also "Test.txt" (no exact match in front of the dot)


Dialog box: Configuration: Refresh

Configuration - Refresh Back
Field Description
Auto-Refresh when activating the program
Normally Total Commander refreshes its file lists when you switch away from it to another program and back, or when you close and restart the program. This section allows to disable this behaviour for specific drives.
No refresh for these drives:
Here you can specify the drive letters for which you don't want auto-refresh. Use a single backslash to turn off auto-refresh for all UNC paths in the form \\server\share, / for file system plugins, and : for virtual folders.
Do not remember these drives on exit:
Here you can specify the drive letters which you don't want to keep when closing and re-opening the program. Useful for example for slow network drives, or drives which aren't always accessible.
Auto-refresh when the file system changes
If you enable this option, Total Commander will watch changes to the file system (in the currently shown directories), and display any changes with a short delay of only 1 second.
Refresh when files are created, deleted and renamed
Main switch to turn this option on and off. If only this option is checked, Total Commander will only react to major file changes (create, delete, rename).
Also when size, date, or attributes change
React also to minor file changes, e.g. when a file size changes during a download.
Put added files at the END of the file list (default: sorted)
Normally files are sorted into the file list at the right position, according to the current sort order. If this option is checked, they will be put at the end of the list, just like in Explorer.
Don't react to updates while in the background
Turns off watching directories while Total Commander is not in the foreground (while you are working with some other program).
Update footer (total number of files)
When a file changes, Total Commander will also update the total size and total number of files in the footer. May be slow in some situations.
Update header (free disk space)
When a file changes, Total Commander will also re-read the total and free space of the current drive, shown in the header. May be slow in some situations.
No refresh for these drives:
Allows to specify drives where auto-refresh is off, e.g. slow network drives.


Dialog box: Configuration: Tabstops

Configuration - Tabstops Back
Use this page to set the tabstops for the two file windows.
You can also choose if the file extension should be appended directly to the filename (only separated by a point), or if it should also be aligned. You can also change the tabstops with the tabstop header directly above the file window. You must select 'Configuration' - 'save position' to keep the current position.
Field Description
Show file extensions:
directly after filename The file extension is appended to the filename, only separated by a point (as in Windows file manager)
aligned (with TAB) All file extensions are show left adjusted.
Tabstops You can choose the tabstops for extension, size, date/time and attributes here. The position of the file extension can only be changed when aligned is selected in the above section. You can use the scroll bars behind the edit fields to adjust the Tabstop positions.
Adjust tabs to window width
If checked, Total Commander will resize the width of the name column if you resize the main window. The name column is resized so the extension, size, date and attribute columns stay right aligned.
Show century in date Show the years as '1996' etc. If this is unchecked, the years are shown as '96' (without the century) instead.
Use 12 hour AM/PM fomat
Shows the time in 12 hour format, with a for AM (before noon), and p for PM (afternoon). Otherwise, the 24 hour format is used (as in previous Total Commander versions).
Show directory count in footer
Shows the number of total and selected dirs/folders in the footer, e.g. 5 / 7 dir(s)
Size display Determines how the file size is shown in the main file lists. You can choose between
bytes The size is shown in bytes, as in previous versions of Total Commander (default)
kbytes Size is shown in kbytes. 1 kbyte = 1024 bytes! (Note: SizeStyle1000 overrides this)
dynamic (x k/M/G) depeding on the file size, it is displayed in bytes, kbytes, MBytes or even GBytes
dynamic (x.x k/M/G) same as above, but with one digit after the decimal point to get a more exact size
dynamic (x k/M) depeding on the file size, it is displayed in bytes, kbytes, or MBytes
dynamic (x.x k/M) same as above, but with one digit after the decimal point to get a more exact size
dynamic (x k/M/G/T) the size is displayed in bytes, kBytes, MBytes, GBytes, TBytes
dynamic (x.x k/M/G/T) same as above, but with one digit after the decimal point to get a more exact size
dynamic (x.xx k/M/G) two digits after the decimal point in kBytes, MBytes, GBytes
dynamic (x.xx k/M/G/T) two digits after the decimal point in kBytes, MBytes, GBytes, TBytes
In footer Same options as in Size display, but for the two footers below the file windows, showing the total of marked and all files. This also affects the display of total and free space above the file lists.
Default Sets the tabstops to the default values as they appear when Total Commander is started for the first time.


Dialog box: Configuration: Thumbnails

Configuration - Thumbnails Back
Change settings for thumbnails view.
Database location Location of the thumbnail database. You should not share this with other users in multi-user environments, because only one user can access the database at the same time. Default location:
Windows 9x/ME: Totalcmd dir
Windows NT/2000/XP: %$LOCAL_APPDATA%\GHISLER
Copy/delete thumbnails with files
When copying or deleting files, Totalcmd will update the thumbnails database if the copied/deleted file has an associated thumbnail. Since this is done in a background thread, it shouldn't affect performance too much.
Show custom fields below thumbnails
Here you can define additional lines of text below the file name, for example the file size. If you have a digital photo camera, you should install the EXIF content plugin to view details like exposure time.
See the dialog box to change custom columns under field contents for the syntax of the custom fields!
Thumbnail size Size of the thumbnail, in pixels. A multiple of 16 pixels is recommended for speed reasons. Two different image formats are recommended:
1. In most cases, a square image size of 96x96 or 128x128 is the best choice
2. If most of your images are digital photos, an aspect ratio of 4:3 is recommended, e.g. 96x72 or 128x96
Fields by type Here you can define what file info is shown for different file types. For example, you can show EXIF data for JPEG files using the EXIF plugin, e.g. the image size or exposure time, and for films the used codec. To do this, you first have to specify the file mask to use, e.g. *.jpg *.jpeg, and then choose the fields to be shown. Multiple lines are possible!
Loading thumbnails Configure how thumbnails are loaded. The methods are used in the same order as they are listed in this section. For each method, you can specify file types as in the search function, with include or exclude. Everything after the vertical line | will be treated as exclude rules. Example:
*.bmp *.gif *.jpg Bitmap, Jpeg and Gif images
*.* | *.htm *.html Everything except for html files.
Get from Lister plugins for
This method relies on special lister plugins supporting a new Thumbnail extraction function. You may need to update existing lister plugins to use this function.
Use Explorer method (OLE2) for:
This method uses the same functions as the Explorer. Unfortunately this function doesn't seem to work with multiple large images on Windows 9x, so you may want to disable it on these systems.
Get from Irfan-/Xnview for
This method can use an installed (and configured as a filter in Lister) Irfanview or Xnview to load the images. The image is loaded as a whole, passed to Total Commander via WM_COPYDATA, and then reduced to the thumbnail size.
Plain text file thumbnails for
This will show the first few lines of text from the specified files.
Compact thumbnail database
Allows to optimize the thumbnail database, and remove no longer used thumbnails. It's recommended to use this function from time to time to save disk space, and make thumbnail view faster.
Remove thumbnails for no longer existing files
This will remove thumbnails for files which do not exist any more. This will NOT delete thumbnails where Total Commander cannot access the drive, e.g. inaccessible network drives, or CDs. There are separate options for these two.
Remove thumbnails for currently uninserted CDs
This will remove thumbnails for images on CDROM.
Remove thumbnails for inaccessible disks
This will remove thumbnails for files on network drives or USB sticks.
Start Starts the compacting and optimization of the database.


Dialog box: Configuration: View Mode

Configuration - View Mode Back
Defines one or more view modes. <default> is the standard mode, which is set when none of the rules applies in "Auto Switch Mode".
View Modes: User-defined view modes. Use the buttons on the right to add a new mode, delete an existing mode, or change the mode title.
Add... Adds a new mode. Enter a name appropriate for the view, e.g. "Photos" onr "Red".
Delete... Removes the mode selected in the list.
Rename... Allows to rename the mode selected in the list.
Arrows Change order of the view modes.
Details of the selected mode:
Columns view: The desired columns view, like "Full" or "Brief". If you have defined your own columns in "Custom columns", they will be offered here too.
Sort order: Defines the sort order, e.g. by file name.
Reversed: Descending sort order, e.g. newest or largest files first.
Additional sort orders
Allows to sort by additional columns, e.g. first by extension, then by size
Tab color and icon: If you work with folder tabs (Ctrl+T), you can define a color and icon here.
Priority: Gives the view mode icon priority over icons loaded by other methods, e.g. from desktop.ini, or drive icon for root directory.
Background: Set a background color for the file panel. For example, it's useful to define a different background color for FTP connections or plugins. This allows to see immediately when a file panel shows such a location. It's recommended to choose a color which only slightly differs from the default background color, e.g. a very light blue when using a white background.
Background 2: Background color of the file panel for odd lines.
Auto-run commands: Commands to run when the view mode changes. Supports internal commands cm_x and user-defined commands em_x.
Put a * in front of the commands to run them on each directory change to and within that view mode. Without the *, the commands are executed only when switching from a different view mode to this view mode. Use a comma to use multiple commands.
To run commands when a view mode is left, put them behind | (vertical line).
Example: cm_100percent|cm_50percent
Expands the active panel to full window width when activating a specific view mode (e.g. thumbnails view), and returns to 50:50 view when leaving that view mode.


Dialog box: Connection details
With this dialog box you can set the details of an FTP connection.
Session: Here you can give an arbitrary name to the connection, e.g. Microsoft FTP server. If the connection is stored in a subfolder, it is shown in front of the name separated by a vertical line | (pipe symbol).
Host name: This field lets you enter the server name or IP-address of the FTP server, e.g. ftp.microsoft.com
A different port number can be specified separated by a colon, e.g. ftp.firma.com:1021
To force explicit ssl (AUTH TLS), use ftpes:// prefix.
To force implicit ssl (encryption from the start), use ftpis:// prefix.
SSL/TLS Use encrypted connection via SSL or TLS. No longer requires the installation of the OpenSSL libraries libssl.dll (often called ssleay.dll) and libeay.dll from www.openssl.org on newer Windows versions than Windows XP. It's still possible to use OpenSSL, though. Make sure to get the latest version! Root certificates can be placed in a file named wincmd.pem in the same directory as wincmd.ini when using OpenSSL. wincmd.pem is NOT used with the new sChannel functions.
To turn off the encryption of data connections, put the command PROT C in the Send Commands field.
Anonymous login
Press this button to configure Total Commander to make an anonymous connection. This means that anonymous is sent to the server as the user name, and your e-mail address as the password. Total Commander will ask for your e-mail address each time you press this button.
User name: Here you can enter the user name (anonymous if you don't have an account on the server).
Password: Here you can enter the password for the site. Only enter the password here if your PC is completely secure! It's not a good idea to save the password on computers open to other people! Total Commander will ask you for the password when connecting (if the password isn't given here).
Change password
This button is shown when the password is protected with a master password, and the master password hasn't been entered yet.
Use master password to protect the password
Allows to protect the password with a master password. This is useful because you have to remember just one password, and your passwords are protected with the strong AES256 encryption. Make sure to use a long enough master password containing both upper-, lowercase characters, numbers and punctuation. The estimated strength of the used password is also shown. Please note that this doesn't check for any existing words - if you use an existing word from a dictionary, the strength is MUCH lower!
Remote dir: If you specify a directory here, Total Commander will try to change to this directory on the remote host immediately after connecting. IMPORTANT: The parts of the path are usually separated by a forward slash '/'.
Local dir: After connecting, Total Commander will switch to this local directory (if given) in the other file window. The parts of the path must be separated by a backslash '\'.
Use passive mode for transfers (like a WWW browser)
Each file transfer (upload or download) needs an additional connection for the data stream. Normally (in active mode), the server establishes this connection. In passive mode, however, the client establishes the connection. This may be necessary through some firewalls, which do not allow connections from outside.
Use firewall (proxy server)
If you access the Internet over a company network (or Intranet), you may need to specify a firewall server here. For this purpose, selecting this option will open another dialog box.
Send commands:
After connecting, send the specified commands to the FTP server. Multiple commands can be given separated by a semicolon ";".
Server type: Most public servers on the Internet are supported by Total Commander's 'autodetect' mode. However, many mainframes or Intranet servers use their own proprietary style of file listing, which isn't understood by Total Commander. This option allows you to use such servers. To configure a proprietary server, choose 'Define new type' and then connect to the server, if possible to a directory with many files and folders in it. You will then be shown a dialog box which allows you to configure the settings for this server. You can also import server types defined by others, by choosing 'Import from file'. Create your own definition file by defining a new connection through 'Define new type', save it, and then copy the section from the file wcx_ftp.ini to a separate file. The section may look like this:
[Unix1]
Template1=pppppppppp !S* TTT DD UUUUU n*
Note: When the MLSD command is used instead of LIST, this option has no effect, because the format of MLSD (machine list directory) is strictly defined in the standard.
Send command to keep connection alive:
Allows to send a user-defined command every xx seconds to simulate traffic. This is useful for FTP servers with a very short timeout, e.g. a few minutes. Keepalive is only sent for a maximum of 1 hour, to allow other users to use the connection.
Encoding of file name
Determines how the file names are sent by the server. Normally servers send the name with the local encoding of the server, usually a Windows/ANSI codepage. Some newer servers also support UTF-8 encoding, which allows to use Unicode file names. When you set this option to automatic, TC will send the command
OPTS UTF8 ON
to determine whether the server supports Unicode. TC will revert to ANSI encoding (same codepage as the client) if the server doesn't confirm the above command. TC also checks the SYST command response for the reported encoding, e.g. UNIX Type: L8 , CP:1252.
You can also choose the codepage manually from the list, or enter a numeric codepage value if the accents do not appear correctly.
Use MLSD for directory listings (grayed=auto-detect)
The MLSD (Machine LiSt Directory) command is supported by newer ftp servers to return the directory/folder listing in a standardized format which is easily readable by programs. The normal LIST command, however, is mainly meant to be read by humans.
One big advantage of MLSD standard is that the time stamps MUST be returned in UTC (Universal Time, UK time zone) instead of local time. This makes it possible to show the file timestamps in the time zone of the user instead of the time zone of the server. Therefore MLSD should be used whenever possible.
This is a checkbox with 3 states:
1: Grayed/filled box: Auto-detect whether the server supports MLSD or not via FEAT command
2: Checked: Try to use MLSD even if the server doesn't report it, or the FEAT command is disabled
3: Unchecked: Use the LIST command instead of MLSD to get directory listing (as in old TC versions)
Remember contents of all visited directories (in cache)
If checked, Total Commander only refreshes the file list the first time you enter a directory, or when the directory is changed by Total Commander itself. You can, however, refresh directories at any time with F2 or Ctrl+R. Uncheck this option if the contents of the ftp server change often, e.g. because other people upload files to the server all the time.
Client Certificate:
Allows to specify a client certificate from the Windows certificate store for authentication with the server. The certificate needs to be loaded via:
Control Panel - Internet Options - Content - Certificates
A certificate can be converted to Internet Explorer format with OpenSSL:
openssl pkcs12 -export -inkey MyClient1.key -in MyClient1.pem -out MyClient1.p12
This option only works with sChannel (starting with Windows Vista), not with the OpenSSL DLLs.


Configure context menu shell extensions
In this dialog box you can define which 64-bit context menu extensions should be shown. The less extensions are shown, the faster the 64-bit menu will load. If you cannot even open the 64-bit menu due to a bug in one of the shell extensions, you can hold down the SHIFT key while opening the 64-bit menu. This way it will display only the "Configure" menu item, which allows you to disable the shell extensions which may be causing the problem.
Available context menu shell extensions:
Lists the available context menu extensions which haven't been excluded
Exclude Moves the context menu extensions selected in the upper list to the lower list. This will exclude them from the context menu.
Include Moves the context menu extensions selected in the lower list to the upper list. This will include them again in the context menu.
Exclude these extensions from the menu:
The context menu extensions listed here will not be shown in the X64 menu.
OK Save settings
Cancel Ignore changes
Help Show this help page


Create Checksum File(s) (CRC32, MD5, SHA1)...
With this function you can create checksum files to make sure that a file is copied intact, e.g. over a network or with a removable medium. You can create either a single SFV file for all selected files, or a separate SFV for each file. You can even create checksums recursively for all files in the selected directories.
On the target computer, you can check the CRC checksums with Verify Checksums (from checksum files), or some other SFV utility.
Save CRC files to: Here you can enter the target path and file name. The name must contain wildcards (*) when creating one SFV per selected file. When entering two "*" characters, e.g. *.*.sfv, the new extension will be appened to the full name/extension.
Create separate SFV files for each file:
Allows to create one checksum file per selected file. This is useful when you want to send the files to different recipients.
Create separate SFV files for each directory:
Allows to create one checksum file for each subdirectory.
Always use UTF-8 in names
Normally, UTF-8 is only used when at least one file contains characters from a different codepage, e.g. Cyrillic or Chinese.
Unix format: line breaks, '/' in paths
Normally, the checksum file is saved in Windows format: line breaks consist of 2 characters <cr><lf>, and subdirectories are separated by backslashes, e.g. Directory\File
This option uses the Unix format: line breaks consist of only one character <lf>, and subdirectories are separated by forward slashes, e.g. Directory/File
Checksum method:
CRC32 (SFV) Creates CRC32 checksums, using the SFV file format. Fastest, but least secure method.
MD5 Creates MD5 checksums. These are more secure than CRC checksums because they are longer and use a more sophisticated algorithm. New: MD5 checksums are now stored with lowercase letters.
SHA1 Creates SHA1 checksums. These are even more secure, but still not as much used as MD5.
SHA* Creates SHA2 checksums with the specified length, e.g. SHA256 = 256 bit length.
SHA3_* Creates SHA3 checksums with with the specified length, e.g. SHA3_256 = 256 bit length.


Change directory menu

Dialog box: Change directory menu
The directory menu is invoked with CTRL+D, or a double click on the current path header.
To move menu items to a different line, put the cursor bar on the desired entry, hold down the SHIFT key and move it using up and down arrow keys. You can also drag items using the mouse.
Field Meaning
Directory menu: Shows the existing entries of the directory menu. If you select an entry, the command line and parameters belonging to it are shown.
Add item... Creates a new entry in the directory menu. Asks for a menu title first. A & sign causes the letter behind it to be underlined. Enter a single dash '-' to create a separator line.
Add submenu... Creates a new submenu. Asks for a menu title first. Submenus are shown with a dash in front of the name. The end of the submenu is shown with two dashes.
Delete Item Deletes the selected menu entry. Choose CANCEL to cancel all changes.
Change Title... Changes the title of the menu entry.
Command: This box contains the command to change the source directory. It looks like this:
cd Drive:\Directory
New (v5.51): You can also choose one of Total Commander's internal commands from the dropdown combobox, e.g. cm_OpenDesktop to switch to the Desktop.
Target path: Then the path given in this edit box is set in the target window. This allows to set both paths (source and target) at the same time. You can either specify only the path, or the command
cd Drive:\TargetDirectory
OK Saves the changes made to the file wincmd.ini.
Cancel Closes the dialog box without saving.
Help Opens Windows Help with this page.


Dialog box: Configuration: Display

Configuration - Display Back
Field Description
Main program This section has been moved to the page Operation
File display
Show hidden files The former option "Show hidden/system files" has been split into two separate options now:
This option allows to show/hide files and folders which have the "hidden" file attribute.
Show system files This option allows to show/hide files and folders which have the "system" file attribute. You may want to enable this second option to see some system folders.
Use long filenames (recommended)
With this checkbox you can select if long filenames are used. This option should only be unchecked if there are problems (e.g. with network drives). This option cannot be changed while a background transfer is active.
Show old 8.3 filenames lowercase (like Explorer)
If this option is checked, all short DOS filenames are converted from uppercase (as stored on disk) to all lowercase, except for the first letter. This looks much better, but might cause problems when accessing UNIX network drives. If no network is used this option should be checked.
Show parent dir also in root of drive
If checked, you can go up from the root of each drive to "My Computer", a list of all drives.
Show square brackets [] around directories
If checked, Total Commander shows all directories in the form [directory], so they can be distinguished very easily from files.
Append \
Append a backslash instead of adding square brackets, e.g. directory\
Limit width of brief view column to:
Normally a column in brief view will take as much space as needed to show the longest file name, limited only by the panel width. This option allows to limit the column width to a user-defined width.
Sort &method: Determines how the file lists are sorted in Total Commander:
Alphabetical, considering accents
Files are sorted by alphabet, using the compare function provided by the operating system for the current language. This takes language-specific accents into account.
Strictly by numeric character code
Files are sorted by the numeric uppercase character code. Since accents come behind the normal alphabet, accented letters will be sorted at the end.
Natural sorting: by character code and numbers
This sorting method sorts by numeric lowercase character code, plus by numbers if any are found. For example, file5.txt is sorted before file10.txt, although 1 comes before 5 - because 10 is larger than 5.
Natural sorting: alphabetical and numbers
Like the above, but also considers accents and other national sorting options. Needs Internet Explorer >=6.x installed on your system, because a function from IE6 is used for sorting.
Tree
Always load complete directory tree
If this option isn't checked, Total Commander will initially show only the directories in the root of the tree. If it's checked, the whole tree is loaded and displayed at once (as in previous versions of Total Commander). In this case, no special folder icons will be shown in the tree, and the tree root will be the root of the current drive.
Note: This option has no influence on separately shown tree panels, only on the trees shown in one of the two main file panels.
Tree: press ENTER to open dir in other window
If unchecked, a dir under the cursor (in tree view) is automatically opened in the other window.
Sorting directories
Always by name The directories are always sorted by their name in ascending order.
Like files (also by time) The directories are sorted in the same way as the files, i.e. also chronologically and in reverse order.
Help texts
Show help texts for buttons (tooltips)
If you place the mouse above a button in the button bar for about half a second, a small window is shown with a help text (tooltip). You can change the delay in wincmd.ini, item ToolTipDelay.
Show volume labels/network paths for drives
After opening the drive combobox the volume labels/network paths of the drives are shown when this option is selected.
Show filename in file list as tooltip if truncated
If a filename in the file list doesn't fit into the available space, Total Commander will show the full name in a hint window (tooltip) if you point to the name with the mouse for about 1 second. When clicking or double clicking the name, the tooltip is removed.
Win32-style tips with file comments (if available)
Will show the tooltip to the lower right of the mouse cursor, and display additional fields like NTFS file comments, MS-Office embedded comments, comments from files.bbs and descript.ion, etc. if available. The tip is hidden when any key is pressed.
Comments from descript.ion/files.bbs
Will show comments from the files descript.ion and files.bbs. Total Commander can create comments with Ctrl+Z, and show them via Show - Comments.
Comments from Explorer (OLE2)
Show comments which can be created via Alt+Enter (Properties) in Explorer and also in Total Commander. These are stored in additional NTFS streams. There are also some programs like Mp3ext which show useful file information in such comments.
User-defined: [+] Allows to define tips by file type using content plugins, e.g. special tips for *.jpg files and other tips for *.mp3 files.


Dialog box: Select duplicate files
This dialog box can be used (via Num-"+") to select files after using Commands - Search - Advanced - Duplicate files and "Feed to Listbox".
Tab: Files Select files by their names and attributes
Select by name/extension:
This works like in the normal selection dialog. Examples:
*.doc *.xls Select files with the given wildcards
*.* | *.doc *.xls Select files without the given wildcards (everything behind the | sign will be excluded)
<a.*b Select files with the given regular expression
>saved search Use a saved search, choose via >> button
Remove selection by name/Extension:
This will be applied after Select by name/extension. The options are the same, but it removes the selection from all matching files.
Select by date/time:
Allows to select files by their date/time in the group of matching files:
All older files Selects all files which are older than the newest file(s) in the group
All newer files Selects all files which are newer than the oldest file(s) in the group
Just the oldest file Selects just the oldest file in each group, or multiple if more than one are the oldest.
Just the newest file Selects just the newest file in each group, or multiple if more than one are the newest.
Select by file size:
Allows to select files by their size in the group of matching files:
All larger than the smallest file Selects all files which are larger than the smallest file(s) in the group
All smaller than the largest file Selects all files which are smaller than the largest file(s) in the group
Just the largest file Selects just the largest file in the group (may be multiple)
Just the smallest file Selects just the smallest file in the group (may be multiple)
Tab: Select by folder
Select files by their location on disk. This can be useful if the files to select are located in a different folder, e.g. a backup folder.
Choose folders in which files can be selected
Use Ctrl+Click or Shift+Click to select multiple files, or the Spacebar.
Also select all subfolders (manually and with pattern)
If checked, selecting a folder in the above list will also automatically select all its subfolders. Also works when removing the selection.
Select folder by pattern
Enter a pattern (just a substring, or use wildcards) and then click on Select or Remove to apply this pattern to the list of folders above.
Apply this pattern only to the direct parent directory
If checked, the pattern will be applied only to the last folder name in the path, otherwise to the entire path. For example, if the path is "c:\Windows\System32" and the pattern "Windows", the pattern would only match if this option is not checked. The direct parent folder name "System32" would not match the pattern.
Select Selects the folders matching the above pattern
Remove Removes the selection from the folders matching the above pattern
All Selects all folders
None Removes the selection from all folders
Reverse Selects the folders not currently selected, and removes the selection from all selected
Leave at least one file in each group unselected:
This option is useful if you want to delete duplicate files, but want to keep at least one file in each group. First the method chosen under "1" will be used. If no file is matched, e.g. because all have the same size or date/time, the method under "2" will be used, and finally the one under "3". Files can be chosen by date/time, size and position in the list.
OK Closes the dialog and selects the files according to the chosen options.
Cancel Closes the dialog without changing the selection.
Help Opens this help page.
Apply Applies the selection without closing the dialog.


Dialog box: Edit action
Here you can define or modify an action (verb) of a given file type.
Action (verb) Name of the action, e.g. 'open' or 'print'.
Action description Text shown in the context menu (right click menu) for this action. On non-English systems, this contains the translated text of the verb. Not used for internal associations.
Command Command executed when this action is selected in the context menu. To pass the associated file to the launched program, you need to either use a command line parameter (%1 or "%1"), or use DDE.
The following DDE options are only available for system associations, not internal associations:
Use DDE Windows should use DDE to pass the file name to the started program. This allows to open multiple files with a single program, e.g. WinWord.
DDE Message DDE-Command sent to the program to open the file. The command is usually passed in brackets. Example: [FileOpen("%1")]
DDE Application Name of the application used for the DDE connection, e.g. WinWord.
DDE Message when application is not running
Some applications use a different message when the program isn't running than if it is when the command is sent.
Example: If you choose 'Print' for Excel files, the 'not running' command would be [open("%1")][print()][quit()], which causes Excel to close after printing.
If Excel is already running, the command is [open("%1")][print()][close()], which closes only the printed document and leaves Excel open.
DDE Topic The DDE topic for the DDE connection. For most applications, this is set to 'System'.
OK Saves the current settings of this verb to the registry, and closes the dialog.
Cancel Closes the dialog without saving the changes you made.
Help Starts Help with this page.


Dialog box - Edit comment
This dialog box allows to set and/or change a comment for a file. You can reach it either via the menu Files, or with Ctrl+Z.
Edit comment for Shows the name of the file for which you can set the comment.
<Edit field> Here you can enter the comment. When using descript.ion, the comment length is limited to (new!) 4095 characters. Please note that some tools will not support comments longer than 511 characters. You will get a warning beep and the number of characters will be shown in bold when the comment length exceeds 511 characters.
The comment may have multiple lines, now also when using descript.ion files. The comment will automatically be changed to the correct format. The preferred comment format can be set in Configuration - Operation. If only a comment file of the not preferred type is found, the comment is changed in that file.
New in TC9: Support for Unicode comments using UTF-16 or UTF-8 format. By default, comments will be stored as plain text (ANSI) unless the file name and/or comment contains Unicode characters from a different code page.
Use OEM (DOS) font Display the comment using a DOS font (e.g. Terminal). This is useful for comments in files.bbs files, which are stored using the DOS character set. Things like lines or other ASCII art can only be shown using the DOS font.
F2 OK Click this button or press F2 to save the comment.
Cancel Closes the dialog box and ignores the changes. Shortcut: ESC
Help Opens this help dialog.


Dialog box: Edit file type
With this dialog box, you can modify an existing file type, e.g. add new actions (verbs), modify or delete existing actions.
Change icon Define the icon shown in Total Commander and Explorer to the left of he associated file.
Type name Name of the file type as defined in the registry. Cannot be changed with this dialog.
Description of type File type description, as shown to the user e.g. in the 'Open with' dialog.
Actions Here you can define new file actions, or modify existing actions. The default action is the one started when you press ENTER on an associated file. Usually 'open' is the default action.
Open Program used for the 'open' action. If 'open' is shown in bold, it is the default action. If DDE isn't checked, you need to put %1 or "%1" following the program name, so the file is passed as a parameter.
DDE If checked, Windows will use the DDE protocol to open the associated file with the application. This has the advantage that multiple documents can be opened with a single program, e.g. Word. The condition is that this program does support DDE. When you check this option, a dialog box opens which allows to configure the DDE options for this action.
<Listbox> The listbox shows all other actions (verbs) defined for this file type. You can modify them with the buttons below the list.
New... Creates a new action for the given file type. The settings can be defined in a dialog box.
Edit... Allows to modify the settings for the action (verb) in a dialog box.
Remove Deletes the selected action.
Set as default Defines the selected action as the default action, which is executed when you double click on a file with this type (or press ENTER).
OK Saves the current settings and closes the dialog. Modified actions are saved already when you close the dialog box for that action.
Cancel Closes the dialog without saving the changes you made in that dialog.
Help Starts Help with this page.


Combine files
This function allows to combine multiple files to one big file. Total Commander can not only combine files created with its own function split file, but also files created with the Unix command split -b. Put the cursor on the first partial file and choose 'combine files'. The file names must be numbered in ascending order, or have letters in ascending order. Total Commander will detect file.001, file.002, file.003, but also fileaa, fileab, fileac etc. and filename.00000.zip.part.
If a file with the same name and the extension .crc is found in the same directory as one of the partial files, Total Commander will use this file to check the combined file for errors. Furthermore the original file name stored in the CRC file will be used as the target name for the combined file.
After combining, the number of found parts will be shown in the title of the dialog box.
Combine XXX and all files with ascending names to the following directory:
Here you can enter the target path. Leave this field empty to combine the files in the current. directory.


Decode file (MIME, UUE, XXE, BinHex)
This function allows to decode one file or multiple partial files to one file. Total Commander supports the formats MIME, UUEncode, XXEncode, BinHex (version 4.0) and now also Yenc. Just position the cursor on the file to decode, or on the first partial file, respectively, and choose 'decode files'. The file names must be numbered in ascending order, or have letters in ascending order. Total Commander will detect file001.uue, file002.uue, file003.uue, but also fileaa, fileab, fileac.
Invalid characters in the target names will be changed to underscores "_". In the case of a duplicate name, choose "auto-rename copied" to automatically create new names in the form name(2), name(3) etc.
Decode the file XXX to directory:
Here you can enter the target path. The file name of the target file will be read from the encoded file. Leave this field empty to combine the files in the current. directory.


Encode file (MIME,UUE,XXE)
With this function you can convert binary files like programs or archives to plain text, e.g. for sending a file over the Internet by e-mail. The text output will be written either to one big file, or split to multiple partial files.
On the target computer, you can re-create the original file either with Total Commander (command decode file), or with other programs like Wincode, which is a widespread Freeware encoder/decoder.
Encode the file XXX to directory:
Here you can enter the target path. The file names will be chosen by Total Commander like this: The name is kept, and the extension is changed to .B64 (MIME), .UUE (UUEncode) and .XXE (XXEncode), respectively. Leave the field empty to encode to the current directory.
Encode as Here you can specify the desired coding method. MIME is an Internet mail format. UUE is a relatively old, but a wide-spread format especially for mailboxes, which however doesn't come through everywhere (e.g. through some Internet servers). XXE avoids the drawbacks of UUE, but it's much less wide spread.
Lines per file Sets the number of encoded lines per file. If left empty, only one output file is created. The number of header lines is NOT counted in this number. The header contains data like the original file name.
Bytes per file Sets the size of the partial files in characters (bytes). The size of the file headers is not counted. Therefore the generated files are slightly larger than selected.


Split file
This function allows to split one (big) file into multiple smaller files (usually of the same size), e.g. for the transport over the Internet or with diskettes. The partial files can be written either directly on diskettes, or into a directory on the harddisk.
On the destination computer, the files can be combined either with Total Commander (Command Combine files), or e.g. with the DOS command copy. The command line would be:
copy /b part.001 + part.002 + part.003 + part.004 original.dat
This combines parts 1 to 4 to the file original.dat.
After splitting Total Commander creates a file with extension .crc. This file contains the name and size of the original file, as well as the CRC checksum. You don't need this CRC file to combine the files with a different program. However, Total Commander can test with this file if the original file was recreated correctly.
Split the file 'xxx' to directory
Here you can enter the target path. The file names will be chosen by Total Commander like this: The name is kept, and the extension is changed to .001, .002 etc. This allows a maximum of 999 parts. Leave the field empty to split to the current directory.
Bytes per file Here you can enter the desired size per file in characters (bytes) manually, or you can select one of the pre-defined sizes from the list. If you choose 'automatic', Total Commander will use the whole free space (on removable disks). When splitting to the hard disk, 'automatic' will use a size of 1.44 MB (3 1/2 " diskette). You can also use units for larger files: k, M and G. They stand for kBytes, Megabytes and Gigabytes, measured in computer units (1k=1024 Bytes, 1M=1024 k, 1G=1024 M).
Delete files on target disk (removable disks only)
If this option is checked, all files in the target directory and below will be deleted. Before deleting, Total Commander will show a list of files and ask for confirmation to delete them.


Dialog box: Configuration: ZIP packer

Configuration - ZIP-Packer Back
Field Description
ZIP-packer ENTER the name and path of your ZIP-packer (pkzip.exe). You can use the >> button instead.
Use internal ZIP - packer
Use the ZIP packer built directly into Total Commander. After packing the ZIP file is automatically checked for errors. This can be aborted without the ZIP being deleted. The check can be disabled entirely by setting VerifyZip=0 in wincmd.ini, section [Packer].
Use ZIP-NT 2.0.1 (supports long names!)
The packer specified is Info-Zip for Windows NT 2.0.1 or later (ZIP-NT). Zip 2.0.1 must be patched in order to work with Total Commander. Otherwise files containing spaces in their names will not be packed! Total Commander does this patch automatically if it detects an unpatched version of info-zip 2.0.1. Btw, you can find Zip-NT at http://infozip.sourceforge.net/ on the Internet.
If you have a later version of ZIP-NT, this patch isn't necessary any more. In this case, you can answer 'yes' to the question if you want to use the packer anyway, but you should pack a test-archive with files containing spaces in their filenames.
ZIP-unpacker ENTER the name of your ZIP-Unpacker (pkunzip.exe), including the path.
Use internal unzipping
Total Commander has an internal unzip written by Info-ZIP, which allows unzipping without requiring PKunzip. To use it, select this check box. If this box is selected, the internal unzip is always used.
The following options are only for the internal ZIP packer:
Compression Here you can select the compression ratio (strength of the compression). The compression ratio goes from 1 (fastest compression) to 9 (best but slowest compression). 0 (no compression) is also possible. Because 9 is very slow and only a few permille better than normal compression (6), the latter is the default.
Directory for temporary files
Determines the directory where the internal ZIP packer puts its temporary files (only necessary when packing to removable disks):
default Total Commander uses the environment variable temp, which is defined in autoexec.bat. If there is no temp in your autoexec.bat you should define it! Add the line set temp=c:\temp to autoexec.bat and create the directory c:\temp!
other Here you can enter a different directory which will be used by Total Commander instead of the normal temp directory. The directory must exist!
Additional settings
Use 8.3 short filenames
For files with long filenames only the short alias name with 8 characters and 3 extension is written to the ZIP file. This allows to unpack the ZIP file also from plain DOS.
Set ZIP date to newest file date
After packing the date of the ZIP file is set to the date of the youngest file in the archive.
Open partial ZIP files
Allows to open only partially downloaded ZIP files, even during the download. This allows to have a look at the contained files before the download has finished. Useful for very big ZIP files.
Keep damaged files (bad CRC)
Normally files with a bad CRC checksum are automatically deleted when unpacking. If the checksum is wrong and the file contains important data, it may be reasonable to keep the probably damaged file anyway. In any case, you should check a file which is reported as damaged.
Pack Unicode names:
Determines how to handle characters which are outside of the normal character set supported by the original ZIP standard
Ask every time a Unicode name is encountered
A dialog box will be shown which asks the users how to store the file names
Store Unicode names as UTF-8 (Pkzip 4.5/Winzip 11.2 method)
The Unicode names will be stored using the UTF-8 standard. This method isn't compatible with older ZIP packers like the Windows Explorer or older Total Commander versions, but the file can still be unpacked (the Unicode characters will appear as multiple accented characters, though).
All as UTF-8 if at least one contains Unicode
If at least one Unicode file is encountered, all files (also with normal accents or umlauts) will be encoded as UTF-8. However, if there are just English names and characters from the same code page, they will be encoded with the old compatible method.
All as UTF-8 if at least one contains non-English characters
Same as above, but all names with non-English characters are stored as UTF-8. This method is useful if you want to send files with accents to someone with a different writing, e.g. from someone with Latin (English) characters to someone with Cyrillic (Russian) characters.
Store Unicode name in extra field (Info-Zip method)
This method is useful if you want to send files to someone on a Unix/Linux system. Info-zip stores the Unicode name in a separate field and does not touch the original name field. Advantage: File names with normal accents can still be unpacked by older packers.
Store all names containing non-English in extra field
Same as above, but all names with non-English characters get this extra field. Useful if you want to send files with accents to someone with a different writing, e.g. from someone with Latin (English) characters to someone with Cyrillic (Russian) characters.
Store Unicode characters as '?'
This is the old method used by Total Commander 7.0x and older. When unpacking, the question marks will be converted to underscores. This method is useful if the packed names contain only very few Unicode characters, and you want to send the archive to someone with an old zip unpacker which isn't Unicode-capable.


Dialog box: Configure lister
Tab: General
Display at startup: Choose here how lister is started when F3 is pressed in Total Commander. Lister can start up showing the file as text, binary (fixed width) or hex. When Autodetect is selected, lister can distinguish in a limited way between text files and binary files.
Font at startup: Choose here if lister should start up with the ANSI- (Windows), ASCII- (DOS) or variable font (Windows, text only). When Autodetect is selected, lister tries to distinguish between ANSI and ASCII text.
Font: Here you can select a font for the three possible font selections. Warning: When selecting a DOS font, also non-DOS fonts are listed because of a bug in the Windows standard dialog. Lister now also works with multiple font families in Windows NT, so you can view Cyrillic (Russian) and Eastern European texts with the correct font.
Display width: Choose a line width for the text and binary modes.
Search result: Determines how many lines from the upper window border found text will be shown.
Tab: Multimedia
Multimedia display Various options to control how multimedia content is displayed
Use plugins or load bitmaps as graphics at startup
Determines whether pictures should be shown as graphics or text when lister starts.
Multimedia (AVI,WAV,...)
This option lets Lister load and play sound and video files by default. If unchecked, you can still switch to "image" mode to open such files.
RTF This option displays RTF (rich text format) files using Microsoft's RTF control, which is also used by Wordpad. Images and other embedded objects will NOT be shown.
Use Irfanview/Xnview to load graphics other than BMP
With the option, the viewer Irfanview or Xnview can be used as a filter to import other files than bmp into Total Commander. This option needs a lot of memory for big image files.
You can find Irfanview through the "Addons - Tools" page on our homepage, www.ghisler.com. You need at least version 2.90 of Irfanview!
As an alternative, you can use XNView 1.14 or later (www.xnview.com). This program also exists in a version for Windows 3.1!
Show HTML as text with links
You can choose to show html files either as interpreted text with links, or as plain HTML source code.
Show links in HTML with surrounding {}
Here you can choose whether you want to show curly braces around links or not.
LS-Plugins: This button allows to install/remove lister plugins. The plugins will be called in the order in which they are listed by the plugin install listbox. You can change the sort order with Shift+Arrow keys. In lister, you can switch through all matching plugins by pressing the '4' key.
Plugins can be found on www.ghisler.com.
Use preview handlers from Explorer
Turns method 8, "Explorer Preview" on and of. It uses functions which are also used by the Explorer for its preview pane. It allows to use third party preview handlers too.
Use thumbnail providers
It uses functions which are used by the Explorer to display thumbnails. These allow to specify a size, so they often provide useful images in full size.
Define view method by file type
Allows to choose preferred view methods separately for file types chosen by the user. This is mainly useful when there are multiple view methods for a certain file type, e.g. display icons from program files or display program file structure. Normally this is determined by the order of the lister plugins, but this function provides more options.
If you have defined 2 or more view methods for an extension, pressing '4' multiple times will change only through these methods. If you have specified only one view method, the first pressure on '4' will change to this method, then Lister will go through all the other existing plugins if they support the file type.


Dialog box: System Information: Network

System Information: Network
(Click on a button)
Network
Data on the installed network is shown in this dialog box. If the network is not directly supported by Windows, "No network installed" will be shown (e.g. TCP/IP network). This dialog box doesn't yet work on Windows NT.
Primary/Secondary Network
Installed network(s) on this system
Microsoft Network or compatible
User name These settings are only present if a MS Network is installed
Computer name
Workgroup
Comment
Novell-Net If a Novell network is installed, some additional data is shown here if the file nwnetapi.dll is found.
Connection nr. Network connection number
Network nr. Network number
Station address Address of the local computer


New Connection

Dialog box: New Connection (FTP)
With this dialog box you can open a new connection to an FTP server. Choose a saved connection from the drop down combo box, or create a new connection by typing a host name or URL.
Connect to: Here you can enter the name of the server, e.g. ftp.microsoft.com, or a complete URL (ftp, ftps, ftpes, ftpis, http, https), like ftp://username:password@servername:portnumber/path. All parts of the URL (except for the server name) can be left out. Examples:
ftp://ftp.cdrom.com/pub/simtelnet/win95/diskutl
https://www.google.com
myself@myserver.com:1021
If you enter a Web address, like http://www.someserver.com/somefile.htm, Total Commander will try to download the file with the http protocol.
Anonymous connection
If you haven't entered a user name in the URL, Total Commander assumes that you want to use anonymous as the user name, and your e-mail address as the password. If this option isn't checked, Total Commander will ask you during the connection for your user name and password.
This option is automatically unchecked if there is an @ sign in the connect line.
Use firewall (proxy server)
If you access the Internet over a company network (or Intranet), you may need to specify a firewall server here. For this purpose, selecting this option will open another dialog box.
OK Opens the connection and adds the URL / server name to the drop down combo box. Even if you entered a password using the method above, the password will NOT be saved in this list.
Cancel Closes the dialog box without opening a connection.


Dialog box: Overwrite
This dialog box is shown when a file already exists in the target directory. You can choose whether you want to overwrite or skip the file, to overwrite only older files, or to overwrite or skip all already existing files.
Field Description
Overwrite: Shows details of the file to be overwritten
With file: Shows details of the source file
Thumbnails Allows to show thumbnails of both the source and target file. Uses the same images as in thumbnails view. The thumbnails/icons support the normal right click context menu. This is especially useful when copying pictures.
Custom fields Allows to show custom fields for the files. They can be defined via the "+" button. This also allows to use content plugins.
Overwrite Overwrites just this file
Overwrite all Overwrites all target files in case of name collisions. Depending on current settings, you will be asked separately to overwrite files with "read only" or "hidden/system" attributes.
Skip Skips just this file, and continues with the next
Cancel Completely aborts the file operation
Overwrite all older Overwrites all older files, which means that only newer files will be copied. First, the files will be checked for an internal version number (EXEs, DLLs etc), and then the last modified date will be used.
Skip all Skips all files already present in the target directory
Rename Allows to manually rename the copied file
Append Appends the source file to the target file
More Options >> Opens a popup menu with the following extended options:
Compare Compares the source file with the target file by content
Rename existing target file
Allows to rename the existing target file manually before copying/moving the source file
Auto-rename copied
When a name collision occurs, the copied/moved files will be renamed automatically in the form filename(1).ext, filename(2).ext etc.
Auto-rename target files
When a name collision occurs, the existing target files will be renamed automatically before copying/moving the source files, in the form filename(1).ext, filename(2).ext etc.
Overwrite all older and of the same age
Like "Overwrites all older", but additionally all files with the same age will be copied/moved too
Copy all larger (overwrite smaller)
Only files which are larger than the existing target files will be copied/moved
Copy all smaller (overwrite larger)
Only files which are smaller than the existing target files will be copied/moved
The overwrite dialog supports several hotkeys:
- Alt+Underlined letter for the buttons
- F3 to view the upper (target) file
- Shift+F3 to view the lower (source) file
- Alt+F3/Alt+Shift+F3 to view the file without plugins
- Ctrl+F3 to compare the two files by content
- Ctrl+Shift+F3 to use the internal compare tool if an external tool was defined via wincmd.ini


Dialog box: Pack
With this dialog box, you can make settings for packing files. The files are then packed externally by one of the packers pkZIP, ARJ, LHA, RAR, UC2 or ACE. Total Commander contains an internal ZIP packer. This packer supports most PKzip functions. After packing with the internal ZIP packer the ZIP file is automatically checked for errors. This can be aborted without the ZIP being deleted. The check can be disabled entirely by setting VerifyZip=0 in wincmd.ini, section [Packer].
Important: You must specify the correct packer (zip, arj, lha, rar, uc2 or ace) in front of the archive file, separated by a colon (:). Otherwise, the selected files will be copied/moved instead!
Pack n files to the archive
ENTER the name of the archive where you want to place the selected files. If the archive does not exist, it will be created. When the dialog appears, a file name is proposed, which is composed of the target path and the source directory. You can choose any valid DOS filename. If you use ZIP-NT and want to give the archive a long name containing spaces, you MUST enclose the name in double quotes, e.g.
zip:"c:\long name.zip"
You can even pack to a subdirectory in an archive, but only with the internal ZIP packer and with UC2. To do so, append the subdir to the ZIP filename, separated by a forward slash, e.g.
zip:c:\test.zip/this/is/a/subdir
Hint: When you press CTRL while selecting the File->Pack menu item, the default will be to create the archive in the source directory instead of in the target directory.
also pack path names (recursed only)
If you marked subdirectories for packing, they will be stored with their path relative to the source directory. Example: You selected the directory '[test]', which contains the file 'document.txt'. In the archive, the file will be saved as 'test\document.txt'. If this option is not checked, all files are packed without their path names.
Recursively pack subdirectories
If you marked subdirectories for packing and selected this option, the directories you marked are searched for subdirectories and these are also packed. Example: If you selected the directory '[Windows]', then the directory 'windows\system' will also be packed. Otherwise, only the files in the marked subdirectory are packed.
Multiple disk archives (ZIP, ARJ, RAR, ACE)
Select this option to pack one archive over multiple disks or USB sticks. This works only with zip, arj, rar and ace. The ZIP method allows you to unpack selected files from all disks, whild arj's method only allows you to either unpack all files or selected files from one disk at a time. So it's recommended to use the ZIP method. You will be asked to swap the disk/stick or to give a different location when a medium is full.
Move to archive If this option is checked, the files are deleted after a successful packing operation.
Create self extracting archive
Check this option to create an exectuable file (exe file) which will unpack the contained files when it is started. This function supports ZIP, RAR, ACE and ARJ, and also some plugins like SQX. An unpacker for ZIP is included: By default, files packed as ZIP-SFX are unpacked to the current directory, but a different directory can be chosen before extraction. The self extractor is now a 32 bit program, but still runs on Windows 3.1 if Win32s is installed. The distribution of self extracting archives does not require a distribution licence.
Create separate archives, one per selected file/dir
Allows to create one archive per file. This is useful for archive types which support one file per archive, e.g. GZ. If no target dir is given, the packed file will be placed in the same dir as the original file.
Leave out base directory when packing folders
This option belongs to the option directly above:
If unchecked, packing a folder like "test folder" will pack the folder with its full name into the archive.
If checked, the archive will not contain "testfolder" itself, just the files and folders inside "testfolder".
Encrypt Allows to encrypt files. Either requires the internal ZIP packer, or external packers (RAR, ARJ) or plugins supporting encryption (e.g. SQX).
Important note: The original ZIP2.0 encryption isn't very strong. It can be decrypted easily when parts of the encrypted files are available as plain text, e.g. a readme file which is encrypted with the same password as the rest. The much more secure AES encryption with 128, 192 or 256 bit key length cannot be decrypted by all ZIP packers, but it is supported by newer WinZIP and PkZip versions.
Packer Here you select the desired packer (ZIP, ARJ, LHA, RAR, UC2, ACE). If the selected packer is not in your path, you must ENTER the full path in Configuration - Options - Packer... including the filename. If you have configured the internal ZIP packer you can still use the external packer (PKzip or zip-nt): Instead of ZIP: place the string EXT: (for external) in front of the ZIP filename! You can also use the internal ZIP packer by specifying INT:.
Configure Opens the dialog box Configuration - packer.
OK Closes the dialog and starts the chosen packer.
Cancel Closes the dialog without packing the files.
See also:
- Working with archives
- Dialog box: Unpack


Dialog box: Print options (lister)

Dialog box: Print options
With this dialog box, you can define the printer font and the page borders for the print in Lister.
Printer Allows to set the printer used for the printouts. Determines which fonts are available for printing.
Font Here you can choose a font to print in text mode. Fixed defines the font for the display modes ANSI and ASCII, and Variable for the display mode 'Variable'. In ASCII mode, all characters are converted from the ASCII to the ANSI character set before printing. The available fonts are determined by the current printer.
Margins Allows to set the margins for the print. If a chosen margin is smaller than the minimum margin supported by the printer, lister will automatically adjust it during print.


Dialog box: Quick search for file name
By pressing CTRL+ALT+Letter there appears a small dialog box below the active file window, allowing quick search for file names. As soon as the dialog box has appeared, you can release CTRL+ALT and enter further letters directly. The cursor jumps to the next file name starting with the letters you typed. By pressing cursor down or cursor up, you can jump to the next or previous match. You can close the box by pressing ESC. The box is automatically closed when you start another action.
On most European keyboards there is an additional key to the right of the space bar, labeled AltGr, which works like the combination of CTRL+ALT.
In Configuration-Quick Search, the key combination can be changed to ALT+Letter(s), Letters only or Letters with search dialog, or it can be disabled completely.
When using quick search while the cursor is located in a separate tree, ENTER opens selected directory, ESC jumps back to previous, INSERT stays on new dir, but only opens if configured to auto-open


Dialog box: Search: General

Find files: General
(click on a page)
General
This page allows to search for file names, parts of file names, and text inside files.
Field Meaning
Search for: In this field, you can enter the search mask for the files you want to find. A question mark ? stands for exacly one character, and an asterisk * stands for any number of characters. Multiple search masks can be entered, separated by spaces (see examples below). All masks after the pipe character | will be treated as exclude masks.
Note: Names with spaces do not need to be put in double quotes, e.g. Letter to Mr. Smith.doc. Total Commander now looks for both the entire name and the name parts individually. However, when the pipe character | is used for an exclude mask, names with spaces must be put in double quotes.
When the search string contains a dot, Total Commander will look for the exact name match.
Use Shift+Del to remove no longer wanted entries from the search history.
To include/exclude certain directories in the search, wildcards can be used in include/exclude directory names, and the names must have a trailing backslash \ .
Put '>' character in this field before saving the search to keep the "Search for" field unchanged when loading the saved search.
Examples:
*.ini finds for example win.ini
Smith finds "Letter to Mr. Smith.doc"
*.bak *.sik *.old finds all backup files with these extensions
*n.ini now finds names which must contain an 'n' in front of the dot.
*wof*.doc finds all names containing "wof" in the name and an extension ".doc".
w*.*|*.bak *.old finds files, which start with w and do not end with .bak or .old.
*.ini | windows\ finds all ini files except those in directories called "Windows" and their subdirs.
*.htm? | _vti*\ finds all html files, except in subdirs starting with _vti (used by Frontpage)
windows\ system32\ *.ini finds ini files only in windows\ and system32 dirs
Put "ev:" in front of the search string to pass it to Everything unchanged. You will then have to use the Everything search syntax, see www.voidtools.com.
Put "ed:" in front of the search string: Like "ev:", but search only in the directories specified in the "Search in" field. Also handles "Search subdirectories" option. This is handled by prefixing path:c:\path and optionally parents:<nr to the entered search string.
Search in: Here you can enter one or more starting directories, separated by ";". You can now start the search inside an archive.
You can enter the name of a text file (ANSI, UTF-8 or UTF-16, the latter two with BOM) containing a list of files and directories to be searched, in the form @c:\path\filelist.txt. The file must contain one file/directory name per line, either an absolute path, or relative to the location of the list file. The text file now also supports wildcards and regular expressions. The "Search for" field is ignored when searching from list.
Sample list: Description
c:\testdir\ Searches "c:\testdir" for files defined in "search for"
c:\testdir\*.txt *.doc Searches "c:\testdir" for txt and doc files
c:\testdir\<regular expression Searches "c:\testdir" using regular expression
c:\testdir\filename.txt Searches just for "filename.txt" in "c:\testdir"
Put '>' character in this field before saving the search to keep the "Search in" field unchanged when loading the saved search.
>> Choose a starting directory for the search.
Drives Selects the drive(s) you want to search. You can select multiple drives.
RegEx Search in file names using regular expressions.
Only search in selected directories/files
Only search in directories and files selected in Total Commander's active file window. This allows to include/exclude specific files and directories from the search. Note: When using "Search in separate process" (Alt+Shift+F7), this option gets disabled when you switch away from the search dialog to any other window (because the selection could be changed by that).
Everything Uses the program "Everything" to search NTFS-formatted drives. The tool accesses the internal file index (Master File Table, MFT) of NTFS-formatted disks. Therefore it works without its own time-consuming creation of a search index. However, the MFT only contains file names. The search for other file attributes like the size, content plugin fields, or file contents are not accelerated.
Search archives Enables search in files with extension ZIP, ARJ, LZH, RAR, TAR, GZ, CAB, ACE, and 7Z. Text can even be searched in archives! The files are unpacked, searched and deleted on the fly.
Search subdirectories
Allows to define where to search: Either in all subdirectories, or in the current directory only, or up to a specific depth from the current directory.
Find text If this option is checked, you can enter text to be searched. With \t you find tabstops, and with \n line breaks (ENTER) in texts. To find a backslash \, you need to give it twice: \\ .
Whole words only Limits the search to whole words only.
Case sensitive Recognizes the case (small or big letters) of the word.
Example: Windows finds only "Windows", but not "WINDOWS"
RegEx (2) Search in file contents using regular expressions.
Hex Search for hexadecimal characters, e.g. 00 FF 12, or mixed, e.g. "PK"0102
Note: When Case sensitive isn't checked, characters with different case will also be found. Example: 6B will not only find 'k', but also the uppercase 'K' (Hex. 4B). But only when entering the codes for the lowercase characters!
Find files NOT containing the text
Searches for all files which do not contain the given text, but still meet all other search criteria. Application: Multiple files need to be modified, and only the not yet modified should be shown.
Encodings: It's now possible to check more than one of the following options at the same time:
ANSI-Charset (Windows)
Use the Windows charset with the default language encoding
ASCII-Charset (DOS) Special characters like the pound sign (£) are translated to their DOS equivalents (they have a different place in the DOS character set than in the Windows character set).
Unicode UTF-16 Search in unicode files. In these, each letter is coded by 2 bytes.
UTF8 Search in UTF-8-encoded unicode files. In these, each letter is coded by 1 up to 4 bytes. Note: At the moment, all UTF-8-searches are case sensitive (due to limitations of the used search function).
Office xml (docx, xlsx, odt etc)+EPUB Searches in Microsoft Office, OpenOffice/LibreOffice and EPUB files, which are just renamed ZIP files containing XML or HTML text. No need to check option "Search archives".
Plugins: ... Search in the specified content plugins for the text given in "Search text". Useful e.g. to find comments or pdf text.
Buttons < and > Jump to the previous/next search results (history of previous search results).
F2 Search in found files
If checked, the next search will be performed only within the displayed search results.
<Result list> Shows a list of all files found in the current search operation. The details (date, time, size) are shown in the footer because of the limited space. Double click on a file to go to the directory where it is located. To copy the whole file list to the clipboard, click in this window and press Ctrl+C.
<Status line> The status line (footer) shows the directory currently being searched, and the file details after the search has finished. With a click on a part of the directory it is possible to skip that directory (after confirmation).
Feed to listbox Transfers the files you found to the source file window, where they can be listed, copied or even deleted. The result list will be opened on a new tab if you hold down the Shift key. With F2 or Ctrl+R, you can go back to normal file display mode.
There are two possible cases when searching in archives: If all files were found in a single archive, the files will be shown in the source file window. Otherwise the archives themselves will be shown.
Go to file If you selected a file in the list of files you found, you can change to the directory of this file by pressing go to file. A new tab will be opened if you hold down the Shift key.
Start search: This button starts the search. It can be interrupted by pressing ESC or the Cancel button.
Cancel Interrupts the search process or closes the dialog box. The position of the dialog box is saved automatically when it is closed.


Dialog box: Search: Plugins

Find files: Plugins
(click on a page)
Plugins
This page allows to search using content plugins, e.g. for special file attributes or contents. You can find additional content plugins on our homepage. Note: Content plugins only work with the normal file system (files and directories), but not with virtual folders like the desktop, ftp connections, files in archives, or file system plugins.
Field Meaning
Search in plugins Here you can enable/disable the search in plugins without having to clear the entire list.
Combine with If you define multiple plugin search rules, you can choose how to combine them.
AND(all match) All the rules must be true for a match. Example: You are looking for a file which is larger than 1 MB but smaller than 2 MB. You can define two rules, one >1 MB and one <2 MB, and both must be met.
OR (any match) It is sufficient if any of the given rules is true. Example: You are looking for files which have either the hidden or the system attribute set.
Plugin Name of the plugin containing the properties. tc means Total Commander's internal properties, e.g. file size, date, time etc. Additional plugins can be found on our homepage.
Property The properties supported by the plugin.
OP One of the following compare operations:
= equal
!= not equal
=(case) equal, case-sensitive
!=(case) not equal, case-sensitive
> larger
< smaller
>= larger or equal
<= smaller or equal
contains string contains specific text
!contains string does not contain specific text
cont.(case) string contains specific text, case-sensitive
!cont.(case) string does not contain specific text, case-sensitive
regex regular expression
Value The value for which you want to search. For date and time, use the format displayed in Total Commander's main file windows. For some numeric fields, you will also be able to choose a unit, e.g. bytes or kbytes.
More rules Appends a new line for an additional rule
Less rules Deletes the last rule.


Dialog box: Search: Load/Save

Find files: Load/Save
(click on a page)
Load/Save
This page allows to save search parameters for frequent searches, e.g. a search for all *.bak files.
Field Meaning
Previous searches: Lists all saved search parameters. To re-do a search, click on an item in the list and press 'load'.
Load Load the selected search parameters and switch to the 'General' page.
Save Save the current search parameters
New: Put '>' character in the "Search for" or "Search in" field before saving the search to keep the "Search for"/"Search in" field unchanged when loading the saved search.
Delete Delete the selected search parameters.


Dialog box: Synchronize
Here you start the actual synchronize operation. You can specify a target directory for the files in the left and right window, respectively. If you put the string 'zip:' in front of the path, the files will be packed to the given zip archive. Currently no other packers are supported.
Left to right Here you can enter the target path for the files on the left side. By default, the right path is given, which means that older files on the right would be overwritten.
Right to left Analogous to "Left to right".
Right: Delete xxx file(s)
In asymmetric mode, allows to delete the selected (with x) files on the right (target) side which no longer exist on the left (source) side.
Right: Delete all empty directories
In asymmetric mode, allows to delete empty directories on the right side. This will also delete empty directories on the right side which still exist on the left side.
Confirm overwrites If checked, Total Commander will ask before overwriting files in the target directory.
Copy NTFS permissions (may need administrator rights)
Copies the file permissions of the NTFS file system.
OK Starts the selected operations. Hold down Shift to delete files directly if the recycle bin is enabled.
See also: Dialog box Synchronize dirs


Dialog box: Synchronize dirs

Dialog box: Synchronize directories
With this dialog box you can compare two directories including subdirectories with each other, and then copy the files with differences to the target directory, or any other directory. To do this, please proceed as follows:
1. Choose the two directories you want to compare, and (if necessary) the file types (wildcards), using the middle combobox. See Select Files how to include/exclude files by wildcards. Predefined filters aren't supported at this time.
2. Select the compare options "Subdirs", "by content" and/or "ignore date"
3. Press the "Compare" button
4. Under section "Show", choose the files to be shown
5. Select the files you want to copy. This is done by a click on the checkbox between the two comparison columns, or by selecting one of the options in the right click menu. By default, the function will select all newer files for copying. To reverse the copy selection, you need to double click on the arrow.
6. Click on "Synchronize". This will open a dialog box to copy the selected files. Only visible files will be copied!
Note: You can synchronize the following combinations:
- Two directories
- A directory and an archive
- Two archives (not by content, compare only)
- A local directory and a directory on an ftp server
- A local directory and a directory through the parallel port connection
- A local directory and a directory in a file system plugin
Here is a description of the dialog box elements:
Save directories and settings (optional) to wincmd.ini. The list is sorted by name. Cannot save FTP connections. "Only selected" will be stored in a separate list file - you will be asked for its name. Can be opened with F2.
*.* Wildcards to include/exclude certain file types. See Select Files how to include/exclude files by wildcards. Predefined filters aren't supported at this time.
Compare Starts the comparison between the two chosen directories.
Only selected (in main window)
Only compares the directories and files, which are selected in Total Commander before invoking this function. It is sufficient to only select the directories/files in one window.
If you save this option, you will be asked for the name of a list file where the selected file names should be stored. When loading these settings, the name of the list file will be shown in place of the text '(in main window)'.
Empty directories Also synchronize empty directories, not just files:
1. In normal (symmetric) mode, directories missing on one side will be copied from the other side.
2. In asymmetric mode, directories missing on the left side will be deleted on the right side, and directories missing on the right will be copied from the left side.
Asymmetric If this option is checked, it is assumed that a copy of the left side should be created on the right side. Files which do not exist on the left side will be marked for deletion on the right side. This option is meant for backups. Do NOT use this option to synchronize a desktop and notebook!
Subdirs Also compares the subdirectories of the two chosen directories. A modification of this option makes a new comparison necessary.
by content Compares the content of files which have the same size and date. It checks that the files also have the same content. A modification of this option makes a new comparison necessary.
Compare by content via FTP is supported only when the server supports one of the following commands (and announces this via FEAT command): XCRC, XMD5, MD5, XSHA1. Total Commander then calculates the same checksum type locally as the server returns, and then compares the two.
When comparing two files from the file system (not from FTP or archives) a button is shown which allows to choose content plugins for comparison:
[++] The plugin compare mode is activated
[>>] The plugin compare mode is inactive but can be used
The internal compare mode [=tc.compare as text] compares two files as plain text like in "Compare by content". Different types of line breaks (Windows, Unix, MacOS) will be ignored.
ignore date If this option is selected, files with same size and name are considered identical. If additionally the option "by content" is selected, files with the same size are also compared by content. The result of such a comparison only yields to the result 'equal' or 'not equal' - the copy direction needs to be set by the user. A modification of this option makes a new comparison necessary.
Show: Options for the file display: These options become effective immediately, without a new search. A filter symbol and the number of hidden files is shown on the right side of the status bar if any of these options hides files.
Shows only files which by comparison need to be copied from left to right.
Shows only files which by comparison need to be copied from right to left, or (in asymmetric mode) which will be deleted on the right side.
Shows files which are considered equal with the current compare settings.
Shows files which appear as being different, but with no default copy direction (e.g. same date/time, or date/time ignored).
The above symbols also appear in the list of compared files, between the compared files. There are three additional symbols appearing in this list:
Appears only when comparing between an FTP server and a local directory. It means that the files are identical only if the remote file is a text file on a Unix server. For details, please read Synchronize dirs and FTP servers.
Only appears when comparing by contents, before the file pair has actually been compared.
The slashed circle is shown for files which are excluded from sync, e.g. for files which differ only in case like aa.txt and AA.txt.
dupes Shows files which exist on both sides.
singles Shows files which exist on one side only.
FTP time offset dt=..h
This option is only shown when comparing a local directory with a directory on the net.
It allows to set the time zone difference between your location and the FTP server. Use numbers >0 if the server is to the west, and <0 if it is to the east of your location.
The offset is saved by server name, so if you have defined multiple connections to the same server, you need to set it only once in this dialog.
Note: If the command MLSD is used to get the file list, most servers will return the time stamps in UTC (universal time), which is indepentent from the time zone. In this case, the time zone difference must be set to zero!
mdtm Use the command MDTM <file date> to set the time stamp of uploaded files. Not all servers support this command. If available, one of the newer commands MFMT or SITE UTIME will be used instead.
utc Send the date/time in utc (universal time=Greenwich mean time). Most servers expect the time in UTC format, but some seem to use local time instead.
Synchronize Opens a dialog box, with which the selected files can be copied to the other side, or to any other user-defined directory.
Close Closes the dialog box.
Name, Size, Date Click on the appropriate header to sort by name, size, or date. If there is no file on the chosen side, the file from the other side is used for sorting.
<File list> Here the compared directories are shown, and (if chosen by the user) also their subdirectories. Each subdirectory is delimited by a gray bar. The symbol in the middle defines the copy direction, which can be chosen by the end user. The coloring of the text defines the default copy direction determined by the comparison:
Green: Copy from left to right
Blue: Copy from right to left, or delete on the right side (asymmetric mode, in this case, the file has a cross symbol [image] in the middle).
Red: Files which are different by the given criteria (no copy direction)
Black: Files which are identical (no copy direction)
The copy direction can be chosen for multiple files at the same time with the right click menu. Furthermore, the right click menu allows to display, delete or even compare individual files by content (can also be opened via double click). For ftp connections, there is an additional command 'Set local file date to remote date'. If you choose it, files with the same size will appear equal (they have the same size+date/time). The idea of this function is to make files look identical from which you know that they are identical (e.g. because you uploaded them using a different program). Concerning the date/time synchronizing problems with ftp, please read Synchronize dirs and FTP servers
Files can be renamed with two clicks on the file name (not a double click), or with hotkey F6 (left file) or Shift+F6 (right file)
For normal files, there is a new option "Copy file properties", which allows to copy just the time stamp, attributes and/or NTFS permissions of the selected files to the files in the other panel.
With Ctrl+PageDown(Up) it's possible to jump to the next (or previous) subdirectory.


Dialog box: System Information: Hardware

System Information: Hardware
(Click on a button)
Hardware
In this dialog box, data on your computer is shown. There is one page for hardware, one for software, and a third for networks. Some of these items will display garbage under Windows NT, since NT does not offer BIOS calls any more!
CPU Type Type of the micro-processor.
BIOS Version Revision date of the system BIOS (used for disk and screen access). On some computers, this information cannot be retrieved. In this case, general BIOS information is shown instead.
Display driver Shows the current display driver. This can be either a board-specific (i.e. ATI ULTRA) or a general purpose (VGA or Super VGA).
Display resolution Shows the width and height of the screen in pixels, followed by the number of possible colors.
Current printer Printer selected as the default.
COM/LPT-Ports Number of serial and parallel ports. Serial ports are used to connect mice and modems, parallel ports mainly for printers.
Installed RAM Main memory of the computer. The first number is the memory accessible from DOS, the second number is the amount of extended memory, which can be accessed from Windows.


Dialog box: System Information: Software

System Information: Software
(Click on a button)
Software
DOS version Version of the operating system.
Windows version Version of Microsoft Windows.
Windows mode Mode in which Windows runs at the moment. There are three different modes:
- REAL (only 3.0): out of date mode, taken from Windows 2.0
- STANDARD: Mode for 80286, and for 80386 with little RAM
- ENHANCED: Enhanced mode, only possible with 80386sx and above
ProductId (Windows 10 only): The product ID code and (if known) name, e.g. 1709, Fall Creators 2017
Swap file Size of the virtual memory simulated on your hard disk (only ENHANCED mode). This can be either permanent or temporary. In the latter case, the maximum size allowed is shown.
Free memory Free memory, including memory simulated on disk (swap file). In newer Windows versions, this value is meaningless because it's always equal to the total amount of memory. Total Commander therefore shows the amount of unallocated memory, and a percentage value which shows the "memory load". If this value approaches 0 you should think about buying additional memory.
Free resources Free system resources in %. If this value gets too low, you cannot start additional programs. The shown value, normally called "free resources", is the minimum of free GDI (graphics) and USER (Window management) resources, shown in brackets. The value isn't available in Windows NT, but isn't a problem there either.
Time since win. start Elapsed time since Windows was last started. Unfortunately, on Windows XP and older, the counter wraps to 0 approx. every 50 days.
Temporary dir Defines the directory where programs put their temporary files. If nothing is shown here, add the following line to your autoexec.bat:
set temp=c:\temp .Then create this directory temp. You can also choose any other directory, but you should not use an existing directory like c:\dos.


Dialog box: Unpack
With this dialog box, you can choose settings for unpacking files. The files are then unpacked by one of the external unpackers PKunZIP, ARJ, LHA, RAR, UC2 or ACE. There exist internal unpackers for ZIP, ARJ, LZH, RAR, ACE, TAR, GZ, CAB and 7Z files which also support long filenames.
Unpack n file(s) to Enter the target path where you want to place the selected files. As a default, the path of the target directory is given. However, you can enter any valid path name. If you leave this field empty, the files will be unpacked to the directory of the archive.
Files to unpack This field only appears when unpacking files with ALT+F9. Here you can enter wildcards (like *.doc *.txt) to specify which files to unpack. If you want to unpack a file containing spaces in the name, you must put the file name in double quotes, e.g. "Letter to Mr. Smith.doc".
Encoding of names Change the encoding of the file names if necessary, e.g. when you have received a ZIP from someone with different language encoding like Cyrillic.
Unpack path names if stored with files
If you marked directories for unpacking, all files in these directories will be unpacked with their paths.
Overwrite existing files
If this option is selected and a file in the archive already exists in the destination path, the destination file will be overwritten. Otherwise the unpacker asks for each file if it can be overwritten.
Unpack each archive to a separate subdir (name of the archive)
Useful when unpacking multiple selected archives at once. Each will be unpacked to a subdirectory which is created like this: "filename.zip" -> "filename".
OK Closes the dialog and starts the unpacker.
Cancel Closes the dialog without unpacking the files.
See also:
- Working with archives
- Dialog box: Pack


Dialog box: Change start menu
To move menu items to a different line, put the cursor bar on the desired entry, hold down the SHIFT key and move it using up and down arrow keys. You can also drag items using the mouse.
Field Meaning
Start menu: Shows the existing entries of the start menu. If you select an entry, the command line and parameters belonging to it are shown.
Add item... Creates a new entry in the start menu. Asks for a menu title first. A & sign causes the letter behind it to be underlined. Enter a single dash '-' to create a separator line.
Add submenu... Creates a new submenu. Asks for a menu title first. Submenus are shown with a dash in front of the name. The end of the submenu is shown with two dashes.
Delete Item Deletes the selected menu entry. Choose CANCEL to cancel all changes.
Change Title... Changes the title of the menu entry.
Command: In this box you may specify the program to be run, including its search path. Supports environment variables. You can also specify fixed parameters here. Important: You must give the extensions .com and .bat, because by default Windows only finds .exe!
You can also choose one of Total Commander's internal commands by clicking on the magnifying glass button. This opens the dialog box "Choose command". See 'change button bar' for all possible commands (except for changing the subbar).
>> Opens a dialog box to browse for the desired file name.
Start path: Determines the path to be set before the program is started. If no path is given, then the path of the source window is set.
Important: If the command (given in the command box) is cd drive:\directory, then the path given in this edit box is set in the other window! This allows to set both paths (source and target) at the same time.
Shortcut key: Here you can choose a shortcut key for the command.
run minimized: Program will be started as an icon.
maximized: Program will be started with maximized main window.
OK Saves the changes made to the file wincmd.ini.
Cancel Closes the dialog box without saving.
Help Opens Windows Help with this page.
Parameters: Here you can specify command line parameters.
Special parameters:
? as the first parameter causes a Dialog box to be displayed before starting the program, containing the following parameters. You can change the parameters before starting the program. You can even prevent the program's execution.
%P causes the source path to be inserted into the command line, including a backslash (\) at the end.
%N places the filename under the cursor into the command line.
%T inserts the current target path. Especially useful for packers.
%M places the current filename in the target directory into the command line.
%O places the current filename without extension into the command line.
%E places the current extension (without leading period) into the command line.
%S insert the names of all selected files into the command line. Names containing spaces will be surrounded by double quotes. Please note the maximum command line length of 32767 characters.
%S10 insert the names of the first 10 selected files (max.) into the command line. Allows to limit the number of file names passed to the program. You can use any other number.
%R like %S, but with selected names from the target panel
Notes: %N and %M insert the long name, while %n and %m insert the DOS alias name (8.3). %P and %T insert the long path name, and %p and %t the short path name. (Same for %o, %e and %s)
By putting %P, %p, %T or %t directly in front of %S or %s, the path name is inserted with the file name for each file. Example: %P%S inserts the long path and file name for all selected files.
%% inserts the percent-sign (just one!).
%L, %l, %F, %f, %D, %d, %WL, %WF, %UL, %UF create a list file in the TEMP directory with the names of the selected files and directories, and appends the name of the list file to the command line. The list is deleted automatically when the called program quits. Only one list per command is supported. 10 types of list files can be created:
%L Long file names including the complete path, e.g. c:\Program Files\Long name.exe
%l (lowercase L) Short file names including the complete path, e.g. C:\PROGRA~1\LONGNA~1.EXE
%F Long file names without path, e.g. Long name.exe
%f Short file names without path, e.g. LONGNA~1.EXE
%D Short file names including the complete path, but using the DOS character set for accents.
%d Short file names without path, but using the DOS character set for accents.
%UL, %UF like %L and %F, but with a UTF-8 Unicode list file (with byte order mark)
%WL, %WF like %L and %F, but with a UTF-16 Unicode list file (with byte order mark)
%X Interprets the following parameters after this parameter as left/right instead of source/target:
%P, %p (left path), %T, %t (right path), %N, %n (left name), %M, %m (right name),
%S, %s (left selected), %R, %r (right selected)
Example: %X%P %T sends left and right path to e.g. an external sync tool
%x Interprets the following parameters after this parameter again as source/target
Example: %X%P %x%P sends left and source path to the called program
%Z anywhere in the parameters: Allow to pass archives as path to programs for %P or %T when inside an archive
Example: %Z%P passes name of archive to external tool when TC shows contents of an archive


Verify Checksums (from checksum files)
With this function you can verify checksums stored in checksum files, to make sure that a file is intact, e.g. after copying it over a network or with a removable medium. You can create such SFV files with the function Create Checksum File(s) (CRC32, MD5, SHA1).... The function works in the background, you can switch back to Total Commander and continue to work. Currently Total Commander can verify checksums in CRC32, MD5, SHA1, SHA256 and SHA512 format.
Files with an incorrect checksum are selected in the current file list. The arrow buttons in the lower right and the hotkeys Ctrl+Up/Down arrows can be used to jump to all names with incorrect checksums.
The function supports CRC files in ANSI, UTF-8 (with byte order mark, BOM) or UTF-16 (with or without BOM) format.
New: You can now verify the checksum of the file under the cursor by copying the checksum to the clipboard (e.g. from the Web page where you downloaded the file) and then choosing this function.


Dialog box: Configuration: Log file

Configuration - Log file Back
Set a log file name and log options to log file operations in Total Commander.
Create a log file Location and name of the log file. Default location: TEMP directory.
Copy/Move/Create shortcut
Log these file operations. Also includes renaming.
Delete Log file deletions.
Create/Delete folders Log all folder operations.
Pack/Unpack/Test archives
Log archive operations, including packer plugins, and "Verify checksums". Unfortunately errors from unpacking of CAB archives cannot be logged.
File system plugins Log all file system plugin operations.
Note: To set FTP logging options, go to the FTP configuration page.
Log file rotation: Determines if/when log files should be replaced.
Never (always log to same log file)
Turns off the log file rotation.
Every day after midnight
On the first write to the log file after midnight, the log file is renamed from LogfileName.ext to LogfileName.Date.ext, and a new log file is created.
When the log file becomes larger than ___ kBytes
If the log file would become larger than the given size, Total Commander renames it to LogFileName.1.ext. If another file with this name already exists, it is renamed from LogfileName.ext to LogFileName.2.ext, etc.
Keep a maximum of ___ log file copies
Allows to limit the number of log file copies to keep. If the given number is reached, the oldest log file will be deleted.


Edit comment
Allows to set or change a file comment stored in a file called descript.ion or files.bbs. Comments can be displayed with Show - Comments (Ctrl+Shift+F2) within the file lists, or by moving the mouse over a file name. For the latter, you need to enable Win32-style tips in Configuration - Display.
Attention: Comments only work with normal files, not with files in archives (ZIP etc.), on FTP servers, or in plugins.
See Dialog box - Edit comment for details!


Environment variables
Environment variables can be used in most places where directories are used, for example in the button bar, start menu, or command line.
New: It's now possible to use partial environment variables. The syntax is the same as in the command processor cmd.exe:
%variablename:~5,7% skips 5 characters and uses the following 7. Negative numbers count from the end of the environment variable.
Total Commander supports 5 types of environment variables:
1. The regular Windows environment variables, e.g. %TEMP% or %USERNAME%, which can be set via the Control Panel - System. You can see the environment variables defined on your system by selecting "Commands" - "Open Command Line Window" and enter the set command.
2. Internal Total Commander variables:
%COMMANDER_DRIVE% Drive on which Total Commander is installed
%COMMANDER_EXE% Total Commander file name including path
%COMMANDER_INI% Total Commander settings file including path
%COMMANDER_INSTANCE% Instance number, as shown in title bar (first instance = 1)
%COMMANDER_PATH% The Total Commander directory
3. Pseudo environment variables from parameters of the function ShGetSpecialFolderLocation. Syntax: %$NAME%
The following variables are supported (at least the first character must be uppercase):
APPDATA,
DESKTOP,
PERSONAL,
PROGRAMS,
STARTMENU,
STARTUP,
FONTS,
MYPICTURES,
LOCAL_APPDATA,
COMMON_APPDATA,
COMMON_DESKTOPDIRECTORY,
COMMON_DOCUMENTS,
COMMON_PROGRAMS,
COMMON_STARTMENU,
COMMON_STARTUP,
COMMON_PICTURES,
MYVIDEO,
MYMUSIC
4. Pseudo environment variables from parameters of the function SHGetKnownFolderPath. Syntax: %$Name%
The following variables are supported:
AccountPictures,
AdminTools,
CameraRoll,
CDBurning,
CommonAdminTools,
CommonOEMLinks,
CommonPrograms,
CommonStartMenu,
CommonStartup,
CommonTemplates,
Contacts,
Cookies,
Desktop,
DeviceMetadataStore,
Documents,
Downloads,
Favorites,
GameTasks,
History,
ImplicitAppShortcuts,
InternetCache,
Libraries,
Links,
LocalAppData,
LocalAppDataLow,
LocalizedResourcesDir,
Music,
NetHood,
OriginalImages,
PhotoAlbums,
Pictures,
Playlists,
PrintHood,
Profile,
ProgramData,
ProgramFiles,
ProgramFilesX64,
ProgramFilesX86,
ProgramFilesCommon,
ProgramFilesCommonX64,
ProgramFilesCommonX86,
Public,
PublicDesktop,
PublicDocuments,
PublicDownloads,
PublicGameTasks,
PublicLibraries,
PublicMusic,
PublicPictures,
PublicRingtones,
PublicUserTiles,
PublicVideos,
QuickLaunch,
Recent,
ResourceDir,
Ringtones,
RoamingAppData,
RoamedTileImages,
RoamingTiles,
SampleMusic,
SamplePictures,
SamplePlaylists,
SampleVideos,
SavedGames,
SavedPictures,
SavedSearches,
Screenshots,
SearchHistory,
SearchTemplates,
SendTo,
SidebarDefaultParts,
SidebarParts,
SkyDrive,
SkyDriveCameraRoll,
SkyDriveDocuments,
SkyDrivePictures,
System,
SystemX86,
Templates,
UserPinned,
UserProfiles,
UserProgramFiles,
UserProgramFilesCommon,
Videos,
Windows
5. Passing a GUID directly to the function SHGetKnownFolderPath. Syntax: %${GUID}%
Example:
%${374DE290-123F-4565-9164-39C4925E467B}% -> download folder, same as %$Downloads%


Go back
This command allows to switch to the previously shown directory. Total Commander remembers the last 50 directories shown (separatly for the left and right panel). With this command you can therefore go back up to 50 steps.
With the keyboard shortcuts ALT+left arrow (go back) and ALT+right arrow (go forward), respectively, you can navigate through the previously visited directories just like with a WWW browser. With ALT+down arrow (or a one second right click on the current path) you open the history list of already visited directories.


Ing.Peter Hubinsky - AVIR

Distribution site for Slovakia:
AVIR, s.r.o.
Zahumenice 15
902 01 Pezinok
Slovak Republic
TEL 0905 859812 (international +421 9...)
FAX/TAM 033 6401895 (international +421 3...)
E-mail: info@avir.sk
Home page: www.avir.sk


Ini file Settings - Part 1: Configuration
[Configuration] General settings
1hourdif=0 1: Ignore time difference of exactly one hour when comparing files. This is useful when comparing between an NTFS and FAT volume (daylight saving time!).
AccessTime=0 1: Allows Total Commander to work with 'last accessed' timestamp instead of 'last modified', e.g. for copying files last accessed during the last n days. Better use custom columns now!
ActiveRight=0 1: The right listbox will be active when Total Commander starts
AdminShares=0 1: Always show administrative shares (e.g. C$), WinNT-based systems only
AdminTimeout=180 Determines after how many seconds of inactivity tcmadmin.exe (used for copy/delete etc. as admin) is terminated. Special values:
0: no timeout
-1: disable copy as admin completely
Aligned extension=1 File extension is shown left aligned
AlignNumberFix=1 Fix misalignment of numbers in size/date/time columns when using certain OpenType fonts like Segoe UI on Windows 8 (0 turns off the fix - default on Linux)
AllHiddenNetNames=1 0: Show only hidden drives like C$ when choosing "show admin shares"
1: Show all hidden shares
Allowed= Allowed drives -> restrict drive access! Example: Allowed=cde
\ stands for 'Network Neighborhood'
AllowSetCursorPos=1 Sets behaviour when expanding a large directory in tree view with the mouse, e.g. by clicking on the [+] symbol:
1: Mouse cursor is moved so it remains on the expanded directory
0: Mouse cursor is not moved
AlternateUserIni=<somename.ini> Redirect various sections to other ini file, see Overview.
AltSearch=0 Search with 0=CTRL+ALT, 1=ALT, 2=letter only, 3=letter with search dialog, 4=disabled
AlwaysAsAdmin=0 1: Handle all further operations as admin after confirming the first with "All as administrator"
AlwaysCopyInBackground=0 1: Total Commander always copies in the background
2: Always use background transfer manager
AlwaysPackInBackground=0 1: zip in background
2: zip+external packers in background
3: like 2, but run external packers minimized
AlwaysToRoot=0 If set to 1, Total Commander will always switch to the root directory when changing drives (like the Win95/98 Explorer).
AlwaysUnpackInBackground=0 1: unzip in background
2: unzip+external unpackers in background
3: like 2, but run external unpackers minimized
AppendLnk=2 Link files (*.lnk) will be created as follows:
0: file.ext -> file.lnk
1: file.ext -> file.ext.lnk
2: like 0 for files, 1 for directories
AppendWarning=1 If set to 0, Total Commander will not show a warning before appending to a file
AssociationMultiVerbs=1 Internal associations: Enable multiple commands from all matching file types
AutoComplete=3 A combination (sum) of the following options:
1: Show auto-complete dropdown list
2: Auto-append current suggested name
AutoCompleteTab=0 0: Tab switches to active file list
1: Choose next file from auto-complete, as '0' if nothing to complete
2: Choose next file from auto-complete, ignore tab if nothing to complete
AutoInstallPlugins=1 If set to 0, auto-installation of plugins when entering plugin archive is disabled
AutoRenameMode=3 Determines how files are auto-renamed when copying or in multi-rename tool. Sum of:
1: append number (x) separated by space, e.g. name (2).txt instead of name(2).txt
2: start number at (2), not (1), e.g. name.txt, name (2).txt etc.
AutoReUpload=1 Method to handle temporary files from file system plugins and ftp:
0: Old method: File gets re-uploaded only when closing editor and user confirms re-uploading
1: Ask user on first re-upload whether he wants to use the new method
2: New method: automatically re-upload file when it is saved, no need to close the editor
Autotreechange=0 If set to 1, a single click on a directory in tree view switches to that directory in the other window.
AutoUpdateCheck=0 1: Check for updates, release and beta versions
2: Check for updates, only release versions
AutoUpdateCheckBeta=0 If this option and AutoUpdateCheck are both set to 1, beta versions will be reported even when using a final release. If this option is 0, and AutoUpdateCheck is 1, beta versions will be reported only when using a beta version.
AutoUpdateCheckDate= Next date when to check for updates. Format: YYYYMMDDHH (year, month, day, hour)
AutoUpdateInformedVersion= Last update version reported to the user. Prevents that the same version is reported multiple times
BackgroundCopyFlags=1 Controls the overwrite behaviour of the background transfer manager:
0: When the user chooses one of the overwrite options, e.g. "Overwrite all", the option remains active also when adding more files to the transfer manager later (behaviour of TC 8.01 or older)
1: Reset the overwrite options when the transfer manager list reaches the end
2: Reset the overwrite options each time the user adds more files to the transfer manager (always confirm again)
See also: CopyOverwriteDefault. If not set (or set to 1), the flags will be taken from the expanded copy dialog box every time files are added. If set to 0, the flags are not reset.
BackgroundSpeed=2 Info in background dialog: 0=name, 1=speed, 2=alternating
BitlockerAlwaysDecrypt=0 1:always try to decrypt a Bitlocker encrypted drive without asking the user when the user switches to it.
-1: always report an error (like Total Commander 8.x)
BreadcrumbDelayButton=250 Time in milliseconds the cursor must be over the path panel until the dropdown button is shown below the current directory (to open the list of subdirs). When using negative values, the dropdown list will be shown directly (no button)
BreadcrumbDelayDir=250 Time in milliseconds the cursor must be in the open subfolder zone until a normal directory is opened
BreadcrumbDelayFtp=500 As above, but for FTP connections
BreadcrumbDelayPlugin=500 As above, but for file system plugins
BreadcrumbDelayVirtual=500 As above, but for virtual folders like the Desktop
BreadCrumbMaxWidth=-1 Limit width of breadcrumb bar to the given number of pixels
-1 means half screen width
The width is limited to 100 pixels (minimum) and the current screen width (maximum)
BreadcrumbSeparator=-3 Sets the beginning of the zone in which the mouse cursor must be moved to open subfolders in a breadcrumb submenu:
0..100: Value in percent where the zone starts. 0=the entrire menu is used
-1,-2 etc: absolute location of the separator measured from the right, in multiples of the line height
BriefViewWidthLimit= Sets a maximum width limit (in pixels) for a column in brief view
BrushForCursor=0 Set this option to 1, if Total Commander leaves behind a trail of frames around the not selected files when moving the cursor (bug in graphics card).
CdCloseDoor=1 If changing drives to a CD-ROM fails, try to close the CD tray. Can be disabled with CdCloseDoor=0
CDlabel=1 Show CD labels (and for other removable drives) in Alt+F1/F2
ChecksumExtraTypes= Add extra patterns to recognize checksum files for Files - Verify Checksums, e.g. *.sum *.crc32
CheckUsbHdd=1 Check whether a harddisk is connected via USB (uses removable disk icon)
ClearListBackground=1 0: Reduces flicker when changing directories (background isn't erased first)
1: Background is erased (default)
CmdUpDown=0 Move cursor up/down in file list even if the active window is the command line
CmtOemFont=0 Use OEM (DOS) character set in descript.ion files (only recommended if you use the tool 4dos or 4nt).
ColorFilters=1 Enable/disable colors by file type
CommentPreferredFormat=4 Preferred format for descript.ion files:
0: Plain text (ANSI or OEM)
1: UTF-16 Unicode Little Endian (Windows)
2: UTF-16 Unicode Big Endian (MacOS)
3: UTF-8 Unicode
4: Plain text if possible, UTF-16 LE only when needed (characters in name/comment from other codepage)
5: Plain text if possible, UTF-16 BE otherwise
6: Plain text if possible, UTF-8 otherwise
CompareAlwaysSaveWithBom=0 1: Compare by content editor always adds a byte order mark (BOM) when saving UTF-8/16 files
0: A BOM is only saved when the file contained one from the beginning
CompareBytesPerLine=8 Compare by content, binary mode: Bytes per line: 8, 16, 24, 32
CompareCaseSensitive=0 1: Compare by content sensitive to upper-/lowercase letters
0: Ignore (a and A considered as equal)
CompareDeleteBak=0 1: Delete .bak files when closing the compare tool
CompareIgnoreRepeatedLines=1 1: Compare by contents ignores lines which are repeated many times (e.g. begin/end). Useful mostly for comparing source code and other files with repeated text which is irrelevant for the comparison.
0: Function disabled. Useful for lists where also relevant lines are repeated often, e.g. part lists.
CompareIgnoreRepSpace=1 1: Ignore different number of spaces, e.g. "a b" is the same as "a b"
0: Detect different number of spaces as a difference
CompareSaveOriginal=1 1: When saving, the file is copied to filename.bak, then the data is written to filename. Advantage: additional streams, special attributes etc. are preserved.
0: When saving, the data is written to filename.tmp, then the file is renamed to filename.bak, and finally filename.tmp is renamed to filename. Advantage: The file has to be written only once, and remains intact in case of a write error.
Comparetool= Set external compare tool for "Compare by contents", e.g. WinMerge
CompareUtf8Detect=1 Determines how compare by content detects UTF-8 files:
0=only by byte order mark (BOM)
1=by content, at least one multi-byte char or UTF-8 HTML/XML header present
2=detected as UTF-8 if no invalid (non-UTF-8) byte sequences present
CompareVertical=0 1: Show compare by content windows above each other
0: Side by side
ContextProgress=1 Show progress bar when holding down right mouse button to get context menu
CopyAllTimes=0 0: Copy just the last modified date/time
1: Also copy creation date/time and last access date/time
CopyComments=6 This is a combination (sum) of the following flags:
1: Default comment type is files.bbs
2: Default comment type is descript.ion
4: Read comments from both types
8: Copy comments belonging to files. The comment files themselves are skipped.
16: Use DOS charset for descript.ion (files.bbs always uses the DOS charset)
Note: If both 1 and 2 are set, 2 takes precedence
CopyCompatDrives= Drives, from/to which TC should copy in compatibility mode. Recommended for USB sticks and for exotic drives where normal copying causes problems. \ = Network Neighborhood, *=All drives. This mode does not work under Windows 9x/ME.
CopyCompatUsbSticks=1 Use compatibility mode for USB sticks
CopyDefaultMethod=1 Always use default copy method (currently this is compatibility mode) on NT based systems
CopyDirsAsAdmin=1 When a directory cannot be copied
0: Skip it
1: Ask user
2: Always try with admin functions
CopyDirTimeStamp=0 Copy timestamp of directories
CopyLinks=0 Copy file system links (junctions) as links and not as directories:
0: Copy links as dirs or ignore them (if IgnoreLinks has been set)
1: Copy links without changing the target path of the links
2: Copy links and change the target path to the target drive if the link points to the same drive on which the link itself is located.
Example:
c:\path1\link, pointing to c:\path1\path2\linktarget
Copied to d:\trgpath1\trgpath2\link
-> Link now points to d:\trgpath1\trgpath2\path2\linktarget
Note: The function does NOT check whether the target of the link exists or not.
CopyOverwriteDefault=1 1..8: Set default option chosen when clicking on "Options" button in F5 copy dialog (only used when extended copy dialog opened!). The numbers correspond to the options in the dialog.
0: Like 1, but do not reset overwrite confirmation options when adding files to background copy dialog
CopyToDirWarn=1 1: F5 copy: Warn the user when he enters as a target for a file a dir name which already exists
CopyStreams=1 1: NTFS streams will be copied
0: NTFS streams will be ignored
Note: Streams are always copied when using the default copy method.
CopyBlockSize=32 Sets block size for copying (in kbytes=1024 bytes). Default and minimum is 32 (=32768 bytes).
CopyHugeBlockSize= Sets the block size when copying very large files. The files will be read and written directly, bypassing the disk cache. Minimum size is 10MB. Only files larger than this block size will be copied this way. For smaller files, CopyBlockSize will be used. By default, without this entry in the INI file, this feature is turned off.
CopyBlockSizeOther=32 Sets the block size for copying between drives on different physical disks. It's better to use a smaller block size when copying between different disks, because both disks can read/write at the same time. A single disk has to jump between source and target file when copying, so a large block size is better.
CopyHugeBlockSizeOther= Sets the block size when copying very large files, between different disks. Minimum: 256 kB.
Recommended values (try others yourself):
CopyBlockSize=1024
CopyHugeBlockSize=10240
CopyBlockSizeOther=128
CopyHugeBlockSizeOther=32
SamePartitions=drives,drives Allows to set, which logical drives (partitions) belong to the same harddisk. Example: You have two harddisks, one with drives C,E and F, and the other with D, G and H. The entry has to be SamePartitions=CEF,DGH
When copying between E and F (same physical disk) the first two values will be used, when copying between C and D (different disk) the values with 'Other' in the name.
CountMarked=1 1: Count files in subdirs before copying/ deleting to allow a second percent bar
0: Do not count files (faster)
CountMarkedBackground=1 1: Count files in subdirs before copying/ deleting in background transfer manager
0: Do not count files (faster)
Note: If CountMarked is set but CountMarkedBackground isn't, then the value from CountMarked is used.
CountSpace=1 1: Count files when selecting with spacebar
0: Do not count files (faster)
CrcAppendExt=1 Dialog box "Create checksums": Only has an effect when CrcSeparateFiles=1 or CrcSeparateFolders=1
0: Extension of the file is replaced by the extension of the checksum, e.g. test.txt -> test.sfv
1: Extension of the is appended, e.g. test.txt -> test.txt.sfv
CrcForceUtf8 Option "Always use UTF-8 in names"
CrcForwardSlashes Option "Unix format: line breaks, '/' in paths"
CrcSeparateFiles=0 Dialog box "Create checksums":
0: Save all checksums in a single file (or see CrcSeparateFolders)
1: Create separate checksum files, one per checked file
CrcSeparateFolders=0 "Create checksums":
0: Save all checksums in a single file (or see CrcSeparateFiles)
1: Create separate checksum files, one per folder in which a checksum for a file is calculated
CtrlArrow=1 1: Use internal Ctrl+Arrow key movement method in edit boxes like the command line
0: Use Windows default method
CtrlArrowOpenArchive=5 Controls whether Ctrl+Left/Right arrow opens archives as folders or not:
0: never
1: if ENTER would open the archive as a folder
2: always, except when [Packer] ZIPlikeDirectory=0
3: always
4: (added) put cursor on file if not opened.
This option does not affect search - feed to listbox mode
CustomFieldsInDlg=0 Show custom fields (e.g. [tc.comment]) in overwrite dialog
DarkMode=0 0=off, 1=like apps, 2=on
DeleteDelay=0 Total Commander waits the specified amount of time (in milliseconds) after deleting a file to recycle bin. Try to increase this value (default is 0) if you experience crashes when Cleansweep for windows is running.
DeviceChange=1 1= react to wm_devicechange messages (to detect disk changes) 0= ignore
DirBrackets=1 1: Show square brackets around directories. 2: Append \, e.g. Windows\ 3: both
DirsInFooter=1 Show number of selected and total directories in the footer
DirTabIcons=255 Show icons in folder tabs. Sum of:
1: Icons are enabled
2: Drive icons in root of non-network drives
4: Folders containing desktop.ini (only with attribute read only, hidden, or system)
8: Virtual folders like the Desktop
16: File system plugins
32: FTP connections
64: Icons from view modes
128: Reserved for future options
DirTabLimit=32 Maximum number of characters shown in a directory tab
DirTabOptions=824 Sum of the following options:
1: Tabs always visible
2: Tabs on multiple lines
4: All tabs have the same width
8: Tab text length limit enabled (see DirTabLimit)
16: Confirm "Close all tabs"
32: Close tabs with a double click
64: Open new tabs in the foreground
128: Open new tabs near the current tab
256: Show an asterisk * for locked tabs
512: Activate target panel when clicking on one of its tabs
1024: Show drive letter of current drive in the tab title
DisconnectOnSuspend=0 Sum of:
1: Disconnect all FTP connections when suspending PC
2: Disconnect all file system plugins which have a Disconnect function
DllLoad=0 Set DLL load method for plugins and Explorer extensions:
-1: Never from current dir (most secure)
0: Only in context menu (needed e.g. for "Send To" with Outlook 2003)
1: always also from current dir (as TC7.55a and older)
DpiPerScreen=1 Set to 0 to let Windows 10 scale TC to different screen resolutions
DriveBarHide= Allows to hide certain parts of the button bar:
A-Z=drives
0-9=ftp
\ =Network Neighborhood
. =parent+root dir
- =volume label and free/total space
; =USB devices without drive letter (e.g. phones)
Contrary to the Allowed= option, the drives remain accessible via drive dropdown list (Alt+F1/F2), the "cd" command etc.
To hide terminal server drives, they must be given after a dollar sign:
DriveBarHide=A$CDE hides local drive A and host drives CDE.
DriveisCD=FGH Define drives F, G and H as CD-ROM drives. When copying from these drives, Total Commander will not copy the read only attribute. Useful for network CD drives which are not detected automatically.
DriveLib= Load icons for the drive buttons from the DLL file specified.
DriveLib.bak= Backup of user-defined drive library from DriveLib= option. Moved here when user checks the option "Show drive icons from Explorer".
DrivesExportUpcase=-1 1: Export drive letters uppercase when using e.g. cm_CopyFullNamesToClip, or when running programs (in program name and current directory). <=0: Export as lowercase.
Note: When DrivesShowUpcase is set and DrivesExportUpcase isn't, it gets the value of the former
DrivesShowUpcase=-1 1: Show drives uppercase in various places like the drive bar, drive list, current path etc. <=0: Show as lowercase.
DriveTipDelay=0 Delay in milliseconds, until descriptions for the drives in the drive combo box are shown (default = 0)
DropExtensions=1 Allow drag&drop shell extensions for right mouse button drag&drop
EditNewName= Use the specified name when pressing Shift+F4 with cursor standing on a folder
Editor=notepad.exe Default editor for F4
EditWaitTime=2 Timeout value when editing files from an archive or ftp server: If an editor closes within this amount of seconds, assume that it's a multiple document editor and show dialog where user can confirm when editing has ended. Set to 0 to turn off this feature. Set to -1 to not show this dialog at all (e.g. when the file was passed via DDE to the associated program).
EncodeLinesPerFile=0 Maximum number of lines per file (0=unlimited) in Files - Encode file
EncodeMethod=0 Last used encoding method in Files - Encode file: 0=MIME, 1=UUE, 2=XXE
ESCcheck=1 Before copying, check whether ESC key is stuck (which could abort the copy operation)
Everything=Everything.exe -startup Set location of Everything.exe to run when user checks "Everything" checkbox while Everything isn't running yet. Without this option, Everything.exe will be searched in the Total Commander folder. Note: When specifying parameters pointing to a file, like -config, you need to specify the name including full path. Otherwise Everything will not find the file.
Everythingforsize=0 1: Use the tool Everything to get the folder size when the space bar or Alt+Shift+Enter is pressed.
EverythingForTree=0 Use the tool Everything for the tree (Alt+F10)
ExplorerForCopy=0 Use built-in copy function (more flexible) or Explorer (copy+paste) for F5 and F6 (0/1)
FileTipWindows=0 Show tooltips (hint windows) for file names which are too long to be shown completely in 'full' view
FirstFTPSync=1 First time Sync with ftp is called -> show warning
FirstMLSDsync=1 First time Sync over FTP with MLSD instead of LIST is used -> show warning
Firstmnu= Used to check writability of the wincmd.ini (like test=, but without error message)
FirstTime=1 First time Total Commander is run -> display release notes
FirstTimeIconLib=1 First time Total Commander (newer version with multiple icon libraries) is run -> let user choose icon library for main menu and button bar
FirstTimeUnpack=1 First time "Unpack all" -> hint to press ENTER on file
FirstTimeZIP=1 First time packing/unpacking -> Packer dialog
FixEmptyPanel=0 Set to 1 if Total Commander starts with completely empty file panels
FontQuality=0 Let the user set the font quality, e.g. to enabled antialiasing or Cleartype even when it's disabled globally in Windows.
0:DEFAULT (as configured system-wide),
3:NONANTIALIASED,
4:ANTIALIASED,
5:CLEARTYPE,
6:CLEARTYPE_NATURAL
ForceDarkModeOptions= 1:Enable dark mode options on older Windows versions
2:Handle all dark mode functions internally, except for title bar
3:Also no dark title bar
0:Disable
GetTextMode=0 Set formatting for screen readers. Sets the column delimiter:
0: space
1: tab
2=<cr>
3=<cr><lf>
4=like 2
5=like 3
4&5 show fields with column headers (tab-separated),
e.g. Name:<tab>Filename<cr>Size:<tab>10k etc.
HebrewListerFix=0 If =1, use coordinate correction when selecting English texts in Lister on Hebrew Windows (only when Uniscribe isn't used).
HideRemovableNoMedia=0 When !=0, removable drives like USB card readers will not be shown unless a medium is inserted. Note that CD-ROM drives and floppy disk drives will always be shown. Apply to:
1: Drive button bar
2: Drive dropdown list
4: Search function - Drives
7: All
This function may be very slow with certain drives, so turn it off if you notice any slowdown.
HintMultiFilters=0 1: Show tooltips from all matching filters
HistoryAppend=1 1= Appends the directory selected from the history list (ALT+Cursor down) to the end of the history list (default)
0= Moves the current position in the history list to the selected item
HistoryCut=0 1= Cut history list at current position when changing directory while history position not at the end
HistoryLen=26 Maximum number of entries in directory history list (ALT+Cursor down). Maximum possible: 100
HistoryLenStored= Maximum number of entries in history to be stored to wincmd.ini. Default=200 on NT based systems, same as HistoryLen on 9x/ME.
HistoryThinning=1 Only add directory to history if the user stayed there for x seconds, or performed any file operation in that location
HistoryThinningDelta=5000 Number of Milliseconds to stay in a directory to keep it in the history. 0=only for file operations.
IconClickSelection=1 1: Select files/folders with a left click on their icons
2: Like 1, but only if the file is selected on a touch screen, not with a mouse
IconLib=c:\totalcmd\wcicolib.icl Loads all default icons for the file lists from the given DLL. See www.ghisler.com for a sample ICL.
IconLib.bak= Backup of user-defined icon library from Iconlib= option. Moved here when user checks the option "Show default folder/file icons from Explorer".
IconsInDriveList=1 Show drive icons in drive combobox (Alt+F1/F2) and "drive not found" dialog box
IconsInMenus=17 Allows to show icons from wcmicons.dll or wciconex.dll in the main menu. Sum of:
1: Enable icons in menu
2: Surround icons by frame
4: show 24x24 pixel icons instead of 16x16
8: show 32x32 pixel icons
both 4+8: show 48x48 icons (for very high resolution screens)
16: Show selected menu items with pressed button instead of a checkmark
IconsInThread=1 Load icons of EXE and LNK files in a separate thread
IconsOnNet=1 Load icons of EXE and LNK files also on network drives
IconOverlays=0 Enable/disable icon overlays, like the small arrow for links
IconOverlaysOneDrive=1 Enable/disable icon overlays for OneDrive files which aren't available offline (cloud icon)
IconsSpecialFolders=3 Enable/disable display of special folder icons (0=none, 1=local file system, 2=virtual folders and in nethood, 3=both)
IgnoreDirErrors=0 1: allows to switch to inaccessible or non-existent directories, shows <Read error!> in file list instead
0: only shows <Read error!> at the start of Total Commander for unreachable directories on locked tabs
-1: never shows <Read error!>, always switches away from unreachable directories
IgnoreLinks=0 Allows to ignore hard links (junctions, reparse points) to directories in various functions. Note: The function "Synchronize dirs" uses a separate option "SyncIgnoreJunctions".
Sum of:
1: copy/move/calculate occupied space
2: internal packers (zip, tar)
4: branch view
8: find files (except when using Everything), re-scan tree
16: ignore links even when they are selected in the current directory. Otherwise only links in selected subdirectories are ignored.
IgnoreListFile= Points to a plaint text file (path+name) containing a list of names which should be ignored by Total Commander (not shown, copied, deleted etc.). Supports wildcards and names with and without paths (with or without drive). The lines may have one of the following forms:
filename.ext Hide filename.ext in all subdirs
c:\test\filename.ext Hide filename.ext only in c:\test
\System volume information Hide this dir on all drives
*.bak *.~* Hide these file types in all directories
c:\test\*.bak *.~* Hide these file types in subdir c:\test only
\test\*.bak *.~* Hide these file types in subdir test on all drives
c:\test\"abc def.*" *.~* Names containing spaces must be in ""
if they contain any wildcards (* or ?)
IgnoreListFileEnabled=1 Determines whether the file referenced by IgnoreListFile= is enabled or not. Allows to temporarily disable the function without removing the file's path. The internal command cm_SwitchIgnoreList toggles this option on and off.
IgnoreWheel=0 Ignore the Intellimouse wheel.
InactiveFocus=0 Set to 1 or RGB value (see description of BackColor below) to show cursor in the target panel too. Accepts hex in form $BBGGRR.
Add $1000000 = dashes, $2000000=dashes/dots, $3000000=solid frame
InheritCaseSensitiveDir=1 If a folder has the "case sensitive names" option set, inherit it when creating new folder inside
0=off
1=on only when not needing admin rights (tcmadmin)
2=always on
InplaceOkButton=1 Show button to confirm inplace rename:
1: to the right
2: to the left
0 do not show
InplaceRename=1 Enable / disable inplace renaming when clicking twice on a name
InplaceRenamePath=1 Enable (1) / disable (0) inplace changing of current path. The default is the value of InplaceRename, if present, otherwise 1.
2: Disable inplace rename of path, but enable quick directory changes with single click (no shift needed)
InplaceRenameSync=1 Inplace rename in synchronize dirs when clicking twice on a name
InstallDir= Last installation directory of Total Commander (same as in the registry)
KeyboardID=0 Change the keyboard layout to the given number when TC is activated, or inplace rename ends
0: disabled, do not change keyboard layout
1: set to default locale ID, e.g. German keyboard for German locale
Other values (examples):
$0409: English keyboard (QWERTY)
$0407: German keyboard (QWERTZ)
$0807: Swiss German keyboard
$040C: French keyboard (AZERTY)
$0408: Hellenic (Greek) keyboard
$0419: Russian (cyrillic)
$e00e0804: Chinese with Microsoft PinYin IME
$e0010411: Japanese with default IME
The $ sign means hexadecimal number. Language identifiers can be found here (use the first column):
http://msdn.microsoft.com/en-us/library/dd318693(VS.85).aspx
KeyPath= Path to the registration key (WITHOUT the file name!). As a default, Total Commander looks for the key in its own directory. Useful if key cannot be read over a LAN.
With KeyPath=$, TC looks for the key in the registry (binary value "key" in "Software/Ghisler/Total Commander" subkey).
LanguageINI= Language file used (WCMD_DEU.LNG etc.)
Lastmd5=0 The last used option in Files - Create CRC Checksums:
0: CRC32
1: MD5
2: SHA1
3: SHA256
4: SHA512
5: SHA224
6: SHA384
7: SHA3_256
8: SHA3_512
9: SHA3_224
10: SHA3_384
Lastrunas= Last user name, which was used in the function cm_OpenAsUser
LastSearchOptions=0 Last used search options (search dialog), sum of:
1: whole words only
2: Case sensitive
4: RegEx (2)
8: Hex
16: Find files NOT containing the text
32: ANSI charset (Windows)
64: ASCII charset (DOS)
128: Unicode UTF-16
256: UTF-8
512: Office xml
1024: Search archives
2048: Search for text in plugins
ListName= Last download list name used in function "download later" and "ftp download from list"
LoadDriveIconsInBackground=1 Preload the drive icons from Explorer in a background thread. Set to value>500 to set preload delay in milliseconds (default 500).
LockedGoToDriveRoot=0 0: Click on [ \ ] switches to base directory of the locked tab
1: Click on [ \ ] switches to root directory of the drive
LockedTabChange=1 What to do when changing dir on locked tab:
0: always create a new tab
1: re-use tab with same dir
2: re-use first unlocked tab
3: re-use last unlocked tab
LogFile= Name of log file to record file operations (not ftp)
LogKeepCount=30 Maximum number of log file copies to keep when using log file rotation
LogOptions=7198 Determines which operations should be logged. A sum of:
1 the function is enabled
2 copy, move, create shortcut
4 delete files
8 create/delete folders
16 archive functions
32 currently unused
64 file system plugin operations
1024 operation was successful
2048 operation failed
4096 operation was started, but the file was skipped
LogRotateLimit=0 If set to -1, start a new log file every day after midnight
If set to a value v>0, start a new log file when the file reaches v kBytes
LongInStatus=0 Show long name in status bar in mode view-full.
LongNameCopy=0 During file operations, warn if target name is longer than 259 characters:
0=always
1=never
2=if source name isn't longer than 259 characters
3=disallow long names
LongNamesToDos=0 Pass short/long names to DOS box when launching a file using Shift+Enter in Win9x (0/1).
LowercaseStrings=English in Titles:a,an,the,at,by,for,in,of,on,to,from,up,and,as,but,or,nor,yet,so,vs
For the multi-rename tool function "First of each word uppercase (English in Titles)", words not to convert to uppercase
Mainmenu= Contains custom main menu location and file name
MarkDirectories=1 Also select directories (with +)
MaxCompareSizeInMem=1048576 Compare by content: Size limit for files which are loaded completely in memory for comparison. Larger files are mapped into memory.
MaxItemsInComboBox=20 Set the maximum number of entries in various comboboxes: F7 New Folder (history), old search parameters, multi-rename tool, new connection etc. (max 500)
MediaRemote=0 1: Use windows media center remote to control TC:
<- Backspace, i directory hotlist, >| Tab, |< Ctrl+Tab, Play/Pause Comand menu, Stop: ESC in dialogs, select file in lists, plus the browser buttons on multimedia keyboards
0: Handle only the browser buttons backward, forward, refresh, stop, favorites
-1: Ignore all media keys, including the browser buttons
MftAllowed=0 By default, access to drive:\$MFT and below will be blocked, to prevent a Windows crash. Do not enable unless you have changed the permissions of $MFT to access it.
MinimizeOnClose=0 Minimize main window instead of closing it. Sum of:
1: when clicking on [X] button
2: On Alt+F4 keyboard shortcut
4: Click on function key button "Alt+F4 Exit"
Note: Shift key forces close
MinIconWidth=-2 Sets minimum width (in pixels) for icons in file lists if the given value is >0. If it is negative, the absolute value is added to the normal icon width, e.g. MinIconWidth=-2, icon width=16 -> 18. Note that only negative values can be set via Configuration - Options - Icons.
MinLineHeight=-1 Sets minimum line height (in pixels) in file lists if the given value is >0. If it is negative, the absolute value is added to the normal line height, e.g. MinLineHeight=-2, height=16 -> 18. Note that only negative values can be set via Configuration - Options - Icons.
MoveToDirWarn=1 1: F6 move, Shift+F6 inplace rename: Warn the user when he enters as a target for a file a dir name which already exists
MrtReplacePluginChars=1 0: Turns off auto-replacement of invalid characters from plugins in the multi-rename tool (e.g. ':' -> '.') -> user has to take care of it himself
MultiRenameEdit= Editor used in the multi-rename tool for editing the new names manually
MultiRenameLoadSettings= Defines with what settings the multi-rename tool will start:
(empty): Start with last used settings (not remembered after closing)
Name: Load settings which were stored under the given name
Unknown name: Start with default settings
MultiRenameUndoHistoryLen=20 Number of multi-rename operations which can be reversed via "Undo" button 0=disable Undo
NetHoodInThread=1 Load Network Neighborhood in background thread
NetHoodReadInfo= Determines network functions to call.
Sum of: 1:GetAttributesOf, 2: SHGetDataFromIDList
NetHoodStyle=1 Style of the Network Neighborhood:
0: as provided by Windows, 1: also show XP-style subfolder "Workgroup", 2: only XP-style
Netwarebugfix=0 1: do NOT rename files on remote drive
NewFolderOverPanel=1 0: Show New folder dialog (F7/Shift+F7) centered over Total Commander
1: Show it over the active file panel
NewStyleProgress= 1: Use operating system progress bar (default for Windows >=XP)
0: Use TC's own progress bar (default for all older Windows versions)
2: Like 1, but with a not segmented bar (only supported in classic theme)
NewTimeZoneMethod= 1 Windows 7-style timezone method (default on Windows 7)
0: Old method (default on older Windows)
Noreread=AB\ Do not reread these drives; \ stands for 'Network Neighborhood', / for file system plugins, and a colon : for virtual folders like the desktop.
Noreread2=AB\ Do not reread these drives when closing and restarting Total Commander. If noreread2 is missing, the contents of noreread= will be used, which leads to the same behaviour as in TC versions older than 6.52. Example:
Noreread=ABC\ and Noreread2=AB\ : Don't auto-reread floppies, drive c and the net, but remember directories on C when closing and re-opening Total Commander.
OldCmdLineCount=20 Number of old command lines stored in [Command Line History]
OldDriveIcons=0 1: Use old drive icons from TC 6.5x for drive button bar
2: Use drive icons from TC 7.x / 8.x
0: Use drive icons from Explorer
Note: Ignored when DriveLib option is set.
OldListIcons=0 1: Use file/folder icons from TC 7.x / 8.x for file lists
0: Use file/folder icons from Explorer
Note: Ignored when IconLib option is set.
OldStyleDir=0 Use SetCurDir to verify existence of dir / Use FindFirstFile directly
OldStyleTree=0 This option works only for a tree in one of the two file panels:
0: Show Explorer-style tree for all drives
1: Always load full tree of a drive
2: Show expandable tree for current drive only
OleComments=1 Load comments from
0: Only descript.ion and files.bbs comment files
1: From Explorer (NTFS streams and Word documents) and comment files
2: Only Explorer comments
3: None of the above (only from plugins, if defined)
Onlyonce=0 1: Start only one instance of Total Commander per user (e.g. started via RunAs)
-1: Start only one instance of Total Commander on this computer (for all users)
x>0: Same as 1, but multiple allowed per user
x<0: Same as -1, but multiple allowed on that computer (all users together)
OpenInThread=1 Open files/programs from background thread
OpenOnSameMonitor=1 1: Instruct Windows to open a launched program on the same monitor on which Total Commander is running. May be ignored by the launched program.
0: No instructions, window will probably open on the primary monitor
OpenUrls=1 Open .url files internally if they point to a directory in the file system
OverrideDPI= Set dialog box scaling
OverrideDPI96= Like OverrideDPI, but specific for a screen with 96 DPI. Allows to set the scaling separately for each screen scale factor, e.g. OverrideDPI96=120, OverrideDPI120=150
PanelsVertical=0 File windows side by side (0) or above each other (1)
PathExtraHeight=-100 Additional/reduced height of current path field (for 96dpi, scaled)
PluginBaseDir= Standard location below which plugins will be auto-installed. TC appends the plugin type and the default plugin directory when installing a new plugin.
Example: pluginbasedir=%COMMANDER_PATH%\plugins
Offered path for packer plugin sample_packer:
%COMMANDER_PATH%\plugins\wcx\sample_packer\
PopupDelay=500 Right mouse button selection mode: Delay in milliseconds until right click context menu is shown. Shorter clicks or click+drag just selects the file(s).
PortInDriver=1 1: transfers whole blocks inside the driver (default) -> faster, but PC unusable during transfer
0: makes transfer in user mode -> slower, but better multitasking
This setting only affects Win95/98/ME. On WinNT/2000, all transfers must be in a driver.
PreloadThumbnails=0 1: Loads thumbnail images already when opening a dir, not only when scrolling to that line.
2: Same as 1, but also in branch view
3: Preload just the next two lines below the visible thumbnails
0: Disabled, load thumbnails only when they scroll into view
PreventScrollbarCrash= Prevent crash in Lister, enabled on Windows 8.1 (see our forum for details)
PromptForUser=0 0: When connecting to a network drive, only set parameter CONNECT_INTERACTIVE
1: Also set parameter CONNECT_PROMPT, so the user is always asked
QuickSearchAllowNoMatch=0 1: Allow to enter/paste text which leads to empty results
QuickSearchAutoFilter=0 0: Automatic quick search filter (Ctrl+S) disabled
1: Automatic quick search filter (Ctrl+S) enabled
-1:Like 0, but do not save state when closing TC (filter always disabled at startup)
2: Like 1, but do not save state either (filter always on when starting TC)
QuickSearchExactMatch=0 0: Typing a dot is read as *. , win.i finds also wincmd.ini
1: Exact match: typing win.i finds only win.ini, but doesn't find wincmd.ini
QuickSearchMatchBeginning=1 0: A search string like win will be read as *win
1: Exact match: typing win will find only win.ini, but not otherwin.ini
QuickViewFollowLinks=1 Show contents of link target on Ctrl+Q:
1=On network paths only when lnk is also on net,
2=Always,
0=Never
QuickViewUnzipReadMe=1 Show readme files in archives with Ctrl+Q on the archive:
1: Always
-1: Only in regular archives with archive extensions, e.g. .zip (not .epub)
0: Never
RedirectSection= Redirect a single section to other ini file. Description here.
RelativePathCopy=2 Controls option "Keep relative paths" in F5/F6 dialog. Sum of:
1: enabled at start
2: remember last option while TC is running
4: remember last option also after closing TC
-1: hide option (do not as sum)
RememberTransferManagerPos=0 0: File transfer manager (F5-F2) is shown at the top of the screen, left position changes for each opened
1: File transfer manager position and size are remembered (can be set via system menu)
RenameEditUnicode=0 Settings for Multi-Rename Tool: Edit names
0: Save text file as ANSI (plain) text, except when the selected names contain Unicode characters from different code pages (e.g. Cyrillic when English is the default).
1: Always save text file as Unicode. Useful e.g. to change English file names to Russian.
RenameSelOnlyName=0 In inplace rename (Shift+F6), select only name, not extension (1), or name+ext (0)
Now also affects copying in same directory (Shift+F5)
RenameUpDown=1 While renaming: Use up/down arrows to go to previous/next file (rename current if name is different)
ReplacePhotoApp=1 Replaces the Windows Photo App (tile app) by the Windows Photo Viewer (desktop program) when double clicking an image file.
ResolutionSpecific=1 0: Resolution-specific data like font style+size are stored in a single section called [AllResolutions]
1: Resolution-specific data is stored in sections like [1024x768 (10x20)]
RestoreSize=7 Try to restore program to size stored in wincmd.ini. Sum of: When receiving
1: WM_DISPLAYCHANGE (e.g. user changed resolution)
2: WM_DPICHANGED (e.g. user dragged program to other screen)
4: WM_MOVE (Win+Shift+Left/Right)
RestrictInterface= Disable parts of the user interface. Just build the sum of the following options:
1=Start menu
2=Command line
4=Buttonbar change
8=Drive right click menu
16=File right click menu
32=Directory hotlist change
64=FTP (CTRL+N, CTRL+F)
128=ENTER key (run programs, open files)
256=File system plugins
512=Port connection (via USB or LPT)
1024=Disable update checks (manual and automatic)
2048: Disallow plugins except if signed by us (ghisler)
4096: Disallow plugins without a valid digital signature
6144: Disallow all plugins
ReverseHistory=0 1: Show history (previously visited directories) in reverse order (last visited at the top)
SameScreenAsTC=1 Where to show dialog boxes on multiple monitors. Sum of:
1: Modal dialogs always on same screen as the main window
2: Lister on same screen
4: Compare on same screen
SaveCommands=1 Save command lines when closing Total Commander
SaveHistory=1 Save history of previously visited directories (Alt+Cursor down) in sections [LeftHistory] and [RightHistory]
Savepath=1 Save current paths when closing Total Commander
Savepanels=1 Save settings when closing Total Commander
ScrollingTopMargin=4 Top margin when scrolling through file lists with keyboard
ScrollingBottomMargin=4 Bottom margin
ScrollingMarginFlags=3 1: Scroll vertical lists, 2: Scroll brief view
SearchInFiles= Here you can specify additional archive types in which you want to search with the Search function. Example: SearchInFiles=*.EXE *.JAR
SearchKeepLast=1 Keep last search results when closing "Find files" dialog, except after "Feed in Listbox"
SelectionFocus=0 Show current file with special border if files are selected. See InactiveFocus for possible values.
Add $4000000 to show only on unselected files.
SelectionMarker= Return these characters in LB_GETTEXT for selected files (for screen readers)
SeparateTree=0 Show no (0), one (1) or two (2) separate trees
SeparateTreeWidth=160 Width of separate tree panel(s)
SetArchiveBitOnRename=1 When renaming files, the archive bit is now set by default. Change to 0 to not set it.
SetEncoding=äö.do.not.remove Prevents the editor notepad.exe from saving the file automatically as UTF-8: Windows ini file functions do not support UTF-8.
ShellExtIcons=1 1: Show icons of shell extensions (different icon per file), 0=don't show
ShowAMPM=0 Show time in 12 hour AM/PM format (American style)
ShowCentury=1 Show century of the date in the file lists
ShowCopyOptions=0 1: The additional options in the F5 copy dialog are always shown (pinned)
ShowEXEandLNKicons=2 Show Icons for EXE and LNK files:
0: only standard icons
1: show EXE/LNK icons (slow)
2: same as 1, but not on floppy disks
ShowExtraDrives=7 Show extra items in the drive dropdown combobox. Sum of:
1: My Computer
2: My documents
4: External devices without drive letter, e.g. Smartphones
ShowHiddenDimmed=1 Show hidden files and folders with dimmed (very light) colors
ShowHiddenSystemOverlay=1 Show hidden and system files with exclamation mark overlay
ShowHiddenSystem=0 0: show neither
1: show both hidden+system files
2: show hidden only
3: system only
Showicons=2 Icons: 0=no, 1=default, 2=all
ShowInstanceNr=1 Show number in title when more than one Commander is running
ShowParentDirInRoot=0 Shows parent directory [..] also in the root directory (c:\ etc.)
ShowWarningIcons=1 Allows to turn off the warning exclamation mark icons to the left of remembered options enabled by the user, e.g. in copy dialog (branch view), packing, unpacking, and search dialog
SimulateUpdate=0 Set to 1 to simulate the availability of a program update
SingleClickStart=0 0: Double click starts programs (default)
1: A single click starts programs and opens files (Win98 WEB style)
2: A single click only opens folders. For files, a double click is needed
4 added: The text cursor no longer follows the mouse cursor
SizeCheck=1 Check if there is enough disk space on target before copying
SizeFooter=1 Style of size display in the header and footer:
0=bytes, 1=kbytes, 2=dynamic, 3=dynamic with 1 digit fractional part, 4/5= like 2/3, but without GBytes (file sizes >1GB will still be shown in MBytes), 6/7= like 2/3, but with TBytes, 8/9= like 3/7, but with 2 digits fractional part.
SizeStyle=0 Style of size display in the file list:
0=bytes, 1=kbytes, 2=dynamic, 3=dynamic with 1 digit fractional part, 4/5= like 2/3, but without GBytes (file sizes >1GB will still be shown in MBytes), 6/7= like 2/3, but with TBytes, 8/9= like 3/7, but with 2 digits fractional part.
SizeStyle1000=0 0: Use binary units: 1k=1024bytes, 1M=1024k, 1G=1024M, 1T=1024G
1: Use decimal units: 1k=1000bytes, 1M=1000k, 1G=1000M, 1T=1000G
Note: Doesn't affect "Properties" dialog, which is part of Windows and always uses binary units.
SkipCharOnCursor=1 Determines cursor movement in edit boxes on cursor left/right when there is a selection.
0: Place cursor directly in front of/behind selected part.
3: move cursor as if there was no selection (Windows standard).
1/2: like 3, but just for cursor left or right, respectively
SkippedFileCopy=1 1: First copy all files where the user doesn't need to be asked and skip all with errors, ask at the end
0: Copy all files in order, ask for confirmation when needed
>=100: Like 1, but sets number of milliseconds at start during which the user will be asked too (default 5000)
Small83names=0 Show old style names (8 name and 3 extension) lowercase like Explorer on Win9x
SortDirExt=0 Allow to sort directories by extension (only when SortDirsByName=0)
SortDirsByName=1 Always sort directories by name
SortUpper=0 0: Default sort method
1: When sorting files, put files starting with an underscore _ last
2: Uses mixed lexical and numerical sorting, e.g. file10.txt comes AFTER file1.txt
3: Like 2, but uses StrCmpLogicalW for the comparison. 3 needs IE 6.x installed!
SoundDelay=-10 Time (in seconds) a file operation needs to take so the "operation finished" sound will be played. Negative=disabled.
SpaceMovesDown=0 1= When selecting files with <SPACEBAR>, move down to next file (as with <INSERT>)
SpecialCursorMovement=0 New cursor movement mode. Sum of the following:
1: Left key jumps to first file, right key to last
2: Left key goes one directory up, right key opens directory/archive under cursor.
4: Override horizontal scrollbar in custom columns view. If this option isn't set, the cursor will jump only to the first file if the horizontal scrollbar is already at the leftmost position.
8: Jump one page up/down instead of jumping to the first/last file
SpeedLimit=5.0 Last used speed limit in kBytes/s in the background transfer manager
SpeedLimitEnabled=0 1: Enable speed limit immediately when opening background transfer manager
SplitBytesPerFile=0 Last used file size (in bytes) in Files - Split File
StartupScreen=1 Turn splash screen at startup on/off
SubdirCopyOrder=4 Order in which files in subdirs are copied:
4: Unsorted
0..3: Ascending by name, ext, size, date/time
-1..-4: Descending by name, ext, size, date/time
5: The same as in the active panel (no custom columns or add. sort orders)
SyncButtons=63 This saves the state of the buttons in "synchronize dirs". It's the sum of:
1: Left to right
2: Equal files
4: Not equal files
8: Right to left
16: Duplicates (present on both sides)
32: Single files (present on only one side)
SyncFlags=1 Remembers the last settings for 'Synchronize dirs'. The following constants are added:
1: include subdirs
2: compare by content
4: ignore date of files
8: asymmetric mode
16: Empty directories
32: Use plugin compare functions (2 must be set too)
SyncHideHiddenSystem=0 Allows to exclude hidden/system files from synchronizing:
0: Do not hide hidden/system files
1: Hide if the files on both sides have hidden or system attribute
2: Hide if any of the two files has hidden or system attribute
Add 4: Consider hidden/system flag in main program
SyncIgnoreJunctions=0 0: Also follow junctions (reparse points) to directories when synchronizing
1: Exclude directory junctions from synchronizing
Warning: If a directory with the same name exists on the second side, files in it seem to exist only on that side because the junction on the first side is excluded!
SyncRecompareAfterCopy=1 1: Automatically recompare the two sides after synchronzing between them
0: Just clear the result list. The user has to click on "Compare" by himself
SyncWarnErrors=1 Synchronize dirs: Controls when the user is warned about directory read errors:
0: never
1: when reading fails (e.g. network connection loss)
2: when access is denied (error 5, missing user rights)
3: both
TabDir= Remember location where folder tabs where stored/loaded
TabEnterDirChange=1 What should happen when users presses ENTER on a dir on a locked tab?
0: nothing
1: open new tab
2: ask user
TabSeparator=: Sets the delimiter between the displayed drive letter and current folder in tabs
TabSwitchMode=0 0: Ctrl+Tab switches tabs only when releasing the CTRL key
1: Ctrl+Tab switches tabs immediately when pressing the TAB key.
tcmatch= Set the location of tcmatch.dll manually. Must contain full path+file name, supports env. vars. tcmatch.dll is used for custom quick search, e.g. for Chinese characters.
tcmatch64= As above, but for 64-bit version.
Test= This key is used internally to check whether the ini file is writable. If not, an error message will be shown.
TestIfSharedDir=1 Test if a directory is shared in network -> show with a hand under the icon
0: disabled
1: new method via NetShareEnum in background thread
2: old, slower method (TC 8.5 or older) via OLE2
ThreadFindFirst=1 When set to 1, moves FindFirstFile to separate thread, so the user can abort reading from a hanging network connection
ThumbExplTypes=*.* | *.htm *.html Wild cards for thumbnails which are extracted with the Explorer method. HTML files are excluded for security reasons (they are extracted with Internet Explorer)
ThumbHeightNoCache= Height of thumbnails if no thumbnail cache is used
ThumbIconSize=48 Size of the icons in mode "Thumbnails"
ThumbIrfXnTypes=*.* Wild cards for thumbnails which are extracted with Irfanview or Xnview
ThumbOptions=15 Sum of the following options:
1: Extract thumbnails using Explorer method
2: Extract thumbnails with lister plugins
4: Extract thumbnails with Irfanview/Xnview (path configured in Lister)
8: Extract thumbnails as plain text
ThumbPlgTypes=*.* Wild cards for thumbnails which are extracted with lister plugins
ThumbsCopyDel=1 Copy/Delete thumbnails with files when copying/deleting files
ThumbsCustomField= Custom fields shown below thumbnails
ThumbsCustomFieldsEnabled=1 Show custom fields below thumbnails
ThumbsInDlg=0 Show thumbnails in overwrite dialog
ThumbsLocation= Location of thumbnail cache
ThumbTxtTypes=*.txt *.ini Wild cards for thumbnails which are extracted as plain text
ThumbnailMemoryLimit=500 Specifies the number of thumbnails per panel cached in memory (default: 200 in Win9x, 500 on NT/2000/XP, minimum: 100).
ThumbnailPrealloc=100000 Sets number of bytes to pre-allocate when creating the thumbnails database to avoid fragmentation. The thumbnail database is an OLE compound document similar to a Word .doc file. Without preallocating memory at creation time, such files would become terribly fragmented especially on NTFS disks.
ThumbWidthNoCache= Width of thumbnails if no thumbnail cache is used
Tips=3 Tooltips 1=for buttons, 2=for drives, 3=both
TitleExtraText= Show extra text in the title bar:
*text in front of the title,
-text same but without instance number (multiple programs running)
$text behind the title
ToolTipDelay=500 Delay in milliseconds, until descriptions for the buttons in the button bar are shown (default = 500)
TranslateMessageButtons=1 1: Translate buttons in standard MessageBox dialog (e.g. when deleting with Shift+Del) to the language set in Total Commander.
0: They use the language of the operating system. They are always translated in dark mode.
TrayIcon=0 Move the icon of Total Commander to the tray (when minimized)
Tree=0 Show tree 1=unsorted, 0=sorted by name
TreeFileLocation= Define different location of files treeinfo.wc, e.g. treefilelocation=c:\somedir\treeinfo%D%.wc
%D% is replaced by the drive letter (or root of share, \ replaced by _)
%R% is replaced by the root path
%L% is replaced by the volume label.
Please note that these variables MUST be uppercase, otherwise TC will look for the environment variables with these names!
TreeFileLocationE= Sets location of treeinfo file only for drive E. Only works if treefilelocation= is set too!
TreeFileLocation__server_share= Sets location of treeinfo file only for drive \\server\share (treefilelocation= MUST be set too).
TreeUpdateLimit=2048 Size (in kBytes), up to which the tree file treeinfo.wc will be updated automatically during file operations like copying or deleting. This update would take a long time for very large trees.
tsclient=\\tsclient Specify name of remote host from which to show drive letters in drive dropdown combobox and drive button bar. Only 1 character shares will be shown. Set to empty string (tsclient=) to disable. Normally used only for XP mode on Windows 7, and terminal server.
UnicodeListWarn= This option is no longer used in TC 7.5 or newer
UpdateEnv=3 Controls whether the environment variables of the system should be taken into TC as soon as they change in the system. Sum of:
1: Switches function on/off
2: Also add new environment variables (not only update modified)
UpdateTreeAtStartup=1 Determines whether a separate Tree is expanded up to the current directory at startup (1) or only on the first directory change by the user (0).
UsbBufSize=-1 Buffer size for USB connection in kbytes (-1=maximum possible size, currently 64 kBytes)
UseChecksumCryptoApi=1 Enable/disable crypto API for checksums manually:
0:disabled (use slower internal functions),
1:enabled (except when faulty on XP/2003),
2:force also when faulty
UseEverything=1 Use the tool "Everything" for searching (-1=hide option, 1=enabled if present, 0=disabled)
UseEverythingInstance= Support named "Everything" instances: Started via Everything.exe -instance "somename"
UseFastCtrlC=1 When user presses Ctrl+C or Ctrl+X, the context menu is loaded and 'copy' or 'cut' is chosen (without actually showing the context menu).
1: The context menu is loaded without any shell extensions (very fast, but cannot use any Explorer copy extensions)
0: The full context menu is loaded, as when right clicking (slower, but allows to use copy extensions)
UseFindForTime=1 When copying, get the file time with FindFirstFile instead of GetFileTime
UseIniInProgramDir=0 This variable will only be read if the wincmd.ini is located in the same dir as the program. It must be put in wincmd.ini directly, RedirectSection has no effect on this variable.
It is the sum of the following values:
1: Use wincmd.ini in program dir if no other location is set via registry or parameters
2: Use wcx_ftp.ini in program dir if no other location is set via registry or parameters
4: Override registry settings (but not command line parameters)
UseLongNames=1 Use long filenames
UseNewDefFont=-1 1: Use font "Segoe UI Semibold" if available
0: Use font "Microsoft Sans Serif", or "MS Sans Serif" if the former is unavailable
-1: If section [Configuration] doesn't exist, like 1 (fresh installations), otherwise 0 (existing installations)
UseRightButton=1 Use 1=right/0=left mouse button to select
UseRubberBandSelection=1 Use rubber band selection in left mouse button selection mode (drag rectangle to select)
UseShellConnect=0 If =1, use old method to connect to network shares (Workaround for VINES)
If =-1, show separate dialogs for user and password (for crash by NVIDIA driver)
UseTrash=1 Use Recycle Bin if available and enabled
VerifyCopy=0 Verify files after copying, supports all copy methods except for the Explorer method
VerifyEnabled=1 Set to 0 to hide "Verify after copy" function
Version= Version of Total Commander (not always changed)
VersionInOverwrite=1 Show file version info in overwrite dialog. Set to 0 on slow networks.
Viewer=none Default viewer for ALT+F3 or none
Viewertype=1 0=Internal/current file 1=marked 2=external
VirtualFolderDetails=1 Show/hide file sizes and timestamps in virtual folders like MTP devices or libraries (loading can be slow)
VistaDelete=-1 1: Use new delete method of Windows Vista or later to delete files to recycle bin. Moves entire directories instead of individual files to recycle bin. Warning: This method doesn't warn about read only, hidden or system files, or non-empty directories, just like the Explorer!
0: Use old delete method (slow)
-1: Use new method if available, but show our own delete confirmation if it's disabled in Explorer.
WantXPLook=1 Only on Windows >=XP: Show the buttons of the main window (except for the buttonbar):
0 = in classic style;
1 = in XP style.
WarnMissingExtensions=1 Warn user in virtual folders like phones connected via MTP when file extensions are disabled
WatchDirs=0 Controls the function of automatic dir list updates. It detects when programs other than Total Commander add, modify, or delete files shown in the active file panels.
Just add the following numbers:
1: turn option on (default: off)
2: also detect changes to size, date, attributes
4: put newly added files at the END of the file list (default: sorted)
8: don't react to updates while TC isn't in the foreground
16: Update footer (total number of files). Warning: May be slow in large dirs!
32: Update header (free disk space). Warning: May be slow on large harddisks!
256: Beep on each auto-update (useful for debugging)
WatchDirsExclude=AB\ Do not watch these drives for changes with the option WatchDirs= enabled.
Useful e.g. to turn off auto-refreshing on slow drives.
Win32TipWindows=0 Show Win32-style Tip windows (displaced to the lower right)
Win95Delete= Determines the deletion method used by Total Commander:
0: use Total Commander's own function to delete files (most configuration options)
1: use Explorer's method to delete files
-1 (default): If Cleansweep is running, use Explorer's method to avoid a crash (caused by an incompatibility between Cleansweep and Total Commander's delete method). If Cleansweep is not running, Total Commander uses its own method.
Winsock=c:\windows\winsock.dll Define location of Socket library for ftp (16 bit)
Wsock32=c:\windows\wsock32.dll Define location of Socket library for ftp (32 bit)
WipeDir= Path to the temp directory used by TC (and to wipe when re-opening TC)
Ignored if not containing $wc or (in TC7) \_tc
WmfAllowed=-1 0: WMF file display disabled. Disables also display of all folder thumbnails.
1: Allow to display WMF (Windows Metafile) images in Lister and thumbnails.
2: Allow to display thumbnails for folders (which may contain wmf files)
3: Show WMF files and folder thumbnails
-1: Allow folder thumbnails if the Windows patch is installed. WMF files will NOT be shown, they must be enabled manually.
WMF has been disabled by default due to a severe security hole in Windows.
x64DisableRedirection=0 1: Disable the redirection of windows\system32 to windows\syswow64 directory on 64-bit Windows versions. Can have some negative side effects like non-working plugins.
X64menu= Show 'x64' submenu in context menu ('x32' in 64-bit version), default =1 in 32-bit only
X64WaitTime=15 Maximum wait time until tcmdx64 needs to send back the X64 submenu on 64-bit Windows until TC shows an error. Note that this value doesn't include the time to start tcmdx64.exe.
XPMoveMethod= 1: When moving files within a drive, the permissions of the target folder are used
2: As 1, but when moving folders, all files and subfolders in them are changed to the target permissions too
0: The permissions of the files are kept
Default: XP:1, other systems: 0
XPMoveMethodAdmin=1 Same as XPMoveMethod, but for moving "As administrator" via tcmadmin.exe
Default is always 1
ZipMagic=0 Skip ZipMagic detection when opening ZIP files
Part 2


Ini file Settings - Part 2

Settings in the file wincmd.ini - Part 2
Back to part 1: [Configuration]
[shortcuts] Defines keyboard shortcuts replacing the default shortcuts
CAS+F2=cm_renameonly In this example, Ctrl+Alt+Shift+F2 calls the internal function cm_renameonly.
(C=Ctrl, A=Alt, S=Shift)
[shortcutswin] Same as [shortcuts], but together with Windows key.
[packerplugins] Lists all configured packer plugins (see configuration - packer)
bz2=27,c:\totalcmd\bzip2dll.dll Plugin for bzip2 packer. 27 is the sum of all DLL capabilities:
1: Can create new archives
2: Can modify existing archives
4: Can handle multiple files in one archive
8: Can delete files from archive
16: Supports the options dialog
32: Supports packing in memory
64: Detects archive type by content
128: Allows searching for text in archives
256: Don't open with Enter, only with Ctrl+PgDn
512: Supports encryption
Do NOT add this number yourself, Total Commander will add it on the first load of the DLL.
[Alias] Alias command definitions in Configuration - Misc
[AllResolutions] Used when ResolutionSpecific=0. See section [1024x768 (10x20)]
Will also used for the current fonts when there is no resolution-specific section
[Associations] Allows to override file associations of the operating system in Total Commander only, mainly for using the program from a USB stick.
Filter1=*.txt First user-defined association filter. Filters are applied in numbered order until a match is found
Filter1_open=""%windir%\notepad.exe" "%1""
The default verb (open) for this filter, will be used when the user presses Enter. Verbs are separated from the filter by an underscore "_".
Filter1_View=""%commander_path%\totalcmd.exe" /S=L "%1""
Additional verb (here: View) which will be shown in the right click context menu
Filter1.icon=notepad.exe,-1 Defines the icon for the first filter. Negative numbers mean the icon index, positive the icon resource number
Filter2=*.ini The second user-defined filter
etc.
[1024x768 (10x20)] Resolution-dependent data
x= x-position of Total Commander
y= y-position
dx= Width
dy= Height
Divider=500 Position of window divider in permille (0..1000)
DividerComments=500 Position of window divider in permille while in comments view (Ctrl+Shift+F2)
DividerQuickView=500 Position of window divider in permille, while the quick view panel (CTRL+Q) is shown. The two dividers can be set independently by choosing 'save position' in the appropriate mode (with and without quick view panel).
CompareDivider=500 Position of window divider in permille in "Compare by content"
Fontname=(varies) Font in file listbox. Default value:
Windows Vista or newer: Segoe UI Semibold
Older Windows NT-based systems: Microsoft Sans Serif
Windows 9x/ME: MS Sans Serif
Fontsize=8 Font size. Default for Segoe UI Semibold: 9
FontWeight=700 Font weight (400=normal, 600=semibold, 700=bold)
FontCharset=1 Font character set (Western, Cyrillic etc) of the list window font. Not used on NT based Windows versions.
FontNameWindow= Font for the rest of the main window
FontSizeWindow= Font size for the rest of the main window
FontWeightWindow= Font weight for the rest of the main window
FontCharsetWindow=1 Font character set for main window font. Not used on NT based Windows versions.
FontNameDialog= Font for dialog boxes
FontSizeDialog= Font size for dialog boxes
FontWeightDialog= Font weight for dialog boxes
FontCharsetDialog=1 Font character set for dialog boxes. Not used on NT based Windows versions.
FontNameTip= Font for tooltips
FontSizeTip= Font size for tooltips
FontWeightTip= Font weight for tooltips
FontCharsetTip=1 Font character set for tooltips. Not used on NT based Windows versions.
CompFontName= Font for "Compare by content"
CompFontSize= Font size for "Compare by content"
CompFontStyle= Font weight for "Compare by content"
CompCharSet= Font character set for "Compare by content"
CursorPenWidth=0 Set width in pixels of the caret (current file cursor) in file lists:
0=thin,
>0 value in pixels, automatically scaled with DPI
CursorPenWidth_96=0 Set width in pixels of the caret (current file cursor) in file lists for secondary screens with specific DPI value (needs Windows 10 creators update or newer)
IconsInMenus_<dpi>=0 Icon size in main menu for a specific DPI value:
0=16x16, 1=24x24, 2=32x32, 3=48x48 pixels
Iconsize=10 Icon size for 16-bit version (in points)
Iconsize32=16 Icon size for 32-bit and 64-bit versions (in pixels)
Iconsize32_<dpi>=16 Icon size for 32-bit and 64-bit versions (in pixels) for the given DPI value (multiple screens)
IconWin95=0 Forces small icons in standard size
maximized=0 0=normal, 1=maximal size
monitor(x,y,dx,dy,dpi)=x,y,dx,dy Position and size saved separately for multiple monitors (in the section for the main monitor). The values in round brackets are the position, size and dots per inch of the monitor.
Tabstops=104,109,158,58,374,93 Tab positions
Btm*= Coordinates and other options for the background transfer manager (F5-F2)
CmdSel*= Same for the command selection window
Compare*= Same for the compare window
Connect*= Same for the connect dialog window
CustColumn*= Same for custom column change dialog
DriveSel*= Same for drive selection dialog in search. Note: x and y are relative to the upper left corner of the search dialog.
MenuChange*= For start menu change dialog
PluginSel* For dialog 'Choose plugin property', e.g. Multi-rename tool, click on '[=?] Plugin'
Print*= For the print preview
Rename*= Rename dialog
Search*= Search dialog
SelectDuplicates*= Dialog to select duplicate files
Sync*= Synchronize dirs
TreeDlg*= Tree view
[left] Left window (same for right window)
path=D:\TPW\ Last active directory
ShowAllDetails=1 0=only file names, 1=all data, 2=tree
show=1 1=all, 2=only programs, 3=user defined
SpecialView= Custom columns view number, overrides show= value. Stored in a separate variable to avoid problems with older versions of Total Commander.
sortorder=0 Sort by 0=name, 1=extension, 2=size, 3=date, 4=unsorted
customsortorder=0 Sort by custom column (in custom columns mode only), 100=first custom column, 101=second etc.
negative Sortorder=0 Reversed sort order
AddSortOrders= Additional sort orders. Example: 1,-3,2 means to sort additionally by first column in ascending order, third column descending, and second column ascending (counting of columns starts at 1).
userspec=*.wav User defined wildcards
ViewMode=-1 View mode of the active tab. -1 or 10001 means re-read
AutoViewMode=-1 Automatically determined view mode (Auto Switch Mode), when the user has changed the mode manually when automatic switching was enabled. The mode set by the user is stored under "ViewMode". This mode will be kept as long as the auto-determined mode remains as stored here.
ActivePanelColor= Background color of current tab (file list)
ActivePanelColor2= Secondary background color of current tab (file list)
[Colors] Color settings for main window
BackColor=-1 Background color (RGB: red+256*green+65536*blue, each value in range 0..255, or hex in form $BBGGRR). -1=default.
BackColor2=-1 Background color 2 when using alternating colors for odd/even lines
ForeColor=-1 Foreground color (-1=default)
MarkColor=255 Selection color
ActiveTabColor=-1 Color of active tab, RGB value, -1=disabled
CursorColor=-1 Cursor color
CursorText=-1 Cursor text color (only for solid cursor)
ActiveTitle=-1 Active panel title bar color
ActiveTitleText=-1 Active panel title bar text color
InactiveTitle=-1 Inactive panel title bar color
InactiveTitleText=-1 Inactive panel title bar text color
InverseCursor=0 Display cursor as a solid box (1)
InverseSelection=0 Display selected files as solid boxes (1)
ThemedCursor=-100 1: Use Windows theme for cursor
0: Do not use theme
-100: Automatic: Only use when InverseCursor=0 and WindowBlinds isn't installed
ThumbnailFrame=-1 Sets color of frame around thumbnails: RGB value, or -1=default, or -2=invisible
TreeLineColor=-1 Sets the color of the connecting lines in the tree inside of the file panels, the separate trees, the Alt+F10 tree dialog, and the FTP connect dialog. Values: rgb-value, or -1=default, or -2= invisible
TreeTriangles=-1 Icons to expand/collapse tree:
0: Show [+]
1: Show triangle if supported
-1: Let TC decide
ColorFilterN= Search string of the filter, like *.txt
ColorFilterNColor= Color of the filter (RGB: red+256*green+65536*blue)
ColorFilterNColorDark= Color of the filter in dark mode: Color for dark mode, followed by the color for normal mode separated by a comma. Allows to find wrong values when changing colors with an older version.
CompareText File compare,text mode: Color of the differences
CompareTextSel same, but selected text
CompareBinary File compare,binary mode: Color of the differences
CompareBinarySel same, but selected text
CompareDifferenceBack=-2 Background color for lines with differences:
-1=same color as lines with no differences
-2=slightly darker/lighter (depending on background color)
other=RGB value
CompareNormalBack=-1 Background color for lines without differences. -1=default: COLOR_WINDOW
CompareNormalText=-1 Text color for lines without differences. -1=default: COLOR_WINDOWTEXT
CompareSearchLine=-1 Color for underlined search results
CompareSelBack=-1 Background color for selected text. -1=default: COLOR_HIGHLIGHT
CompareSelText=-1 Text color for selected text. -1=default: COLOR_HIGHLIGHTTEXT
SyncSelBack=-1 Background color of selected items in Synchronize Dirs
[ColorsDark] Colors for dark mode
DarkForeground Text color for buttons, tabs etc.
DarkBackground Background color for windows
DarkHighlight Highlight color for tabs, buttons etc.
The following entries are the same as in section [Colors], but for the dark mode:
InverseCursor, ThemedCursor, InverseSelection, BackColor, BackColor2, ForeColor, MarkColor, CursorColor, CursorText
[IgnoreMenuExtensions] Filter out certain context menu extensions when using the x64 (64-bit) submenu.
0=Extension Name1
1=Extension Name2
[Layout] The entries below this title determine which part of the Total Commander user interface is shown. A value of 1 enables the option, and 0 disables it.
BreadCrumbBar=1 Show clickable path parts in the current directory
ButtonBar=1 Show main (horizontal) button bar
ButtonBarVertical=1 Show secondary (vertical) button bar
CmdLine=1 Show command line
CurDir=1 Show current directory for each file panel
DarkListBorders=1 Turns borders around listboxes on/off in dark mode
DirectoryTabs=1 Show folder tabs (add tab with Ctrl+T)
DriveBar1=0 Show drive bar
DriveBar2=0 Show two drive bars (only used when DriveBar1=1)
DriveBarFlat=1 Show flat drive buttons
DriveCombo=1 Show drive combobox
HistoryHotlistButtons=1 Show buttons for history list and hotlist
InterfaceFlat=1 Use flat user interface
KeyButtons=1 Show function key buttons F3, F4 etc. (at the bottom)
PathExtraHeight=-100 Extra height of current directory in addition to font height.
-100=automatic, higher on touch screens
StatusBar=1 Show status bar below file lists
TabHeader=1 Show tabstop header for sorting above file lists
TabHeaderBoldArrow=1 Show bold arrows in tabstop header (default: same as TabHeaderThemed)
TabHeaderThemed=1 Use theme on tabstop headers
XPthemeBg=1 Show theme background on Windows XP and newer
[Packer] Everything concerning packers
ZIP=c:\utils\zip\pkzip.exe Path/filename for PKzip
UnZIP=c:\utils\zip\pkunzip.exe Path/filename for PKunzip
ACE=c:\utils\arj\ace.exe Path/filename for ACE packer
ARJ=c:\utils\arj\arj.exe Path/filename for ARJ
LHA=c:\utils\lha\lha.exe Path/filename for LHA
RAR=c:\utils\rar\rar.exe Path/filename for RAR
UC2=c:\utils\uc2\uc.exe Path/filename for UC2
ARJlongnames=0 Pass long names to ARJ when packing
DefPlugin=cab Last used packer plugin
ExpertMode=1 1: run files inside archives directly on ENTER; 0: show property sheet
ExtractPathInZIP=1 Also unpack paths stored with files
InternalUnzip=1 Use internal unzip
InternalUnarj=1 The same for ARJ
InternalUnlzh=1 The same for LHA
InternalUnace=1 The same for ACE
InternalUnrar=1 The same for RAR
InternalZIP=1 Use internal ZIP packer
InternalZipRate=6 Pack rate for internal ZIP packer (0=no compression, 1=fastest, 9=best)
InternalzipTemp=c:\temp Temporary path for internal ZIP packer
KeepPackerPassword=0 Used together with option "RememberLastPassword". Allows to keep last archive password when:
1: The program is minimized
2: The screen saver starts
3: both
LastUsedPacker=1 Last packer used
LastUsedPacker64=1 Like LastUsedPacker, but for 64-bit Total Commander. Necessary because not all packer plugins are available in 64-bit.
LinuxCompatible=1 1: Create Linux-compatible TAR archives
0: Create SunOS-compatible TAR archives
LzmaAllowed=0 1: ZIP packer: Allow LZMA compression (not recommended, needs WinZip >=12 to unpack). When enabled, you can choose a pack rate of 10 for LZMA.
NoDelete=0 1: Do not delete extracted files with bad CRC checksum
OpenPartial=0 1: Open partial ZIP archives, e.g. partially downloaded ZIPs
OverrideCodepage=-1 Set different codepage for names in archives (unpack only)
PackEncrypted=1 Determines when to check "Encrypt" option in pack dialog:
0: never
1: when target exists and contains one or more encrypted files
2: always
PluginOverrideZip=0 1: Allow a packer plugin for the ZIP format
0: The internal unzip always takes precedence
RememberLastPassword=0 Set to 1 to remember the last used archive password for all other archives (packing+unpacking) until TC is closed, minimized or Windows goes to sleep
RemovableInTemp=0 1: Total Commander will modify ZIP files on removable drives like this:
create new archive in TEMP dir, delete old archive, copy new to removable disk
0: For floppies like 1, for larger media (ZIP, JAZ) directly on the media without the TEMP dir
SkipFirstDir=0 Sets initial value of option "Leave out base directory when packing folders". The option is not auto-saved, but remembered while TC is running
UnZIPOverwrite=0 Always overwrite when unpacking
UnZIPSeparateSubdirs=-1 Saves the state of the option "Unpack each archive to separate subdir":
0: Option disabled, changes will be remembered
1: Option enabled, changes will be remembered
-1: Option disabled, changes will NOT be remembered (default)
-2: Option enabled, changes will NOT be remembered
-3: Like -2, but only when more than one archive is selected
VerifyZIP=1 1=test ZIP file after packing, 0=do not test
WarnTooBig=1 Warn that some packers cannot unpack if zip file is > 2GB after packing
WipeEncrypted=1 If a file from an encrypted archive is viewed/edited/launched/compared, the unencrypted data is stored temporarily in the TEMP folder. By default, this temporary file is overwritten with zero bytes before it is deleted, for security reasons. With WipeEncrypted=0, this can be turned off to save time.
Zip83Name=0 Pack files with their alternate file names (8 name and 3 extension), and do not use long names.
ZipAES=0 Sets the encryption format:
0: ZIP2.0 encryption
1: AES with 128 bit key
2: AES 192 bit
3: AES 256 bit
ZipAnsiNames=0 1:Save file names with ANSI (Windows) instead of OEM (DOS) characters in zip. Note that some unpackers cannot handle archives with accents in this case.
ZIPDirectoryOfFile=1 Pack paths with the files
ZIPlikeDirectory=1 Treat packed files like directories
zipnt=0 Use Info-zip for NT (0 = no, 1 = Zip-NT 2.0.1 (patched by Total Commander), 2 = unrecognized version)
ZIPRecurseSubdirs=1 Pack directories in directories
ZipSetDateToNewest=0 When packing with the internal ZIP packer, set the date of the archive to the date of the newest file in the archive.
ZipUnicode=0 Determines how to pack Unicode names to ZIP archives:
0: Ask every time a Unicode name is encountered
1: Store Unicode names as UTF-8 (Pkzip 4.5/Winzip 11.2 method)
2: All as UTF-8 if at least one contains Unicode
3: All as UTF-8 if at least one contains non-English characters
4: Store Unicode name in extra field (Info-Zip method)
5: Store all names containing non-English in extra field
6: Store Unicode characters as '?'
[Buttonbar]
BarLimitLines=0 Limits the number of lines (rows) in a button bar. 0 means no limit
Buttonbar=d:\tpw\exetpu\chris.bar Default button bar
Buttonheight=29 Height of the bar
Buttonheight96=29 Height of the bar for specific DPI value (dots per inch)
DefaultDpi= DPI value when saving values to Buttonheight and SmallIconSize, used for scaling
DefaultLib=wcmicons.dll Standard library for symbols in both button bars and the main menu
FlatIcons=1 1: Icons without 3d effect 0: with 3d effect
PopupIconSize= Size of icons in dropdown menu when showing a .bar file as a menu. Default: Same as icon size in the currently shown button bar.
PopupOverlay=1 1: Shows a small arrow icon as an overlay on buttons which open a submenu
SmallIcons=1 1: Uses small 16x16 icons 0: the icons have a user-defined size
SmallIconSize=16 Size of icons when SmallIcons=1
SmallIconSize96=16 Size of icons when SmallIcons=1 for specific DPI
XPstyle=1 Use theme to draw buttons (XP or newer)
[ButtonbarCache]
IconDll_default.bar= Last used icon library when loading default.bar button bar file
IconDll_vertical.bar= Last used icon library when loading vertical.bar button bar file
[ButtonbarVertical] Various options specific to the second (vertical) button bar
ButtonHeight=, FlatIcons=, See section [Buttonbar]
SmallIcons=, SmallIconSize=,
XPstyle=, Buttonbar=,etc.
[Command line history] List of the last commands used
0=regedit 0 last command, etc.
1=calc
[DriveHints] User defined drive description for drive selection
E=ZIP drive One line with a drive letter for each drive you want to rename
[Lister] Settings for lister
Maximized=1 Full screen
QuickMaximized=1 Full screen for separate Quick View (Ctrl+Shift+Q)
x=54 Position (x)
y=-1 Position (y)
dx=587 Width
dy=483 Height
QuickX,QuickY,QuickDx,QuickDy As above, but for the separate Quick View (Ctrl+Shift+Q)
TextWidth=81 Text width (in characters)
binwidth=75 Width for binary display
BmpStartup=1 1: Always try to load and display image files
0: Load as binary, but display if user chooses mode 'picture'
AutoRotate=1 Auto-rotate JPG images according to EXIF data from the camera
Caret=1 Show caret (text cursor), e.g. to select text with the keyboard.
CenterBitmap=0 Center displayed bitmap in Lister
Codepage=-1 User-defined codepage from "Encoding" submenu. -1: Defined by current font
Contextmenu1=Search for selected text with Google|http://www.google.com/search?q=%s
Define custom context menu items. %s will be replaced by the selected text. If the part behind the | sign contains http:// or https://, characters forbidden in URLs will be replaced by %hexvalue. It's also to launch programs with parameters. If the program path contains spaces, it must be put in double quotes "".
FgColor= Text color. Defaults to windows default text color.
BgColor= Background color. Defaults to windows default background color.
FgSelColor= Foreground color of selection. Defaults to the background color.
BgSelColor= Background color of selection. Defaults to the text color.
LinkColor=8388608 Color of links. Defaults to dark blue (128*65536)
Font1=Arial,-15,b Font (if not default font)
Font2=Arial,-15,b
Font3=Arial,-15,b
Font4=Courier New,18,b Printer font (fixed width)
Font5=Arial,20 Printer font (variable width)
GifMinDelay=80 Minimum delay between frames in ms (animated GIF)
HTMLAsText=1 Auto-convert HTML to text with links
IView=1 Use Irfanview/Xnview to load other image files like JPG etc.
IviewAdditionalTypes= Additional file types which should be passed to Irfanview/Xnview for conversion
Example: *.xyz *.abc
If an already supported type is listed here, e.g. *.tif, then the file isn't also detected by content. The following file types are sent to Irfanview/Xnview even without this option:
jfif, tga, tif, tiff, pcx, ani, acr, cam, clp, cpt, cur, dcx, dib, eps, g3, iff, img, lbm, lwf, pbm, pgm, pcd, ppm, psd, psp, ps, ras, rle, sfw, iw44, djvu, rgb, dcm, acr, wbmp, mos, kdc, xbm, xpm, swf, fpx, sgi, jp2, j2k
IViewPath= Path to Irfanview/Xnview EXE file.
LinkBraces=1 HTML-View: Show curly braces {} around links
ModeByfileType=1 Option "Define view method by file type"
Multimedia=1 1: Always try to load and play sound and video files
0: Load as binary, but play if user chooses mode 'picture'
NoMediaFileTypes= Do not load the specified file types as video, audio, image, or with plugin, except when explictily choosing menu Options - 4
Example: NoMediaFileTypes=*.jpg *.avi
NoPluginFileTypes= Do not load the specified file types with a plugin (but may be loaded with internal image viewer), except when explictily choosing menu Options - 4
PreviewHandlers=0 Option "Use preview handlers from Explorer"
RTF=1 Auto-detect RTF files
SearchGoBack=3 Number of lines which Lister should show above the found text during a search
ShrinkBitmap=0 1: Shrink/Enlarge image to window size
2: Only shrink too large, do not enlarge images which are too small
Startup=0 Stores mode and font used when lister is opened:
0=auto, 1=text, 2=binary, 3=hex
0=auto, 16=ansi, 32=ascii, 48=variable
TabWidth=8 Width of tabstops (default: 8)
ThumbnailProviders=1 Option "Use thumbnail providers"
Uniscribe=1 Use Uniscribe for Unicode and foreign codepages in Lister. Uniscribe is a library which allows to handle right to left text (Arabic, Hebrew) in a correct way
UnwrapWidth=1024 Maximum text width when not using word wrap (max 16384 characters).
UserEncodings= User-defined encodings stored in form "Encoding name (Encoding number)" separated by vertical line |
Wrap=1 Turn line wrap on (1) or off (0)
LeftMargin=200 Margins for printing (in 1/10 of a mm)
RightMargin=0
TopMargin=200
BottomMargin=200
[ListerDark] Lister colors for dark mode, see section [Lister] for a description of the fields:
BgColor, FgColor, BgSelColor, FgSelColor, LinkColor
[ListerModes] Options for "Define view method by file type"
0exts=*.ext First user-defined lister method filter. Filters are applied in numbered order until a match is found
0fields=4i Method to be used when the filter matches. It can be one or more of the following, spearated by commas:
1..8: View method as shown in Lister's "Options" menu
4: Multimedia, auto-detect
4i: Multimedia, use internal viewer (no plugins)
pluginname: use the indicated plugin
Note: When specifying only one method, pressing '4' will cycle through all multimedia methods. When specifying 2 or more methods, '4' will cycle only through these methods.
[Confirmation] Confirmations
deleteDirs=1 Ask before non-empty directories
MouseActions=1 Ask when dropping files
OverwriteFiles=1 Ask before overwriting files
OverwriteHidSys=1 Ask before overwriting/deleting hidden/system files
OverwriteReadonly=1 Ask before overwriting/deleting read-only files
OverwriteHidSysNotReadonly=0 Ask before overwriting/deleting hidden/system files without read-only attribute (standard copy method only)
SyncConfirmOverwrite=1 Set to 0 to disable overwrite confirmation in "Synchronize dirs"
[ContentPlugins] Installed content plugins
0=<pluginpath> Path to the first plugin
0_detect=<detect string> Optional detect string of first plugin. Allows TC to check whether the plugin supports a file without loading the plugin.
[CustomFields] Saved custom column configurations
Titles= Titles of the custom views, separated by |
Headersx= Column headers (titles), separated by text "\n"
Contentsx= The column values, separated by "\n"
Widthsx= Widths of the columns. Negative if right aligned
Optionsx= Window width for auto-sizing columns | 1 for horizonal scrollbar
[CustomFields_PluginName] Saved custom column configurations for file system plugins
[Extensions] Associations for ALT+F3
pif=c:\windows\pifedit.exe ^.pif e.g. Pif editor with *.pif
[FileSystemPlugins] Installed file system plugins
<pluginname>=<pluginpath> Path to a file system plugin (stored by name)
[HintsCustomField] Custom fields shown in file tooltips
[CompareCustomField] Custom fields used in 'Synchronize dirs' for text comparisons
[ThumbsCustomField] Custom fields shown below thumbnails
[SearchCustomField] Custom fields shown in Search: General - Find text - Plugins
xexts= Wildcards for matching file names
xfields= Plugin fields to display if name matches
[LeftHistory], [RightHistory] List of last visited directories in the left/right panel. Saving can be turned off via SaveHistory=0
[LeftTabs], [RightTabs] Configuration of the folder tabs of the left and right panel, respectively. The active tab configuration is not stored here, but in the sections [left] and [right].
0_path= Path of the first tab (0-based)
0_options=1|3|1|0|0|1 Options of first tab, separated by |:
View mode, sort order, packer: start of archive name, packer: archive type, locked flag, custom view sort order, additional sort orders, custom background colors, view mode, auto view mode switch
activetab=1 Currently active tab, which is NOT stored here, but within section [Left] or [Right]
[ListerPlugins] Installed lister plugins
0=<pluginname> Path to the first plugin
0_detect=<detect string> Optional detect string of first plugin. Allows TC to check whether the plugin supports a file without loading the plugin.
[MkDirHistory] List of last created directories (with F7)
[NewFileHistory] List of last created new files (with Shift+F4)
[SyncOptions] Saved options for "Synchronize dirs"
<name>_L=D:\ Left path
<name>_R=E:\ Right path
<name>_Wcs=*.* Wildcards
<name>_Flags=11|63|-8 Options. The 3 blocks mean:
Block1: Compare options. Sum of
1: Subdirs
2: By content
4: Ignore dates
8: Asymmetric mode
16: Empty dirs
Block2: Display options. Sum of
1: Left to right
2: Equal
4: Not equal
8: Right to left
16: Dupes
32: Singles
Block 3: Sort order (negative if reversed)
[Tabstops] Tabstops for file window (only used if not stored for current display resolution!)
0=90 Size
1=93 Date/Time
2= Unused
3=152 Attributes
4=42 Extension
5=93 Comment
6=<Window width> Reference width (used in AdjustWidth mode)
AdjustWidth=1 Auto-adjust name width when window size changes
[user] User defined menu
menu1=Dir: Root of C Title
cmd1=cd c:\ Command
param1= Parameters
path1= Startup path
iconic1= 1=Start as an icon
key1= Keyboard shortcut
[attrplugin] Attributes dialog: Saved plugin options
[dirmenu] User defined directory hotlist (CTRL+D)
subitems are the same as for [user]
[DirSelection] Last used patterns from dialog "Select duplicate files" in "Select by folder" - "Select folders by pattern"
[OverwriteCustomField] Custom fields shown in overwrite dialogs
[PluginDuplicates] History of the option "same plugin fields" in Dialog "Commands" - "Search" (Page "Advanced")
[rename] Saved options of the multi-rename tool
[Searches] Saved options of the search dialog
[SearchName] These three sections contain previous searches
[SearchIn]
[SearchText]
[Selection] Stores the last used wildcards for selection (Num +)
[SplitPerFile] Stores the user-defined sizes used in Files - Split, and when creating multi-volume archives.
[RenameTemplates] Last used rename strings in multi-rename tool
[RenameSearchFind] Last used search strings in multi-rename tool (for search+replace)
[RenameSearchReplace] Last used replacement strings in multi-rename tool (for search+replace)
[TargetList] List of target directories shown in F5 copy dialog (dropdown combobox)
[PrintDir] Auto-saved settings of print dialog
[ViewModes] Stored user-defined view modes
x_name= Name of the mode
x_icon= Icon of the mode for the tab
x_options= Options: View, sort order, reversed, additional sort orders, Tab color, background, background 2
x_commands= Auto-run commands
[ViewModeSwitch] Settings for automatic mode switching
Enabled=1 Enabled/disabled
x_rules= Rules: Sub-rules combined with |& (AND) and || (OR)
x_mode= Mode to set when the rule applies
[packerplugins64], Index of all plugins which also have a 64-bit equivalent
[ContentPlugins64],
[FileSystemPlugins64],
[ListerPlugins64]
$checksum$ Checksum of the corresponding section without the "64" name part. Uses the Adler32 checksum algorithm on the entire section loaded via GetPrivateProfileSection. It's used to determine when plugins were added or removed, so the corresponding 64-bit section can be recreated
exts= Only in [packerplugins64]: List of extensions having a 64-bit version
0=1 Only in [ContentPlugins64] and [ListerPlugins64]: Plugins by index which have a 64-bit version
name=1 Only in [FileSystemPlugins64]: Plugins by name which have a 64-bit version
Back to part 1: [Configuration]


Internal Associations

Internal Associations (Total Commander Only)
With this dialog box you can define file associations which will work only within Total Commander, without affecting other programs on the system. This is especially useful when using Total Commander from a USB stick. It allows to associate files with programs on the stick independent from the associations on the computer where you use the stick. You can use the environment variables %commander_drive% or %commander_path% to open programs independent from the drive letter of the USB stick.
Field Description
File types This list shows the already defined association types. The sort order defines the priority of the filters. Example: If you have defined one association for ZIP files, and another for files with 'read only' attribute, then Total Commander will use the filter which comes first in the list for ZIP files with 'read only' attribute.
By double clicking on a file type or pressing the space bar, you can modify an already defined file type and its associations.
Internal associations starting with a * (e.g. *.txt) can be quickly enabled/disabled by clicking on the * symbol (it will change to -.ext, so a file named -.ext will still be matched).
Note:
If multiple files with different types are selected, internal associations will work differently for the "open" verb and additional verbs:
1. For the "open" verb, TC will use the first matching internal association for that file (may be a different one for each file!)
Example for 1: *.txt -> Open=notepad.exe, *.txt *.rtf -> Open=Winword.exe
Select: test.txt, test.rtf -> Context menu, Open -> Opens test.txt with notepad and test.rtf with Winword
2. For all other verbs, the first internal assocation which matches ALL selected files will be used to populate the context menu
Example for 1: *.txt -> Edit text=notepad.exe, *.txt *.rtf -> Edit all=Winword.exe
Select: test.txt, test.rtf -> Context menu -> "Edit all" will be shown, opens all files with Winword
Load extra commands from all matching types
By default, only the commands (actions) of the first found file type are used. If this option is set, Total Commander additionally shows all extra actions (except open) of all other matching file types.
Example:
*.txt Edit: notepad.exe
*.* Wordpad: wordpad.exe
Result:
1. Option not set: For text files, only "Edit" appears in the context menu.
2. Option set: For text files, both commands "Edit" and "Wordpad" appear in the context menu.
Add... Creates a new entry in the list. You will first be asked for the file type. Then you can change the association of the default verb (open), the icon, and define additional verbs.
Edit... Edit the selected filter. This will bring you directly to the association details.
Delete Removes an entry from the list.
OK Saves the changes and closes the dialog box.
Cancel Closes the dialog box without saving the changes.


Jimaz s.r.o.

Distribution site for Czech republic:
JIMAZ s.r.o.
Hermanova 37
170 00 Praha 7
phone: +420-2-33372301 (For orders only!!!)
http://www.jimaz.cz/
Email: jimaz@jimaz.cz


Lister: Encoding menu
As configured for current font
The current font chosen with ANSI/Ascii/Variable option determines the used encoding.
ANSI (local codepage) (0)
Sets the encoding to the local codepage, e.g. Russian on a system where Russian has been configured as the codepage for non-Unicode programs.
ASCII/DOS (local codepage) (1)
Like ANSI, but using the local OEM (DOS) codepage.
MacOS (2) Use MacOS encoding. This doesn't seem to work on Windows 9x/ME.
Eastern Europe (1250)..
Cyrillic KOI8-R (20866)
Use the specified codepage. The number in round brackets is the code page number as used by Windows.
Other (enter code page manually)
Here you can either enter just the code page number to use it temporarily, or enter a user-defined code page name followed by the code page number in round brackets to add it to the menu. You can find the installed code page numbers by going to Control Panel - Regional and Language Options - Advanced.
Example: Cyrillic DOS (866)


Lister: Edit menu
Copy as text: Copies the text selected with the mouse to the clipboard. All end of string signs (#0) are converted to blanks (#32). Shortcut: CTRL+C.
Select all Selects the whole file for copying to the clipboard. Shortcut: CTRL+A.
Find: Allows to search for a string from the current position forward. The option "whole words only" allows to search for words but not parts of words ('man' will only find 'man', but not 'manager'). the option "Case sensitive" respects the case of the specified words. "Search hex string" allows to enter the search text as Hex, e.g. 00 FF 12, or in mixed mode, like "PK"0102. A search can also be started by pressing F7. If a string is found, lister scrolls to the line where it is found and shows the string inverted.
Special characters when searching:
\t Tabstop
\n Newline
\\ Single Backslash
New: now supports regular expressions!
Find next: Continues a search. The current search string is stored both in Total Commander and in Lister for future searches. Key: F5, F3 or SHIFT+F7. Ctrl+F3 and Ctrl+F5 reverse the search direction. Shift+F3 and Shift+F5 always search backwards.


Lister: File menu
Open: Allows to load a single file into lister.
Save as... Allows to save the current file under a different name, which useful e.g. when viewing a file downloaded by FTP or opened from an archive with F3.
Next file: If multiple files are loaded into lister, you can switch to the next file using this menu item. You can also press n to do this.
Previous: Switches to the previous file. You can also press p to do this.
Print... Prints the displayed file in text, binary or hex mode, depending on the current display settings. Furthermore, pictures can be printed too. In the mode 'Shrink bitmap' the picture is shrunk to the size of the available print area, and also enlarged, if it was smaller. Otherwise it is printed in 1:1 size.
In text, binary or hex mode, you can print either the entire file, the selected text, or a given range of pages.
Print options... Opens a dialog to set the printer font and borders.
Reload file Reloads the currently displayed file. Hotkey: F2
Close: Closes lister. Keys: ESC or q or ALT+F4


Lister: Options menu
1. Text only: The currently loaded file is interpreted as text. The characters #13 (carriage return) and #10 (line feed) are interpreted (together or one of them) as a new line sign. Lines of more than 80 characters (can be changed) are also split into multiple lines.
2. Binary: Here a fixed line width of 74 characters (default) is used. This is useful to look at executable files or other non-text files.
3. Hex: The following is shown (from left to right): 32-bit-offset (distance in bytes from the beginning of the file), 16 characters in hex, the same 16 characters as plain text.
4. Image If possible, the file is shown as a bitmap image. Depending on the file extension, the file is loaded as a bitmap with the internal bmp viewer, or with the help of Irfanview.
5. HTML-Text Try to interpret the file as a HTML file: remove all tags, and show links. Relative links will open lister with the linked file, while absolute links (with http:// in the link) will open the link in the default browser. The mouse cursor will change to an arrow with a little 'e' for external links. Now also supports UTF-8- and UTF-16-encoded HTML, if the file contains the appropriate META HTTP-EQUIV header.
6. Unicode Show unicode files. Unicode is a file format where every character takes 2 bytes. This format is used e.g. by Windows NT Regedit or NT-Notepad.
7. UTF8 Show UTF-8 files. UTF-8 is a special form of Unicode, where each character can take between 1 and 4 bytes. This format can be created by NT-Notepad.
8. Explorer Preview Use preview handler from Explorer (IPreviewHandler), or use thumbnail viewer (IThumbnailProvider) when there is no preview handler (shows as '4 Image' afterwards)
ANSI (Windows): This character set should be used for all files created within Windows. The ANSI character set can be selected with the a key.
ASCII (DOS): This character set is meant for DOS texts containing DOS graphical characters like lines, or country-specific characters (umlauts) It can be activated with the s key.
Variable char width:
This character set is optimal for Windows text without tables or other justified text parts. Key: v.
Wrap text: If checked, text is wrapped around after (max.) the number of letters specified in the configuration dialog. The text is wrapped at word boundaries. If unchecked, the text is wrapped after 1024 characters for text, and 512 for Unicode (maximum possible line length).
Show text cursor Show a text cursor to select and copy text (no editing). Key: F6
Fit Image to window
Resizes the bitmap image so it fits into the Lister window. The correct aspect ratio is preserved. If you print the file in this mode, it will be resized to the selected print area (paper size without margins). Shortcut: f. New: This function now also works for video windows.
Fit only larger images to window
Resizes the bitmap only if it is larger than the current window.
Center images Images are centered in lister instead of shown in the upper left corner.
Configure: Activates a dialog to configure Lister.
Save position: Saves the current position of Lister in the file wincmd.ini.


Lister: Menu item xxx%
This menu item shows the current file position in percent. The location of the last line on screen is shown. A click on this menu item allows to jump directly to a specific position.


Menu: Help
Index - Show the help index
Keyboard - Keyboard layout (hotkeys)
Registration info - How to order/register
Visit Totalcmd's Web Site - Navigate to our homepage: www.ghisler.com .
Check for updates now - Immediately looks for a new version. If there isn't any, the automatic update check can be enabled/disabled.
About Total Commander - Show version number and location of the settings files and program file.


Only selected files
This option hides all files which aren't currently selected. Useful e.g. for directories with thousands of files, to concentrate on those files in which you are interested.


Associate

Associate with...
This menu option opens a dialog box where you can associate data files with programs.
The association allows starting the appropriate editor for a file, simply by double clicking on the file. The association is not restricted to Total Commander, but also works in file manager and program manager.
If you selected the corresponding options in the configuration dialog box, the icon of the associated program is shown to the left of the file name.


Background transfer manager...
Opens a separate window, which allows to copy, move, or download files in the background.
To add jobs to the background transfer manager, select the files you want to copy, move or download, and click the "+" button or press the "+" key on the numeric keypad. This will open a context menu to add a new action. You can also press Ctrl+V or Shift+Insert to paste a HTTP URL for an immediate download to the current directory of the active panel.
Here is a description of the dialog box elements:
<Progress bar> Shows the progress of the currently transferred file
<Progress bar 2> Shows the overall progress if available. Not working e.g. for folder downloads from FTP
<Listbox> Shows the queued items to be processed, including the currently processed item at the top. Items can be sorted by drag&drop while the current operation is paused.
+ Button to add new transfer jobs to the manager
- Button to remove the selected jobs from the manager. The currently active job cannot be removed
Pause Pauses the current operation, e.g. when the internet connection is needed for other tasks
Speed limit Allows to limit the transfer speed of uploads and downloads, and now also of copy operations. Useful if you want to use the Internet or LAN for other tasks during the transfer.
The menu of the + button can contain the following commands:
Add URL to download
Here you can paste a URL in the form http://www.server.com/file.zip . You can copy such a URL e.g. by right clicking on a link in your browser, and choosing "Copy link".
Add selected items for downloading
You will get this menu item if you are connected to an FTP server and have selected some files. It allows to download the selected files in the background. The same can be achieved by checking "Download in background (separate thread)" in the download dialog. However, a separate transfer manager will be opened then, and it will close automatically when the download is finished.
Add selected items for copying
Allows to copy (disk->disk) the selected files in the background
Add selected items for moving
Allows to move (disk->disk) the selected files in the background
Edit list file If you have used the command "FTP download from list", the background transfer manager reads the list of files to be transferred from a list file. With this command, you can add further operations to the list file. If you add them to the end of the file, the background transfer manager will add them automatically to the queue. The list must be saved either as ANSI (plain text) or UTF-8 (with byte order mark BOM at the beginning).
The - button has two purposes:
1. When the first item in the list is selected, Total Commander will offer to abort the current transfer and continue with the next.
2. When other items are selected, they will be removed from the download list.


Branch view (with subdirs)

Branch view
Shows all files in the current directory and all subdirectories in a single file window. This is useful to find a file by name, for which the directory isn't known, or to use tools like the Multi-Rename-Tool with all files also in Subdirectories. You shouldn't use this command in the root of very big disks because it can take a long time to complete. The command can be aborted with ESC. Shortcut: Ctrl+B.
New:
When leaving branch view mode with Ctrl+B and the cursor stands on a file in a subdir, Total Commander will go to that subdir instead of the branch view root (use F2 or Ctrl+R to go to branch view root).


CD-Tree
Opens a dialog box with the tree of the current drive. Select a directory (by pressing OK or double click on it) to change to the selected directory in the source window.
See also: Dialog box Tree


Compare directories
Compares the contents of the source and destination directory. Newer files are selected. Files missing in one directory are also selected in the other. Only newer files are marked, not all differing files. This behavior is similar to a popular Commander for DOS.


Configuration: Options

Configuration - Options
This is the main configuration dialog for Total Commander. Most settings can be changed on one of the pages of this dialog.
Please select a page from the header:
Layout
Display
Icons
Font
Color
Tabstops
Folder-Tabs
Custom Columns
View Mode
Auto Switch Mode
Language
Operation
Edit/View
Copy/Delete
Refresh
Quick Search
FTP
Plugins
Thumbnails
Log file
Ignore list
Packer
ZIP-Packer
Misc.
The following buttons are available on all pages of the dialog:
Field Description
OK Saves the changes you made to the file wincmd.ini.
Cancel Ignores the changes and returns to Total Commander.
Help Starts Windows Help with this page.
Apply Applies the current settings to the two file windows without closing the dialog box.


Configuration: Change button bar

Configuration - Change Button Bar...
Allows to change the Button bar directly below the main menu.
See
Configuration - Change button bar.


Configuration: Save position

Configuration - Save Position
With this menu option the current position and size of Total Commander is saved. This will also save the current tabstops in the file windows. The position is saved separately for each screen resolution.


Network connections
If a network supported by Windows is installed, this menu option opens a dialog box to connect network drives. This dialog does not belong to Total Commander, but is specific to the network. The corresponding menu option is only shown if such a network is present.
See also Disconnect network drives


Disconnect network drives
If a network supported by Windows is installed, this menu option opens a dialog box to disconnect network drives. This dialog does not belong to Total Commander, but is specific to the network. The corresponding menu option is only shown if such a network is present and if this network supports the disconnect dialog. Some networks allow to disconnect network drives with the dialog box "Network connections".
See also Network connections


Quit
This menu item closes Total Commander and saves the current settings in wincmd.ini.


Mark files

Mark groups of files
Menu items used to select and unselect files:
Select group
Unselect group
Select all
Unslect all
Invert selection
Select All With Same Extension
Save selection
Restore selection
Save selection to file
Restore selection from file
Copy Selected Names To Clipboard
Copy Names With Path To Clipboard
Copy To Clipboard With All Details
Copy To Clipboard With Path+Details
See Selecting files


Mark newer, hide same
Compares the contents of the source and destination directory. Files which are the same are hidden, (they are only hidden to the user, they are NOT deleted!) Of the differing files, only the newer are selected. Files missing in one directory are also marked in the other.


Target=Source
Changes the target path to the current source path.
With the shortcut CTRL+left/right arrow the directory or archive under the cursor can be opened in the other file window. If no directory/archive is under the cursor this shortcut works like Target=Source.


Calculate occupied space
Calculates the space occupied by the marked files and the complete subdirectories. If no file is selected, the space occupied by the file or directory under the cursor bar is calculated. Additionally, the file size is rounded to the cluster size of the source and destination directory, to get real space required. The space for the directory information itself is not considered.
If the source directory shows the contents of an archive, this function is not available.


Open desktop folder
Opens the Desktop virtual folder. This allows to browse places like "My Computer" or to start links on the Desktop. Some functions like viewing or editing don't work on the desktop.


Pack files

Pack
Allows packing of the selected files with one of the packers pkZIP, ARJ, LHA, RAR, UC2 and ACE. Select the files and directories you want to pack and choose pack from the menu Files.
This will open a Dialog box to select the packing parameters.
Important: In the dialog box you must now specify the name of the packer (zip, arj, lha, rar, uc2 or ace) with a colon [ : ] between packer and file name, otherwise the files will be copied!!!
Please note that most packers have an upper limit of 2 GB per archive. The built-in ZIP packer supports larger archives (compatible with Winzip and PKZIP), but they cannot be unpacked by all ZIP packers.
Hint: To unpack the packed files, simply double click on an archive. This opens the archive and shows its contents. You can then copy the files to the desired directory.
CAB-files cannot be created!
The pack/unpack (ZIP and external packers) and copy operations can be moved to the background by pressing the 'Background' button in the progress dialog. This allows to do other things in Total Commander during the operation. You may need to press F2 or CTRL+R to refresh the directory after a background operation completes. Otherwise modified files may not be shown.


Print
Opens a submenu with 3 commands:
File list Opens a dialog box with the print preview to print a list of all selected files. Depending on the current display mode, only the file names, the full file details, or the directory tree are printed. When printing file lists, only the selected files are printed. when printing the tree, the whole displayed tree is printed.
File list with subdirs
Allows to print the selected files and directories including their subdirectories. You are prompted to enter the number of levels of subdirectories (depth) to print. -1 means unlimited depth. Furthermore, you can define which files to print, e.g. *.doc *.txt for all texts, or *.* | *.bak *.~* to exclude all backup copies. Doesn't work with FTP and parallel port connections.
File contents Allows printing of one selected file. This only works if the file is associated with a program for printing. For files which are not associated with a program for printing, you must load them into an editor and print from there.
If the source directory shows the contents of an archive, this function is not available.


Find files
Searches for files and directories specified by the user. Can also be used to search for file contents.
See also dialog box Find files
Search in separate process: Opens the same dialog as above, but as a separate, standalone program. This allows to do other things in Total Commander during the search, and start multiple searches in parallel. Note that searching on FTP servers cannot be used in the standalone search tool.


Change file attributes
Allows the setting and resetting of the attributes read only (r), archive (a), hidden (h) and system (s). Select the files whose attributes you want to change, then choose Change attributes from the menu Files.
You can also change the file's date and time.
This command also works on files in subdirectories, if the corresponding option is selected.
If the source directory shows the contents of an archive, this function is not available.
See dialog box Change attributes
If Total Commander is connected to an FTP server, the Change UNIX attributes dialog box is shown.


Share directory
If Windows for Workgroups or Windows NT 3.51 is installed, this menu option allows to share the directory under the cursor with other computers. The function works the same as in Windows file manager. To share the root directory (c:\), you can switch to tree view. Shared directories are shown with a hand below their icon. In current Windows versions you can find the Share/Unshare function in the "properties" dialog, which you get by pressing ALT+ENTER.
See also Unshare directory


Run DOS

Open Command Prompt Window
Starts the command processor, the program where the environment variable COMSPEC points to. Normally, this is cmd.exe on NT-based systems and command.com on Win95-based systems, but can also be a user-defined processor like 4DOS/4NT. The command prompt will open with the current source directory.


Source<->Target
Exchanges the contents of the left and right file Windows. Settings like sort order are retained.
Shortcut is CTRL+U


System information
Opens a Dialog box with a variety of system information on your hard- and software.


Test archives
This option will test all selected archives by unpacking them to memory and calculating the CRC checksum. Total Commander will show a message if the CRC doesn't agree with the checksum stored in the archive, or any other error occurs. Since TAR files aren't protected by a CRC checksum, they cannot be tested by this function.
the shortcut for this function is ALT+SHIFT+F9.


Unpack specific files
Allows the unpacking of all or specific files from the archive under the cursor bar or from an open archive. Move the cursor bar to a valid archive and choose Unpack from the menu Files or press ALT+F9.
This will open a Dialog box to choose a target directory. Afterwards you can enter wildcards (like *.doc *.txt) to specify which files to unpack. If you want to unpack a file containing spaces, you must put the file name in double quotes, e.g. "Letter to Mr. Smith.doc".
Hint: To unpack only a few files, simply double click on the archive. This opens the archive and shows its contents. You can then copy the files to the desired directory with F5 - copy. Please note that in some RAR files, also the file names are encrypted. Total Commander then shows just <Encrypted -> F5>. These archvies can only be unpacked completely with ALT+F9 or F5.


Unshare directory
If Windows for Workgroups or Windows NT 3.51 is installed, this menu option allows to unshare the directory under the cursor, i.e. block external access to this directory. The function works the same as in Windows file manager. In current Windows versions you can find the Share/Unshare function in the "properties" dialog, which you get by pressing ALT+ENTER.
See also Share directory


Properties (Version Info)
If you are running a current Windows version, the default "Properties" dialog is shown. This dialog also shows version information if the file contains it.
In Windows 3.1 and Windows NT 3.51 this dialog box shows several data on executable files and DLL's, if they contain the structure VERSIONINFO (most new Windows programs contain this data). In this structure one can find interesting data about the program or file, including a short description, product name to which the file belongs, company, version number of file and product, and the Copyright.
This dialog box can also be opened by pressing ALT+ENTER.


Volume label...
Allows setting and changing the volume label of the drive shown in the source window. The actual volume label is shown to the right of the drive selection box. The volume label may contain up to 11 characters (NTFS: 32). The following characters are NOT allowed:
? / | ¦ . , ; : + = < > [ ] ( ) & ^ * " \


Order form

Ordering the full version
Please order from our homepage: www.ghisler.com . You can find the order form there.


Direct cable connection through USB or parallel port

PORT connection to other PC via USB or the parallel port
Total Commander supports a direct cable connection via USB or the parallel port:
Connection via USB
Connection via Parallel Port


Dialog box: Print

Print dialog
Allows to print the selected file names. The same dialog is used to print a directory tree and the result of a comparison in 'Synchronize dirs'. The dialog contains the following elements:
Font: Select the font you want to use to print the file list. The print preview is reformatted every time you choose a different font name, size, or attributes (Bold, Italic etc).
Hint: Some printer fonts do not exist on the display, and are shown by other substituting fonts. This means that the display will look different than the printer output. However, the letter spacing will be the same as on the printer, because each letter is drawn individually on screen.
Show: Determines the display mode in the preview window. These settings have no effect on printing itself. The upper combobox allows to choose the page to be shown, and the lower the display size in the preview window.
<printer name> If you have multiple printers, you can choose the current printer here. Depending on the printer, the available fonts, the character spacing and page borders may be different. Therefore it's important to choose the correct printer BEFORE printing, not in the dialog appearing after pushing on the print button. Otherwise the print preview and print will not be identical!
Setup... Here you can set the page format, resolution and other printing parameters. These settings should also be chosen at the beginning, because they can affect the page layout. If you always use the same settings, you can set them as the default in Control Panel - Printers.
Margins... Here you set the page margins as well as the content of the header. If you set the borders to 0, Total Commander will automatically use the smallest possible borders supported by the current printer. You can set the borders also by dragging the border lines in the print preview window.
You can also define a header with the following parameters:
%p Current page
%t Total number of pages
%d Base directory of the list
%D Current date
%T Current time (at the moment of printing)
%% The percent sign
Print... Opens a dialog box to start the actual printing. It also allows to set the print range:
All Print all pages
Pages Print only certain pages
Selection Prints the current page.
Duplex A special print mode to print on both sides of the page, to save paper. Total Commander first prints every second page and then asks to re-insert the just printed pages to print on their back. The paper has to be inserted so the page printed first will again be printed on first, but this time on its back!
<Preview window>
Shows the print preview and allows to set the margins with the mouse. If you don't want a header, you need to turn it off by setting the header text to an empty string in the dialog box 'Margins'.


Copy

F5: Copy
This command copies files and whole directories from the source directory to another directory.
Select the files you want to copy and press F5.
To copy a file in the same directory (to a different name), press SHIFT+F5. To copy multiple files this way, you can select the option Rename each file separately, then you will be asked for a new name for each file separately.
You can also create shortcuts (LNK files) with CTRL+SHIFT+F5.
Copy dialog
This opens a dialog box where you can type the target path and a file mask. As a default, the path of the target window is presented together with *.* as the file mask. You can use any type of valid file name including wild cards as your target file name. If you don't specify any target path, the files will be copied to the source directory. Press F5 a second time to select just the file name without path. Ctrl+Home places the cursor directly in front of the file name (behind the last "\"). The combobox offers all open tabs and target subdirs for choice.
With the button "+ F7" you can add the current target directory to the list (Alt+Down arrow) or remove it. You can also open the list of most frequently used directories (directory hotlist, bookmarks) to select a destination path.
In the field Only files of this type, you can define that only specific files should be copied. Example: You can copy only files with the extension *.txt (also applies to files in subdirs!). The button "+ F8" allows to define search filters, which offer more options which files should be copied, e.g. by size, date/time or via content plugins. You can now copy related files. For example, you would want to copy all RAW image files (.cr2), but only if there is a jpg file in the same directory. This can be done with the following selection string: *.jpg>*.cr2 . Note: The copy filter will only be applied to selected files, and to files in selected folders. Append |**\ to skip copying of empty folders.
With the button labeled Tree you can choose the target directory from a directory tree. If you want to choose a directory from a different drive, you can specify the drive (including the :) in the dialog box before selecting the Tree button.
With the button F2 Queue, the selected files will be added to the last opened background transfer manager. This is useful to copy many big files one after the other, which is more efficient than multiple in parallel in the background.
You can also append a file to another file: Make sure that overwrite confirmations aren't turned off, then simply copy the file you want to append to the file to which you want to append it. Total Commander will then show an overwrite confirmation dialog, in which you can click the "Append" button.
The checkbox Copy NTFS permissions allows to copy permissions specific to the NTFS file system, like read and write permissions, and the file owner. Now also copies auditing info if we can access it.
With the option Verify enabled, Total Commander reads the copied file again after copying finishes, and compares its MD5 checksum with the original. The disk cache will be bypassed.
New: When copying files from branch view (Ctrl+B), there is now an option Keep relative paths. This allows to copy files with the full path relative to the current directory. This way the directory structure can be preserved.
The button Options allows to set options for unattended copying: By default, Total Commander asks before overwriting files. This button allows to set the default to "Overwrite all", "Skip all", or "Overwrite all older". Click the Save button to the right to save this overwrite option as the default.
Under Options it's also possible to ignore read only, hidden and system attributes when overwriting or moving files. The options extension can now be pinned to remain open.
When you select some directories and/or links in the target panel, there will be an option to copy to ALL these locations. This is done via background transfer manager. If you select normal files in the target panel, e.g. after Search - Feed in Listbox, Total Commander will copy to the directories in which the selected files are located.
In the field "only files of this type", you can specify what files to copy, also in subdirs.
Examples:
*.txt *.doc will copy only text and doc files
*.* | *.bak *.old will copy everything except for bak and old files
*.* | somedir1\ somedir2\ will not copy files in subdirs named somedir1 and somedir2
Packing and unpacking
If the source directory shows the contents of an archive, the dialog to unpack files is shown. You can now also unpack files directly from an archive to an FTP server! The files will then first be unpacked to a temporary directory, and then uploaded to the remote server. The reverse (FTP to archive) isn't supported. The danger is too high that after a long download, the pack operation fails, and the downloaded files are lost.
Alternatively, if the target directory shows the contents of an archive (and the source directory shows a normal directory), the dialog to pack files is shown.
If you want to create a new archive and pack the selected files into it, simply press ALT+F5. This will open a dialog box to pack files. With ALT+SHIFT+F5 the files will be deleted after packing. New: You can now also pack files directly from one archive to another!
If you want to unpack the archive under the cursor (or the selected archives), press ALT+F9. After giving the target directory (and if desired a file mask), all files from the archive will be unpacked.
Copy progress dialog box
The copy progress dialog shows, if available, the number of copied and total number of files, and the number of copied and total number of bytes. By clicking on these numbers, this can be switched to the remaining number of files/bytes (shown with a minus sign).
The pack/unpack (ZIP, TAR, RAR, 7Z, external packers and some plugins) and copy operations can be moved to the background by pressing the 'Background' button during the copy operation. This allows to do other things in Total Commander during the operation. The full names are shown when hovering with the mouse over the displayed names.
It's now also possible to move a background operation back to the foreground if no other dialog is open in Total Commander.
You may need to press F2 or CTRL+R to refresh the directory after a background operation completes. Otherwise modified files may not be shown.
Overwrite dialog box
This dialog box is shown when a file already exists in the target directory. You can choose whether you want to overwrite or skip the file, to overwrite only older files, or to overwrite or skip all already existing files.
The button More Options >> opens a popup menu, which offers more commands: Compare by content, Rename target, and the automatic rename options: In case of a name collision, either the name of the copied file, or the name of the target file is renamed automatically to keep both the old and new file. Furthermore, you can overwrite all files which are older or of the same age, or copy all smaller or all larger files.
In the normal copy/move function, the overwrite dialog can now optionally display thumbnails for source and target files, and custom fields from content plugins. This is especially useful when copying pictures. The thumbnails/icons support the normal right click context menu.
The overwrite dialog supports several hotkeys:
- Alt+Underlined letter for the buttons
- F3 to view the upper (target) file
- Shift+F3 to view the lower (source) file
- Alt+F3/Alt+Shift+F3 to view the file without plugins
- Ctrl+F3 to compare the two files by content
- Ctrl+Shift+F3 to use the internal compare tool if an external tool was defined via wincmd.ini
On Windows 2000 and newer, you will also be asked whether you want to copy a file "As Administrator". This will start a small program, tcmadmin.exe, which then performs the desired operation with the rights of a different user (or extended rights on Vista when already logged on as an administrator). The program terminates itself after a user-defined timeout defined by AdminTimeout in wincmd.ini. During this period, you will not be asked again for the administrator password. Tcmadmin will also not terminate while it is active, e.g. when you copy files as administrator in a background thread.


Delete

F8: Delete
Select the files and/or directories you want to delete, then press F8 or DEL.
After confirmation, the files are deleted. The process can be interrupted at any time with the Cancel dialog. For each non-empty directory, an additional dialog box will ask for confirmation. Warning: All files AND DIRECTORIES in that directory will be deleted. You could use Microsoft Undelete to recover those files (only on Windows 3.1(1)).
If supported, the files are automatically moved to the 'Recycle Bin'. You can double click the Recycle Bin on the Desktop to restore these files or to remove them completely. You can also choose in Recycle Bin how much space the deleted files can take, and also if you don't want to use Recycle Bin at all. If you want to delete files without moving them to recycle bin, you can hold down the SHIFT key while pressing F8 or DEL. You can disable the use of Recycle Bin in Total Commander by changing the option in Configuration - Copy/Delete.
If the source directory shows the contents of an archive, the corresponding packer is started to delete the files. The files are deleted directly without moving them to Recycle Bin.
The delete operation can be moved to the background by pressing the 'Background' button during the delete operation.
When deletion fails on Windows XP/2000/NT/Vista/7, you will also be asked whether you want to delete a file/directory "As Administrator". See F5: Copy for details about this option.


Edit

F4: Edit
Place the cursor bar (small rectangle) over the file you want to edit and press F4. This starts the editor you selected in the configuration dialog, and loads the selected file. As a default, Windows notepad will start. It is limited to text files of limited size. If you want to edit files of different types, just double click on the file or press ENTER. The program associated with the file will then be started. You can associate data file extensions with programs using Files - Associate with.
If the source directory shows the contents of an archive, the file under the cursor is unpacked to a temporary file and loaded into the (previously) selected editor. If you change the file and then close the editor, Total Commander will ask you if you want to repack the file into the archive. If you choose yes, the archive will be updated and the temporary file erased. If you choose no, the temporary file is erased and the archive is left unchanged.
If you use a multiple-document editor and it was already running when you pressed F4 within an archive, then Total Commander will not be informed when the editor closes. Therefore Total Commander will show a little dialog box with the name of the edited file, in which you can confirm when you are done with that file. After clicking on Close, Total Commander will proceed as described above.


SHIFT+F4: New text file
After pressing Shift+F4, you will be asked for the name of the new text file. Then this new file will be created, and the editor you selected in the configuration dialog will be opened with it. As a default, Windows notepad will start. This will only work with text files. If you want to create files of different types, you can right click on the file panel background or the current path, and choose a file type from submenu New.
New: You can now also create new files in archives, on FTP servers, and in file system plugins with Shift+F4. This will create an empty file in the TEMP folder, and open it in the editor. After saving the file, you will be asked whether you want to pack it to the archive, or upload it to the server.
If the name starts with the character '<', the same placeholders as in the multi-rename tool can be used. You can pick some of them via the [+] button near the edit box.
By default, all placeholders for date and time will use the time when the dialog box was opened. See modifiers [T1], [T2], and [T3] for the multi-rename tool.
If you create multiple files at once (with the new "<1-10>[C]" feature), Notepad.exe will not be launched.
Examples for placeholders: Result
<[Y]-[M]-[D] todo notes.txt 2017-09-22 todo notes.txt
<Copy of [N] Copy of name (with "name" the name of the file/folder under the cursor)
Examples for multiple file creation: Result
<1-10>[C].txt 1.txt, 2.txt ... 10.txt
<1-250>ToDo No [C:3].txt ToDo No 001.txt, ToDo No 002.txt ... ToDo No 250.txt
<5-8>Example [C] text file.txt Example 5 text file.txt, Example 6 text file.txt .. Example 8 text file.txt
<1-3>[Y]-[M]-[D] todo notes [C].txt 2017-09-22 todo notes 1.txt, 2017-09-22 todo notes 2.txt, 2017-09-22 todo notes 3.txt


Create directory

F7: Create directory
This command creates a new subdirectory in the source directory. After pressing F7, simply type the desired name for the directory. If the cursor was standing on another directory or file, the name of that directory/file is offered for creating the new directory (to create multiple directories with similar names). Press Shift+F7 to create the directory in the target panel. You can now also create several subdirectories in one operation. Just separate the subdrectories with a backslash, e.g. directory1\directory2\directory3. Furthermore, you can create multiple subdirs in the same (or different) dirs. The syntax to use is:
dir1|dir2|dir3 or c:\dir1|c:\dir2|c:\dir3
If the source directory shows the contents of an archive, this function is unavailable, except for ZIP archives.
New: If the name starts with the character '<', the same placeholders as in the multi-rename tool can be used. You can pick some of them via the [+] button near the edit box.
By default, all placeholders for date and time will use the time when the dialog box was opened. See modifiers [T1], [T2], and [T3] for the multi-rename tool.
If the creation of the directory fails on Windows XP/2000/NT/Vista/7, you will also be asked whether you want to create the directory "As Administrator". See F5: Copy for details about this function.
Examples for placeholders: Result
<[Y]-[M]-[D] downloads 2017-09-22 downloads
<Copy of [N] Copy of name (with "name" the name of the file/folder under the cursor)
Examples for multiple folder creation: Result
<1-10>[C] 1, 2 ... 10
<1-250>Project No [C:3] Project No 001, Project No 002 ... Project No 250
<5-8>Example [C] folder Example 5 folder, Example 6 folder .. Example 8 folder
<1-30>[Y]-[M]-[C:2] photos 2017-09-01 photos, 2017-09-02 photos, 2017-09-30 photos


Reread source directory

F2: Reread source directory
Press F2 (no mouse equivalent). This causes the source window (with the thick frame around it) to be reread. Another key combination for the same action is CTRL+R.
This procedure should be used after a floppy disk change to update the contents of the window.


Exit

ALT+F4: Exit
Closes Total Commander and saves the current directories to the file wincmd.ini.


Rename/Move

F6: Rename / Move
This command permits the renaming of files and whole directories in the source directory, and can be used to move them to different directories or even to different drives. You can also move (pack & delete) files into archives.
Select the files and/or directories you want to rename or move, then press F6. If you only want to rename a file in place, press SHIFT+F6 instead. This will open an inplace edit window around the file to be renamed. Pressing Shift+F6 again will select just the name of the file, without the extension. Important: You must press ENTER to confirm that you want to rename the file. Clicking outside the inplace edit window will cancel the operation. If you don't like getting the inplace rename window when clicking on the same file twice, add the string InplaceRename=0 to the [Configuration] section in wincmd.ini. When renaming a ZIP file to an EXE file, Total Commander will ask if you want to create a self extracting ZIP archive. If you choose 'yes', the EXE file will be converted.
F6 opens a dialog box where you can type the target path and a file mask. As a default, the path of the target window is presented. If you do not specify a target directory, the source directory is assumed, i.e. you rename the files. If you do not specify a file mask, the file name is not changed. Additionally, you can choose the target directory with the directory tree by pressing the tree button. See also copy (F5).
SHIFT+F6 with multiple selected files opens a dialog box which allows to specify wildcards (* and ?) to rename multiple files. You can select the option Rename each file separately, then you will be asked for a new name for each file separately.
New: After using SHIFT+F6 with just one file now allows to press up/down arrows to jump to the previous/next file. If the name was edited, the file will be renamed.
If the source directory shows the contents of an archive, this function is unavailable. Exception: You can rename single files/dirs with Shift+F6 inside ZIP files.
To rename a large number of files by a fixed scheme, you can use the new separate Multi-rename-tool (Ctrl+M).


Select files

Selecting files
To select files, simply click on them with your mouse or move to them with the cursor keys and press insert. If in the configuration dialog you chose to use the right mouse button, your left mouse button just moves the cursor. You have to use the right mouse button for selecting items. If you select a directory using the space bar, the total amount of space used by this directory is shown.
New: Starting with Total Commander 8.5, you can select files by single clicking on their icons.
Select multiple consecutive files
Click on the first file to be selected with the correct mouse button (as selected in configuration), press and hold down the shift key and click on the last file you want to select. With the right mouse button selected, you can click and drag over the files you want to select. When using a touch screen with this mode, you can select multiple files like this: Hold down a finger on the screen until a square appears. Now drag the finger across the files to select them. Alternatively, you will get a context menu when you release the screen without selecting any files.
New in TC9: When using the left mouse button selection mode, select files as in Explorer: Click BEHIND the file name of a file which isn't already selected, and drag a rectangle to select a group of files.
New in TC9.1:
Wildcards can be limited to certain subdirectories, e.g. when using branch view:
1. Relative to the base dir: \subdir1\subdir2\*.ext or \*.ext
2. Relative to any subdir: subdir1\subdir2\*.ext (note the missing backslash at the start)
3. The ** wildcard can be used to skip subdirs, e.g. subdir\**\*.txt finds text files where the relative path contains "subdir" anywhere in the path
Select / unselect files of special types
Press the Num + (or Num -) key located on the numerical block on your keyboard or select one of the selection options (Select/Unselect group) from the menu Mark. Then type the desired file type (for example *.txt). You can also specify multiple file types, and even file types, which should not be selected! These must be separated by the pipe symbol |. This symbol is used because it isn't a valid character for file names.
Example 1: w*.*|*.bak *.old selects all files, which start with w and do not end with .bak or .old.
Example 2: |*.exe selects all files except for programs.
Alternatively, you can select a predefined filter, which can be defined in this dialog box through the 'define' button. This filter allows the same options as the search function!
You can now also use regular expressions. They need to be started with a "<" character, to distinguish them from normal search strings.
You can configure whether Num + should select just files, or files+folders. Use Shift+Num + for the other option of the two. Num - ALWAYS unselects files and folders, for security reasons. Shift+Num - always unselects just files.
New: You can now select related files. For example, you would want to select all RAW image files (.cr2), but only if there is a jpg file in the same directory. This can be done with the following selection string:
*.jpg>*.cr2
This also supports more complex naming schemes. For example, if the jpg file is named IMG_1057.JPG and the raw file CRW_1057.CR2, the selection string would have to be:
*.jpg>crw*.cr2
Use Shift+Del to remove no longer wanted entries from the list.
Note: When showing the results of the duplicate file finder in the main program, a different dialog with more options is shown.
Select all / no files
Press Ctrl and the Num + (or Num -) key on the numerical block of your keyboard or choose Select all/Unselect all from the menu Mark. You can configure whether Ctrl+Num + should select just files, or files+folders. Use Ctrl+Shift+Num + for the other option of the two. Ctrl+Num - ALWAYS unselects all files and folders, for security reasons. Ctrl+Shift+Num - always unselects just the files.
Invert selection
This option will mark all files in the source directory which were not marked and unmarks the previously marked files. This is especially useful after comparing directories. Press the Num * key (multiply) on the numerical block of your keyboard. You can configure whether Num * should invert the selection of just the files, or files+folders. Use Shift+Num * for the other option (e.g. files+folders if Num * only inverts the selection of files).
Select all with same extension
Press Alt and the Num + (or Num -) key on the numerical block of your keyboard or choose Select all with same extension from the menu Mark. This will select (or unselect) all files with the same extension (e.g. .doc) as the file under the cursor.
Save selection
Saves the current selection internally. It can be restored with the next menu item. On every file operation, the current selection is saved automatically.
Restore selection
Restores the selection which was active before the last file operation. Press the Num / key (divide) on the numerical block of your keyboard.
Save selection to file
Saves the current selection to a plain text file.
Restore selection
Restores the selection from a plain text file.


List file contents

F3: List file contents
Select the files you want to list and press F3. The built in file viewer (called lister) then shows the selected files, or the file under the cursor (as configured). By holding down the SHIFT key and pressing F3, you select the alternative method (i.e. view selected files when the default is the file under the cursor). In lister, you can switch from file to file (when viewing multiple files) by pressing n, ESC closes lister and returns to Total Commander. You can also configure Total Commander to show the files with an external viewer of your choice.
With ALT you can switch between external and internal viewer, and with SHIFT between one and multiple files (multiple only with internal viewer). With ALT+SHIFT+F3, lister starts without loading any plugins or multimedia views.
If the source directory shows the contents of an archive, the files will be unpacked automatically for viewing. The files are unpacked to the directory determined by the environment variable temp. You can set it via Control Panel, for example to c:\temp. If this directory does not exist, Total Commander's program directory is used. A subdirectory \_tc is created, where all temporary files are stored. When Total Commander is closed, this directory is removed (provided it is empty).


Quick view
This command opens a small lister window inside Total Commander instead of one of the file panes. Shortcut key is CTRL+Q The window can be removed by choosing another drive in that window, or by pressing CTRL+Q a second time.
Quick view is very limited in this version of Total Commander. In fact it's exactly the same code as standalone lister, so all shortcut keys from lister can be used in quick view too.
If you make the quick view panel larger and choose 'save position', Total Commander will use this width for the quick view panel independent from the normal position of the separating line.
New in Total Commander 9: CTRL+SHIFT+Q opens a separate quick view window, which is also based on Lister. Its position can be saved separarely from Lister (F3) via Options - Save Position.


Reread source
Re-reads the contents of the currently active file window, as well as the drive bar. You may need this command in the following situations
- You replaced a floppy disk or other removable disk
- Another program or a remote computer wrote to the current directory
- Another user changed files on the remote ftp server, to which you are connected
Shortcut key: F2 or CTRL+R


Reseller Info
As a reseller you can order Total Commander for your customers. Please take the following into account:
- Please provide the name/company name and address of the end user. This info is stored in the registration key, and not otherwise used.
- Please indicate where we should send the program and the invoice, respectively.
- As a company, you can order on invoice.
- Unfortunately we cannot offer you a reseller discount, because our prices are calculated very low for the end user. However, you are free to charge your costs to the end user. We do not set a recommended price.


Configuration - Save Settings
With this menu option the current file display settings and directories are saved, even if auto-save is turned off. It also saves the current position and size of Total Commander, and the current tabstops in the file windows. The position is saved separately for each screen resolution.


Show admin shares
Shows administrative shares like C$ on the remote machine. Normally you will need to enter the administrator password of the target machine. If it's a Win9x or ME machine, remote administration must be enabled in the control panel of the target machine.


Custom columns
Here you can choose one of 29 custom column modes. You can define the displayed fields via Configuration - Custom columns. These modes are useful to handle special files, e.g. display additional fields like creation date+time or program version number, or (via a plugin) mp3 tags like Artist, Track name etc.


Custom view modes
Here you can choose a custom view mode. You can define them via Configuration - Options - View mode. They allow to choose a custom color for the panel background and tab header, and a header icon, as well as a columns mode and sort order.


Show files of type
These options select which files are shown:
All files Shows all files.
Programs Shows programs (*.com;*.exe;*.bat;*.pif).
(user selected) Shows all files with the latest user-defined specification.
Custom... Invokes a dialog box, in which you can specify the file types you want to be shown, delimited with a space " ".
You can also exclude files and directories, if you use a vertical dash as separator.
Examples:
*.bmp *.gif *.jpg Show images of these types
*.* | *.bmp *.gif *.jpg Show everything EXCEPT for these image types
*.* | .cvs\ Do not show directories named ".cvs"
*.txt | *\ Show only text files, hide all folders


Show separate tree
The option Separate tree allows to show either one, two or no separate tree panel. Separate tree panels are show in addition to the two file panels, and can show only an expandable (but not a fully expanded) directory tree. You can expand/collapse branches of the tree using the + and - buttons on the numeric keypad, or by clicking on the +/- sign to the left of the folder icon, just like with the tree view inside a normal file panel.
If you choose to show one separate tree, it will show and scroll to the current directory of the active panel. If, however, you choose to show two separate trees, each panel will have its own tree.
The tree isn't expanded initially to make Total Commander load faster. It will be expanded the first time you change directories, or swap panels.
You can now perform the following file operations within the separate tree: Copy/Cut/Paste, Delete, Rename (Shift+F6), Properties (Alt+Enter), Right click context menu, Drag&Drop


File listing brief or long

File listing brief, long, and comments
Brief only shows the file names. Long shows the file names and also the file's size, creation date and time, and their attributes. Comments shows file comments from descript.ion or files.bbs files. If both description files exist in the same directory, Total Commander will take the descriptions from the preferred file defined in Configuration - Operation.


Sort
Sorts the files in the corresponding directory using a selected file property:
Name Sorts the files by name, then by extension.
Extension sorts the files by type (extension), then by name
Size sorts the files by their size on disk
Time sorts the files by their creation date and time
Unsorted only separates files and directories, the files are in the same order as in the dir command.
Reversed order sorts backwards, i.e. Z to A, the largest to smallest, youngest to oldest
Hint: With the sort orders Name and Extension the files are automatically sorted in alphabetically ascending order, with Size and Time in descending order, since these combinations are the most used.


Thumbnail view
Thumbnail view shows preview pictures for various file types. The size of the preview pictures can be configured via Configuration - Thumbnails, as well as several other options. In addition to the thumbnail and the file name, you can display user-defined fields like the file size, or (via a plugin) digital camera information like exposure time.
Thumbnails currently work in normal file mode, but not with archives or ftp connections. Some file system plugins may also support thumbnails now.


Show directory tree
The option Tree shows the directory tree. By default, Total Commander now only reads the top level directories of the tree, like Windows Explorer. You can then expand/collapse branches of the tree using the + and - buttons on the numeric keypad, or by clicking on the +/- sign to the left of the folder icon.
If you prefer the old Total Commander tree, you can configure it in configuration - options - display (Always load complete directory tree). In this case, the tree shows all directories and subdirectories of the current drive. After reading the directory structure, the tree is saved in the file treeinfo.wc in the root directory of the drive. Only this file is changed when you add and delete directories. This is much faster than rescanning the whole tree each time.
If you select tree in the left menu, the tree for the right drive is displayed (the drive shown in the right directory).
If you added or deleted directories with an external program, you must rescan the tree by pressing F2 or CTRL+R if you use the fully expanded tree.
You can now set a different location of the treeinfo.wc file via wincmd.ini, TreeFileLocation= in section [Configuration]. See the description of the wincmd.ini file for details.


Synchronize dirs and FTP servers
1. Purpose
This function can be used to keep an Internet Server like a personal homepage up to date. The pages are edited on the local machine, and only the modified pages are uploaded. You need to take special care to make this work correctly! Therefore please read the following very carefully:
2. The problem with file date/times and FTP
Normally when you copy a file from one local directory to another, it keeps its 'last modified' date and time. However, when you upload to an FTP server, there is often no function available to tell the server what the date/time of the file is! Therefore, the file will always get the current local time on the FTP server! This is a problem, because even after the upload, the local and remote directory will be different! Only some servers support one of the commands MDTM, MFMT or SITE UTIME to set the remote file timestamp.
3. How this is solved in Total Commander
The synchronize function sets the date/time stamp of the local file to the date/time of the remote file after it has successfully uploaded the file, and the server doesn't support MDTM, MFMT or SITE UTIME. Now the two files will look identical! However, this may cause other problems: You cannot synchronize this local directory with any other directory on the same machine, or with a second FTP site, because every time you upload a file, its date/time changes! Therefore it is important that if you use synchronize between a directory and FTP, you do not use synchronize with this directory to more than one location! New: Total Commander does NOT change the date/time of the local file(s) if the option "ignore dates" is checked.
4. Other problems and their solutions
Problem: The FTP server may be in a different time zone than your computer! For example, the server could be located in California, while you are in New York, or even in Europe!
Solution: Before comparing, select the time zone difference in hours between your location and the server. If the server is to the west, the difference is positive. Example: From New York to California it's 3 hours, and from Germany 9 hours. Note: If the command MLSD is used to get the file list, most servers will return the time stamps in UTC (universal time), which is indepentent from the time zone. In this case, the time zone difference must be set to zero!
Problem: Before you started to use Synchronize dirs, you uploaded the files using Total Commander directly, or some other tool. Now even identical files will look different!
Solution: To avoid that you need to re-upload or download all files which are identical anyway, select all files from which you know that they are identical. Right click on them, then choose 'Set local file date to remote date'. This will make the files look identical.
Problem: Unix machines distinguish between upper- and lowercase file names. Windows machines, however, can only display mixed case names, but do not distinguish between files with different case.
Solution: When Total Commander uploads a file to an FTP server, and a file with the same name but different case already exists on the server, the uploaded file will get the name of the already existing file. This avoids that two files with the same name will exist in the same directory. If you want to upload a different file name with the file, you will have to delete the target file first (select+right click menu->delete). For files which do not already exist on the server, you can choose whether the file should be uploaded without a name change, or with the name converted to lowercase.
Problem: Unix machines store text files in a different way than DOS/Windows machines. Unix machines store the line end sign in a single character, while DOS/Windows uses two characters (carriage return / line feed). Therefore text files (including HTML) are smaller on Unix than on DOS machines!
Solution: When Total Commander encounters two files with same time stamp, but different size, it counts the line ends of the local files, and calculates the size of the Unix-style text file from this. If the sizes match, the Synchronize function will show the following symbol:
For more information, see the Synchronize dirs dialog box.


Synchronize dirs
With this command, you can compare two directories with all subdirectories, and copy the newer files to the other directory (or any different directory). Furthermore, you can compare the contents of a directory with an archive, or with a directory on an FTP server. Currently no other packers than zip are supported.
This function is also useful to compare a CD-R (created with a CD burning program) with the originals. To do this, you need to check the option "by content".
Important note: When uploading files to an ftp server using the synchronize function, the date/time of the local file will be modified! Please read Synchronize dirs and FTP servers and Synchronize dirs with FTP and MLSD.
See also:
- Dialog box Synchronize directories


Synchronize dirs with FTP and MLSD

Synchronize dirs with FTP and MLSD command
========================================================
============= IMPORTANT NOTE, PLEASE READ! =============
========================================================
Total Commander is now using the MLSD command to get file lists
Total Commander is now using the command MLSD (machine list directory) instead of LIST to get the directory listing. This has several advantages:
1. The listed time has a resolution of 1 second, while the LIST command often only returns hours and minutes
2. The time is returned in UTC (Universal Time, formerly known as Greenwich Mean Time), which makes it easy to synchronize with servers in different time zones
3. The format of MLSD is standardized, so there is less danger of misinterpretation of the returned list
The problem with MLSD and older synchronizations:
There can be some problems with MLSD you should be aware of:
1. If you have used older versions of Total Commander to synchronize directories, this synchronization may be based on very inaccurate time stamps: LIST on Unix servers returns the time stamp without seconds, and for older files it even returns just the date, not the time!
Therefore many files which were listed as equal with TC 7.50a or older may now be listed as newer or older. If you are sure that the source and target files are the same, you can copy just the timestamps from the remote to the local files.
2. Some older servers report symbolic links as files or directories instead of reporting them as links as LIST usually does. Synchronize dirs is ignoring links to avoid indefinite loops, which is impossible if the links cannot be detected. If you access such a server and use symbolic links in the directory you want to sync, you should turn off the MLSD command in Ctrl+F - Edit Connection: You need to turn off the option Use MLSD for directory listings.
Please also read the page Synchronize dirs and ftp servers !


Vertical alignment
Shows the two file windows above each other instead of side by side.


What's new (continued)?
New functions and fixes in Total Commander 8.52a (betas+final):
- These are bugfix releases, there are no major new features
New functions and fixes in Total Commander 8.52 (betas+final):
- These are bugfix releases, there are no major new features
New functions and fixes in Total Commander 8.51a final:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.51 final:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.51 release candidate 2+3:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.51 release candidate 1:
- More speed improvements for shared folders and icon display
New functions and fixes in Total Commander 8.51 beta 5:
- F5 copy: Right click on OK or Queue button to move files instead of copying (and the reverse for F6)
- Loading icons of internal associations has also been moved to a background thread
New functions and fixes in Total Commander 8.51 beta 4:
- Loading of association-specific icons (e.g. all *.txt files) has been moved to a background thread
- New method to determine which folders are shared (by building a list of shares with NetShareEnum)
New functions and fixes in Total Commander 8.51 beta 3:
- FTP rename file (Shift+F6): Show overwrite confirmation dialog if target exists
- FTP upload file: Use dynamic buffer size between 512 Bytes and 32 kBytes depending on upload speed
New functions and fixes in Total Commander 8.51 beta 2:
- Multi-rename tool: Counter [C] now supports fractional numbers, e.g. [C+1/100]
New functions and fixes in Total Commander 8.51 beta 1:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.50 final:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.50 release candidate 2+3:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.50 release candidate 1:
- F5,F6,Shift+F6: Remove characters #00-#31 like line breaks (LF) when new name pasted from clipboard
New functions and fixes in Total Commander 8.50 beta 15:
- Also show thumbnails in virtual folders like libraries in Windows 7/8
New functions and fixes in Total Commander 8.50 beta 14:
- Faster reading of folders with many subfolders when overlay icons are disabled
- Function to verify after copying has been re-added by popular demand
New functions and fixes in Total Commander 8.50 beta 13:
- Faster loading of thumbnails from cache when using a slow virus scanner, by keeping the thumbs database open for multiple files
- Avoid hanging in directory read functions when network is down
- Function to verify after copying has been removed because of some unresolved problems
New functions and fixes in Total Commander 8.50 beta 12:
- Reduce hangs when accessing network shares which become inaccessible
New functions and fixes in Total Commander 8.50 beta 11:
- This is a bugfix release, there are no major new features
- No more expiration date, stable enough for every day use
New functions and fixes in Total Commander 8.50 beta 8-10:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.50 beta 7:
- Control how the background transfer manager handles overwrites when adding more files (BackgroundCopyFlags in wincmd.ini)
New functions and fixes in Total Commander 8.50 beta 6:
- Reverted back to "Microsoft Sans Serif" font for existing installations (the new font Segoe UI Semibold can be set manually)
- Support unpacking of multi-volume 7zip files
New functions and fixes in Total Commander 8.50 beta 5:
- Selection of files by clicking on their icons can now be configured in the main configuration dialog
New functions and fixes in Total Commander 8.50 beta 4:
- Use font "Segoe UI Semibold" as new default font for main window and file lists if available (Windows Vista or newer)
- "Verify" option is now shown in the F5 copy dialog. The option in the configuration determines the state of the option when Total Commander starts.
- Background transfer manager (F5-F2): Position and size can be remembered via system menu
New functions and fixes in Total Commander 8.50 beta 3:
- Separate commands to show/hide hidden and system files: cm_SwitchHid and cm_SwitchSys
- Auto re-upload of files to FTP or file system plugin when saved (F3/F4) is now disabled by default, user will be asked on first use whether he wants to enable it
New functions and fixes in Total Commander 8.50 beta 2:
- Drive dropdown combobox: Open context menu also with Shift+F10 or special context menu key
- Some of of the new features are now configurable, like selecting files by clicking on their icons
New functions and fixes in Total Commander 8.50 beta 1:
- Support unpacking of more archive formats: 7zip, new RAR5 format, as well as -lh6- and -lh7- (LHA)
- RAR with encrypted file names: Show archive content after entering password
- Pack/unpack files: Option to remember last entered password until TC is minimized, Windows goes to standby, or the screen saver starts
- Support for touch screen devices: Tap on icons to select files, long tap to open context menu
- Support for high resolution screens (high DPI)
- Drive drop-down list (Alt+F1/Alt+F2): Show links to "My Computer" and "My Documents" Configurable via. ShowExtraDrives in wincmd.ini
- Drive drop-down list (Alt+F1/Alt+F2): Open context menu directly in the list without choosing a drive first
- Show exclamation mark to the left of some options as a warning, e.g. that files may not go where the user expects them to go, like during copying from branch view, or when packing and unpacking
- Show file size and last modified time also in virtual folders like connected MTP devices like Android phones/tablets
- Select and copy related files, e.g. *.jpg > crw*.cr2 selects/copies raw files only if there is a related .jpg file
- F5 copy: First copy all files where the user doesn't need to be asked and skip all with errors, ask at the end
- F5 copy: Option to verify files after copying them.
- F5 copy: Option to keep paths relative to current folder while in branch view (Ctrl+B)
- Alt+F5 pack: New option to leave out the names of the selected folders when packing each folder to a separate archive
- F8 Delete: Only warn at the end if folders couldn't be deleted
- F8 Delete: Always use new delete method when VistaDelete isn't set in wincmd.ini, but show our own delete confirmation dialog if the system dialog is disabled
- Search function: Search for text supports any combination of ANSI, ASCII, UTF-16, UTF-8 Unicode and office XML/EPUB at the same time
- Search function: Skip a folder by clicking on its name in the status line (with confirmation). Also allows to just pause the search
- Search function: Open in separate process via Alt+Shift+F7, so TC can still be used during the search
- Search function: "Feed to listbox" also when searching in archives, on FTP servers and file system plugins
- Search for duplicate files: Search by plugin fields, e.g. name parts, file extension etc.
- Search for duplicate files, Feed to listbox: New dialog box to select files inside the groups of duplicates, e.g. by newest, oldest etc.
- Compare by content: "Resync comparison from here" now also works after editing the files
- FTP/file system plugins: When editing a file with F4, the file will automatically be re-uploaded when saved in the editor. No need to close the editor any more. Change via Edit/View options.
- Button bar: Support multiple internal and/or user-defined commands on a single button e.g. cm_SelectAll,cm_Copy
- New wincmd.ini options CopyLinks and IgnoreLinks to handle file system links
- Verify CRC checksums: Also support SHA512 format
- Progress dialog: Show number of files/bytes in more functions. Switch to files/bytes remaining by clicking on the numbers
- Improved background copy dialog: Show number of copied and selected files and bytes, add button "Foreground"
- Show hidden/system files now split into separate options for hidden and system
- Option to get more items in various history lists, set via wincmd.ini: HistoryLen for directory history, OldCmdLineCount for command line. MaxItemsInComboBox for comboboxes in F7 New Folder, Alt+F7 Search, Num+ select files etc.
- Lister, right click menu: Directly search for selected text via Google in default browser (configurable)
New functions and fixes in Total Commander 8.01 final:
- This is a bugfix release, there are no new features
New functions and fixes in Total Commander 8.01 release candidate 5:
- Multi-rename tool: New placeholder [A] inserts complete file name with extension, but without the path
New functions and fixes in Total Commander 8.01 release candidate 1-4:
- These are bugfix releases, there are no major new features
New functions and fixes in Total Commander 8.0 final:
- This is a bugfix release, there are no new features
New functions and fixes in Total Commander 8.0 release candidate 2:
- This is a bugfix release, there are no new features
New functions and fixes in Total Commander 8.0 release candidate 1:
- When creating shortcuts (*.lnk) with Ctrl+Shift+F5, do not cut name after last dot for directories (AppendLnk=2 in wincmd.ini)
- wincmd.ini, SelectionFocus=color: Surround file in focus with special color when there are selected files in the active panel. Meant as a warning that file operations would affect more than the current file.
New functions and fixes in Total Commander 8.0 beta 25:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.0 beta 24:
- SubdirCopyOrder option in wincmd.ini allows to set order in which files in subdirs are copied
New functions and fixes in Total Commander 8.0 beta 23:
- HideRemovableNoMedia option in wincmd.ini now also works in "Drive not found" dialog and Search - Drives
New functions and fixes in Total Commander 8.0 beta 22:
- GetTextMode option in wincmd.ini for screen readers (for the visually impaired)
New functions and fixes in Total Commander 8.0 beta 20 and 21:
- These are bugfix releases, there are no major new features
New functions and fixes in Total Commander 8.0 beta 19:
- Also show harddisks connected via Firewire with removable disk icon, just like USB disks
New functions and fixes in Total Commander 8.0 beta 18:
- Synchronize dirs: Rename single files on the left (F6) or right side (Shift+F6), also with slow double click
New functions and fixes in Total Commander 8.0 beta 17a:
- Directory hotlist (Ctrl+D): Fixed critical error in function "add a new entry directly to a submenu" which could cause the loss of menu items
New functions and fixes in Total Commander 8.0 beta 17:
- Directory hotlist (Ctrl+D): Option to add a new entry directly to a submenu of the list
- Show harddisks connected via USB with removable disk icon, just like USB sticks
- Search function: When restoring the last search result, also restore the cursor position and top index in the list
- More colors can now be changed via Configuration - Options - Colors
New functions and fixes in Total Commander 8.0 beta 16:
- This is a bugfix release, there are no major new features
New functions and fixes in Total Commander 8.0 beta 15:
- Copy function: Ask user when a directory cannot be entered for copying (can be controlled with CopyDirsAsAdmin option in wincmd.ini)
New functions and fixes in Total Commander 8.0 beta 14:
- Synchronize dirs: Faster deletion to recycle bin on Vista/7 by deleting each directory as a whole instead of each file
New functions and fixes in Total Commander 8.0 beta 13:
- Synchronize dirs: F2 shows list of saved synchronize options
New functions and fixes in Total Commander 8.0 beta 12:
- Compare by content: CompareDeleteBak=1 set in wincmd.ini: Delete .bak files when closing compare tool
- Control TC with a Windows Media Center remote control (Enable with MediaRemote=1 in wincmd.ini)
- Set style of Network Neighborhood with NethoodStyle option in wincmd.ini
New functions and fixes in Total Commander 8.0 beta 11:
- Synchronize dirs: More detailed status line (displayed and total number of files found)
- InplaceOkButton=2 shows confirm button to the left of the edit box
- On Windows Vista and newer, show subfolder in Network Neighborhood with "Entire Network" (as on Windows XP)
New functions and fixes in Total Commander 8.0 beta 10:
- Compare by content: Show compare progress bar and percent done in footer
- Synchronize dirs: Show number of filtered out files in the footer
- Connect to FTP or HTTP: Always try all IP addresses (IPv4 and IPv6) as long as connections fail.
- Support SSL-encrypted FTP server to server transfers
- Show button to the right of the inplace rename edit box (Shift+F6) to confirm the renaming
- Alt+F10 tree: If TreeFileLocation isn't set, save the tree in the same location as the thumbnail cache on system drive and UNC paths
- AlwaysAsAdmin=1 in wincmd.ini auto-uses admin functions after user confirmed "Always as administrator" once
- Start TC with a larger default size
- New environment variable %COMMANDER_EXE% pointing to the Total Commander program
- New WM_COPYDATA options for scripting
- Verify CRC checksum from clipboard directly for the file under the cursor
New functions and fixes in Total Commander 8.0 beta 9:
- Compare by contents (x64 only): Support for files >2GB
- Lister: Auto-rotate jpg images loaded via GDI+ to the angle stored in the EXIF information
New functions and fixes in Total Commander 8.0 beta 8:
- New options in the search&replace section of the Multi-rename tool dialog box: 1x (only first occurrence) and [E] (change extension or not)
- Lister: F3 now also works with folders (mainly interesting with plugins)
- Synchronize dirs: "By content" option now also works with packer plugins which support the "search by content" option
New functions and fixes in Total Commander 8.0 beta 2-7:
- These are bugfix releases, there are no major new features
New functions and fixes in Total Commander 8.0 beta 1:
- This is the first 64-bit version of Total Commander. There will also be a 32-bit version later in this beta test. 64-bit programs can only load 64-bit libraries (dlls), and since all plugins are dlls, the plugins need to be converted to 64-bit too. Therefore it's not recommended to use this version for every day work until a majority of plugins has been ported to 64-bit.
- Enhanced progress dialog handling: Progress is now handled asynchronously, so it will no longer slow down any file operations. Especially the copying, moving and deleting of many small files should be much faster now. Also the number of files and bytes handled and the total files/bytes are shown now.
- Lister: Show jpg, gif and png images in Lister without plugins
- Search function: In field "Search in", a list file can be specified like this: @c:\path\searchfile.txt. The file must contain one file/dir name per line, absolute or relative to the location of the list file
- Multi-rename tool enhancements: Allow backslashes in name field, directly create sub-folders for moving files
- Draw new style (Windows Vista/7) expand/collapse icons in tree
- Copy directly from FTP or virtual folders (e.g. the desktop) to file system plugins
- "Skip all" in "copy as admin" function
- Use new Explorer method on Windows 7 to show file time stamps (not changing between summer and winter), can be changed via wincmd.ini (NewTimeZoneMethod)
New functions and fixes in Total Commander 7.56a:
- This version corrects errors which were found only after the release of Total Commander 7.56 final, e.g. "Send to"-"Mail Recipient" not working with Outlook 2003
New functions and fixes in Total Commander 7.56:
- Button bar right click menu: Menu item "As Administrator" starts program with administrative rights
- Find files: Keep last search results (except when using "Feed in Listbox")
- Windows 7: Show pause button in "aero peek" windows (shown when hovering over taskbar icon) during file operations to pause them
- Compare by content: Auto-detect UTF-8-encoded html, xml and css files by their encoding headers
- Compare by content: Double click on a word selects that word
- Lister: Auto-detect UTF-8-encoded text by valid UTF-8 multi-byte characters
- MinimizeOnClose option in wincmd.ini
New functions and fixes in Total Commander 7.55a:
- This version corrects errors which were found only after the release of Total Commander 7.55 final, mainly in the ftp function (infinite re-downloads in case of certain connection losses, XCRC problem with removed 0s), and various x64DisableRedirection problems
New functions and fixes in Total Commander 7.55:
- Use MLSD command for file listings in FTP function (better time resolution, time in UTC)
- Transfer files between two computers over a special USB cable
- Improvements to synchronize dirs function: Compare via plugins and FTP, options to skip hidden files and junctions (SyncIgnoreJunctions in wincmd.ini), SITE UTIME in ftp sync
- Compare by content now shows different and changed lines with a slightly different background color (configurable via wincmd.ini)
- FTP connection details dialog split into two tabs
- "cd" command in button bar and start menu now accepts parameter /user: (user name for network connection)
- Open archives also in virtual folders like the Desktop
- New internal commands with parameters SELECTFILES, OPENTABSL and OPENTABSR, e.g. for the button bar
- Let the user set the user agent for HTTP connections
- Unpack directory time stamps from archives
- Lister: Increased maximum line length to 1024 characters (Unicode: 512)
- Verify CRC checksums: Also support CRC files in UTF16 Unicode format, and SHA256
- Show Terminal Server and Win7 XP mode drives in drive drop-down list and drive buttonbar
- Ctrl+Shift+B and cm_DirBranchSel shows branch view of only the selected dirs+files
- Colors by file type: Get plugin data in background thread for slow plugins
- F5 copy dialog: "Options" dialog extension can be pinned now to remain open
- RAR with encrypted file names: Show pseudo file <Encrypted -> F5> and let user unpack the archive with F5
- Command line: Command "cd filename" places cursor directly on file with name "filename"
- Search in "feed to listbox" results: Respect option "Search subdirectories", e.g. to search 3 levels deep in all selected dirs
- Show progress dialog box when reading a directory takes longer than 5 seconds
- Create CRC checksums: support subdirectories (recursively), background button
- Multi-rename tool: Allow to create fields with leading zeroes or spaces
- Create shortcuts (LNK files) also in protected system directories
- Handle dir space calculation in background (when user presses SPACE or Alt+Shift+Enter)
- Internal UnRAR via unrar.dll: Support target names longer than 259 characters
- File system plugins: Support background downloads and uploads (requires changes to plugin)
- Various new background operations: Unpack: RAR, TAR, packer plugins (needs modification), Pack: TAR, packer plugins
- Parallel port connection now also possible on Windows XP/Vista/7 64 bit
New functions and fixes in Total Commander 7.50a:
- This version corrects errors which were found only after the release of Total Commander 7.50 final, mainly in the print function in Lister (for Unicode files), when unpacking certain encrypted zip files, and slow moving of directories within the same drive.
New functions and fixes in Total Commander 7.50:
- Full Unicode support in most functions where it is possible, including FTP, ZIP packer, and plugin interfaces
- Help file now by default in HTML format (CHM). The old HLP file is still available on www.ghisler.com
- Support for file names longer than 259 characters (up to 1022) in most file operations
- Compare by content allows to compare text files of different type, e.g. ANSI and UTF-8
- The current directory above the file lists can act as a clickable bar ("breadcrumb bar")
- Option to show *.bar file in button bar as a popup menu instead of switching bars
- Show icons and subfolders in ftp connection dialog
- Protect the stored ftp passwords with a master password using AES256 encryption
- FTP, PORT mode: Allow to specify external IP address of the Internet router
- Start Lister, compare by content or synchronize dirs directly via command line parameters
- Comments (Ctrl+Z) can now have a max. length of 4095 characters, and support line breaks
- Synchronize dirs: Option to synchronize also empty directories, option to copy just specific file properties (like the time)
- Create CRC checksums now also supports the SHA1 hash format
- Allow to use the Windows key for user-defined hotkeys
- On 64-bit Windows, allow to use 64-bit shell extensions in local menu (context menu)
- New internal command cm_SwitchX64Redirection to turn redirection of system32 dir under 64-bit Windows on/off
- Internal unpacking of multi-part RAR archives, and RAR archives where the file names are encrypted
- Copy files/directories to multiple target directories (or lnk files pointing to directories) in one operation
- Quick search with search dialog: Show button which allows to show only files/dirs matching the filter
- Switch character encodings in Lister
- New internal association system, e.g. for using Total Commander from a USB stick
New functions and fixes in Total Commander 7.04a:
- This version mainly corrects an error in the delete function: It could delete the file under the cursor instead of the selected files if the current directory was changed in the background while the delete confirmation dialog was up (only when the function "Auto-Refresh when the file system changes" was active).
- It also corrects problems with unpacking multi-volume RAR files, AES encryption on NT4, and an access violation when starting minimized to the system tray..
New functions and fixes in Total Commander 7.04:
- Built-in support for encrypted ZIP files (standard and AES ZIP encryption).
New functions and fixes in Total Commander 7.03:
- This version mainly corrects possible security problems with various unpackers and other errors.
New functions and fixes in Total Commander 7.02a:
- This version mainly corrects problems with FTP uploads and a problem with environment variables
New functions and fixes in Total Commander 7.02:
- Directory traversal vulnerability when an FTP server reports a file name containing backslashes
- Download from FTP server: F5 - F2 will add files to last opened background transfer manager
- FTP file transfers: Verify after transfer that the resulting file isn't smaller than expected, otherwise show warning
Can be turned off via wcx_ftp.ini, SpecialFlags= option in section [General] or separately per connection
- Update Total Commander's environment variables when the system variables are changed
- FTP over SSL/TLS: If the server responds to AUTH TLS, connect with TLSv1 instead of SSLv23 messages
- Alias commands now support new parameters %A1..%A9
New functions and fixes in Total Commander 7.01:
- This version only contains fixes.
New functions and fixes in Total Commander 7.0:
- Updated user interface: flat buttons also on XP, new file list icons, drive icons, and bar icons (by external designer), icons in the main menu (optional)
- Separate background color can be set for odd and even lines
- Compare by content now allows to edit files, and to re-synchronize manually
- Separate tree panel: Either one for both file panels, or one for each
- Lister now supports a text cursor, allows to center images, and resize only larger
- Change attributes allows to use/change content plugin values
- File operation logging
- Show drive letter in folder tabs
- File system plugins can now support custom columns and thumbnails
- 32-bit version of zip self-extracting module sfxhead.sfx, because Windows Vista no longer supports 16-bit programs
- %COMMANDER_DRIVE% points to drive (e.g. C: without trailing backslash) from which Total Commander was started.
- Multi-rename-tool: Allow to edit target names
- More options in copy overwrite dialog: Compare by content, Rename target, automatic rename, copy all smaller or all larger
- Exclude directories in "Show"-"Custom...", e.g. with *.* | .cvs\
- Increased maximum command line length to 8191 (XP) and 2047 characters (Windows 2000), respectively
- Sort by additional columns, e.g. by size, then by date/time: Ctrl+click on additional columns
- Auto-complete path in command line, current directory, copy dialog etc.
- Use Shift+Del to remove unwanted entries from various comboboxes: Command line, search function, multi-rename-tool etc.
- Secure FTP over SSL/TLS, enter the URL as follows: ftps://ftp.servername.com .
Needs OpenSSL dlls from www.openssl.org stored in Totalcmd directory.
- Custom user-defined commands for main menu and hotkeys
- Alias commands for the command line for internal commands or external programs
- Overwrite dialog allows to show preview images and custom fields
- When a copy/move/delete/create directory operation fails due to insufficient rights, ask user whether he wants to copy as administrator. Also allow a user to read from an inaccessible directory if he knows the administrator password.
- Search on FTP servers
New functions and fixes in Total Commander 6.56:
- Version 6.56 mainly fixes a problem when re-packing from RAR to other archive type, which can lead to data loss under special conditions (external RAR unpacker, subdirectories)
New functions and fixes in Total Commander 6.55:
- Version 6.55 contains almost only corrections.
- Support for CHM (compiled html) help files
- The ZIP self-extractor is now 32-bit (Windows VISTA no longer supports 16-bit programs)
- Various changes for Windows VISTA
New functions and fixes in Total Commander 6.54a:
- Version 6.54a contains only corrections.
New functions and fixes in Total Commander 6.54:
- Version 6.54 contains almost only corrections.
- The internal ZIP unpacker now supports the new formats BZIP2 and PPMd
- WMF images have been disabled in Lister+Thumbnails for security reasons (security hole in Windows).
They can be reenabled via wincmd.ini [Configuration] WmfAllowed=3
- Command line parameters for uninstaller tcuninst.exe for silent uninstall: /r repair, /0../7 uninstall.
Sum of: 1=desktop icon, 2=start menu entries, 4=all settings files
New functions and fixes in Total Commander 6.53:
- Version 6.53 contains almost only corrections.
- New command line parameter /P= to set active panel at startup.
New functions and fixes in Total Commander 6.52:
- Version 6.52 contains mainly corrections.
- Experimental support for IPv6 internet addresses for FTP and HTTP, must be enabled in wcx_ftp.ini
- Automatic detection of USB sticks, to write to them in compatibility mode (faster)
New functions and fixes in Total Commander 6.51:
- Version 6.51 doesn't contain any important new features.
New in Total Commander 6.50:
- Thumbnail view: Display of miniature pictures for images and some other file types
- Custom columns mode: Up to 29 different user-defined view modes with custom columns
- Content plugins: Display+Search for additional file properties, use in multi-rename tool
- Overlay icons for special file types like LNK files (configurable)
- Automatic installation of plugins and languages when opening plugin archive (if supported by the plugin)
- New configuration page for configuring all plugin types
- Alt+Shift+F3 loads lister without plugins and any multimedia additions
- Shift+button click on current directory switches to the dir part on which you clicked
- Shift+button click in search on 'go to file' or 'feed to listbox' opens dir in new tab
- Search for NTFS-encrypted files
- Define different location of tree content files (treeinfo.wc)
- Show current speed also when copying in synchronize dirs function
- FTP: Support for MODE Z compressed uploading/downloading
- New type of locked tab: still allows to change dirs, but reverts to tab-root when clicking "\" or switching to other tab
- Multi-rename tool: Multiple search+replace, search+replace history, button to reload rename results
- F5 - F2 now transfers in background also for FTP uploads+downloads
- New pseudo environment variables supported in path names, pointing to locations of virtual folders:
%$APPDATA%, %$DESKTOP%, %$PERSONAL% (My Documents), %$PROGRAMS%, %$STARTMENU%, %$FONTS%, %$STARTUP% (use lowercase to access env vars with these names)
- New internal commands (for button bar, starter menu and user-defined hotkeys) to change drives: cm_GotoDriveA..cm_GotoDriveZ, cm_GotoNextDrive and cm_GotoPreviousDrive
- New internal commands cm_srcactivatetab1..10 activates tab 1-10 in source panel, similar for target panel.
- Subdir filters now also work when copying (only files of this type). Syntax: Include: somedir1\ somedir2\ Exclude: *.* | somedir1\ somedir2\
- Synchronize dirs: Also allow to set copy direction of equal files (via right click menu only!), e.g. for copying them to a different location
- Remember special display modes (thumbnails, comments, custom columns) separately per tab, and when closing
New functions and fixes in Total Commander 6.03:
- Version 6.03 doesn't contain any important new features.
New functions and fixes in Total Commander 6.02:
- Version 6.02 doesn't contain any important new features.
New functions and fixes in Total Commander 6.01:
- Version 6.01 doesn't contain any new features.
New functions and fixes in Total Commander 6.0:
- Supports Unicode file names when Copying/Moving/Renaming files
- Comparison of Unicode-Text files in "Compare by Content"
- Folder Tabs for quickly switching between folders
- Ctrl+T now used for the new Tabs, Ctrl+M for the Multi-Rename Tool
- Regular Expressions for Searching, Multi-Rename Tool, Copying etc.
- Separate buttons for Directory Hotlist and History
- Speed display when copying
- Copy function configurable via Settings dialog.
- F2 in the copy dialog adds the files to the background transfer manager
- Options button in the copy dialog allows to rename copied or target files automatically on identical name
- Speed limit in the background transfer manager now also works when copying
- Synchronize dirs now tries to set the date/time of FTP files via MDTM command (not working with all servers)
- Synchronize dirs: Now also with archives other than ZIP
- Support for accents in domains for FTP and HTTP
- Multiple new internal commands, like cm_copySamepanel, cm_copyOtherpanel, cm_createShortcuts, cm_SaveSelection, cm_ShowHint
- Show sequence number in the program title if multiple Total Commander open
- Drive button icons can be replaced via external DLL
- Configuration dialog uses a list instead of tab headers
- FTP: Resume all
- Wait in the background for external packers
- Double click on [..] in the root leads to "My Computer" (configurable)
- Environment variable COMMANDER_PATH now points to the Total Commander directory
New functions and fixes in Total Commander 5.51:
- A click on the currently active path allows to edit or copy/paste it
- Include/exclude certain directories in search function
- Search and synchronize dirs now also work with file system plugins
- Support for Lister plugins
- Support for custom icons in file system plugins
- Deleting of non-empty directories on SAMBA drives sometimes failed
- Moved OLE comment retrieval to a separate thread (background), because it can be slow for some file types
- Couldn't view RTF file currently open in Word (sharing problem)
- Support for internal commands in Ctrl+D menu (directory hotlist), e.g. cm_OpenDesktop
- Limited Unicode support in file names: Delete, Rename, View, Edit and Show properties
New functions in Total Commander 5.50:
- Name changed to "Total Commander" - see our homepage for the reasons
- Change size display of total/marked files in footer below file lists (bytes, k or dynamic)
- Copy additional NTFS streams when copying files.
- Copy file comments with the files with F5 (optional, needs to be enabled first)
- Create CRC checksums: Function can now also create and check MD5 checksums
- Drag a link from Internet Explorer to Total Commander (holding down Shift) to open the URL dialog to download the linked file
- File system plugin interface to access external devices or other partitions
- In Copy dialog, "Options" button which allows to set "Overwrite all", "Skip all" etc. before copying
- Lister: In 'Fit to window' mode, resize the video window to the lister window
- Lister: RTF-Viewer (can be disabled)
- Multi-rename tool: Load/Save settings, for often used changes
- Multi-rename tool, search+replace: Support for wildcards * and ?
- Open partially downloaded ZIP files, even during the download
- Option: Always open new FTP connections in the left or right file panel instead of the active file panel
- Show file comments in file lists and as tooltips
- Show name of logged-on user in the title bar if the program was started with RunAs
- Synchronize dirs, asymmetric mode: Option to delete all empty dirs in right window (not available in zip or ftp)
- The HTML viewer in Lister supports some more tags
New functions in Commander 5.10:
- Unpack RAR 3 archives
- Support for OTP-MD4 -MD5 and -SHA1-authentication for FTP
- Decoder for Yenc-encoded files (Files - decode files)
New functions in Commander 5.01:
- Unpack RAR 3 archives
- Support for OTP-MD4 and -MD5-authentication for FTP
New functions in Commander 5.00:
- Support for Windows XP themes on XP
- "Commands" menu split into "Commands" and "Net"
- FTP: support for more than 2 definition strings when defining a new server type
- FTP+HTTP: Auto-Resume download if download-connection lost
- FTP: SOCKS4+SOCKS5 Proxy support (active+passive mode!), SOCKS5 without encryption
- Multi-Rename-Tool: Placeholder [P] puts name of parent dir into file name
- Internal command cm_SyncChangeDir makes Commander change to the directory of the same name also in the other window
- Find files: Start search inside an archive
- FTP: Option to send keepalive messages (e.g. NOOP) to the server in user-defined intervals (for max. 1 hour of inactivity)
- Support for packing of TAR/GZ/TGZ archives. Make sure to choose the correct target OS (Linux or SunOS).
- Direct packing of TAR.Plugin archives, requires re-download of the plugin (e.g. BZIP2)
- Compare by contents: Search for text in both files simultaneously, found text will be underlined
- Compare by contents: Button to show the two windows above each other, e.g. for wide texts
- Right click menu in Lister: added "Copy all URLs" command in HTML-Viewer mode
- Pack: Option to create a separate archive for each selected file/dir. If no target dir is given, the packed file will be placed in the same dir as the original file.
- "Branch view" now added to "commands" menu
- Create CRC-Checksum files in SFV format
- FTP+HTTP in background: Set speed limit for up- and downloads
- Pause button for background operations: FTP, HTTP, copy, pack, unpack
- FTP download from list: detect if list file was modified, and add new items to current download
- Download list can now also copy+move files.
Syntax: copy:sourcename -> targetname or move:sourcename -> targetname
- Background transfer manager can now also be started separately without a list file
New functions in Commander 4.54:
- Compare by content: Switch between binary and text mode.
- Lister: Support word wrap in UTF-8 mode
New functions in Commander 4.53:
- Display of UTF-8 (special 1-4 byte Unicode format) in Lister
- Support for ACE 2.0 archives
- Support for files > 2 GB in Lister and split/combine functions
- Directory print with subdirs: Print only files of certain types, e.g. *.txt *.doc
- Change date/time of folders also on Windows NT/2000 (admins only due to restricted rights)
- FTP: Resume upload (binary files only). WARNING: With some versions of the server WarFTPd, the resume seems to work, but the uploaded file is unusable!
- Directory hotlist can now contain up to 200 entries
- The location of Wincmd.ini and Wcx_ftp.ini can now be set in the registry (32-bit and 64-bit versions only):
\SOFTWARE\Ghisler\Total Commander, new text values IniFileName and FtpIniName.
This key may be created under HKEY_CURRENT_USER or HKEY_LOCAL_MACHINE
The command line parameters /i= and /f= still take precedence over the registry values.
- Special larger block sizes when copying very large files can increase the copying speed of these large files quite a bit.
This function is only meant for advanced users, and needs to be enabled through wincmd.ini (CopyBlockSize etc).
- Many small corrections and additions
New functions in Commander 4.52:
- Display of Unicode and HTML (as plain text) in Lister
- Search for Unicode and Hex in the search function
- Print function to print directory lists, trees and compare results in 'Synchronize dirs'.
- Display of all files in the current dir and all subdirs with Ctrl+B
- File windows above each other instead of side by side
- Display of the file size in kbytes or dynamic depending on the actual size
- Multi-rename tool: Enhanced counter settings using definition strings [Cxxx]
- Submenu 'New' in the right click context menu allows to create new (empty) files
Version 4.51 is a bugfix version of 4.50.
- Bugfixes.
New functions in Commander 4.50:
- Multi-rename tool: Allows to rename multiple files in one step (Hotkey: Ctrl+T)
- Batch rename function with Shift+F6 to quickly rename multiple files one by one
- Rename files and subdirs inside a ZIP archive (Shift+F6)
- Parallel port transfer function (direct cable connection), works between Win95/98/NT/2000/XP/Vista/7/3.1 and DOS!
- FTP: Definition of custom host types, using a definition string
- FTP: Retry to connect multiple times also for non-anonymous connections
- FTP: Support for multiple proxies (separately for FTP and HTTP connections)
- FTP: Workaround to bug in some FTP servers: Upload of subdirs failed
- Resolve lnk files on the desktop or in the Network Neighborhood
- Unpack self-extracting files created by WinACE and WinRAR (open with Ctrl+PgDn)
- "Unpack all and execute" in packer properties allows to try out a program or run an installer from inside an archive
- Define custom colors for different file types, e.g. all directories, all zip files etc.
- Search for text also inside CAB files
- Copying to 'write only' directories (Windows NT, network)
- Uninstaller: Automatic removal of the program through the Control Panel
Several new commands and parameters for Button bar / Start menu:
- cm_List now allows to open a file. The file name must be given directly behind CM_LIST, and not in the parameters field!
Example: cm_list c:\windows\wincmd.ini always opens the file wincmd.ini in lister.
- cm_ShowFileUser: Show which remote user has opened a local file (through a shared directory)
- cm_EditPersmissionInfo: Show permissions dialog on Windows NT (NTFS file system)
- cm_EditAuditInfo: Show file auditing dialog (NTFS)
- cm_EditOwnerInfo: Show "Take ownership" dialog (NTFS)
- cm_ShowOnlySelected: Hide all files/dirs which aren't selected when this function is used
- cm_OpenRecycled: Open 'recycle bin'
- New parameters %L, %l, %F, %f, %D, %d create a list file in the TEMP directory with the names of the selected files and directories.
Version 4.03 is a bugfix version of 4.02.
New functions in Commander 4.02:
- Unzip, delete and HTTP downloads (Ctrl+N) in background.
- Synchronize dirs now also supports directory from/to ftp synchronization! Concerning the date/time synchronizing problems with ftp, please read the section important note on the page Synchronize dirs.
- Tray icon right click menu (context menu).
- Direct upload of files from inside an archive to an FTP server.
- Better parsing of FTP file lists downloaded via a HTTP proxy.
- User-defined keyboard shortcuts.
- Split "Equal/Unequal" button into two buttons in synchronize function
- Change date/time of directories
- FTP server to server transfers (FXP): Always sends PORT command to left server, PASV to right server. This allows for file transfers between a public server and one in a private address room, or behind a firewall. The private server must be in the left window.
- Find files: Only search in selected files and folders
Here is a list of the most important additions in Commander 4.0:
- Compare files by content
- Automatically adjust column width of name column when resizing Commander
- Copy: rename file if target exists
- Copy and zip in background (separate thread)
- Synchronize directories with subdirs
- Bitmap viewer in Lister, additional formats through Irfanview
- Copy files directly from one archive to another
- Restore selection as it was before the last file operation (NUM /)
- Extend right click menu (in association dialog)
- Add FTP files to list (through the context menu), download later
- Save configuration through menu command
- Search for duplicate files
- FTP: retry to connect if connection fails
- Skip files when copying and file doesn't fit on target disk
- Support WWW proxy for FTP
- More detailed file display, e.g. only list/select files with certain dates and sizes
- Select files which do not match certain wildcards, e.g. all files except for programs
- More virtual folders, like the desktop, my computer etc. - open through button bar
- Wrap text at word boundaries in lister
- Search for files which do NOT contain a given text
- Drive buttons separately per window
- Support for more FTP servers
- FTP: send specific commands directly after connecting
- FTP: Warn if binary file is transferred in text mode
- Icons for PIF files, virtual folders (directories having the system attribute set)
- Search for hexadecimal in lister
- Quick search: letters only but with quick search dialog
- Select FTP transfer mode with keyboard (CTRL+SHIFT+M)
- Copy to NUL, PRN, LPTx, COMx
- CTRL+N or URL Button now allow to download files from WEB servers too
- Define your own hints for drive names
- Use an external icon library (ICL) to replace the default icons in the file lists. See www.ghisler.com for a sample ICL.
- Additional packers+unpackers can be added as extension DLLs (see www.ghisler.com)
- Of course many small corrections and additions